//通讯方法
apiSend = function(url, params, successCallback, errorCallback, wait) {
	var ajaxUrl = ut.emallUrl + url;
	var self = this;
	
	params = params || {};
	
	var param = {};
	
	
		
		params.APP_UUID = plus.device.uuid;
		
		mui.ajax(ajaxUrl, {
			data: params,
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			timeout: 30000, //超时时间设置为60秒
			headers: {
				'APP_UUID': plus ? plus.device.uuid : '',
				'PLATFORM': plus ? plus.os.name : ''
			},
			crossDomain: true, //强制5+跨域
			success: function(data) {
				plus.nativeUI.closeWaiting();
				
				//服务器返回响应，根据响应结果，分析是否登录成功；
				if(data.error == '0201') {
					
					errorCallback();
					
					ut.setExtras('loginCode.html', 'loginCode', {
						phone: ut.getId('account').value
					});
					
					return
				}
				
				if(data.error == 0) {
					localStorage.time = (new Date()).getTime();
					plus.nativeUI.toast("登录成功", {
						duration: "long"
					});
					plus.storage.setItem('username', data.username);
					plus.storage.setItem('phone', data.minePhone);
					plus.storage.setItem('memberInfoId', '89757');
					plus.storage.setItem("startTime", new Date().getTime());
					plus.storage.setItem("certNo", data.certNo);
					plus.storage.setItem("memberUUID", data.memberUUID);
					plus.storage.setItem("switch1", data.switch1);
					plus.storage.setItem("secretPayFlag", data.secretPayFlag);
					plus.storage.setItem("truename", data.truename);
					plus.storage.setItem("certifyFlag", data.certifyFlag);
					plus.storage.setItem("userId", data.userId);
					plus.storage.setItem("myInviteCode", data.myInviteCode ||'');
				} else if(data.error == "0003") {
					errorCallback();
					mui.alert('帐号已经锁定，请联系客服解除锁定');
					ut.getId('login1').value = "";
					
					return false;
				} else if(data.error == "0004") {
					errorCallback();
					mui.alert('银行主动锁定，请联系客服解除锁定');
					ut.getId('login1').value = "";
					
					return false;
				} else if(data.error == "0005") {
					errorCallback();
					mui.alert('用户主动锁定，请联系客服解除锁定');
					ut.getId('login1').value = "";
					
					return false;
				} else if(data.error == "0006") {
					errorCallback();
					if(account.value == localStorage.head_end) {
						var param = {
							'mobileNo': params.username,
							'tranCode': 'NP101031',
							"messageType": "pwdState1Notice"
						};
					} else {
						var param = {
							'mobileNo': params.username,
							'tranCode': 'NP101031',
							"messageType": "pwdState1Notice"
						};
					}
					
					mui.ajax({
						url: ut.netPayUrl + 'sendSMSPwdStateNotice.do',
						data: param,
						dataType: "json", //接收	类型
						type: "post",
						headers: {
							'APP_UUID': plus ? plus.device.uuid : '',
							'PLATFORM': plus ? plus.os.name : ''
						},
						crossDomain: true,
						timeout: 60000, //超时时间
						async: true
					});
					
					var btnArray = ['确定', '忘记密码'];
					
					mui.confirm('用户已被暂时锁定，3小时后自动解锁', '温馨提示', btnArray, function(e) {
						if(e.index == 1) {
							$.bs.openWindowByLoad(
								"forget_password.html",
								"forget_password",
								"pop-in", {
							});
						}
					});
					
					ut.getId('login1').value = "";
					
					return false;
				} else if(data.error == "0007") {
					errorCallback();
					if(account.value == localStorage.head_end) {
						var param = {
							'mobileNo': params.username,
							'tranCode': 'NP101031',
							"messageType": "pwdState3Notice"
						};
					} else {
						var param = {
							'mobileNo': params.username,
							'tranCode': 'NP101031',
							"messageType": "pwdState3Notice"
						};
					}
					
					mui.ajax({
						url: ut.netPayUrl + 'sendSMSPwdStateNotice.do',
						data: param,
						dataType: "json", //接收	类型
						type: "post",
						crossDomain: true,
						timeout: 60000, //超时时间
						async: true
					});
					
					mui.alert("用户已被永久锁定,请本人持身份证到山西农信任意网点办理解锁", "温馨提示");
					ut.getId('login1').value = "";
					
					return false;
				} else if(data.error == "0008") {
					errorCallback();
					
					if(account.value == localStorage.head_end) {
						var param = {
							'mobileNo': params.username,
							'tranCode': 'NP101031',
							"messageType": "pwdState2Notice"
						};
					} else {
						var param = {
							'mobileNo': params.username,
							'tranCode': 'NP101031',
							"messageType": "pwdState2Notice"
						};
					}
					
					mui.ajax({
						url: ut.netPayUrl + 'sendSMSPwdStateNotice.do',
						data: param,
						dataType: "json", //接收	类型
						type: "post",
						crossDomain: true,
						timeout: 60000, //超时时间
						async: true
					});
					
					var btnArray = ['确定', '忘记密码'];
					
					mui.confirm('用户已被临时锁定，24小时后自动解锁', '温馨提示', btnArray, function(e) {
						if(e.index == 1) {
							$.bs.openWindowByLoad(
								"forget_password.html",
								"forget_password",
								"pop-in", {
							});
						}
					});
					
					ut.getId('login1').value = "";
					
					return false;
				} else if(data.error == "0010") {
					errorCallback();
					
					var btnArray = ['取消', '确定'];
					
					mui.confirm('帐号不存在，是否前往注册？', '温馨提示', btnArray, function(e) {
						if(e.index == 1) {
							ut.setExtras('register.html', 'register', {
								phone: ut.getId('login1').value
							});
						}
					});
					
					ut.getId('login1').value = "";
					
					return false;
				} else if(data.errorCode == 2) {
					errorCallback();
					
					var btnArray = ['确定', '忘记密码'];
					mui.confirm('您还有1次输入机会', '温馨提示', btnArray, function(e) {
						if(e.index == 1) {
							$.bs.openWindowByLoad(
								"forget_password.html",
								"forget_password",
								"pop-in", {
							});
						}
					});
					
					ut.getId('login1').value = "";
					
					return false;
				} else if(data.errorCode == 1) {
					errorCallback();
					
					var btnArray = ['确定', '忘记密码'];
					mui.confirm('您还有2次输入机会', '温馨提示', btnArray, function(e) {
						if(e.index == 1) {
							$.bs.openWindowByLoad(
								"forget_password.html",
								"forget_password",
								"pop-in", {
							});
						}
					});
					
					ut.getId('login1').value = "";
					
					return false;
				} else if(data.errorCode == 5) {
					errorCallback();
					
					var btnArray = ['确定', '忘记密码'];
					mui.confirm('今日错误输入5次，再次输入错误，用户锁定，24小时后解锁', '温馨提示', btnArray, function(e) {
						if(e.index == 1) {
							$.bs.openWindowByLoad(
								"forget_password.html",
								"forget_password",
								"pop-in", {
							});
						}
					});
					
					ut.getId('login1').value = "";
					
					return false;
				} else if(data.errorCode == 15) {
					errorCallback();
					
					var btnArray = ['确定', '忘记密码'];
					mui.confirm('今日错误输入15次，再次输入错误，用户将永久锁定', '温馨提示', btnArray, function(e) {
						if(e.index == 1) {
							$.bs.openWindowByLoad(
								"forget_password.html",
								"forget_password",
								"pop-in", {
							});
						}
					});
					
					
					ut.getId('login1').value = "";
					
					return false;
				} else if(data.error == "0001") {
					errorCallback();
					
					var btnArray = ['确定', '忘记密码'];
					
					mui.confirm('密码错误，请重新输入', '温馨提示', btnArray, function(e) {
						if(e.index == 1) {
							$.bs.openWindowByLoad(
								"forget_password.html",
								"forget_password",
								"pop-in", {
							});
						}
					});
					
					ut.getId('login1').value = "";
					
					return false;
				} else {
					errorCallback();
					
					var btnArray = ['确定', '忘记密码'];
					
					mui.confirm(data.error, '温馨提示', btnArray, function(e) {
						if(e.index == 1) {
							$.bs.openWindowByLoad(
								"forget_password.html",
								"forget_password",
								"pop-in", {
							});
						}
					});
					
					ut.getId('login1').value = "";
					
					return false;
				}
				
				successCallback(data);
			},
			error: function(xhr, type, errorThrown) {
				//异常处理；
				plus.nativeUI.closeWaiting();
				
				errorCallback();
				
				ut.toast('亲，断网了，请检查网络连接', 3500);
			}
		});

};