+function($,doc,win){
	var m = Math
	var dummyStyle = doc.createElement('div').style
	var vendor = (function(){
		var vendors = 't,webkitT,MozT,msT,OT'.split(',')
		var t
		var i = 0
		var l = vendors.length
		
		for ( ; i<l; i++) {
			t = vendors[i] + 'ransform';
			if( t in dummyStyle ){
				return vendors[i].substr(0,vendors[i].length - 1)
			}
		}
		
		return false;
	})()
	
	var cssVendor = vendor ? '-' + vendor.toLowerCase() + '-' : ''
	var cities = []
	
	function prefixStyle (style) {
		if ( vendor === '' ) return style;
		style = style.charAt(0).toUpperCase() + style.substr(1);
		return vendor + style;
	}
	
	var transform = prefixStyle('transform')
	
	function checkRange(heigth,lih){
		var res = 0;
		
		for(var i = 0;i<lih.length; i++){
			if(heigth >= lih[i]){
				res = i;
			}else{
				return res;
			}
		}
		
		return res;
	}
	
	function resetTop(top, listHeight ,listGroupHeight){
		if (top > 0) {
			top = 0;
		} else if (top < listGroupHeight - listHeight) {
			top = listGroupHeight - listHeight;
		}
        return top;
	}
	
	
	var ListGroup = function(){
		this.init.apply(this,arguments)
	}
	
	ListGroup.prototype={
		init:function(el,options){
			var _this = this
			this.el = $(el)
			this.num = 0
			this.options = {}
			
			for(var i in options){
				this.options[i] = options[i]
			}
			
			this.lihArr = []
			
			this.el.find('.list-header').each(function(){
				_this.lihArr.push($(this).position().top)
			})
			this.loader()
			this.bindEvents()
		},
		bindEvents:function(){
			var _this = this;
			var isTouch = false
			var y
			var OY
			var maxY = 0
			var minY
			minY = _this.el.find('.indexed-inner').height()-_this.el.find('.indexed-inner-bar').height()
			
			this.el.on('touchstart',function(e){
				//e.preventDefault();
				
				y=e.originalEvent.targetTouches[0].pageY-$(this).find('.indexed-inner-bar').css('transform').replace(/[^0-9\-.,]/g,'').split(',')[5]
				
				if($(this).find('.indexed-inner').height()<_this.el.find('.indexed-inner-bar').height()){
					if(!isTouch){
						isTouch = true
					}
				}
			})
			
			$(document).on('touchmove',function(e){
				if(isTouch){
					
					MX = e.originalEvent.targetTouches[0].pageY
					OY = MX - y
					
					if(OY>maxY){
						OY=0
					}
					
					if(OY<minY){
						OY = minY
					}
					
					_this.el.find('.indexed-inner-bar').css({'transform':'matrix(1, 0, 0, 1, 0,'+OY+')'});
				}
			})
			
			$(document).on('touchend',function(e){
				if(isTouch){
					isTouch = false
				}
			})
			
			this.el.find('.indexed-list-bar').find('.btn').on('click',function(event){
				event.preventDefault()
				var i = $(this).index()
				_this.scrollTo(i)
				
			})
			
			this.el.find('.indexed-search').find('.placeholder').on('click',function(){
				$(this).closest('.indexed-search').find('input').focus()
				$(this).closest('.indexed').addClass('ready')
			})
			
			this.el.find('.indexed-search').find('input').on('blur',function(){
				if(!$(this).val()){
					$(this).closest('.indexed').removeClass('aready')
				}
			})
			
			this.el.find('.indexed-search').find('input').on('input',function(){
				var str=$(this).val()
				if(!str){
					$(this).closest('.indexed').removeClass('active')
					return 
				}
				
				$(this).closest('.indexed').addClass('active')
				_this.createList(str)
			})
			
			this.el.find('.indexed-search').find('.btn').on('click',function(event){
				event.preventDefault()
				
				if($(this).closest('.indexed-search').find('input').val()){
					$(this).closest('.indexed-search').find('input').val('')
				}
				if($(this).closest('.indexed').hasClass('ready')){
					$(this).closest('.indexed').removeClass('ready')
				}
				if($(this).closest('.indexed').hasClass('active')){
					$(this).closest('.indexed').removeClass('active')
				}
			})
		},
		createList:function(str){
			var str = str
			var patt = new RegExp(str)
			var arr = []
			var html= ''
			
			$.each(cities,function(k,v){
				var arr1 = []
				var isMatch = false
				arr1 = v.match.split('|')
				
				$.each(arr1,function(key,val){
					if(patt.test(val)){
						isMatch = true
					}
				})
				
				if(isMatch){
					arr.push(v)
				}
			})
			
			this.el.find('.indexed-result').empty()
			
			html += '<div class="list list-b">'
			html += ' <div class="list-body">'
			$.each(arr,function(k,v){
				html += ' 	<div class="list-item">'
				html += ' 		'+v.name+''
				html += ' 	</div>'
			})
			html += ' </div>'
			html += '</div>'
			
			this.el.find('.indexed-result').append(html)
		},
		loader:function(){
			var sortCitys = []
			var sort = ['A','B','C','D','E','F','G','H','I','G','K','L','M','N','O','P','Q','R','S','G','U','V','W','X','Y','Z']
			var obj = {}
			var html = ''
			
			$.each(sort,function(k,v){
				var arr = []
				$.each(cities,function(key,val){
					if(val['sanzima'].substr(0,1)==v){
						arr.push(val)
					}
				})
				obj[v]=arr 
			})
			
			sortCitys.push(obj)
			
			this.el.find('.sortList').empty()
			
			$.each(sort,function(k,v){
				html += '<div class="list-header">'
				html +=	 '<div class="list-flag">'
				html +=   ''+v+''
				html +=	 '</div>'
				html += '</div>'
				html += '<div class="list-body">'
				$.each(cities,function(key,val){
					if(val['sanzima'].substr(0,1)==v){
				html += ' <div class="list-item">'
				html +=	''	+ val.name + ''
				html +=	' </div>'
					}
				})
				html += '</div>'
			})
			this.el.find('.sortList').append(html)
		},
		scrollTo:function(i){
			var scrollTop = -(this.el.find('.indexed-inner').find('.list-header').eq(i).offset().top-this.el.find('.indexed-inner-bar').offset().top)
			this.el.find('.indexed-inner-bar').css({'transform':'matrix(1, 0, 0, 1, 0,'+scrollTop+')'});
		},
		process:function(){
			var _this=this
			this.scrollHeight =this.el.scrollTop()
			
			var i = checkRange(this.scrollHeight,this.lihArr)
			
			return function(){
				if(i==_this.num){
					return 
				}else{
					_this.el.find('.list-flag').eq(i).addClass('fix')
					_this.el.find('.list-flag').eq(_this.num).removeClass('fix')
					_this.num=i
				}
			}(i)
		}
	}
	
	function Plugin(option){
		return this.each(function(){
			var $this = $(this)
			var data = $this.data('bs.listGroup')
			var options = $.extend({}, $this.data(), typeof option == 'object' && option)
			
			if(!data) $this.data('bs.listGroup',(data = new ListGroup(this,options)))
		})
	}
	
	var old = $.fn.listGroup
	
	$.fn.listGroup = Plugin
	$.fn.listGroup.Constructor = ListGroup
	
	$.fn.listGroup.noConfilct = function(){
		$.fn.listGroup = old
		return this
	}
}(jQuery,document);

+function($){
	function Countdown (){
		this.init.apply(this,arguments)
	}
	
	Countdown.prototype={
		init: function(el,options){
			var _this = this;
			this.el = $(el);
			this.timer = null;
			
			this.options = {
				'seconds': 60
			}
			
			for (var i in options){
				this.options[i] = options[i]
			}
			
			this.el.on('click',function(event){
				event.preventDefault()
				
				var $this = $(this);
				if($this.hasClass('disabled')){
					return 
				}
				
				$target = $this.attr('data-target') ? $($this.attr('data-target')) : false;
				
				var data = null;
				
				if($target && $target.val()){
					data = $target.val();
				}
				
				_this.options.onSubmited && _this.options.onSubmited(data);
			})
		},
		start: function(){
			var _this = this;
			
			if(!this.el.hasClass('disabled')){
				this.el.addClass('disabled')
			}else{
				return false ;
			}
			
			var seconds = this.options.seconds ;
			
			var auto = function(){
				seconds-- ;
						
				_this.el.text('' + seconds + 's重新发送') ;
				
				if(seconds <= 0){
					_this.end();
				}
			}
			
			if(this.timer){
				clearInterval(_this.timer) ;
			}
			
			this.timer = setInterval(auto,1000) ;
		},
		end: function(){
			if(this.timer){
				clearInterval(this.timer) ;
			}
			if(this.el.hasClass('disabled')){
				this.el.removeClass('disabled') ;
			}
			
			this.el.text('获取验证码') ;
		}
	}
	
	function Plugin(option){
		return this.each(function(){
			var $this = $(this)
			var data = $this.data('bs.countdown')
			var options = $.extend({}, $this.data(), typeof option == 'object' && option)
			
			if(!data) $this.data('bs.countdown',(data = new Countdown(this,options)))
			
			if (typeof option == 'string') data[option]();
		})
	}
	
	var old = $.fn.countdown
	
	$.fn.countdown = Plugin
	$.fn.countdown.Constructor = Countdown
	
	$.fn.countdown.noConfilct = function(){
		$.fn.countdown = old
		return this
	}
}(jQuery,document);

+function($){
	var Modal = function(){
		this.init.apply(this,arguments)
	}
	
	Modal.prototype={
		init:function(el,options){
			var _this = this;
			
			this.el = $(el);
			this.options = {};
			
			this.update(options);
			
			this.el.on('tap', '[data-dismiss="modal"]', $.proxy(this.hide, this));
			this.el.on('tap', '[data-submit="modal"]', function(){
				var self = $(this)
				_this._submit(self);
			});
		},
		render: function(){
			var _this = this;
			
			if(this.options.tips){
				this.el.find('.modal-text').text(this.options.tips);
			}
			
			if(this.options.btns != undefined && this.options.btns.length > 0){
				$.each(this.options.btns, function(k, v){
					 _this.el.find('.btns').find('.btn').eq(k).text(v);
				})
			}
			
		},
		_submit: function(self){
			if(this.options.onSubmit){
				this.options.onSubmit.call(self);
			}
			
			this.hide();
		},
		update:function(options){
			for (var i in options){
				this.options[i] = options[i]
			}
		},
		show:function(){
			var _this = this;
			
			this.render();
			
			if(this.el.hasClass('in')){
				return 
			}
			
			this.el.css({
				'display':'block'
			});
			
			$('.modal-backdrop').css({
				'display':'block'
			});
			
			setTimeout(function(){
				_this.el.addClass('in')
				$('.modal-backdrop').addClass('in')
				$('body').addClass('modal-open')
			},300)
		},
		hide:function(){
			var _this = this
			
			if(!this.el.hasClass('in')){
				return 
			}
			
			this.el.removeClass('in')
			$('.modal-backdrop').removeClass('in')
			
			setTimeout(function(){
				_this.el.css({
					'display':'none'
				})
				$('.modal-backdrop').css({
					'display':'none'
				})
				$('body').removeClass('modal-open')
			},300)
		}
	}
	
	function Plugin(option){
		return this.each(function(){
			$this = $(this)
			var data = $this.data('bs.modal')
			var options = $.extend({},$this.data(),typeof option == 'object' && option)
			if (!data) $this.data('bs.modal', (data = new Modal(this, options)))
      		if (typeof option == 'string') data[option]()
      		if (typeof option == 'object') data['update'](options)
		})
	}
	
	var old = $.fn.modal
	
	$.fn.modal = Plugin
	$.fn.modal.Constructor = Modal
	
	$.fn.modal.noConflict = function(){
		$.fn.modal = old
		return this
	}
}(jQuery);

+function($,doc,win){
	var Chart = function(){
		this.init.apply(this,arguments)
	}
	
	Chart.prototype = {
		init:function(el,options){
			var _this = this
			this.el = el
			this.options = {}
			for (var i in options){
				this.options[i]=options[i]
			}
			this.draw()
		},
		draw:function(){
			var ctx = this.el.getContext("2d")
			
			//画圆
			ctx.beginPath();
			ctx.lineWidth = 2;
			ctx.strokeStyle = '#e8e8e8';
			ctx.arc(20, 20, 18, 0 * Math.PI,2 * Math.PI, false);
			ctx.stroke();
			ctx.closePath();
			
			ctx.beginPath();
			ctx.lineWidth = 2;
			ctx.strokeStyle = '#EF6D00';
			ctx.arc(20, 20, 18, 1.5*Math.PI,(1.5+this.options.ratio/100*2)*Math.PI, false);
			ctx.stroke();
			ctx.closePath();
			
		}
	}
		
	function Plugin(option){
		return this.each(function(){
			$this = $(this)
			var data = $this.data('bs.chart')
			var options = $.extend({},$this.data(),typeof option == 'object' && option)
			if (!data) $this.data('bs.chart', (data = new Chart(this, options)))
		})
	}
	
	var old = $.fn.chart
	
	$.fn.chart = Plugin
	$.fn.chart.Constructor = Chart
	
	$.fn.chart.noConflict = function(){
		$.fn.chart = old
		return this
	}
}(jQuery,document,window);
+function($,doc,win){
	
	var Dropdown = function(){
		this.init.apply(this,arguments)
	}
	Dropdown.prototype = {
		init:function(el,options){
			var _this = this
			
			this.el = $(el)
			this.options = {}
			
			for(var i in options[i]){
				this.options[i] = options[i]
			}
			//this.bindEvent()
		},
		bindEvent:function(){
			/*this.el.find('.btn-toggle').on('click',function(event){
				event.preventDefault()
				event.stopPropagation()
				if($(this).closest('.dropdown').hasClass('open')){
					$(this).closest('.dropdown').removeClass('open')
				}else{
					$(this).closest('.dropdown').addClass('open')
				}
			})*/
		},
		toggle: function(){
			if(this.el.closest('.dropdown').hasClass('open')){
				this.el.closest('.dropdown').removeClass('open')
			}else{
				this.el.closest('.dropdown').addClass('open')
			}
		}
	}
	function Plugin(option) {
		return this.each(function(){
			var $this = $(this)
			var data = $this.data('bs.dropdown')
			var options = $.extend({},$this.data(),typeof option == 'object' && option)
			if(!data) $this.data('bs.dropdown',(data = new Dropdown(this,options)))
			if(typeof option == 'object'){
				data['toggle']()
			}
			
			if(typeof option == 'string') data[option].call($this)
		})
	}
	
	var old = $.fn.dropdown

	$.fn.dropdown             = Plugin
	$.fn.dropdown.Constructor = Dropdown
	
	
	// DROPDOWN NO CONFLICT
	// ====================
	
	$.fn.dropdown.noConflict = function () {
		$.fn.dropdown = old
		return this
	}
	
	
}(jQuery,document,window);
+function($,m,doc,win){
	$.bs = $.bs || {}
	$.extend($.bs,{
		openWindowByLoad: function(package, pageId, aniShow, param, styleJson){
			if(mui.os.plus){
				var commonWaiting = param && param.commonWaiting ? true : false;
				if(!commonWaiting){
					plus.nativeUI.showWaiting();
				}
				
				plus.webview.hide(pageId);
				plus.webview.close(pageId);
				param = param || {};
				var swipeSpeed = 200;
				styleJson = styleJson || {};
				var webviewShow = plus.webview.create(package, pageId, styleJson, param);
				
				webviewShow.addEventListener("loaded", function() {
					plus.nativeUI.closeWaiting();
					webviewShow.show(aniShow, swipeSpeed); 
				}, false);
			} else {
				param = $.param(param);
				package = package + '?' + param;
				mui.openWindow({
					id: pageId,
					url: package,
					show: {
						aniShow: aniShow
					},
					waiting: {
						autoShow: false
					}
				});
			}
		},
		getURLParam: function(id){
			var searchURL=window.location.search;		
			
			searchURL = searchURL.substring(1, searchURL.length);
			
			if(arguments.length){
				var reg = new RegExp("(^|&)" + id + "=([^&]*)(&|$)");
				var r = searchURL.substr(0).match(reg);
				
				if (r != null)
				return decodeURIComponent(r[2]);
				
				return null;
			}else{
				var obj={};
				
				$.each(searchURL.split("&"), function(key,value){
					obj[value.split("=")[0]] = decodeURIComponent(value.split("=")[1]);
				})
				
				return obj;
			}
		},
		loginTimeout: function(){
			function LoginTimeout(){
				this.timer = null;
			}
			
			LoginTimeout.prototype = {
				set: function () {
					var _this = this;
					
					if(!localStorage.getItem('loginTimeoutFlag')){
						localStorage.setItem('loginTimeoutFlag', '1');
					
						setTimeout(function(){
							_this.remove();
						}, 500)
					}
				},
				get: function(){
					return localStorage.getItem('loginTimeoutFlag') == '1' ? true : false;
				},
				remove: function(){
					localStorage.removeItem('loginTimeoutFlag');
				}
			}
			
			return new LoginTimeout();
			
		},
		ajax:function(option){
			var options={};
			var isMui = option.isMui === false ? false : true;
			
			if(m.os.plus && isMui){
				options = $.extend({
					headers: {
						'APP_UUID': plus ? plus.device.uuid : '',
						'PLATFORM': plus ? plus.os.name : ''
					},
					dataType: "json", //接收类型
					type: "post",
					crossDomain: true,
					timeout: 50000, //超时时间
					async: true,
					wait: true
				}, option)
			}else{
				options = $.extend({
					dataType:"json", //接收类型
					type:"post",
					timeout: 50000, //超时时间
					async: true
				}, option)
			}
			
			
			if(options.wait) {
				if(m.os.plus){
					var waitTitle = '加载中...';
					
					if('waitTitle' in options) {
						waitTitle = params.waitTitle;
						delete options.waitTitle;
					}
					
					plus.nativeUI.showWaiting(waitTitle, {
						padlock: false
					});
				}
			}
			
			function showPageError(res){
				if (res.ed !== '' && res.ed !== undefined) {
					var btnArray = ['确定', '详情'];
					
					mui.confirm(res.em, '温馨提示', btnArray, function(e) {
						if(e.index == 1) {
							mui.alert(res.ed);
						}
					});
					
				} else {
					mui.alert(res.em);
				}
			}
			
			function _timeoutFunc(res){
				var timeout = $.bs.loginTimeout();
				
				if(res.loginCode != undefined && res.loginCode != "" && !timeout.get()){
					plus.storage.removeItem("memberInfoId");
					
					if(res.loginCode=="1"){
						mui.alert("您的账号在另一地点登录，您被迫下线\n请重新登录\n登录时间："+res.time,"温馨提示");
						mui.fire(plus.webview.getWebviewById('views/main/mine.html'),'reflash');
						$.bs.closeAllView();
					}else if(res.loginCode=="2"){
						mui.alert("您没有登录或长时间未操作，请先登录","温馨提示");
						mui.fire(plus.webview.getWebviewById('views/main/mine.html'),'reflash');
						
						//mui.fire(plus.webview.getWebviewById('views/main/mine.html'),'reflash34');
						
						$.bs.closeAllView();
					}else if(res.loginCode=="3"){
						mui.alert("登录环境发生改变\n原登录ip："+res.oldip+"\n现在访问ip："+res.ip+"\n为了您的账户安全请重新登录","温馨提示",function(){
                            $.bs.closeAllView();
                            mui.openWindow("../../views/login/login.html","views/login/login.html",{});
                        });
                        mui.fire(plus.webview.getWebviewById('views/main/mine.html'),'reflash');
					}
					
					timeout.set();
					
					return false;
				}else if(res.em == '未登录' && res.ec == '01' && timeout.get()){
					return false;
				}
				
				return true;
			}
			
			function doResponse(res){
				if(options.wait) {
					if(m.os.plus){
						plus.nativeUI.closeWaiting();
					}
				}
				
				if(!_timeoutFunc(res)){
					if(options.timeoutFunc){
						options.timeoutFunc()
					}
					
					return;
				}
				
				if(res.ec){
					if(res.ec == "0" || res.ec == "000000"){
						
					}else{
						if(options.selfdefineFailed){
							options.selfdefineFailed(res)
						}else{
							showPageError(res)
							return 
						}
					}
				}
				
				options.processResponse(res)
			}
			
			if(options.processResponse){
				$.extend(options, {
					success: doResponse
				});
			}
			
			function processFailed(xhr,type,errorThrown){
				if(options.wait) {
					if(m.os.plus){
						plus.nativeUI.closeWaiting();
					}
				}
				
				ut.toast(xhr.status);
				ut.toast(xhr.readyState);
				ut.toast(type);
			};
			
			if (options.processFailed)
				$.extend(options, {
					error: options.processFailed
				});
			else
				$.extend(options, {
					error: processFailed
				});
			
			if(m.os.plus && isMui){
				return m.ajax(options);
			}else{
				return $.ajax(options);
			}
			
		},
		randomNumBoth: function(Min, Max) {
			var Range = Max - Min;
			var Rand = Math.random();
			var num = Min + Math.round(Rand * Range);
			
			return num;
		},
		_getParam:function(obj, param) {
			return obj[param] || '';
		},
		format:{
			AREA_CODE: {11:"北京",12:"天津",13:"河北",14:"山西",15:"内蒙古",21:"辽宁",22:"吉林",23:"黑龙江",31:"上海",32:"江苏",33:"浙江",34:"安徽",35:"福建",36:"江西",37:"山东",41:"河南",42:"湖北",43:"湖南",44:"广东",45:"广西",46:"海南",50:"重庆",51:"四川",52:"贵州",53:"云南",54:"西藏",61:"陕西",62:"甘肃",63:"青海",64:"宁夏",65:"新疆",71:"台湾",81:"香港",82:"澳门",91:"国外"},
			REGEXP_MONEY: new RegExp(/^[0-9]{1,15}(\.[0-9]{0,2})?$/),
			REGEXP_COMMA: new RegExp('\,',["g"]),
			REGEXP_MOBILE: new RegExp(/^(1[1-9])[0-9]{9}$/),
			REGEXP_INTEGER: new RegExp(/^[0-9]+$/),
			INVITE_CODE: new RegExp(/[0-9]{6}/),
			isEmpty: function(s) {
				return ( s == null || s.length == 0 );
			},
			isInteger: function(s) {
				return ( $.bs.format.REGEXP_INTEGER.test(s) );
			},
			isInviteCode: function(s){
				return ( $.bs.format.INVITE_CODE.test(s) );
			},
			checkIDNumberDate: function(val){
				var pattern = /^(18|19|20)\d{2}((0[1-9])|(1[0-2]))(([0-2][1-9])|10|20|30|31)$/;
				
				if(pattern.test(val)) {
					var year = val.substring(0, 4);
					var month = val.substring(4, 6);
					var date = val.substring(6, 8);
					var date2 = new Date( year + "-" + month + "-" + date );
					
					if(date2 && date2.getMonth() == (parseInt(month) - 1)) {
						return true; 
					}
					
				}
					
				return false;
			},
			checkIDNumberCode: function(val){
				var p = /^[1-9]\d{5}(18|19|20)\d{2}((0[1-9])|(1[0-2]))(([0-2][1-9])|10|20|30|31)\d{3}[0-9Xx]$/;
				var factor = [ 7, 9, 10, 5, 8, 4, 2, 1, 6, 3, 7, 9, 10, 5, 8, 4, 2 ] ;
				var parity = [ 1, 0, 'X', 9, 8, 7, 6, 5, 4, 3, 2 ] ;
				var code = val.substring(17) ;
				
				if(p.test(val)) {
					var sum = 0 ;
					
					for(var i=0; i<17; i++) {
						sum += val[i] * factor[i] ;
					}
					
					if(parity[sum % 11] == code.toUpperCase()) {
						return true;
					}
				}
				return false;
			},
			isIDNumber: function(s){
		    // 检查长度是否合法
			    switch(s.length){
			        case 15:
			        case 18:{
			            break;
			        }
			        default:{
			            return false;
			        }
			    }
			    
			   
			    
			   // 检查是否为数字
			   var testInt = ( s.length==15 ) ? s : s.substr(0,17) ;
			   
			   if( !$.bs.format.isInteger(testInt) ) {
			        return false;
			    }
			    // 检查区域代码是否合法
			    var areaCode = parseInt( s.substr(0,2) );
			    
			    if( !$.bs.format.AREA_CODE[areaCode] ) {
			        return false;
				}
			    
				//出生日期的校验
			   	
			   	var dataCode = s.substring(6,14);
			   	
			   	if(!$.bs.format.checkIDNumberDate(dataCode)){
			   		return false;
			   	}
			   	
			   	
			   	if(!$.bs.format.checkIDNumberCode(s)){
			   		return false;
			   	}
			   	
							    
			    return true;
			},
			formatMoney:function(s, n){
				if(s == "" || s== undefined || s== null){
					return 
				}
				n = n > 0 && n <= 20 ? n : 2 ;
				s = parseFloat((s + "").replace(/[^\d\.-]/g, "")).toFixed(n) + "";
				var l = s.split(".")[0].split("").reverse(),
				r = s.split(".")[1];
				t = "";
				for (i = 0; i<l.length; i++){
					t += l[i] + ((i + 1) % 3 == 0 && (i + 1) != l.length ? "," : "");
				}
				return t.split("").reverse().join("") + "." + r;
			},
			formatMoney2: function(){
				
			},
			moneyToNum: function(s){
				var num = val.trim();
				var ss = num.toString();
				
				if(ss.length == 0){
					return '0';
				}
				
				return ss.replace(/,/g, '');
			},
			isMobile: function(s) {
		   		return ( $.bs.format.REGEXP_MOBILE.test(s) );
			},
			isMoney: function(s) {
			    return ( $.bs.format.REGEXP_MONEY.test(s) );
			},
			isInviteCode: function(s){
				return ( $.bs.format.INVITE_CODE.test(s) );
			},
			isChinese: function(s) {
			    for (var index = 0, len = s.length; index < len; index++) {
			      var charCode = s.charCodeAt(index);
			       
			    	if ( ( charCode < 19968 ) || (charCode > 40869) ) {
			            return false;
			        }
			    }
			    
			    return true;
			},
			removeComma: function(str){
				if(str){
					return str.replace($.bs.format.REGEXP_COMMA,'');
				}else{
					return '0';
				}
			},
			dataToDate: function(value){
				var  flag= "";
				if(value!=null||value!=""){
					if(value.length>=8){
						var yyyy = value.substring(0,4);
						var mm = value.substring(4,6);
						var dd = value.substring(6,8);
						flag = yyyy+"-"+mm+"-"+dd;
					}else if(value.length==6){
						var yyyy = value.substring(0,4);
						var mm = value.substring(4,6);
						flag = yyyy+"-"+mm;
					}
				}
				return flag;
			},
			formatDate: function(value) {
				var flag = "";
					if(value != null || value != "") {
					var nowYear = value.getFullYear();
					var nowMonth = value.getMonth() + 1;
					var nowDate = value.getDate();
					if(nowMonth < 10) nowMonth = "0" + nowMonth;
					if(nowDate < 10) nowDate = "0" + nowDate;
					flag = nowYear + "-" + nowMonth + "-" + nowDate;
				}
				return flag;
			},
			dataToChinese: function(value){
				var  flag= "";
				if(value!=null||value!=""){
					if(value.length>=8){
						var yyyy = value.substring(0,4);
						var mm = value.substring(4,6);
						var dd = value.substring(6,8);
						flag = yyyy+"年"+Number(mm)+"月"+Number(dd)+"日";
					}else if(value.length==6){
						var yyyy = value.substring(0,4);
						var mm = value.substring(4,6);
						flag = yyyy+"年"+Number(mm)+"月";
					}
				}
				return flag;
			},
			numToDate: function(val, format){
				var data = {
					"y+": val.substring(0, 4),
			        "M+": val.substring(4, 6),
			        "d+": val.substring(6, 8),
			        "h+": val.substring(8, 10),
			        "m+": val.substring(10, 12),
			        "s+": val.substring(12, 14)
				};
				
				for (var k in data) {
					if (new RegExp("(" + k + ")").test(format)) {
						format = format.replace(RegExp.$1, (data[k]));
					}
				}
				
				return format;
			},
			dealAccountHideFour: function(cash, dot, digits){
				var account;
				if(cash != null && typeof cash !== "string") {
					cash = cash.toString();
				}
				if(cash == '' || cash == null || cash == undefined) {
					return '';
				} else {
					if(cash.length > 6){
						var temp;
						var preFour = cash.substring(0, 4);
						var lastFour = cash.substring(cash.length - 4, cash.length);
						
						account = preFour + ' *** **** **** ' + lastFour;
					}else {
						account = cash;
					}
				}
				return account;
			},
			toFomatBankNumber: function(BankNo){
				if(BankNo == "") return;
				var account = new String(BankNo);
				
				account = account.substring(0, 22); /*账号的总数, 包括空格在内 */
				
				if(account.match(".[0-9]{4}-[0-9]{4}-[0-9]{4}-[0-9]{7}") == null) {
					/* 对照格式 */
					if(account.match(".[0-9]{4}-[0-9]{4}-[0-9]{4}-[0-9]{7}|" + ".[0-9]{4}-[0-9]{4}-[0-9]{4}-[0-9]{7}|" +
							".[0-9]{4}-[0-9]{4}-[0-9]{4}-[0-9]{7}|" + ".[0-9]{4}-[0-9]{4}-[0-9]{4}-[0-9]{7}") == null) {
						var accountNumeric = accountChar = "", i;
						
						for(i = 0; i < account.length; i++) {
							accountChar = account.substr(i, 1);
							if(!isNaN(accountChar) && (accountChar != " ")) accountNumeric = accountNumeric + accountChar;
						}
						
						account = "";
						
						for(i = 0; i < accountNumeric.length; i++) { /* 可将以下空格改为-,效果也不错 */
							if(i == 4) account = account + " "; /* 账号第四位数后加空格 */
							if(i == 8) account = account + " "; /* 账号第八位数后加空格 */
							if(i == 12) account = account + " "; /* 账号第十二位后数后加空格 */
							if(i == 16) account = account + " "; /* 账号第十六位后数后加空格 */
							account = account + accountNumeric.substr(i, 1)
						}
					}
				} else {
					account = " " + account.substring(1, 5) + " " + account.substring(6, 10) + " " + account.substring(14, 18) + "-" + account.substring(18, 25);
				}
				
				return account;
			},
			toFomatMobile: function(cash, dot, digits){
				if(cash != null && typeof cash !== "string") {
					cash = cash.toString();
				}
				if(cash == '' || cash == null || cash == undefined) {
					return '';
				}else{
					var temp;
					cash = $.trim(cash);
					temp = cash.substring(0, 3) + " " + cash.substring(3, 7) + " " + cash.substring(7, 11)
					return temp;
				}
				
			},
			getAccountTailFour: function(accountNo) {
				return accountNo.substr(accountNo.length - 4, 4);
			},
			toCashWithComma: function( cash, dot, digits ) {
				if (cash != null && typeof cash !== "string") {
					cash = cash.toString();
				}
				if(cash == '' || cash == null){
					return '';
				}
				else {
					var temp = $.bs.format.prepareCashString( cash, dot, digits );
					
					var dotPos = temp.indexOf('.');
					var integerCash = temp.substring(0, dotPos);
					var decimalCash = temp.substring(dotPos + 1);
				
					// 处理包含正负符号的情况
					var prefix = integerCash.charAt(0);
					if ( prefix == "-" || prefix == "+" ) {
						temp = prefix + $.bs.format.addComma(integerCash.substring(1)) + '.' + decimalCash;
					} 
					else {
						temp = $.bs.format.addComma(integerCash) + '.' + decimalCash;
					}
					if(temp=="0.00"){
						return '0.00';
					}
					return temp;
				}
			},
			times: function(count, temp){
				var temp = (temp === undefined || temp === null || temp ==='') ? '0' : temp;
				
				return count < 1 ? '' : new Array(count + 1).join(temp);
			},
			prepareCashString: function( cash, dot, digits ) {
				if (cash == undefined) cash = '0';
				if (dot == undefined) dot = true;
				if (digits == undefined) digits = 2;
				
				if (typeof cash !== 'string') {
					cash = cash.toString();
				}
				cash = $.bs.format.removeComma(cash);
				
				
				// 处理包含正负符号的情况
				var prefix = cash.charAt(0);
				if ( prefix == "-" || prefix == "+" ){
					return prefix + $.bs.format.prepareCashString( cash.substr(1), dot, digits );
				}
				
				if (cash.indexOf('.') != -1) {
					dot = true;	//如果输入串本身包含小数点，则忽略dot参数的设置，认为是真实金额大小
				}
				var integerCash, decimalCash;
				if (!dot) {
					if (cash.length <= digits) {
						cash = cash.leftPadZero(digits+1);
					}
					integerCash = cash.substring(0, cash.length - digits);
					decimalCash = cash.substring(cash.length - digits);
				} else {
					var dotPos = cash.indexOf('.');
					if (dotPos != -1) {
						integerCash = cash.substring(0, dotPos);
						decimalCash = cash.substring(dotPos + 1);
					} 
					else {
						integerCash = cash;
						decimalCash = '';
					}
					if (integerCash.length == 0)
						integerCash = '0';
					if (decimalCash.length < digits) {
						decimalCash += this.times(digits - decimalCash.length, '0');
					} 
					else {
						decimalCash = decimalCash.substring(0, digits);		
					}
				}
				
				//去掉头部多余的0
				while (integerCash.charAt(0) == '0' && integerCash.length>1) {
					integerCash = integerCash.substring(1);
				}
				cash = integerCash + '.' + decimalCash;
				
				return cash;
			},
			addComma: function(str) {
				if (str.length > 3) {
					var mod = str.length % 3;
					var output = (mod > 0 ? (str.substring(0,mod)) : '');
					for (var i=0 ; i < Math.floor(str.length / 3); i++) {
						if ((mod == 0) && (i == 0))
							output += str.substring(mod+ 3 * i, mod + 3 * i + 3);
						else
							output += ',' + str.substring(mod + 3 * i, mod + 3 * i + 3);
					}
					return (output);
				}
				else 
					return str;
			},
			hideMobileMid: function(str){
				if($.bs.format.isMobile(str)){
					var str = str.substr(0, 3) + '****' + str.substr(-4, 4);
					return str;
				} 
				
				return false;
			},
			hideIDNumberMid: function (str){
				if($.bs.format.isIDNumber(str)){
					var str = str.substr(0, 3) + '*** **** ****' + str.substr(-4, 4);
					return str;
				} 
				
				return str;
			},
			//格式化姓名，使其格式为张**;
			dealUserNameNoHide: function( cash, dot, digits ) {
				if (cash != null && typeof cash !== "string") {
					cash = cash.toString();
				}
				if(cash == '' || cash == null||cash==undefined){
					return '';
				}else {
					
					var temp;
					cash = $.trim(cash);
					if(cash.length>=1){
						var nameLeng = cash.length;
						var name = cash.substring(0,1);
						for ( var i = 0; i < nameLeng; i++) {
							if(i!=(nameLeng-1)){
								name+="*";
							}
						}
						temp = name;
					}else{
						temp = cash;
					}
				}
				return temp;
			}
		},
		clim: function(){
			function Clim(){
				this.init.apply(this, arguments)
			}
			
			Clim.prototype = {
				init: function(){
					this.clim = "";
				},
				getValue: function(){
					if(!this.clim){
						this.clim = plus.screen.getBrightness();
					}
					mui.alert('初始'+this.clim);
				},
				setMax: function(){
					plus.screen.setBrightness(1);
				},
				_reset: function(){
					if(this.clim >= 1){
						this.clim = 0.618;
					}
					plus.screen.setBrightness(this.clim);
					mui.alert('设置'+plus.screen.getBrightness())
				}
			}
			
			var unique;
			
			function changeClim(){
				if( unique === undefined ){
			    	unique = new Clim();
				}
				
			    return unique;
			}
			
			return {
				 changeClim: changeClim
			}
		},
		closeviews: function(ids){
			for(var i = 0; i < ids.length; i++) {
				if($.bs.isOpenView(ids[i])){
					plus.webview.hide(ids[i]);
					plus.webview.close(ids[i]);
				}
			}
		},
		closeAllView: function(page, func){
			var allViews = plus.webview.all();
			
			var cv = plus.webview.currentWebview();
			
			for(var i = 0; i < allViews.length; i++) {
				if(page && page.id == allViews[i].id){
					continue;
				}
				
				if(
					allViews[i].id != "index" &&
					allViews[i].id != "views/main/main.html" &&
					allViews[i].id != "views/main/sort.html" &&
					allViews[i].id != "views/main/cart.html" &&
					allViews[i].id != "views/main/mine.html" &&
					allViews[i].id != cv.id
				) {
					plus.webview.close(allViews[i].id, "none");
				}
			}
			
			func && func();
			
			if(
				cv.id != 'index' &&
				cv.id != 'views/main/main.html' &&
				cv.id != 'views/main/sort.html' &&
				cv.id != 'views/main/cart.html' &&
				cv.id != 'views/main/mine.html'
			){
				if(page && page.id == cv.id){
					return ;
				}
				
				setTimeout(function(){
					plus.webview.close(cv.id, "none");
				}, 500);
			}
		},
		isOpenView: function(id) {
			var wbv = plus.webview.getWebviewById(id);
			if(wbv) {
				return true;
			}else{
				return false;
			}
			
		},
		getSrandNumber: function(waitFlag, funOk, funError){
			var url = ut.netPayUrl+ "send_randkey?" + new Date().getTime().toString();
			
			$.ajax({
				url: url,
				type: "GET",
			    async: false,
			    timeout: 50000, //超时时间
				success: function(data) {
					funOk(data);
				},
				error: function(xhr, type, errorThrown) {
					mui.alert("未连接网络，请检查网络后重试。");
				}
			});
		},
		getSrandNumApp: function(waitFlag, funOk, funError){
			var url = ut.emallUrl + 'SrandNumApp.do';
			
			setTimeout(function(){
				$.bs.ajax({
				    url:url,
				    type: 'get',
				    dataType: 'html',
				    processResponse: function(ranKey) {
				    	funOk(ranKey);
					}
                })
            }, 500);
		},
		getSrandNum: function(callback){
			var url = ut.netPayUrl + "SrandNum?" + new Date().getTime().toString();
				
			$.ajax({
				url: url,
				type : "GET",
				async : false,
				timeout: 50000, //超时时间
				success : function(res) {
					var data = JSON.parse(res.replace(/\//,''));
					callback(data);
				},
				error: function(xhr, type, errorThrown){
					alert( JSON.stringify(xhr) + '-' + type + '-' + JSON.stringify(errorThrown))
				}
			});
			
		},
		getAllAccount: function(appUrl , fnOk, fnError, waiting){
			var waiting = waiting? true : false;
			var data = {};
			
			if(mui.os.plus){
				data.customerId = plus.storage.getItem("memberInfoId");
				data.memberUUID = plus.storage.getItem("memberUUID");
				data.APP_UUID = plus.device.uuid;
			}
			
			$.bs.ajax({
				//url: ut.netPayUrl + 'checkIsFirstBoundCard.do',
				url: appUrl,
				data: data,
				processResponse: function(res){
					var list;
					
					if(res.iAcctLevelCardList){
						list = res.iAcctLevelCardList;
					}else{
						list = res.iBoundCardList;
					}
					
					var temp = [];
					for(var i = 0; i < list.length; i++) {
						temp.push(list[i]);
					}
					
					var obj = {};
					
					obj.allAccountInfoList = temp;
					
					if(res.recName){
						obj['recName'] = res.recName;
					}
					
					if(res.mobileNo){
						obj['mobileNo'] = res.mobileNo;
					}
					
					fnOk(obj);	
				},
				wait: waiting
			});
			
		},
		getBankCards: function(option, appUrl , fnOk, fnError, waiting){
			var data = {
				"secAccFlag":"01",
				'customerId': plus.storage.getItem("memberInfoId"),
				'memberUUID': plus.storage.getItem("memberUUID"),
				'APP_UUID': plus.device.uuid
			};
			
			var options = $.extend(data, option);
			
			$.bs.ajax({
				url: ut.netPayUrl + appUrl,
				data: options,
				processResponse: function(res){
					var data = [];
						
					if (res.ec == 0) {
						if(res.iBoundCardList.length > 0){
							$.each(res.iBoundCardList,function(k,v){
								if(v.bankCardType != '1'){
									var obj = {
										text: v.boundCardBankName+'('+v.boundCardNo.substr(-4, 4)+')',
										value: v.boundCardNo,
									};
									data.push(obj);
								}
							})
						}else{
							mui.alert("请先绑定您的银行卡", "温馨提示", function() {
								ut.setExtras('../login/addCard.html', 'addCard', {});
							});
						}
					}
						
					if(data.length == 0){
						mui.alert("请先绑定您的银行卡(储蓄卡)", "温馨提示", function() {
							ut.setExtras('../login/addCard.html', 'addCard', {});
						});
						
						return ;
					}
						
					fnOk(data);
				}
			});
		},
		getUserInfo: function(fnOk, fnError){
			$.bs.ajax({
				url: ut.netPayUrl + 'getUserAuthInfo4Mb.do',
				data: {
					customerId: plus.storage.getItem("memberInfoId"),
					memberUUID: plus.storage.getItem("memberUUID"),
					APP_UUID: plus.device.uuid
				},
				processResponse: function(res){
					
					if (res.customerNameCN || res.certNo) {
						var data = {
							custName: res.customerNameCN,
							certNo: res.certNo
						};
						
						fnOk(data);
					}
				},
				wait: true
			});
		},
		sendMSG: function(params, el, funOK){
			el.countdown('start');
			
			var data = {
				customerId: plus.storage.getItem("memberInfoId"),
				memberUUID: plus.storage.getItem("memberUUID"),
				APP_UUID: plus.device.uuid
			}
			
			var data = $.extend(params, data);
			
			$.bs.ajax({
				url: ut.netPayUrl + 'sendSMSCodeCommon.do',
				data: data,
				processResponse: function(res){
					
				},
				selfdefineFailed: function(res){
					if (res.ed !== '' && res.ed !== undefined) {
						var btnArray = ['确定', '详情'];
						
						mui.confirm(res.em, '温馨提示', btnArray, function(e) {
							if(e.index == 1) {
								mui.alert(res.ed);
							}
						});
						
					} else {
						mui.alert(res.em);
					}
					
					el.countdown('end');
				}
			});
		},
		openKeyboard: function(el, keyid, srandNumber, regEx, isNumber, maxLength,callback){
			plus.pluginPGKeyboard.hideKeyboard(keyid);
			
			el.value = "";
			
			var reg = (regEx !== '' && regEx !== undefined )? regEx : "/^[0-9]+$/";
			var _maxLength = (maxLength != '' && maxLength != undefined )? maxLength : 6;
			var keyboardType = (isNumber !== '' && isNumber !== undefined )? isNumber : true;
			
			var keyboardType1 = keyboardType.toString()
			plus.pluginPGKeyboard.openRSAAESKeyboard(
				keyid,
				keyboardType1,
				1,
				_maxLength,
				"false",
				"false",
				"true",
				reg,
				"",
				srandNumber,
				'3081890281810092d9d8d04fb5f8ef9b8374f21690fd46fdbf49b40eeccdf416b4e2ac2044b0cfe3bd67eb4416b26fd18c9d3833770a526fd1ab66a83ed969af74238d6c900403fc498154ec74eaf420e7338675cad7f19332b4a56be4ff946b662a3c2d217efbe4dc646fb742b8c62bfe8e25fd5dc59e7540695fa8b9cd5bfd9f92dfad009d230203010001',
				function(result) {
					if (result.status) {
		            	var json=result.payload;
		                var obj = $.parseJSON(json);
		               	
		               	el.value = obj.cipherText==null?"":obj.text;
		               	el.setAttribute('pass',obj.cipherText);
		                el.setAttribute('md5',obj.md5);
		                el.setAttribute('length',obj.length);
		            } 
				},
				function(res){
					alert(JSON.stringify(res))
				}
			);
			
			callback && callback();
		},
		hideKeyboard: function(keyid){
			plus.pluginPGKeyboard.hideKeyboard(keyid); //隐藏键盘	
		},
		clearKeyboard: function(keyid){
			plus.pluginPGKeyboard.clearKeyboard(keyid); //清楚键盘
		},
		getUserPos: function(){
			if (navigator.geolocation) {
				navigator.geolocation.getCurrentPosition(function(position){
					var lat = position.coords.latitude;
					var lon = position.coords.longitude;

					var point = new BMap.Point(lon, lat); // 创建点坐标
					var gc = new BMap.Geocoder();

					gc.getLocation(point, function (rs) {
					
						var addComp = rs.addressComponents;

						var data = {
							'province':addComp.province,
							'city': addComp.city,
							'district': addComp.district
						};
				
						$.bs.postionSystem().setData(data)

					});
				},function(error){
					switch (error.code) {
						case 1:
							//alert("位置服务被拒绝。");
							break;
						case 2:
							//alert("暂时获取不到位置信息。");
							break;
						case 3:
							//alert("获取位置信息超时。");
							break;
						default:
							//alert("未知错误。");
							break;
					}
				},{
					timeout: 5000,
					enableHighAccuracy: true
				})
			}else{
			  alert("你的浏览器不支持获取地理位置信息。");
			}
		}
	})
}(jQuery,mui,document,window);
+function($,m,doc,win){

	function clacImgZoomParam( maxWidth, maxHeight, width, height ){
    	var param = {top:0, left:0, width:width, height:height};
        
        if( width>maxWidth || height>maxHeight ){
        	rateWidth = width / maxWidth;
            rateHeight = height / maxHeight;
                
            if( rateWidth > rateHeight ){
                param.width =  maxWidth;
                param.height = Math.round(height / rateWidth);
            }else{
            	param.width = Math.round(width / rateHeight);
                param.height = maxHeight;
            }
        }
            
        param.left = Math.round((maxWidth - param.width) / 2);
        param.top = Math.round((maxHeight - param.height) / 2);
        
        return param;
    }
	
	var AutoScaling = function(){
		this.init.apply(this,arguments);
	};
	
	AutoScaling.prototype = {
		init: function(el,options){
			var _this = this;
			this.el = $(el);
			this.options = options;
			var img = new Image();
			img.src = this.el.attr("src");
			img.onload = function(){
				var maxWidth = _this.el.parent().width();
				var maxHeight = _this.el.parent().height();
				var width = img.width;
				var height = img.height;
				var data = clacImgZoomParam(maxWidth, maxHeight, width, height)
				
				_this.el.css({
					width: data.width,
					height: data.height,
					marginTop: data.top,
					marginLeft: data.left,
					visibility: 'visible'
				})
				
				_this.options._onloaded && _this.options._onloaded.call("",_this.el)
			}
		}
	};
	
	function Plugin(option){
		return this.each(function(){
			var $this = $(this);
			var data = $this.data('data.autoScaling');
			var options = typeof option === 'object' && option;
			
			if(!data) $this.data('bs.autoScaling', (data = new AutoScaling(this, options)))
		})
	};
	
	var old = $.fn.autoScaling;
	
	$.fn.autoScaling = Plugin;
	$.fn.autoScaling.Constructor = AutoScaling;
	
	$.fn.autoScaling.noConflict = function () {
    	$.fn.autoScaling = old
   		return this
  	}
	
}(jQuery,mui,document,window);

+function($,m,doc,win){
	var Rotate = function(){
			this.init.apply(this, arguments)
		}
		Rotate.prototype = {
			init: function(el,options){
				var $this = this
				this.el = $(el)
			},
			rotate: function(el){
				var _this = this
				var rightStartAngle = 45
				var leftStartAngle = 45
				var scale = this.attr('data-scale')
				var timer
				var i = rightStartAngle;
				
				function auto() {
					i++
					
					if(i<=225){
						_this.find('.rightcircle').css({
							'transform': 'rotate('+i+'deg)'
						})
					}
					
					if(i>225){
						_this.find('.leftcircle').css({
							'transform': 'rotate('+(i-225+45)+'deg)'
						})
					}

					if(i >= (45+scale*180/50)){
						clearInterval(timer)
					}
					
				}

				timer = setInterval(auto,10)
			}
		}

		function Plugin(option) {
			return this.each(function () {
				var $this = $(this)
				var data    = $this.data('rotate')
				var options = typeof option == 'object' && option

				if (!data) $this.data('rotate', (data = new Rotate(this, options)))
				if (typeof option == 'string') data[option].call($this)
			})
		}

		var old = $.fn.rotate

		$.fn.rotate = Plugin
		$.fn.rotate.Constructor = Rotate
		
		$.fn.rotate.noConflict = function () {
			$.fn.rotate = old
			return this
		}
}(jQuery,mui,document,window);

+function ($, m, doc, win) {
	var PwKeyboard = function (){
		this.init.apply(this, arguments);
	};
	PwKeyboard.DEFAULTS = {};
	PwKeyboard.prototype = {
		init: function(el,options){
			var _this = this;
			
			this.el = $(el);
			
			this.interval = null;
			this.pholder = this.el.attr('placeholder');
			
			this.update(options);
			
			//$.bs.getSrandNumber('', function(ranKey){
			//	_this.srandNumber = ranKey;
			//});
			
			this.bindEvents();
		},
		update:function(options){
			this.options = options;
			this.srandNumber = this.options.srandNumber || "";
			this.regEx = this.options.regEx || "";
			this.isNumber = this.options.isNumber || "";
			this.maxLength = this.options.maxLength || "";
		},
		pause: function(){
			this.interval = clearInterval(this.interval);
			this.rmCursor();
			
		},
		cycle: function(){
			this.interval && clearInterval(this.interval);
			this.interval = setInterval($.proxy(this.mkCursor, this), 400);
		},
		rmCursor: function(){
			var str = this.el.val();
			var flag = (str.indexOf("I") != -1) ? true : false ;
			
			if(flag){
				str = str.replace('I', '');
			}
			
			if(!str){
				this.el.attr('placeholder', this.pholder);
			}
			
			this.el.val(str);
		},
		mkCursor: function(){
			var str = this.el.val();
			var flag = (str.indexOf("I") != -1) ? true : false ;
			
			if(this.el.attr('placeholder')){
				this.el.attr('placeholder', '');
			}
			
			if(flag){
				str = str.replace('I', '');
			}else {
				str = str + 'I';
			}
			
			this.el.val(str);
			this.cycle();
		},
		bindEvents: function(){
			var _this = this;
			
			this.el.on('click', function(e){
				e.preventDefault();
				
				var idPwd = $(this).attr('id');
				var pwdEl = document.getElementById(idPwd);
				var keyid = pwdEl.getAttribute('data-keyid');
				
				$.bs.openKeyboard(pwdEl, keyid, _this.srandNumber, _this.regEx, _this.isNumber, _this.maxLength,function(){
					_this.cycle();
				});
			});
			
			$(document).on('touchstart', function(){
				var keyid = _this.el.attr('data-keyid');
				
				plus.pluginPGKeyboard.hideKeyboard(keyid);//隐藏键盘
				_this.pause();
			});
		}
	};
	
	function Plugin (option) {
		return this.each(function () {
			var $this = $(this);
			var data = $this.data('bs.pwKeyboard');
			var options = $.extend({}, PwKeyboard.DEFAULTS, $this.data(), typeof option == 'object' && option);
			if (!data){
				$this.data('bs.pwKeyboard', (data = new PwKeyboard(this, options)));
			}else{
				data.update(options);
			} 
		})
	}
	
	var old = $.fn.pwKeyboard;
	
	$.fn.pwKeyboard = Plugin;
	$.fn.pwKeyboard.Constructor = PwKeyboard;
	
	$.fn.pwKeyboard.noConflict = function () {
		$.fn.pwKeyboard = old;
		return this;
	};
} (jQuery, mui, document, window);
+function($, m, doc, win){
	$.bs.validator = $.bs.validator || {};
	
	$.extend( $.bs.validator, {
		/*
		 * 常量
		 */
		ACCOUNTNO_MIN : 16,			//账号最小长度
		ACCOUNTNO_MAX : 19, 		//账号最大长度
		INVITECODE_MIN : 6,
		INVITECODE_MAX : 11,
		CREDITACARDNO_MIN : 16,		//信用卡账号最小长度
		CREDITACARDNO_MAX : 16, 	//信用卡账号最大长度
		CURRENCY_MAX : 15,			//金额最大长度
	});
	
	$.extend( $.bs.validator, {
		/* 
		 * 多语言资源模板定义：其中{%name}表示被校验项的名称
		 */
		LANGUAGE_ACCOUNT : "{%name}为" + $.bs.validator.ACCOUNTNO_MIN + "位至" + $.bs.validator.ACCOUNTNO_MAX + "位的数字",
		LANGUAGE_CREDITCARD_ACCNO : "{%name}为" + $.bs.validator.CREDITACARDNO_MAX + "位数字",
		LANGUAGE_INVITECODE : "{%name}为" + $.bs.validator.INVITECODE_MIN  + "位或" + $.bs.validator.INVITECODE_MAX + "位的数字",
		LANGUAGE_REQUEST_INPUT : "{%name}不能为空",
		LANGUAGE_DATA_ILLEGAL : "{%name}格式错误",
		LANGUAGE_DATATYPE_NOT_CHINESE : "{%name}请输入中文"
	});
	
	$.extend( $.bs.validator, {
		_typeDefine: {
			'accountNo': {
				errorTemplet: $.bs.validator.LANGUAGE_ACCOUNT,
	            valueTester : ( function( value ) {
	                return ( 
	                	$.bs.format.isInteger(value) &&
	                	value.length >= $.bs.validator.ACCOUNTNO_MIN &&
	                	value.length <= $.bs.validator.ACCOUNTNO_MAX
	               	);
	            })
			},
			'inviteCode' : {
				errorTemplet: $.bs.validator.LANGUAGE_INVITECODE,
				valueTester : ( function( value ) {
	                return ( 
	                	$.bs.format.isInviteCode(value) &&
	                	(
	                		value.length == $.bs.validator.INVITECODE_MIN ||
	                		value.length == $.bs.validator.INVITECODE_MAX 
	                	)
	                );
	            })
			},
			'SMScode': {
				errorTemplet: "{%name}为6位数字。",
				valueTester : ( function( value ) {
	                return ( 
	                	$.bs.format.isInteger(value) &&
	                	value.length == 6 
	               	);
	            })
			},
			'IDNumber': {
	            errorTemplet:$.bs.validator.LANGUAGE_DATA_ILLEGAL,
	            valueTester : ( function( value ){
	                return ( $.bs.format.isIDNumber(value) );
	            } )
	        },
	        'mobile': {
	            errorTemplet:$.bs.validator.LANGUAGE_DATA_ILLEGAL,
	            valueTester : ( function( value ){
	                return ( $.bs.format.isMobile(value) );
	            } )
	        },
	        'currency': {
	        	errorTemplet: $.bs.validator.LANGUAGE_DATA_ILLEGAL,
	        	valueTester: (function(value){
	        		if(
	        			$.trim(value) == null ||
	        			$.trim(value) == ""
	        		){
	        			this.errorTemplet = "{%name}不能为空";
	        			return false;
	        		}
	        		
	        		var valueWithoutDot = value;
	        		
	        		if( valueWithoutDot.length > $.bs.validator.CURRENCY_MAX ){
	        			this.errorTemplet = $.bs.validator.LANGUAGE_DATA_ILLEGAL;
	        			return false;
	        		}
	        		
	        		if( valueWithoutDot == 0 ){
	        			this.errorTemplet = "{%name}不能为零";
	        			return false;
	        		}
	        		
	        		this.errorTemplet = $.bs.validator.LANGUAGE_DATA_ILLEGAL;
	        		return ($.bs.format.isMoney(valueWithoutDot))
	        	}),
	        	afterPass: (function(value, fieldConfig, currentElement){
	        		var formatCurrency = $.bs.format.toCashWithComma(value);
	        		$('#' + fieldConfig.id, currentElement).val(formatCurrency);
	        	}),
	        	output: (function(fieldConfig){
	        		if(
	        			$.trim(fieldConfig.$element.val()) == null ||
	        			$.trim(fieldConfig.$element.val()) == ""
	        		){
	        			return "";
	        		}
	        		
	        		var out = $.bs.format.removeComma(fieldConfig.$element.val());
	        		return out;
	        	})
	        },
	        'chinese':{
	            errorTemplet: $.bs.validator.LANGUAGE_DATATYPE_NOT_CHINESE,
	            valueTester : ( function( value ){
	                return ( $.bs.format.isChinese(value) );
	            } )
	        },
	       	'checkbox':{
	        	output: (function(fieldConfig){
	        		return true;
	        	})
	        }
		},
		_checkerValidator: function (fieldValue, fieldConfig, ruleHash, currentElement) {
			if( fieldConfig.checker != null ){
				var checkerResult = eval(fieldConfig.checker + "(fieldConfig, fieldValue, currentElement)");
				
				if ( checkerResult !== true ) {
					var errorTemplet = ( checkerResult === false ) ? $.bs.validator.LANGUAGE_DATA_ILLEGAL : checkerResult;
					
					return $.bs.validator._getErrorMessage( fieldConfig, errorTemplet );
				}
			}
			return true;
		},
		_dataAccesser : function(fieldConfig) {
			if(fieldConfig.type) {
				var typeDefine = $.bs.validator._typeDefine[fieldConfig.type];
				if(typeDefine && typeDefine.output){
					return typeDefine.output(fieldConfig);
				}
			}
			
			if (fieldConfig.$element == null) {
				alert( "Validator: Field["+fieldConfig.id+"] not found in html!" );
				return null;
			}
			
			fieldValue = fieldConfig.$element.val();
			
			return fieldValue;
		},
		_dataTypeValidator: function(fieldValue, fieldConfig, ruleHash, currentElement) {
			fieldValue=$.trim(fieldValue);
			
			if(!fieldValue){
				return true;
			}
			
			var result = true;
			
			if (fieldConfig.type!=null) {
				var typeDefine = $.bs.validator._typeDefine[fieldConfig.type];
				
				if (typeDefine){
					if (typeDefine.valueTester){
						result = typeDefine.valueTester(fieldValue);
					}
					
					if(result && typeDefine.afterPass){
						typeDefine.afterPass(fieldValue, fieldConfig, currentElement);
					}
					
					if (!result) {
						return $.bs.validator._getErrorMessage(fieldConfig, typeDefine.errorTemplet)
					}
				}
				else {
					alert( "$.bs.Validator: Datatype["+fieldConfig.type+"] not supported!" );	
				}	
			}
			
			return true;
		},
		_requiredValidator: function(fieldValue, fieldConfig, ruleHash, currentElement){
			// 必输项校验
			if(fieldConfig.request){
				if(fieldValue == ""){
					return $.bs.validator._getErrorMessage( fieldConfig, $.bs.validator.LANGUAGE_REQUEST_INPUT );
				}
			} else {
				return false ; 
			}
			
			return true;
		},
		_lengthValidator: function(fieldValue, fieldConfig){
			if ( 
				fieldValue.minLength != undefined ||
				fieldValue.maxLength != undefined || 
				fieldValue.length != undefined
			) {
				var inputLength = 0 ;
				
				for (var index = 0, len = fieldValue.length; index < len; index ++) {
					var charCode = fieldValue.charCodeAt(index);
					
					if (charCode < 0x007f) {
						inputLength ++;
					} else if ((0x0080 <= charCode) && (charCode <= 0x07ff)) {
						inputLength += 2;
					} else if ((0x0800 <= charCode) && (charCode <= 0xffff)) {
						inputLength += 3;
					}
				}
			}
		},
		_getErrorMessage: function(config, templet, ignoreCustom){
			var result = templet;
			var dataBeginPos = 0;
			
			while (true) {
				dataBeginPos = result.indexOf( "{%", dataBeginPos );
				if( dataBeginPos < 0){
					break ;
				}
				var dataEndPos = result.indexOf( "}", dataBeginPos );
				var dataName = result.substring( dataBeginPos+2, dataEndPos );
				result = result.substring( 0, dataBeginPos ) + config[dataName] + result.substring( dataEndPos+1 );
			}
			
			return result;
		}
	})
	
	var Validator = function(){
		this.init.apply(this, arguments);
	};
	
	Validator.prototype = {
		init: function(el, options){
			this.el = $(el);
			this.options = options;
			this._rules = [];
			this.ruleHash = {};
			var self = this;
			var dataValidate = this.el.attr('data-validate');
			if(dataValidate){
				var config = $.parseJSON(dataValidate);
				config.$element = this.el;
				this.addRule(config);
			}
		},
		addRule: function(config){
			config.key = config.id;
			this._rules.push(config);
			this.ruleHash[config.key] = config ;
		},
		checkRule: function(rule){
			var key = rule.key;
			var validators = rule.validator;
			var dataAccesser = $.isFunction(rule.dataAccesser) ? rule.dataAccesser : this.options.dataAccesser;
			var commonValidators = this.options.commonValidators;
			var data = dataAccesser(rule);
			
			if (commonValidators) {
				var commonSize = commonValidators.length;
				for (var i=0; i<commonSize; i++) {
					var commonValidator = commonValidators[i];
					
					if ($.isFunction(commonValidator)) {
						var result = commonValidator(data, rule, this.ruleHash, this.$element);
						if (result === undefined || result == null || result == false) {
							
							return {
								passed: true,
								key: key,
								error: result,
								data: data,
								rule: rule
							};
						}
						if (result != true) {
							return {
								passed: false,
								key: key,
								error: result,
								data: data,
								rule: rule
							};
						}
					}
				}
			}
			
			return {
				passed: true,
				key: key,
				error: '',  //result  success
				data: data,
				rule: rule
			};
		},
		check: function() {
			var errors = [];
			var requestData = {};
			for ( var i = 0, size = this._rules.length; i < size; i++) {
				var rule = this._rules[i];
				var result = this.checkRule(rule);
				
				if(result.passed){
					requestData[rule.id] = result.data;
				} else {
					errors.push(result);
				}
			}
			
			if(errors.length > 0){
				this.addErrors(errors);
			}
			
			return {
				passed: errors.length == 0,
				requestData: requestData
			};
		},
		addErrors: function (errors){
			if($.isArray(errors)){
				mui.alert(errors[0].error)
			}else{
				mui.alert(errors.error)
			}
		}
	};
	
	function Plugin(option){
		return this.each(function(){
			var $this = $(this);
			var data = $this.data('bs.validator');
			var options = $.extend({}, $.fn.validator.default, $this.data(), typeof option == 'object' && option);
			if (!data) $this.data('bs.validator', (data = new Validator(this, options)));
		})
	}
	
	var old = $.fn.validator;
	
	$.fn.validator = Plugin;
	$.fn.validator.Constructor = Validator;
	
	$.fn.validator.default = {
		dataAccesser : $.bs.validator._dataAccesser,
		commonValidators: [
			$.bs.validator._requiredValidator ,
			$.bs.validator._dataTypeValidator ,
			$.bs.validator._lengthValidator ,
			$.bs.validator._checkerValidator 
		]
	};
	
	$.fn.validator.noConflict = function () {
		$.fn.validator = old;
		return this;
	};
	
}(jQuery, mui, document, window);
+function($, m, doc, win){
	var Tab = function (el) {
		this.el = $(el)
	}
	
	Tab.prototype.show = function () {
		var $this = this.el
		var $ul = $this.closest('ul:not(.dropdown-menu)')
		var selector = $this.data('target')
		
		if(!selector){
			selector = $this.attr('href')
		}
		
		if ($this.parent('.nav-tabs-item').hasClass('active')) return
		
		var $target = $(selector)
		this.activate($this.closest('li'), $ul)
		this.activate($target, $target.parent())
	}
	
	Tab.prototype.activate = function (element, container) {
		var $active    = container.find('> .active')
		
		$active.removeClass('active')
		element.addClass('active')
	}
	
	function Plugin(option) {
		return this.each(function(){
			var $this = $(this);
			var data = $this.data('bs.tab');
			
			if (!data) $this.data('bs.tab', (data = new Tab(this)))
     		if (typeof option == 'string') data[option]()
		})
	}
	
	
	var old = $.fn.tab

	$.fn.tab             = Plugin
	$.fn.tab.Constructor = Tab
	
	
	// TAB NO CONFLICT
	// ===============
	
	$.fn.tab.noConflict = function () {
	   $.fn.tab = old
	   return this
	 }
}(jQuery, mui, document, window);

+function($, m, doc, win){
	$.bs = $.bs || {};
	
	var Type1 = function (option) {
		var _this = this;
		var defaults = {};
		
		this.type = 'Type-A';
		this.option = typeof option === 'object' ? $.extend(option, defaults) : defaults;
		
		plus.pluginFingerprint.isAvailable(function(result) {
			if(result.payload === 1) { //payload=1支持；0不支持
				plus.pluginFingerprint.startFingerprint(function(result) {
					if(result.status) {
						if(result.payload === 0) {
							_this.option.success && _this.option.success.call(_this);
						} else if (result.payload === 3) {
							mui.alert(result.message);
							_this.option.fail && _this.option.fail.call(_this);
						} else if (result.payload === 5) {
							_this.option.fail && _this.option.fail.call(_this);
						} else if (result.payload === 7) {
							$.bs.Alert('验证指纹以继续操作', '登录', '', function(){});
							_this.option.fail && _this.option.fail.call(_this);
						} else if (result.payload === 100){
							new Type3 ({});
						} else{
								
						}
					} else {
						
					}
				}, function(result) {
					
				});
			} else {
				
			}
		}, function(result) {
			
		})
	};
	
	var Type2 = function (option) {
		var _this = this;
		var defaults = {};
		
		this.type = 'Type-B';
		this.option = typeof option === 'object' ? $.extend(option, defaults) : defaults;
		
		setTimeout(function() {
			plus.pluginGestureLock.refresh(_this.option.tip, false);
		}, 300);
		
		plus.pluginGestureLock.openRSAGestureLock(
			true,
			"A4CCE2CC2EF207FE872105AD82B612A0977FDDF331C44B28AF9B1E521887D8E54F35576EE9660AF287A5E7727ECF6B8E77EFE0C5D1FFF2D4201F7CD46AE3A7F0EA623FD9C54479A3F8CE94130FB76ECC293CA5D8FFDF9680A260AFA16CDBC6995C654E1EAA9B29EA08F3873BFE3664DA0F35DC6AAD955C477D5B3A4DB0E1FE57",
			"010001",
			1,
			function(res) {
				if(res.status) {
					var isForget = res.payload.forgetPwd;
					
					if(isForget){
						_this.option.getPW && _this.option.getPW.call(_this, checked);
						plus.pluginGestureLock.dismiss();
						
						return
					}
					
					var checked = res.payload;
					
					if(checked.size >= 4){
						
					} else {
						plus.pluginGestureLock.refresh("至少输入4个点",true);
						return ;
					}
					
					_this.option.success && _this.option.success.call(_this, checked);
				}
			},
			function(res) {
				
			}
		)
	};
	
	
	var Type3 = function (option) {
		var _this = this;
		var defaults = {};
		
		this.type = 'Type-C';
		this.option = typeof option === 'object' ? $.extend(option, defaults) : defaults;
		
		$.bs.openWindowByLoad("../login/login.html", "login", "pop-in", option); 
	};
	
	function checkOut(res) {
		var data = {};
		var appUrl = "";
		var _this = this;
		
		if (this.type === "Type-A") {
			appUrl = ut.emallUrl + "FrontLogonCtrlAction_appLogin";
			
			data.username = plus.storage.getItem('phone');
			data.appBranchId = '601000';
			data.fingerAccess = 'SUCCESS';
			data.APP_UUID = plus.device.uuid;
		} else {
			appUrl = ut.emallUrl + "GestureLoginAction_login";
			
			data.mobileNo = plus.storage.getItem("phone");
			data.password = res.result;
			data.APP_UUID = plus.device.uuid;
			data.memberUUID = plus.storage.getItem("memberUUID");
		}
		
		$.bs.ajax({
			headers: {
				'APP_UUID': plus ? plus.device.uuid : '',
				'PLATFORM': plus ? plus.os.name : ''
			},
			url: appUrl,
			dataType: "json", //接收类型
			type: "post",
			data: data,
			crossDomain: true,
			timeout: 10000, //超时时间
			async: true,
			timeoutFunc: function(){
				if (_this.type === 'Type-A') {
					
				} else {
					plus.pluginGestureLock.dismiss();
				}
			},
			processResponse: function(res) {
				if(res.error == '0') {
					localStorage.time = (new Date()).getTime();
					plus.storage.setItem('username', res.username);
					plus.storage.setItem("truename", res.truename);
					plus.storage.setItem('phone', res.minePhone);
					plus.storage.setItem('memberInfoId', '89757');
					plus.storage.setItem("startTime", new Date().getTime());
					plus.storage.setItem("certNo", res.certNo);
					plus.storage.setItem("memberUUID", res.memberUUID);
					plus.storage.setItem("secretPayFlag", res.secretPayFlag);
					
					m.fire(plus.webview.getWebviewById('views/main/mine.html'),'reflash');
					m.fire(plus.webview.getWebviewById('views/main/main.html'),'resetFinList');
					m.fire(plus.webview.getWebviewById('views/main/gesturelock.html'),'reflash2');
					m.fire(plus.webview.getWebviewById('views/main/cart.html'),'loaderFinaList');
					m.fire(plus.webview.getWebviewById('views/main/sort.html'),'refresh');
					ut.toast('登录成功', 3000);
					
					$.bs.closeviews(['login', 'login_fingerprint']);
					
					if (_this.type === 'Type-A') {
							
					} else {
						_this.option.closeFn && closeGL.call(_this)
						
						setTimeout(function(){
							plus.pluginGestureLock.dismiss();
						}, 500)
					}
				} else if(res.error == '01'){
					if (this.type === 'Type-A'){
						
					} else {
						plus.storage.setItem("switch1",'123');
						plus.pluginGestureLock.refresh('手势密码尝试次数过多，请使用密码登录', true);
						
						mui.alert('手势密码尝试次数过多，请使用密码登录', '温馨提示');
						mui.fire(plus.webview.getWebviewById('views/main/mine.html'), 'userExit');
						
						new Type3 ({});
						plus.pluginGestureLock.dismiss();
					}
				} else if(res.error == '02'){
					if (this.type === 'Type-A'){
						
					} else {
						plus.pluginGestureLock.refresh('手势密码不正确,还有' + (5-res.count) + '次机会', true);
					}
				}
			}
		});
	}
	
	function checkNextTyep(){
		var setTypeTwo = (plus.storage.getItem('switch1') === '01') ? true : false;
		if (this.type === 'Type-A' && setTypeTwo === true){
			new Type2 ({
				tip: '请绘制手势密码',
				success: checkOut,
				fail: checkNextTyep,
				getPW: getPW
			})
		} else {
			new Type3 ({});
		}
	}
	
	function checkIn(type) {
		var setTypeOne = (plus.storage.getItem('switch2') === '01') ? true : false;
		var setTypeTwo = (plus.storage.getItem('switch1') === '01') ? true : false;
		
		if(
			setTypeOne === false &&
			setTypeTwo === false &&
			type === undefined
		){
			return;
		} 
		
		if(
			type !== undefined &&
			type === 'typeOne'
		){
			return new Type1 ({
				success: checkOut
			})
		}
		
		
		
		if(
			type !== undefined &&
			type === 'typeTwo'
		) {
			return new Type2 ({
				tip: '请绘制手势密码',
				success: checkOut,
				getPW: getPW
			})
		}
		
		if(
			type !== undefined &&
			type === 'typeThree'
		) {
			return new Type3 ({})
		}
		
		if (setTypeOne === true) {
			return $.bs.openWindowByLoad(
				"../login/login_fingerprint.html",
				"login_fingerprint",
				"pop-in",{
			});
		} else if (setTypeTwo === true) {
			return new Type2 ({
				tip: '请绘制手势密码',
				success: checkOut,
				fail: checkNextTyep,
				getPW: getPW
			})
		} else {
			
			return new Type3 ({})
		}
	}
	
	function closeGL(callback){
		var _this = this;
		var appUrl = ut.emallUrl+"GestureLoginAction_close";
		var data = {}
		
		data.APP_UUID = plus.device.uuid,
		data.memberUUID = plus.storage.getItem("memberUUID")
		
		$.bs.ajax({
			headers: {
				'APP_UUID': plus ? plus.device.uuid : '',
				'PLATFORM': plus ? plus.os.name : ''
			},
			url: appUrl,
			dataType: "json", //接收类型
			type: "post",
			data: data,
			crossDomain: true,
			timeout: 10000, //超时时间
			async: true,
			processResponse: function(res1) {
				if(res1.error == '00'){
					if(_this.option && _this.option.closeFn){
						_this.option.closeFn();
					}
					
					if(callback){
						callback();
					}
				}
			}
		});
	}
	
	function getPW(){
		var data = {};
		
		if(this.type == 'Type-B'){
			data.resetPwTyep = 'GL';
		}
		
		new Type3(data);
	}
	
	$.extend($.bs, {
		checkLogin: function (type) {
			$.bs.closeAllView(plus.webview.getWebviewById('login_fingerprint'), function(){});
			
			return checkIn(type);
		},
		checkFP: function(success, fail){
			plus.pluginFingerprint.isAvailable(function(result) {
				if(result.payload === 1) { //payload=1支持；0不支持
					success();
				} else {
					fail();
				}
			}, function(result) {
				fail();
			})
		},
		checkGL: function(closeFn){
			return new Type2 ({
				tip: '请绘制手势密码',
				closeFn: closeFn,
				success: checkOut,
				getPW: getPW
			})
		},
		resetGL:function(callback){
			return closeGL(callback);
		},
		checkFPAvailable: function (success, fail) {
			return this.checkFP(function(){
				plus.pluginFingerprint.startFingerprint(function(result) {
					if(result.status) {
						if(result.payload === 0) {
							success();
						} else if(result.payload === 3) {
							mui.alert('请您先在手机中完成指纹注册，再开启指纹登录功能');
							fail();
						}else if(result.payload === 7){
							$.bs.Alert('验证指纹以继续操作', '登录', '', function(){});
							fail();
						}else {
							fail();
						}
					} else {
						fail();
					}
				}, function(result) {
					fail();
				});
			}, function(){
				if(m.os.ios){
					mui.alert('请您先在手机中完成指纹注册，再开启指纹登录功能');
				}
				fail();
			});			
		}
	})
}(jQuery, mui, document, window);

+function($, m, doc, win){
	function Alert(el, options){
		this.el = $(el);
		this.options = options;
		
		this.show();
	};
	
	Alert.prototype.show = function(){
		var _this = this;
		
		this.el.appendTo('body');
		
		setTimeout(function(){
			_this.el.addClass('in');
		}, 500);
		
		this.el.on('click', '[data-dismiss="modal"]', $.proxy(this.hide, this));
	};
	
	Alert.prototype.hide = function(){
		var _this = this;
		
		this.el.removeClass('in');
		setTimeout(function(){
			_this.el.remove();
		}, 500);
	};
	
	function createAlert(el, message, title, btnValue, callback){
		var data = $(el).data('bs.alert');
		var options = {
			message: message,
			title: title,
			btnValue: btnValue,
			callback: callback
		}
		
		if(!data) $(el).data('bs.alert', (data = new Alert(el, options)))
	};
	
	function createHTML(message, title, btnValue, callback){
		var html = '';
			html += '<div class="modal modal-d fade">';
			html += 	'<div class="modal-dialog">';
			html += 		'<div class="modal-content">';
			html +=				'<div class="modal-title text-default">';
			html +=					title;
			html +=				'</div>';
			html +=				'<div class="modal-text text-gray">';
			html +=					message;
			html +=				'</div>';
			html +=				'<div class="card card-warn">';
			html +=					'<div class="card-header">';
			html +=						'!';
			html +=					'</div>';
			html +=					'<div class="card-body">';
			html +=						'尝试次数过多，请稍后重试';
			html +=					'</div>';
			html +=				'</div>';
			html +=				'<div class="modal-btns mui-clearfix">';
			html +=					'<button class="btn btn-j pull-right" data-dismiss="modal">取消</button>';
			html +=				'</div>';
			html +=			'</div>';
			html +=		'</div>';
			html +=	'</div>';
			
			createAlert(html, message, title, btnValue, callback)
	};

	$.extend($.bs, {
		Alert: function(message, title, btnValue, callback){
			return (0, createHTML)(message, title, btnValue, callback);
		}
	})
}(jQuery, mui, document, window);

+function($, m, doc, win){
	$.bs = $.bs || {};
	
	var Geolocation = function(option){
		this.options = option;
	};
	
	Geolocation.DEFAULTS = {
		addr: {
			province: "山西省",
			city: "太原市",
			district: "小店区",
			cityCode: '100',
			countryCode: '110'
		},
		selectedAddr: {
			province: "山西省",
			city: "太原市",
			cityCode: '',
			district: "小店区",
			countryCode: '',
		}
	};
	
	Geolocation.prototype = {
		setData: function(options){
			var data = $.extend(this.options.addr, options);
			
			if(localStorage.addr){
				localStorage.removeItem('addr');
			}
			
			localStorage.setItem('addr', JSON.stringify(data));
		},
		getData: function(){
			var str = localStorage.getItem('addr') || "{}";
			var res ;
						
			if(str){
				res = JSON.parse(str);
			}
			return res;
		},
		selectedData: function(options){
			var data = $.extend(this.options.selectedAddr, options);
			if(localStorage.selectedAddr){
				localStorage.removeItem('selectedAddr');
			}
			localStorage.setItem("selectedAddr", JSON.stringify(data));
		},
		getSelectedData: function (){
			var str = localStorage.getItem('selectedAddr') || "{}";
			var res;
						
			if(str){
				res = JSON.parse(str);
			}
			return res;
		},
		compareData: function(){
			var selectedAddr= localStorage.getItem('selectedAddr');
			var addr = localStorage.getItem('addr');
			
			if(!selectedAddr || !addr) return false;
			
			var data = JSON.parse(selectedAddr);
			var data1 = JSON.parse(addr);
			var data2= {
				selectedAddr: data,
				addr: data1
			}
			
			//只比较市
			for( var i in data1 ){
				if(i === 'city' && data1[i].replace(/省|市|县|区/g,'') !== data[i].replace(/省|市|县|区/g,'')){
					return data2;
				}
			}
			
			return false;
		},
		update: function(option){
				
		}
	};
	
	$.extend($.bs, {
		postionSystem: function(option){
			var GPS;
			var options = $.extend({}, Geolocation.DEFAULTS, typeof option == 'object' && option);
			
			if( GPS === undefined ){
				GPS = new Geolocation(options);
			}
				
			return GPS;	
		}
	});
}(jQuery, mui, document, window);

(0, function($, m, doc, win){
	var tpl = 
		'<div class="pb-container" >\
			<div class="pb-cover"></div>\
			<div class="pb-buttons"></div>\
		</div>';
	
	var buttonTpl = '<div class="pb-button">{text}</div>';
	
	var u = {};
	
	u.tpl = function(s, o) {
    	var SUBREGEX = /\{\s*([^|}]+?)\s*(?:\|([^}]*))?\s*\}/g;
    	
    	return s.replace ? s.replace(SUBREGEX, function (match, key) {
       		return typeof o[key] === 'undefined' ? match : o[key];
    	}) : s;
	};
	
	var ActionSheet = function(options){
		var options = $.extend({
			buttons: {},
        	inTime: 500,
        	outTime: 500
		}, options);
		
		this.render().update(options.buttons);
	};
	
	ActionSheet.prototype = {
		update: function(buttons){
			var _this = this;
			var buttonContainer = this.el.find('.pb-buttons');
			
			buttonContainer.empty();
			
			buttons['取消'] = this.hide.bind(this);
			
			$.each(buttons, function(k, v){
				var button = u.tpl(buttonTpl, {
					 text: k
				});
				
				buttonContainer.append(button);
			})
			
			this.el.find('.pb-button').on('click', function(){
				var k = $(this).text();
				buttons[k].call(_this);
			})
			
			return this;
		},
		render: function(){
 			this.el = $(tpl)
 			
 			this.el.hide().css({
 				width: $(win).width(),
 				height: $(win).height()
 			})
 			
			$('body').append(this.el);
			
			this.el.find('.pb-cover').on('click', this.hide.bind(this));
			
			return this;
		},
	    show: function(){
	        this.el.show();
	        this.el.addClass('pb-in');
	
	        setTimeout(function(){
	            this.el.removeClass('pb-in');
	        }.bind(this), 350);
	
	        return this;
	    },
	    hide: function(){
	        this.el.addClass('pb-out');
	
	        setTimeout(function(){
	            this.el.removeClass('pb-out').hide();
	        }.bind(this), 300);
	        
	        return this;
	    },
	    show: function(){
	        this.el.show();
	        this.el.addClass('pb-in');
	
	        setTimeout(function(){
	            this.el.removeClass('pb-in');
	        }.bind(this), 350);
	
	        return this;
	    }
	};
	
	$.extend($.bs, {
		actionSheet: function(options){
			return new ActionSheet(options);
		}
	});
}(jQuery, mui, document, window));

(function($, m, doc, win){
	function Pointer(x, y) {
		this.x = x ;
		this.y = y ;
	}

	function Position(left, top) {
		this.left = left ;
		this.top = top ;
	}
		
	function Sortable() {
		this.init.apply(this, arguments);
	}
		
	Sortable.prototype = {
		init: function(el, options){
			this.el = $(el);
			this.box = this.el.parent();
			this.p = this.el.closest('.sortable');
			this.options = options;
			
			this.render();
			this.drag();
		},
		render: function(i){
			var i = this.box.index();
			
			this.el.attr('index', i).css({
				position: 'absolute',
				top: this.box.position().top
			}).appendTo('#sortable');
		},
		start: function(){
			if(this.el.data('isReady')){
				return 
			}
			
			this.el.data('isReady', true) ;
			
			return this;
		},
		stop: function(){
			if(!this.el.data('isReady')){
				return 
			}
			
			this.el.data('isReady', false) ;
			
			return this;
		},
		move: function(callback){
			this.el.stop(true).animate({
				top : this.box.position().top
			}, 500, function() {
				if(callback) {
					callback.call(this) ;
				}
			}) ;
		},
		removeItem: function(){
			this.box.remove();
			this.el.remove();
		},
		addItem: function(){
			
		},
		swap: function(currentItem, direction){
			if(this.moveing) return false ;
			var _this = this;
				
			var directions = {
				normal: function(){
					var saveBox = this.box ;
					this.box = currentItem.data('bs.sortable').box ;
					currentItem.data('bs.sortable').box = saveBox ;
					this.move() ;
					this.el.attr("index", this.box.index()) ;
					currentItem.attr("index", currentItem.data('bs.sortable').box.index()) ;
				}
			}
				
			directions[direction].call(this);
		},
		collisionCheck: function(){
			var direction = null ;
			var _this = this;
				
			this.el.siblings('.item').each(function(){
				if(
					_this.pointer.y > $(this).data('bs.sortable').box.position().top + $('#sortable').offset().top &&
					_this.pointer.y < $(this).data('bs.sortable').box.position().top + $(this).data('bs.sortable').box.height() + $('#sortable').offset().top 
				) {
					direction = "normal" ;
					$(this).data('bs.sortable').swap(_this.el, direction) ;
				}	
			})
		},
		dragMove: function(isHid){
			var data = {};
			
			data.height = (isHid) ? 0 : this.el.height();
			
			this.box.stop().animate(data, 500);
			this.options.dragMove.call(this, isHid);
		},
		dragEnd: function(){
			this.box.remove() ;
			this.el.remove() ;
			
			this.options.dragEnd.call(this);
		},
		drag: function(){
			var _this = this;
			var oldPosition = new Position() ;
			var oldPointer = new Pointer() ;
			var isDrag = false;
			var isDestory = false;
			var currrentItem = null;
			var isAuto = false;
			var timer = null;
			
			function auto() {
				var wst = $(window).scrollTop();
				
				wst = wst + 50;
				
				$('html, body').stop().animate({
					scrollTop: wst
				},300);
				
				var elemT = _this.el.position().top ;
				
				if(elemT >= $(doc).height() - 50){
					clearInterval(timer);
					
					timer = null;
				}
				
				elemT = elemT + 50 ;
				
				_this.el.stop().animate({
					top: elemT
				}, 300);
				
				_this.pointer = new Pointer(_this.el.position().left, _this.el.position().top);
				
				_this.collisionCheck();
			}
			
			this.el.find('.sort-bar').on('touchstart', function(e){
				e.preventDefault() ;
				
				if(!$(this).closest('.item').data('isReady')){
					return ;
				}
				
				oldPosition.left = $(this).closest('.item').position().left ;
				oldPosition.top =  $(this).closest('.item').position().top ;
				var touch = e.originalEvent.changedTouches[0];
				oldPointer.x = touch.pageX ;
				oldPointer.y = touch.pageY ;
				isDrag = true ;
			});
				
			$(document).on('touchmove', function(e){
				var touch = e.originalEvent.changedTouches[0];
				var currentPointer = new Pointer(touch.pageX, touch.pageY) ;
				
				var h = window.innerHeight ||
					document.documentElement.clientHeight ||
					document.body.clientHeight ; 	
					
				if(isDrag) {
					_this.el.css({
						"opacity" : "0.8",
						"z-index" : 999
					}) ;
					
					var top = currentPointer.y - oldPointer.y + oldPosition.top ;
					
					if(
						top >= h - _this.p.offset().top - _this.el.height() + $(window).scrollTop()
					){
						top = h - _this.p.offset().top - _this.el.height() + $(window).scrollTop() ;
						
						if(!timer){
							timer = setInterval(auto, 300);
						}
					} else {
						if(timer){
							clearInterval(timer);
							
							timer = null;
						}
					}
					
					_this.el.css({
						top : top
					}) ;
					
					_this.pointer = currentPointer ;
					
					if (top > _this.el.closest('.sortable').height()) {
						if(!isDestory && _this.options.dragMove){
							isDestory = true ;
							_this.dragMove(isDestory) ;
						}
					} else {
						if(isDestory && _this.options.dragMove){
							isDestory =  false ;
							_this.dragMove(isDestory) ;
						}
						
						_this.collisionCheck();
					}
				}
			});
				
			$(document).on('touchend', function(e){
				if(isDrag){
					isDrag = false ;
					
					if(timer){
						clearInterval(timer);
						timer = null;
					}
					
					if (isDestory && _this.options.dragEnd) {
						_this.dragEnd() ;
					} else {
						 _this.move(function() {
							_this.el.css({
								"opacity" : "1",
								"z-index" : 0
							}) ;
							
						}) ;
					}
				}
			});
		}
	}
		
	function Plugin(option) {
		return this.each(function () {
			var $this = $(this)
			var options = $.extend({}, $this.data(), typeof option == 'object' && option)
			var data  = $this.data('bs.sortable')
			
			if (!data) $this.data('bs.sortable', (data = new Sortable(this, options)))
			if (typeof option == 'string') data[option]();
		})
	}

	var old = $.fn.sortable

	$.fn.sortable            = Plugin
	$.fn.sortable.Constructor = Sortable


		 // Sort NO CONFLICT
		 // =================

	$.fn.sortable.noConflict = function () {
		$.fn.sortable = old
		return this
	}

}(jQuery, mui, document, window));

(function($, m, doc, win){
	function SendSMSCode(){
		this.init.apply(this, arguments);
	}
	
	SendSMSCode.prototype = {
		init: function(el, options){
			this.el = $(el);
			
			this.options = options;
		},
		send: function(){
			var _this = this ;
			
			if(this.el.hasClass('disabled')){
				return ;
			}
			
			this.el.countdown('start');
			
			$.bs.ajax({
				url: ut.netPayUrl + 'sendSMSCodeCommon.do',
				data: this.options.data,
				processResponse: function(res){
					
				},
				selfdefineFailed: function(res){
					if (res.ed !== '' && res.ed !== undefined) {
						var btnArray = ['确定', '详情'];
						
						mui.confirm(res.em, '温馨提示', btnArray, function(e) {
							if(e.index == 1) {
								mui.alert(res.ed);
							}
						});
						
					} else {
						mui.alert(res.em);
					}
					_this.el.countdown('end');
				}
			});
		}
	};
	
	function Plugin(option) {
		return this.each(function() {
			var $this = $(this) ;
			var data = $this.data('bs.sendSMSCode') ;
			var options = typeof option == 'object' && option ;
			
			if(!data) $this.data('bs.sendSMSCode', (data = new SendSMSCode(this, options))) ;
			
			if (typeof option == 'string') data[option]();
		}) ;
	}
	
	
	var old = $.fn.sendSMSCode ;
	
	$.fn.sendSMSCode = Plugin ;
	$.fn.sendSMSCode.Constructor = SendSMSCode ;
	
	$.fn.sendSMSCode.noConflict = function(){
		$.fn.sendSMSCode = old ;
		return this ;		
	}
	
}(jQuery, mui, document, window));


(function($, m, doc, root){
	function sortChinese (arr, dataLeven) {
		// 参数：arr 排序的数组; dataLeven 数组内的需要比较的元素属性
    	/* 获取数组元素内需要比较的值 */
	    
	    function getValue (option) { // 参数： option 数组元素
	    	if (!dataLeven) return option
	    	
	    	var data = option
	     	
	    	dataLeven.split('.').filter(function (item) {
	    		data = data[item] ;
	    	});
	     	
	    	return data + ''
	    }
	    
	    arr.sort(function (item1, item2) {
	    	return getValue(item1).localeCompare(getValue(item2), 'zh-CN');
	    })
  	}
	
	function OrderBy(){
		this.init.apply(this, arguments);
	}
	
	OrderBy.prototype = {
		init: function(el){
			this.el = $(el);
			this.list = [];
			
			this.getArr();
			this._sort();
			this.render();
		},
		getArr: function(){
			var _this = this;
			
			this.el.find('.item').each(function(i){
				var obj = {};
				
				obj.text = $.trim($(this).find('.list-item-body').text());
				_this.list.push(obj);
			});
		},
		render: function(){
			this.el.empty();
			
			var html = '';
			
			$.each(this.list, function(k, v){
				html += '<div class="list-item sortable-handle">\
							<div class="item">\
								<button class="list-item-header btn">\
									<span class="mui-icon-plus mui-icon"></span>\
								</button>\
								<div class="list-item-body">'+ v.text +'</div>\
							</div>\
						</div>' ;
			});
			
			this.el.append(html);
		},
		_sort: function(){
			var _this = this;
			
			sortChinese(_this.list, 'text');
			this.render();
		},
		addItem: function(item){
			this.list.push(item);
			sortChinese(this.list, 'text');
			this.render();
		},
		setPos: function(){
			
		},
		createPos: function(item){
			var _this = this ;
			
			this.list_bk = [] ;
			
			$.each(this.list, function(key, value){
				_this.list_bk.push(value) ;
			}) ;
			
			this.list_bk.push(item)
			sortChinese(this.list_bk, 'text') ;
			
			var i ;
			
			$.each(this.list_bk, function(key, value){
				if (value === item){
					i = key ;
					return false;
				}
			});
			
			var placeholder = '<div class="list-item sortable-handle sortable-state-placeholder state-default"></div>' ;
			
			this.el.find('.list-item').eq(i).before(placeholder);
		},
		clearPos: function(){
			this.el.find('.sortable-state-placeholder').remove();
		}
	};
	
	function Plugin(option) {
		return this.each(function(){
			var $this = $(this)
			var data  = $this.data('bs.orderBy')
			
			if (!data) $this.data('bs.orderBy', (data = new OrderBy(this)))
			if (typeof option == 'string') data[option]();
		})
	}
	
	var old = $.fn.orderBy ;
	
	$.fn.orderBy = Plugin ;
	$.fn.Constructor = OrderBy ;
	
	$.fn.orderBy.noConflict = function(){
		$.fn.orderBy = old
		return this
	} ;
	
}(jQuery, mui, document, this))

var checkBindTypeTwoAcc = {};

(function(q){
	var data = {
		'isBindingTypeTwoAcc': false
	};
	
	q.check = function(successCallback){
		var data1 = {
			customerId: plus.storage.getItem("memberInfoId"),
			memberUUID: plus.storage.getItem("memberUUID"),
			APP_UUID: plus.device.uuid
		};
				
		$.bs.ajax({
			url: ut.netPayUrl + 'acctLevelQueryFee.do',
			data: data1,
			processResponse: function(res){
				data.balanceAvailableRe = res.balanceAvailableRe;
				data.Account = res.Account;
				data.CardNo = res.CardNo;
				data.OrgStn = res.OrgStn;
				data.mobileNo = res.mobileNo;
				data.Count = res.Count;
				data.bankCardType = res.bankCardType;
				
				successCallback && successCallback();
			},	
			wait: false
		});
	};
	
	q.checkTypeTwoAccBySet = function(successCallback){
		var data1 = {
			customerId: plus.storage.getItem("memberInfoId"),
			memberUUID: plus.storage.getItem("memberUUID"),
			APP_UUID: plus.device.uuid
		}
		
		$.bs.ajax({
			url: ut.netPayUrl + 'checkIsSetAcctLevel.do',
			data: data1,
			processResponse: function(res){
				if(res.ec == '00'){
					if(!data.isBindingTypeTwoAcc){
						data.isBindingTypeTwoAcc = true;
					}
					
					successCallback && successCallback();
				} else if(res.ec == '01') {
					if(data.isBindingTypeTwoAcc){
						data.isBindingTypeTwoAcc = false;
					}
				}
			},
			selfdefineFailed: function(res){
				
			},
			wait: false
		});
	};
	
	q.clear = function(){
		if(data.isBindingTypeTwoAcc == true){
			delete data['isBindingTypeTwoAcc'];
		}
	};
	
	q.getData = function () {
		return data;
	};
}(checkBindTypeTwoAcc));


var checkBindTypeThAcc = {};

(function(q){
	var data = {
		'isBindingTypeTwoAcc': false,
		'isBindingTypeThAcc': false
	};
	
	q.checkTypeThAcc = function(successCallback){
		var _this = this;
		
		var data1 = {
			customerId: plus.storage.getItem("memberInfoId"),
			memberUUID: plus.storage.getItem("memberUUID"),
			APP_UUID: plus.device.uuid
		};
		
		$.bs.ajax({
			url: ut.netPayUrl + 'queryAcctFlag.do',
			data: data1,
			processResponse: function(res){
				data.isBindingTypeTwoAcc = res.seAcctFlag ;
				data.isBindingTypeThAcc = res.ThAccFlag ;
				data.secAcct = res.secAcct ;
				data.thAcct = res.thAcct ;
				data.thBalance = res.thBalance ;
				
				if(successCallback !== undefined){
					successCallback.call(_this) ;
				}
			},
			wait: false
		});
	};
	
	q.clear = function(){
		if(data.isBindingTypeTwoAcc == true){
			delete data['isBindingTypeTwoAcc'];
		}
		
		if(data.isBindingTypeThAcc == true){
			delete data['isBindingTypeThAcc'];
		}
	};
	
	q.getData = function () {
		return data;
	};
}(checkBindTypeThAcc));


var zTree = {}; 

(function(z){
	var list = [];
		
	z._getData = function(id, arr ,el){
		var _this = this;
		var childArr = this._getChildData(id, arr, el);
		
		if(childArr.length > 0){
			$.each(childArr, function(k, v){
				var obj = {
					value: v.AddrCode,
					text: v.address
				}
	
				if(el){
					if (el.children) {
						el.children.push(obj);
					} else {
						el.children = [];
						el.children.push(obj);
					}
				}else {
					list.push(obj);
				}
					
				_this._getData(obj.value, arr, obj);
			});
		}
	};
	
	z._getChildData = function(id, arr, el){
		var a = [];
		
		$.each(arr, function(k, v){
			if(el){
				if(v.relationCode.substring(1) === id){
					a.push(v);
				}
			}else {
				if(v.relationCode === id){
					a.push(v);
				}
			}
		})
		return a;
	};
	
	z._getTree = function(){
		return list;
	};
})(zTree);

var choiceDateZone = {};
	
(function(q){
	var res = {};
		
	var now = new Date();
	var nowYear = now.getFullYear();
	var nowMonth = now.getMonth();
	var nowDay = now.getDate();
	var nowDayOfWeek = now.getDay();
		
	nowDayOfWeek = nowDayOfWeek == "0" ? 7 : nowDayOfWeek;
		
	choiceDateZone.getTodayZone = function(){
		if(!res.today){
			res.today = {};
		}
			
		res.today.beginDate = $.bs.format.formatDate(now);
		res.today.endDate = $.bs.format.formatDate(now) ;
	};
		
	choiceDateZone.getSevenDaysZone = function(){
		if(!res.sevenDays){
			res.sevenDays = {};
		}
			
		res.sevenDays.beginDate = $.bs.format.formatDate(new Date(now.getTime() - 7 * 24 * 60 * 60 * 1000));
		res.sevenDays.endDate = $.bs.format.formatDate(now) ;
	};
		
	choiceDateZone.getOneMonZone = function(){
		if(!res.oneMon){
			res.oneMon = {};
		}
			
		res.oneMon.beginDate = $.bs.format.formatDate(new Date(now.getTime() - 30 * 24 * 60 * 60 * 1000));
		res.oneMon.endDate = $.bs.format.formatDate(now) ;
	};
		
	choiceDateZone.getThreeMonZone = function(){
		if(!res.threeMon){
			res.threeMon = {};
		}
			
		res.threeMon.beginDate = $.bs.format.formatDate(new Date(now.getTime() - 90 * 24 * 60 * 60 * 1000));
		res.threeMon.endDate = $.bs.format.formatDate(now) ;
	};
	
	choiceDateZone.getHalfYearZone = function(){
		if(!res.halfYear){
			res.halfYear = {};
		}
			
		res.halfYear.beginDate = $.bs.format.formatDate(new Date(now.getTime() - 6 * 30 * 24 * 60 * 60 * 1000));
		res.halfYear.endDate = $.bs.format.formatDate(now) ;
	};
	
	choiceDateZone.getOneYearZone = function(){
		if(!res.oneYear){
			res.oneYear = {};
		}
			
		res.oneYear.beginDate = $.bs.format.formatDate(new Date(now.getTime() - 12 * 30 * 24 * 60 * 60 * 1000));
		res.oneYear.endDate = $.bs.format.formatDate(now) ;
	};
	
	choiceDateZone.getDate = function(){
		return res;
	}
}(choiceDateZone));

var saveDeviceId = {};

(function(q){
	var data = {};
	
	q.setData = function(option){
		if(typeof option == 'object'){
			for(var i in option){
				data[i] = option[i]
			}
		}
	}
	
	q.save = function(){
		if(data.deviceid == 'undefined'){
			return ;
		}
		
		var data1 = {
			deviceType: data.deviceType,
			deviceid: data.deviceid,
			deviceToken: 'deviceToken',
			mobileNo: plus.storage.getItem('phone'),
			customerId: plus.storage.getItem("memberInfoId"),
			memberUUID: plus.storage.getItem("memberUUID"),
			APP_UUID: plus.device.uuid
		};
		
		$.bs.ajax({
			url: ut.netPayUrl + 'saveDeviceId.do',
			data: data1,
			processResponse: function(res){
			},
			wait: false
		});
	};
}(saveDeviceId));


(function($){
	var Rome=function(){
		this.init.apply(this,arguments)
	}
			
	Rome.prototype={
		init:function(el,options){
			this.el=$(el)
			this.options={}
					
			for(var i in options){
				this.options[i]=options[i]
			}
					
			this.bindEvents()
		},
		bindEvents:function(){
			var _this=this;
			var data={}
			var _data={}
			var x=0
			var isDrag=false
					
			this.el.on('touchstart','.slider',function(event){
				_data.left=data.left
				x=event.originalEvent.targetTouches[0].pageX-$(this).css('transform').replace(/[^0-9\-.,]/g,'').split(',')[4]||0
				isDrag=true
			})
					
			$(document).on('touchmove','.slider',function(event){
				var _that=$(this)
						
				if(isDrag){
					$(this).attr('isAction',true)
					mouseX=event.originalEvent.targetTouches[0].pageX
					_data.left=mouseX-x
					selfW=$(this).width()
					barW=$(this).closest(".shelf-right").width()
							
					if(mouseX-x>0){
						_data.left=0;
					}else if(mouseX-x<barW-selfW){
						_data.left=barW-selfW
					}
							
					setTimeout(function(){
						_that.css({'transform':'translate('+_data.left+'px)'});
						_this.move(_data)
					},15)
							
					data.left=_data.left
				}
						
			})
					
			$(document).on('touchend','.slider',function(event){
				isDrag=false
				data.left=0
			})
					
		},
		move:function(data){
			this.el.find('.slider').css({'transform':'translate('+data.left+'px)'})
		}
	}
			
	function Plugin(option){
		return this.each(function(){
			var $this=$(this)
			var data=$this.data('bs.rome')
			var options=$.extend({},$this.data(),typeof option=="object"&&option)
					
			if(!data){
				$this.data('bs.rome',(data=new Rome(this,options)))
			}
					
			if (typeof option == 'string') {
				data[option]()
			}
		})
	}
			
	var old=$.fn.rome
		
	$.fn.rome=Plugin
	$.fn.rome.Constructor=Rome
			
	$.fn.rome.onConflict=function(){
		$.fn.rome=old
		return this
	}
			
}(jQuery));