/**
 * [ut 创建ut对象 方便代码管理]
 * @type {Object}
 */
(function(w, m) {
	var ut = {};

   //生产
   ut.emallUrl=   "https://buy.ydnsh.com/emall1/"  ;
   ut.netPayUrl = "https://buy.ydnsh.com/netpay1/" ;
   ut.file = "http://60.221.214.6/";//文件服务器
	
	//三分钟清理所有storage值
	/*
	 * [getId 通过id选取元素]
	 * @param  {[string]} id [接收string类型的字符串]
	 * @return {[Object]}    [返回一个对象，该对象对应着文档里]
	 */
	//使用红包+
	ut.redNum=1;
	//获取id
	ut.getId = function(id) {
		return document.getElementById(id);
	};
	/*
	 * [Id 通过id选取元素,加上容错处理,为空返回空的Object]
	 * @param  {[string]} id [接收string类型的字符串]
	 * @return {[Object]}    [返回一个对象，该对象对应着文档里]
	 */
	ut.id = function(id) {
		if(document.getElementById(id)!=null){
			return document.getElementById(id);
		}else{
			return document.createElement("div");
		}
	};
	/**
	 * [getClass 通过class选取元素]
	 * @param  {[string]} ClassName [接收string类型的字符串]
	 * @return {[Object]}           [返回calss集合对象]
	 */
	ut.getClass = function(ClassName) {
		return document.getElementsByClassName(ClassName);
	};
	/**
	 * [getElenemt 通过标签选取元素]
	 * @param  {[element]} element [接收DOM元素标签]
	 * @return {[Object]}         [返回DOM集合对象]
	 */
	ut.getElenemt = function(element, obj) {
		var oId = obj || document;
		return oId.getElementsByTagName(element);
	};
	/**
	 * [getName 通过名字选取元素]
	 * @param  {[string]} Name [接收name的值]
	 * @return {[Attribute]}      [返回NodeList集合对象]
	 */
	ut.getName = function(name) {
		return document.getElementsByName(name);
	};
	/**
	 * [getquery 通过calss选择器选择元素，正在测试中...]
	 * @param  {[string]} selectors [接收calss选择器 ]
	 * @return {[selectors]}           [返回NodeList集合对象]
	 */
	ut.getQuery = function(selectors) {
			return document.querySelectorAll(selectors)
		}
		/**
		 * [getAttr 通过对象获取属性]
		 * @param  {[string]} attr [自定义属性名]
		 * @param  {[Object]} obj  [元素对象]
		 * @return {[type]}      [value]
		 */
	ut.getAttr = function(obj, attr) {
		return obj.getAttribute(attr);
	};
	/**
	 * [setAttr 通过对象设置属性]
	 * @param {[string]} attr [自定义属性名]
	 * @param {[Object]} obj  [元素对象]
	 * @param {[string]} val  [需要设置的属性值]
	 */
	ut.setAttr = function(obj, attr, val) {
		return obj.setAttribute(attr, val)
	};

	ut.removeAttr = function(obj, attr) {
		return obj.removeAttribute(attr);
	};
	/*	ut.fly = function( fly ){
			if( typeof fly == "string" ){
					var attr = fly.substr(0,1);
				if( attr == "#" || attr == "." ){
					return document.querySelectorAll( fly );
				}else if( attr == "<" ){
					return document.createElement( fly );
				}else{
					return document.getElementsByTagName( fly );
				};
			};

		};*/
	ut.getExtras = function(arrayList) {
		m.plusReady(function() {
			var p = plus.webview.currentWebview();
			for (var i = 0; i < arrayList.length; i++) {
				for (var j = 0; j < ut.getName(arrayList[i]).length; j++) {
					if (ut.getName(arrayList[i]).item(j) != null) {
						if (p[arrayList[i]] != undefined) {
							ut.getName(arrayList[i]).item(j).innerHTML = p[arrayList[i]];
						}
					}
				}
			}
		});
	};
	ut.getExtrasForJson = function(arrayList) {
		var extras = {};
		var p = plus.webview.currentWebview();
		for (var i = 0; i < arrayList.length; i++) {
			if (p[arrayList[i]] != undefined) {
				extras[arrayList[i]] = p[arrayList[i]];
			} else {
				extras[arrayList[i]] = "";
			}

		}
		return extras;
	};

	//Description:  银行卡号Luhm校验 
		//Luhm校验规则：16位银行卡号（19位通用）: 
		// 1.将未带校验位的 15（或18）位卡号从右依次编号 1 到 15（18），位于奇数位号上的数字乘以 2。
		// 2.将奇位乘积的个十位全部相加，再加上所有偶数位上的数字。 
		// 3.将加法和加上校验位能被 10 整除。
	ut.checkBankNo = function (bankno) {
		if(bankno.length < 16 || bankno.length > 22) {
			return false;
		}
		var num = /^\d*$/; //全数字
		if(!num.exec(bankno)) {
			return false;
		}
		var sum = 0;
		var count = 0;
		var num = 0;
		for(var i=bankno.length-1;i>=0;i--){
			num = parseInt(bankno.charAt(i));
			count++ ;
				if(count%2==0){
					num = num*2;
					if(num>9){
						num=num%10+Math.floor(num/10);
					}
				}
			sum=sum+num;
		}
		if(sum%10==0){
			return true;
		}else{
			return false;
		}
	}	
	//姓名校验
	ut.checkName = function(name){
		return /^([\u4e00-\u9fa5|·]{2,20})$/.test(name);
	}
	//身份证号检验
	ut.checkIdNo = function (value) {
		if (value == null || value == "") {
				return true;
		}
		var length = value.length;
		if (length != 15 && length != 18) {
			return false;
		}
		var year = null;
		var month = null;
		var day = null;
		if (length == 18) {//18位身份证号
			var reg = /^([0-9]{17})([0-9|x|X])$/;
			var checkres = reg.test(value);
			if (!checkres) {
				return false;
			}
			year = value.substring(6, 10);
			month = value.substring(10, 12);
			day = value.substring(12, 14);
		}
		var dateObj = new Date(year, month - 1, day);
		if (isNaN(dateObj)) {
			return false;
		}
		//修改parserInt('08')=0,parserInt('09')=0引起的校验失败问题
		if ((parseInt(day,10) != parseInt(dateObj.getDate(),10))
				|| (parseInt(month,10) != parseInt((dateObj.getMonth() + 1),10))) {
			return false;
		}
		if (length == 18) {
			var wi = [ 7, 9, 10, 5, 8, 4, 2, 1, 6, 3, 7, 9, 10, 5, 8, 4, 2 ];
			var verifyCodeList = [ "1", "0", "x", "9", "8", "7", "6", "5", "4",
					"3", "2" ];
			var totalCode = 0;
			for ( var k = 0; k < 17; k++) {
				totalCode += value.substring(k, k + 1) * wi[k];
			}
			var code = verifyCodeList[totalCode % 11];
	
			//针对code为'x'，value最后一位为'X'的情况
			if(code == "x" && value.substring(17, 18)=="X"){
				return true;
			}
			if (code != value.substring(17, 18)) {
				return false;
			}
		}
		return true;
	}
		
	ut.setExtras = function(url, id, extras) {
		m.openWindow({
			url: url,
			id: id,
			extras: extras,
			waiting: {
				autoShow: false
			}
		});
	};
	//20170209转换2017-02-12
	ut.date_time = function(date_timer,str) {
		if(!str){
			str='-'
		}
			var year_day = date_timer.substring(0, 4) + str + date_timer.substring(4, 6) + str + date_timer.substring(6, 8);
			return year_day;
		}
		//2017-02-32转换20121121
	ut.time_date = function(date_timer) {
		var yearday = date_timer.split('-')[0] + date_timer.split('-')[1] + date_timer.split('-')[2];
		return yearday;
	}

	/**
	 * [ajax 跨域请求]
	 * @param  {[string]} attr [自定义属性名]
	 * @param  {[Object]} obj  [元素对象]
	 * @return {[type]}      [value]
	 */
	//有加载效果
	ut.ajax = function(url, params, oJson, type, successCallback, fallCallback) {
		plus.nativeUI.showWaiting();
		var getORpost = type || "post";
		var eg = params || {};
		eg.a="1";
		var oJson = oJson || "json";
		eg.memberUUID=plus.storage.getItem("memberUUID");
		eg.APP_UUID=plus.device.uuid;
		
		
		m.ajax(url, {
			headers: {
				'APP_UUID': plus ? plus.device.uuid : '',
				'PLATFORM': plus ? plus.os.name : ''
			},
			data: eg,
			dataType: oJson, //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			timeout: 60000, //超时时间设置为50秒
			crossDomain: true, //强制5+跨域
			success: function(data) {
				plus.nativeUI.closeWaiting();
				if(ut.limitLogin(data)){
					return
				}
				successCallback(data);
			},
			error: function(xhr, type, errorThrown) {
				plus.nativeUI.closeWaiting();
				//异常处理； 
				console.log(type + '_post_' + url);
				if( plus.networkinfo.getCurrentType() == plus.networkinfo.CONNECTION_NONE ){
					plus.nativeUI.toast("亲，断网了，请检查网络连接",{duration:"long"});
				}else{
					mui.toast('连接超时', undefined, '山西农信');
				}				
				if (fallCallback) {
					fallCallback();
				}
			}
		});
		setTimeout(function(){
		 plus.nativeUI.closeWaiting();
		},6000)
	}
	//没有加载效果
    ut.ajax1 = function(url, params, oJson, type, successCallback, fallCallback) {
		var getORpost = type || "post";
		var eg = params || {};
		eg.a="1";
		var oJson = oJson || "json";
		eg.APP_UUID=plus.device.uuid;
		eg.memberUUID=plus.storage.getItem("memberUUID");
		m.ajax(url, {
			headers: {
				'APP_UUID': plus ? plus.device.uuid : '',
				'PLATFORM': plus ? plus.os.name : '',
				'appid':'ydApp'//用于一码付
			},
			data: eg,
			dataType: oJson, //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			traditional:true,
			timeout: 60000, //超时时间设置为50秒
			crossDomain: true, //强制5+跨域
			success: function(data) {
				plus.nativeUI.closeWaiting();
				if(ut.limitLogin(data)){
					return 
				};
				successCallback(data);
			},
			error: function(xhr, type, errorThrown) {
				plus.nativeUI.closeWaiting();
				//异常处理； 
				console.log(type + '_post_' + url);
				if( plus.networkinfo.getCurrentType() == plus.networkinfo.CONNECTION_NONE ){
					plus.nativeUI.toast("亲，断网了，请检查网络连接",{duration:"long"});
				}else{
					mui.toast('连接超时', undefined, '山西农信');
				}				
				if (fallCallback) {
					fallCallback();
				}
			}
		});
	}
   
   
   /**
    * 对象方式使用
	 * [$.ajax 请求]
	 * @param  url	  请求地址
	 * @param  data   上送参数
	 * @param success 成功回调
	 */
    ut.ajax2 = function(url_data_success) {
    	url_data_success.data=url_data_success.data||{};
    	url_data_success.data.APP_UUID=plus.device.uuid;
		url_data_success.data.memberUUID=plus.storage.getItem("memberUUID");
		m.ajax(url_data_success.url, {
			headers: {
				'APP_UUID': plus ? plus.device.uuid : '',
				'PLATFORM': plus ? plus.os.name : '',
				'appid':'ydApp'//用于一码付
			},
			data: url_data_success.data,
			dataType: url_data_success.dataType||"json", //服务器返回json格式数据
			type: url_data_success.type||"post", //HTTP请求类型
			timeout: 60000, //超时时间设置为50秒
			crossDomain: true, //强制5+跨域
			async:url_data_success.async||true,
			//contentType:url_data_success.contentType||"application/x-www-form-urlencoded",
   			processData:url_data_success.processData||true,
			success: function(data) {
				plus.nativeUI.closeWaiting();
				if(ut.limitLogin(data)){
					return ;
				}
				url_data_success.success(data);
			},
			error: function(xhr, type, errorThrown) {
				plus.nativeUI.closeWaiting();
				//异常处理； 
				console.log(type + '_post_' + url);
				if( plus.networkinfo.getCurrentType() == plus.networkinfo.CONNECTION_NONE ){
					plus.nativeUI.toast("亲，断网了，请检查网络连接",{duration:"long"});
				}else{
					mui.toast('连接超时', undefined, '山西农信');
				}				
				if (url_data_success.error) {
					url_data_success.error();
				}
			}
		});
		setTimeout(function(){
		 plus.nativeUI.closeWaiting();
		},6000)
	}
	ut.plusReady = function() {
		// Android处理返回键
		plus.key.addEventListener('backbutton', function() {
			back();
		}, false);
	};
	//返回首页
	ut.return_index = function() {
		var first_in = plus.webview.getWebviewById('index');
		var index_1 = plus.webview.getWebviewById('views/main/main.html');
		var index_2 = plus.webview.getWebviewById('views/main/cart.html');
		var index_3 = plus.webview.getWebviewById('views/main/mine.html');
		var index_4 = plus.webview.getWebviewById('views/main/sort.html');
		var index_5 = plus.webview.getWebviewById('views/mall/mall.html');
		var wvs = plus.webview.all();
		
		var cv = plus.webview.currentWebview();
		
		for (var i = 0; i < wvs.length; i++) {
			if (
				wvs[i] == first_in ||
				wvs[i] == index_1 ||
				wvs[i] == index_2 ||
				wvs[i] == index_3 ||
				wvs[i] == index_4 || 
				wvs[i] == index_5 ||
				wvs[i] == cv
			) {
				//alert(2)
			} else {
				plus.webview.close(wvs[i]);
			}
		}
		
		
		if(
			cv.id != 'index' &&
			cv.id != 'views/main/main.html' &&
			cv.id != 'views/main/sort.html' &&
			cv.id != 'views/main/cart.html' &&
			cv.id != 'views/main/mine.html'
		){
			setTimeout(function(){
				plus.webview.close(cv.id, "none");
			}, 500);
		}
	}
	//返回信用卡首页
	ut.return_cre = function() {
		var first_in = plus.webview.getWebviewById('index');
		var index_1 = plus.webview.getWebviewById('views/main/main.html');
		var index_2 = plus.webview.getWebviewById('views/main/cart.html');
		var index_3 = plus.webview.getWebviewById('views/main/mine.html');
		var index_4 = plus.webview.getWebviewById('views/main/sort.html');
		var index_6 = plus.webview.getWebviewById('views/mall/mall.html');
		var index_5 = plus.webview.getWebviewById('creditCardCenter');
		var wvs = plus.webview.all();
		var cv = plus.webview.currentWebview();
		
		for (var i = 0; i < wvs.length; i++) {
			if (
				wvs[i] == first_in ||
				wvs[i] == index_1 ||
				wvs[i] == index_2 ||
				wvs[i] == index_3 ||
				wvs[i] == index_4 ||
				wvs[i] == index_5 || 
				wvs[i] == index_6 ||
				wvs[i] == cv
			) {
				//alert(2)
			} else {
				plus.webview.close(wvs[i]);
			}
		}
		
		if(
			cv.id != 'index' &&
			cv.id != 'views/main/main.html' &&
			cv.id != 'views/main/sort.html' &&
			cv.id != 'views/main/cart.html' &&
			cv.id != 'views/main/mine.html' &&
			cv.id != 'creditCardCenter'
		){
			setTimeout(function(){
				plus.webview.close(cv.id, "none");
			}, 500);
		}
	}
	//返回钱包首页
	ut.return_wallet = function() {
		var first_in = plus.webview.getWebviewById('index');
		var index_1 = plus.webview.getWebviewById('views/main/main.html');
		var index_2 = plus.webview.getWebviewById('views/main/cart.html');
		var index_3 = plus.webview.getWebviewById('views/main/mine.html');
		var index_4 = plus.webview.getWebviewById('views/main/sort.html');
		var index_5 = plus.webview.getWebviewById('wallet');
		var index_6 = plus.webview.getWebviewById('views/mall/mall.html');
		var wvs = plus.webview.all();
		var cv = plus.webview.currentWebview();
		
		for (var i = 0; i < wvs.length; i++) {
			if (
				wvs[i] == first_in ||
				wvs[i] == index_1 ||
				wvs[i] == index_2 ||
				wvs[i] == index_3 ||
				wvs[i] == index_4 || 
				wvs[i] == index_5 || 
				wvs[i] == index_6 ||
				wvs[i] == cv
			) {
				//alert(2)
			} else {
				plus.webview.close(wvs[i]);
			}
		}
		
		if(
			cv.id != 'index' &&
			cv.id != 'views/main/main.html' &&
			cv.id != 'views/main/sort.html' &&
			cv.id != 'views/main/cart.html' &&
			cv.id != 'views/main/mine.html' &&
			cv.id != 'wallet'
		){
			setTimeout(function(){
				plus.webview.close(cv.id, "none");
			}, 500);
		}
	}
	//提示
	ut.toast = function(message,time) {
		if (mui.os.plus) {
			//默认显示在底部；
			mui.plusReady(function() {
				plus.nativeUI.toast(message, {
					verticalAlign: 'bottom'
				});
			});
		} else {
			var toast = document.createElement('div');
			toast.classList.add('mui-toast-container');
			toast.innerHTML = '<div class="' + 'mui-toast-message' + '">' + message + '</div>';
			document.body.appendChild(toast);
			setTimeout(function() {
				document.body.removeChild(toast);
			}, time);
		}
	};
	w.ut = ut;
	//限制登录
	function add_sc(){	
		mui.plusReady(function(){
			if(plus.storage.getItem("memberInfoId")){
				document.addEventListener('touchstart',function(){
		   	    	var date=new Date();	   	 
		   	    	var present_time=date.getTime();
		   	    	if(localStorage.time){
		   	    		var interval=present_time-localStorage.time;
			   	 		if(interval>1800000){
			   	 			localStorage.time=undefined;
			   	 			plus.storage.removeItem('memberInfoId');
			   	 			ut.return_index();
			   	 			mui.fire(plus.webview.getWebviewById("views/main/mine.html"),"reflash");
			   	 		}else{
			   	 			localStorage.time=present_time
			   	 		}
			   	 	}else{
			   	 		localStorage.time=present_time;
			   	 	}
			   	})
			}
	  	})	   
	}
	//add_sc();
	//限制用户单一位置登录,，根据返回代码执行是否清除登录信息并提示异地登录,
	//if(ut.limitLogin(data)){ut.setExtras("/views/login/login.html", "login", {});plus.webview.getWebviewById('views/main/mine.html').reload();return;}
	//把上面这行代码放置在ajax success回调中
	ut.limitLogin = function(data){
		//需要清除并提示
		if(data!=null && undefined!=data.loginCode){
			plus.storage.removeItem("memberInfoId");
			plus.storage.removeItem("memberUUID");
			
			if(data.loginCode=="1"){
				mui.alert("您的账号在另一地点登录，您被迫下线\n请重新登录\n登录时间："+data.time,"温馨提示");
				mui.fire(plus.webview.getWebviewById('views/main/mine.html'),'reflash');
				ut.return_index();
				
			}else if(data.loginCode=="2"){
				mui.alert("您没有登录或长时间未操作，请先登录","温馨提示");
				mui.fire(plus.webview.getWebviewById('views/main/mine.html'),'reflash');
				//mui.fire(plus.webview.getWebviewById('views/main/mine.html'),'reflash34');
				ut.return_index();
			}else if(data.loginCode=="3"){
				mui.alert("登录环境发生改变\n原登录ip："+data.oldip+"\n现在访问ip："+data.ip+"\n为了您的账户安全请重新登录","温馨提示");
				mui.fire(plus.webview.getWebviewById('views/main/mine.html'),'reflash');
				ut.return_index();
			}
			return 1;
		}else{
			return 0;
		}
	};
})(window, mui);


var clim = (function(){//亮度控制 孙浩宇
   function Clim(){
		this.init.apply(this, arguments)
	}
			
	Clim.prototype = {
		init: function(){
			this.clim = "";
		},
		getValue: function(){
			if(!this.clim){
				this.clim = plus.screen.getBrightness();
			}
		},
		setMax: function(){
			plus.screen.setBrightness(1);
		},
		_reset: function(){
			if(this.clim >= 1 || this.clim <= 0.372){
				this.clim = 0.618;
			}else{
				
			}
			plus.screen.setBrightness(this.clim);
		}
	}
			
	var unique;
			
	function changeClim(){
		if( unique === undefined ){
			unique = new Clim();
		}
				
		return unique;
	}
			
	return {
		changeClim: changeClim
	}
})();


var spyWDL = function(){//检测微动力
	return {
		_enter: function(){
			var ajaxUrl = ut.netPayUrl
			
			$.bs.ajax({
				url: ut.netPayUrl + 'queryYDCardNum.do',
				data: {
					"customerId": plus.storage.getItem("memberInfoId"),
					"memberUUID":plus.storage.getItem("memberUUID"),
					"APP_UUID": plus.device.uuid
				},
				processResponse: function(res){
					if (res.ec=="0") {
						if(res.boundCardNum == '0'){
							localStorage.setItem("isShowWDL","");
						}else{
							localStorage.setItem("isShowWDL","1");
						}
						
					}
					mui.fire(plus.webview.getWebviewById('views/main/main.html'),'reflashview');
					
				},	
				wait: false
			})
		},
		_out: function(){
			localStorage.setItem("isShowWDL", "");
			mui.fire(plus.webview.getWebviewById('views/main/main.html'),'reflashview');
		}
	}
}


var spyYSX = function(){
	
	
	return {
		_enter: function(){
			var ajaxUrl = ut.netPayUrl
			$.bs.ajax({
				url: ut.netPayUrl + 'queryYSXCardNum.do',
				data: {
					"customerId": plus.storage.getItem("memberInfoId"),
					"memberUUID":plus.storage.getItem("memberUUID"),
					"APP_UUID": plus.device.uuid
				},
				processResponse: function(res){
					if (res.ec=="0") {
						if(res.boundCardNum == '0' || res.boundCardNum === undefined){
							localStorage.setItem("isShowYSX","");
						}else{
							localStorage.setItem("isShowYSX","1");
						}
						
					}
					mui.fire(plus.webview.getWebviewById('views/main/main.html'),'reflashview');
					
				},	
				wait: false
			})
		},
		_out: function(){
			localStorage.setItem("isShowYSX", "");
			mui.fire(plus.webview.getWebviewById('views/main/main.html'),'reflashview');
		}
	}
}


function Countdown(){
	this.init.apply(this, arguments);
}
	    
Countdown.prototype = {
	init: function(el, options){
		this.el = document.getElementById(el) || "";
	    this.timer = null;
	    		
	    this.options = {
			'seconds': 60
		};
			
		for (var i in options){
			this.options[i] = options[i];
		}
	},
	start: function(){
		var _this = this;

	    if(this.timer){
			clearInterval(this.timer);
			this.timer = null;
		}

		var seconds = this.options.seconds;
	    		
		var auto = function(){
			if(!_this.el.getAttribute('disabled')){
				_this.el.setAttribute('disabled','disabled')
			}
					
			seconds = seconds - 1;
					
			_this.el.innerText = seconds + 's重新发送'	;
			if(seconds <= 0){
				_this._reset();
			}
		}
				
		
				
		_this.timer = setInterval(auto,1000)
	},
	_reset: function(){
		if(this.timer){
			clearInterval(this.timer);
			this.timer = null;
		}
	    		
		if(this.el.getAttribute('disabled')){
			this.el.removeAttribute('disabled');
		}
				
		this.el.innerText = '获取验证码	';
	}
};

