(function($, m){
	mui.init({
		swipeBack: true //启用右滑关闭功能
	});
	
	function sendSMS(phoneNum) {
		if(!$('#sendSMSBtn').countdown('start')){
			return ;
		};
		
		var data = {
			"mobileNo": phoneNum,
			"tranCode": "ME101003",
			"messageType": 'changeDeviceInfo',
			'customerId': plus.storage.getItem("memberInfoId"),
			'memberUUID': plus.storage.getItem("memberUUID"),
			'APP_UUID': plus.device.uuid
		};
		
		$.bs.ajax({
			url: ut.netPayUrl+'sendSmsCode.do',
			data: data,
			processResponse: function(res){
				if(res.ec != '0'){
					$('#sendSMSBtn').countdown('end');
					m.alert(res.em);
				}
			},
			selfdefineFailed: function(res){
				
			}
		});
	}
	
	function sendData(option) {
		var data = {
			'mobileNo': option.phoneNum,
			'SMSCode': option.SMSCode,
			'customerId': plus.storage.getItem("memberInfoId"),
			'memberUUID': plus.storage.getItem("memberUUID"),
			'APP_UUID': plus.device.uuid
		};
		
		$.bs.ajax({
			url: ut.emallUrl+"FrontLogonCtrlAction_mobileAuthorize",
			data: data,
			processResponse: function(res){
				mui.fire(plus.webview.getWebviewById('login'),'reflash');
				setTimeout(function(){
					plus.webview.close(plus.webview.currentWebview());
				}, 500);
			}
		});
	}
	
	function _ready(){
		var ws; 
		
		if(m.os.plus){
			ws = plus.webview.currentWebview();
		}
		
		
		if(m.os.plus){
			phoneNum = ws.phone.indexOf('*')!=-1 ? plus.storage.getItem("phone") : ws.phone ;
		}
		
		$('#SMSCode').validator();
		
		$('#sendSMSBtn').on('tap', function(){
			sendSMS(phoneNum);
		});
		
		$('#sendData').on('tap', function(){
			if(!$('#SMSCode').data('bs.validator').check().passed){
				return ;
			}
			
			var data = {
				phoneNum: phoneNum,
				SMSCode: $('#SMSCode').val()
			};
			
			sendData(data);
		})
	}
	
	if(m.os.plus){
		m.plusReady(_ready);
	}else{
		m.ready(_ready);
	}
}(jQuery, mui));