(function($,m,win,doc){
	var isWebApp;
	
	if(m.os.plus){
		isWebApp=true;
	}else{
		isWebApp=false;
	}
	
	function getMax2(str){
		var arr = [];
			
		arr = str.split(',');
		arr = arr.sort(function(a,b){
			return b-a;
		})
		
		return arr[0];
	}
	function getMin(str){
		var arr = [];
			
		arr = str.split(',');
		arr = arr.sort(function(a,b){
			return a-b;
		})
		
		return arr[0];
	}
	var vn = new Vue({
		el:'#vn',
		data:{
			list:[],
			list_bk:[],
			len:"isBegin"
		},
		methods:{
			init:function(_endPos,callback){
				var ip = ut.emallUrl;
				var _this = this;
				var data = {
					turnPageBgnPos:_endPos
				}
				
				if(plus.storage.getItem("memberInfoId")){
					data.memberInfoId = plus.storage.getItem("memberInfoId");
				}
				
				$.bs.ajax({
					url:ip+"front/FrontFinanceListAction_financeListQuery",
					//url:"../../json/financeListQuery.json",
					data:data,
					type:"get",
					processResponse:function(res){
						if(res.errorCode=="000000"){
							$.each(res.idateList,function(k,v){
								var interval_income;
								var preAnnualRate1;
								
								if(v.INCOME_ROLE=="00"){
									interval_income = v.AMT_INTERVAL_INCOME;
									preAnnualRate1 = parseFloat(v.AMT_INTERVAL_INCOME*100).toFixed(2)+"%"
								}else if(v.INCOME_ROLE=="10"){
									interval_income = getMax2(v.AMT_INTERVAL_INCOME);
									preAnnualRate1 = parseFloat(getMin(v.AMT_INTERVAL_INCOME)*100).toFixed(2)+'%~'+parseFloat(getMax2(v.AMT_INTERVAL_INCOME)*100).toFixed(2)+'%';
								}else if(v.INCOME_ROLE=="20"){
									interval_income = getMax2(v.TIME_INTERVAL_INCOME);
									preAnnualRate1 = parseFloat(getMin(v.TIME_INTERVAL_INCOME)*100).toFixed(2)+'%~'+parseFloat(getMax2(v.TIME_INTERVAL_INCOME)*100).toFixed(2)+'%';
								}
								
								if(!v.interval_income){
									v.interval_income = interval_income;
								}
								
								if(!v.preAnnualRate1){
									v.preAnnualRate1 = preAnnualRate1;
								}
								
								_this.list.push(v);
							})
							$.each(res.idateList,function(k,v){
								var interval_income;
								var preAnnualRate1;
								
								if(v.INCOME_ROLE=="00"){
									interval_income = v.AMT_INTERVAL_INCOME;
									preAnnualRate1 = parseFloat(v.AMT_INTERVAL_INCOME*100).toFixed(2)+"%";
								}else if(v.INCOME_ROLE=="10"){
									interval_income = getMax2(v.AMT_INTERVAL_INCOME);
									preAnnualRate1 = parseFloat(getMin(v.AMT_INTERVAL_INCOME)*100).toFixed(2)+'%~'+parseFloat(getMax2(v.AMT_INTERVAL_INCOME)*100).toFixed(2)+'%';
								}else if(v.INCOME_ROLE=="20"){
									interval_income = getMax2(v.TIME_INTERVAL_INCOME);
									preAnnualRate1 = parseFloat(getMin(v.TIME_INTERVAL_INCOME)*100).toFixed(2)+'%~'+parseFloat(getMax2(v.TIME_INTERVAL_INCOME)*100).toFixed(2)+'%';
								}
								if(!v.interval_income){
									v.interval_income = interval_income;
								}
								if(!v.preAnnualRate1){
									v.preAnnualRate1 = preAnnualRate1;
								}
								
								_this.list_bk.push(v);
							})
							
							vn.len = parseInt(res.turnPageTotalQnt)
							
							if(callback){
								callback();
							}
						}
					}
				})
			},
			sortItem:function(arr,attr,asc){
				
				if(asc){
					for (var i=0; i<arr.length; i++) {
						for (var j=0; j<arr.length-i-1; j++) {
							if(Number(arr[j][attr])>Number(arr[j+1][attr])){
								var swap=arr[j];
								arr[j]=arr[j+1];
								arr[j+1]=swap;
							}
						}
					}
				}else{
					for (var i=0; i<arr.length; i++) {
						for (var j=0; j<arr.length-i-1; j++) {
							if(Number(arr[j][attr])<Number(arr[j+1][attr])){
								var swap=arr[j];
								arr[j]=arr[j+1];
								arr[j+1]=swap;
							}
						}
					}
				}
				return arr;
			},
			resetItem:function(){
				var arr = [];
				$.each(this.list_bk,function(k,v){
					arr.push(v);
				});
				
				return arr;
			},
			openWind:function(obj){
				ut.setExtras('../financial/financialInfo.html', 'financialInfo', {			
					list_arry:obj,
				});
			},
			removeSortClass:function(){
				$('#sort_btn').find('.btn').each(function(){
					if($(this).hasClass('asc')){
						$(this).removeClass('asc');
					}
					
					if($(this).hasClass('desc')){
						$(this).removeClass('desc');
					}
					
				})
				
				var list = [];
				vn.list = [];
				list =this.resetItem();
				$.each(list,function(k,v){
					vn.list.push(v);
				})
			}
		}
	})
	
	function _ready(){
		
		var deceleration = mui.os.ios?0.003:0.0009;
		
		mui('.mui-scroll-wrapper').scroll({
			bounce:false,
			indicators:false, //是否显示滚动条
			deceleration:deceleration
		});
		
		var endPos = 0;
		
		var options={
			up: {
				callback: function() {
					var self = this;
					var isMore = false;
					
					if(vn.len!="isBegin" && vn.len == vn.list_bk.length){
						isMore = true;
					}
					
					setTimeout(function() {
						if(isMore){
							self.endPullUpToRefresh();
							$('.mui-pull-loading').text('没有更多数据了');
						}else{
							endPos=endPos+1;
							
							vn.init(endPos,function(){
								self.endPullUpToRefresh();
								vn.removeSortClass();
							})
						}
					},1000);
				}
			}
		}
	
		var pullToRefresh=mui('#pullrefresh').pullToRefresh(options)
		pullToRefresh.pullUpLoading();
		
		window.addEventListener('loaderFinaList',function(){
			
			endPos = 0;
			
			vn.list=[];
			vn.list_bk=[];
			
			setTimeout(function(){
				pullToRefresh.pullUpLoading();
			},300)
	   	});
		
		$('#sort_btn').find('.btn').on('click',function(event){
			event.preventDefault();
			var attr = $(this).attr('data-val');
			var list = [];
			if(!$(this).hasClass("asc")&&!$(this).hasClass("desc")){
				$(this).addClass("asc");
				list = vn.sortItem(vn.list,attr,true);
			}else if($(this).hasClass("asc")&&!$(this).hasClass("desc")){
				$(this).removeClass("asc").addClass("desc");
				list = vn.sortItem(vn.list,attr,false);
			}else if(!$(this).hasClass("asc")&&$(this).hasClass("desc")){
				$(this).removeClass("desc");
				list = vn.resetItem();
			}
			
			$(this).parents('.shelf-item').siblings('.shelf-item').find('.btn').removeClass('desc').removeClass('asc');
			
			vn.list = [];
			$.each(list,function(k,v){
				vn.list.push(v);
			})
		})
	}
	
	m.init({
		swipeBack: true //启用右滑关闭功能
	});
	
	if(isWebApp){
		mui.plusReady(function(){
			_ready();
		});
	}else{
		mui.ready(function(){
			_ready();
		});
	}
})(jQuery,mui,window,document)
