(function(m, $) {
	mui.init({
		swipeBack: true //启用右滑关闭功能
	});
	var eg = {};
	eg.init = function() {
		eg.gallery();
	};
	eg.gallery = function() {
		var gallery = mui('.mui-slider');
		gallery.slider({
			interval: 3000 //自动轮播周期，若为0则不自动播放，默认为0；
		});
	};
	eg.init();

	//是否帮过卡，是否登录
	function isNext() {
		var memberInfoId = plus.storage.getItem('memberInfoId');
		var certNo = plus.storage.getItem('certNo');
		if(!memberInfoId) {
			mui.toast("您尚未登录");
			ut.setExtras("../login/login.html", "login", {});
			return false;
		};
		if(!certNo) {
			ut.toast('尚未进行实名认证，请先绑定银行卡', 4000);
			return false;
		};
		return true;
	}

	mui.plusReady(function() {
		//首页进入二维码扫描

		//隐藏遮罩

		function hide_popover() {
			if(ut.getId('popover') && ut.getId('popover').style.display == 'block') {
				ut.getId('popover').style.display = 'none';
				ut.getId('popover').classList.remove('mui-active');

				var backdrop = document.getElementsByClassName('mui-backdrop')[0];

				document.body.removeChild(backdrop);
			}
		}
		mui(document).on('tap', '#barcodeScan', function() {
			var memberInfoId = plus.storage.getItem('memberInfoId');

			if(!memberInfoId) {
				mui.toast("您尚未登录");
				ut.setExtras("../login/login.html", "login", {});
				return false;
			}

			ut.setExtras("../wallet/barcode_scan.html", "barcode_scan", {});
		})

		//首页进入收付款页面
		mui(document).on('tap', '#payReceive', function() {
			hide_popover();
			if(isNext()) {
				mui.openWindow({
					url: "../wallet/pay_received.html",
					id: "pay_received",
				});
			}
		})

		//首页进入扫一扫页面
		mui(document).on('tap', '#barcode_scan', function() {
			hide_popover();
			if(isNext()) {
				mui.openWindow({
					url: "../wallet/barcode_scan.html",
					id: "barcode_scan"
				});
			}
		})
		//首页进入帮助中心页面
		mui(document).on('tap', '#helpCenter', function() {
			hide_popover();
			mui.openWindow({
					url: "../helpCenter/helpCenter.html",
					id: "helpCenter",
					extras: {
					}
				});
		})
		mui(document).on('tap', '#customer', function() {
			hide_popover();
			mui.openWindow({
				url: "customerSer.html",
				id: "customerSer",
				extras: {
					turnflag:'S'
				}
			});
		})
		mui(document).on('tap', '#customerImg', function() {
			mui.openWindow({
				url: "customerSer.html",
				id: "customerSer",
				extras: {
					turnflag:'S'
				}
			});
		})
		// 首页进入缴费页面
		//付款码
		if(ut.getId("payBarcode") != null)
			ut.getId("payBarcode").addEventListener("tap", function() {
				if(isNext()) {
					mui.openWindow({
						url: "../wallet/pay.html",
						id: "pay"
					});
				}
			});
		//收款
		mui(document).on('tap', '#receiveMoney', function() {
			if(isNext()) {
				mui.openWindow({
					url: "../wallet/received.html",
					id: "received"
				});
			}
		})
		//信用卡
		if(ut.getId("creditCard") != null)
			ut.getId("creditCard").addEventListener("tap", function() {
				var memberInfoId = plus.storage.getItem('memberInfoId');
				if(!memberInfoId) {
					mui.toast("您尚未登录");
					ut.setExtras("../login/login.html", "login", {});
					return false;
				}
				mui.openWindow({
					url: "../creditCard/creditCardCenter.html",
					id: "creditCardCenter"
				});
			});
		//生活缴费
		if(ut.getId("lifeCharge") != null)
			ut.getId("lifeCharge").addEventListener("tap", function() {
				mui.fire(plus.webview.getWebviewById('index'), 'golife');
			});
		//点击底部隐藏遮罩
		window.addEventListener('reflash', function(event) {
			hide_popover();
		})
	})
})(mui, jQuery)