(function($, m){
	var isWebApp;
	if(mui.os.plus){
		isWebApp = true;
	}else{
		isWebApp = false;
	}
	
	mui.init({
		swipeBack: true //启用右滑关闭功能
	});
	var typeId;
	var accPicker = new mui.PopPicker();
	var vn = new Vue({
		el: '#vn',
		data: {
			isQuery: false,
			isIn: false,
			pullToRefresh: '',
			AcctNo: '',
			accType: '',
			StartDt: '',
			EndDt:'',
			transferType: '消费',
			cardlist: '',
			curAcc: '',
			cardNo: '',
			statNum:1,
			list: [],
			list_bk: [],
			curItem:{},
			endPos: 0,
			len: "isBegin",
			typeId:'1'
		},
		methods: {
			init: function(){
				var _this = this;
				_this.initCardList();
				
				var deceleration = mui.os.ios ? 0.003 : 0.0009;
				
				m('.mui-scroll-wrapper').scroll({
					bounce:false,
					indicators:false, //是否显示滚动条
					deceleration:deceleration
				});
				
				var options={
					up: {
						callback: function() {
							var self = this;
							var isMore = false;
							
							if(_this.len != "isBegin" && _this.len == _this.list_bk.length){
								isMore = true
							}
							
							setTimeout(function() {
								if(isMore){
									self.endPullUpToRefresh();
									$('.mui-pull-loading').text('没有更多数据了');
								}else{
									_this.endPos = _this.endPos + 1 ;
									_this.createPage(_this.endPos,function(){
										self.endPullUpToRefresh();
									})
								}
							},1000);
						}
					}
				};
			
				this.pullToRefresh = m('#pullrefresh').pullToRefresh(options);
			},
			getDetail: function(item){
				var _this = this;
				this.curItem = {};
				
				$.each(item, function(k, v){
					_this.curItem[k] = v;
				});
				
				this.isIn = true;
			},
			createPage: function(beginPos,callback){
				var _this = this;
				if(_this.transferType==""){
					_this.typeId = "1";
				}
				var param = {"startDate":_this.StartDt.replace(/-/g, ''),"endDate":_this.EndDt.replace(/-/g, ''),"SgnInstID":"QDB","bankNO":_this.cardNo,"cardType":_this.typeId,"turnPageBeginPos":beginPos};
				//var param = {"startDate":"20181225","endDate":"20181226","SgnInstID":"QDB","bankNO":"6212806010004105375","cardType":"1"};
				console.log(JSON.stringify(param));
				ut.ajax(ut.netPayUrl + "MTTransferDetail.do", param, "json", "post", function(data) {
					if(data.ec == 'I0000') {
						console.log(JSON.stringify(data));
						$.each(data.TxnDtlArray, function(k, v){
							_this.list.push(v);
							v.TxnDt1 = $.bs.format.dataToDate(v.TxnDt1);
							v.TxnAmt = (v.TxnAmt*0.01).toFixed(2);
						})
						/*_this.isQuery = false;
						_this.isIn = false;*/
						_this.list_bk =_this.list;
						callback && callback() ;
						_this.len = parseInt(data.totalNumber);
					} else {
						callback && callback() ;
						mui.alert(data.em,"温馨提示",function(){
							_this.restart();
						});
					}
				});
			},
			restart: function(){
				this.isQuery = false;
				this.isIn = false;
				this.list = [];
				this.list_bk = [];
				this.len = "isBegin";
				this.endPos = 0;
			},
			choiceBeginDate: function(){
				var _this = this;
				if(this.beginDatePicker){
				}else{
					this.beginDatePicker = new mui.DtPicker({
						"type": "date",
						"beginDate":"",
						"endDate":new Date(new Date().getTime() + 1000*60*60*24),
						"lables": ["Year", "Mon", "Day"]
					});
				}
				
				this.beginDatePicker.show(function(rs) {
					_this.StartDt = rs.value;
					_this.beginDatePicker.dispose();
					_this.beginDatePicker = null;
				});
			},
			choiceEndDate: function(){
				var _this = this;
				
				if(this.endDatePicker){
					
				}else{
					this.endDatePicker = new mui.DtPicker({
						"type": "date",
						"beginDate":"",
						"endDate": new Date(new Date().getTime() + 1000*60*60*24),
						"lables": ["Year", "Mon", "Day"]
					});
				}
				
				this.endDatePicker.show(function(rs) {
					_this.EndDt = rs.value;
					_this.endDatePicker.dispose();
					_this.endDatePicker = null;
				});
			},
			choiceTransferType:function(){
				var _this = this;
				if(this.typePicker){
					
				}else{
					this.typePicker = new mui.PopPicker();
					this.typePicker.setData([{
						text:"消费",
						value:"1"
					},{
						text:"退款",
						value:"2"
					}]);
					
				}
				
				this.typePicker.show(function(items) {
					//_this.chargeType = items[0]['value'];
					_this.transferType = items[0]['text'];
					_this.typeId = items[0]['value'];
						
				});
			},
			initCardList:function(){
				var _this = this;
				ut.ajax1(ut.netPayUrl + "selectBoundCard4Mb.do", {"secAccFlag":"01"}, "json", "post", function(data) {
					var res = [];
					if(data.ec == '0') {
						var len = data.iBoundCardList;
						if(data.iBoundCardList.length > 0) {
							$.each(data.iBoundCardList, function(k, v) {
								if(v.bankCardType != '1') {
									var obj = {
										text: v.boundCardBankName+'('+v.boundCardNo.substr(-4, 4)+')',
										value: v.boundCardNo,
									};
									res.push(obj);
									_this.curAcc = data.iBoundCardList[0].boundCardBankName+'('+data.iBoundCardList[0].boundCardNo.substr(-4, 4)+')';
									_this.cardNo = data.iBoundCardList[0].boundCardNo;
								}
							})
						} else {
							mui.alert("请先绑定您的银行卡", "温馨提示", function() {
								ut.setExtras('../login/addCard.html', 'addCard', {});
							});
						}
					}else{
						mui.alert(data.em, "温馨提示");
					}
					accPicker.setData(res);
				});
			},
			choiceAcc:function(){
				var _this = this;
				accPicker.show(function(items) {
					_this.cardNo = items[0]['value'];
					_this.curAcc = items[0]['text'];
				});
			},
			query:function(){
				var _this = this;
				var EndDt = _this.EndDt.replace(/-/g, '');
				var StartDt = _this.StartDt.replace(/-/g, '');
				var days = EndDt-StartDt;
				var day = parseInt(days / (1000 * 60 * 60 * 24));
				console.log(EndDt+'---'+StartDt+'=='+day);
				if(parseInt(StartDt)>parseInt(EndDt)){
					mui.alert("开始时间不能大于结束时间","温馨提示");
					return false;
				}
				if(day>1){
					mui.alert("结束时间和开始时间不得相差超过一天","温馨提示");
					return false;
				}
				_this.pullToRefresh.pullUpLoading() ;
				_this.isQuery = true;
			},
			GetDateStr:function(AddDayCount) { 
			   var dd = new Date();
			   dd.setDate(dd.getDate()+AddDayCount);//获取AddDayCount天后的日期
			   var y = dd.getFullYear(); 
			   var m = (dd.getMonth()+1)<10?"0"+(dd.getMonth()+1):(dd.getMonth()+1);//获取当前月份的日期，不足10补0
			   var d = dd.getDate()<10?"0"+dd.getDate():dd.getDate();//获取当前几号，不足10补0
			   return y+"-"+m+"-"+d; 
			}
		}
	})
	
	function _ready(){
		vn.init();
		vn.EndDt = vn.GetDateStr(0);
		vn.StartDt = vn.GetDateStr(-1);
		var ws = {};
		
		if(isWebApp){
			ws = plus.webview.currentWebview();
		}
		
		vn.AcctNo = ws.accNo || '';
		vn.accType = ws.accType || '';
		
		var old_back = m.back ;
		
		m.back = function(){
			if (vn.isIn == true) {
				vn.isIn = false;
			} else {
				old_back();	
			}
		};
	}
	
	if(isWebApp){
		m.plusReady(_ready);
	}else{
		m.ready(_ready);
	}
})(jQuery, mui);