(function($,m,doc,win){
	var isWebApp;
	
	if(m.os.plus){
		isWebApp=true
	}else{
		isWebApp=false
	}
	
	mui.init({
		swipeBack: true //启用右滑关闭功能
	});
	
	var cityCode = null;
	var countryCode = null;
	var countryName = null;
	var cityName = null;
	var ifeeType = null;
	var isFixed = false;
	var groupType = "";
	var groupIfeeTypeId = "";
	var groupFeeType = "";
	var _this;
	var groupId;
	var groupText;
	var dataVal = "";
	var vn = new Vue({
		el: '#vn',
		data: {
			iFeeTypeList:[
				{"text":"水费","code":"902","src":"../../images/pic03.png"},
				{"text":"电费","code":"904","src":"../../images/pic04.png"},
				{"text":"燃气费","code":"903","src":"../../images/gas.png"},
				{"text":"有线电视","code":"901","src":"../../images/tv.png"},
				{"text":"供热缴费","code":"905","src":"../../images/pic08.png"},
				{"text":"学费","code":"909","src":"../../images/cp.png"},
				{"text":"物业费","code":"910","src":"../../images/property.png"},
				{"text":"新农保","code":"90A","src":"../../images/insurance.png"},
				{"text":"电话费","code":"01","src":"../../images/tele.png"},
				{"text":"有线电视费","code":"02","src":"../../images/tv.png"},
				{"text":"燃气费","code":"03","src":"../../images/gas.png"},
				{"text":"水费","code":"04","src":"../../images/pic03.png"},
				{"text":"污水费","code":"05","src":"../../images/pic03.png"},
				{"text":"供热费","code":"06","src":"../../images/pic08.png"},
				{"text":"电费","code":"07","src":"../../images/pic04.png"},
				{"text":"城乡居保费","code":"08","src":"../../images/insurance.png"},
				{"text":"流量充值","code":"NXY0001","src":"../../images/liuliang.png"},
				{"text":"话费充值","code":"NXY0002","src":"../../images/pic01.png"},
				{"text":"游戏充值","code":"NXY0004","src":"../../images/youxi.png"},
				{"text":"固话充值","code":"NXY0003","src":"../../images/tele.png"},
				{"text":"加油卡充值","code":"NXY0005","src":"../../images/jiayouka.png"},
				{"text":"生活缴费","code":"NXY0006","src":"../../images/property.png"},
				{"text":"电影票","code":"NXY0008","src":"../../images/dianying.png"},
				{"text":"水费","code":"NXY1007","src":"../../images/pic03.png"},
				{"text":"电费","code":"NXY1008","src":"../../images/pic04.png"},
				{"text":"燃气费","code":"NXY1009","src":"../../images/gas.png"},
				{"text":"宽带费","code":"NXY1012","src":"../../images/broadband.png"},
				{"text":"有线电视费","code":"NXY1013","src":"../../images/tv.png"},
				{"text":"交通罚款","code":"90G","src":"../../images/jiaojing.png"},
				{"text":"医保","code":"90F","src":"../../images/medical.png"},
				{"text":"养老保险","code":"10210","src":"../../images/icon_older.png"},
				{"text":"维修资金","code":"90C","src":"../../images/icon_maintain.png"},
				{"text":"售房款","code":"90B","src":"../../images/icon_house.png"},
				{"text":"党费","code":"90D","src":"../../images/dangfei.png"}
			],
			srcList:[
				{"text":"我家","src":"../../images/myHouse.png"},
				{"text":"父母","src":"../../images/parents.png"},
				{"text":"朋友","src":"../../images/friends.png"},
				{"text":"房东","src":"../../images/fangdong.png"},
				{"text":"其他","src":"../../images/others.png"}
			],
			isWrapper1:false,
			isWrapper2:false,
			isWrapper3:false,
			isWrapper4:false,
			isWrapper5:false,
		    item:[],
		    flag:false,
		    sorted:[],
		    sorted_bak:[],
		    mText:'',
		    sorteds:[],
		    groupObject:{}
		},
		methods: {
			showFeeTypeList:function(data,callback){
				var appUrl = ut.netPayUrl+"showFeeTypesByCity.do";
				$('#iFeeTypeList').find('[data-ifeeType]').each(function(){
					$(this).css({
						"display":"none"
					});
					
					if($(this).attr('data-type')){
						$(this).removeAttr('data-type');
						
						if($(this).find('.sign').size()){
							$(this).find('.sign').css({
								display:'none'
							});
						}
					}
				});
			
					$.bs.ajax({
						url:appUrl,
						data:{
							"cityCode":data.cityCode,
							"countryCode":data.countryCode
						},
						processResponse:function(res){
							if(res.iFeeTypeList){
								$.each(res.iFeeTypeList,function(k,v){
									$('#iFeeTypeList').find('[data-ifeeType]').each(function(){
										var isHide= true;
										var _v = $(this).attr('data-ifeeType');
											
										if(v.feeTypeId == _v){
											isHide= false
												
											$(this).css({
												"display":"inline-block"
											});
										}
									})
								})
								callback();//回调函数
							}else{
								mui.alert('该地区暂不支持缴费。')
							}
						},
						selfdefineFailed:function(){
							
						},
						wait: true
					})
				
			},
			fixPos:function(data){
				var _this = this;
				countryCode = data.countryCode;
				cityCode = data.cityCode;
				plus.storage.setItem("countryCode",countryCode);	
				plus.storage.setItem("cityCode",cityCode);	
				countryName = data.countryName;
				cityName = data.cityName;
				if(data.ifeeType){
					ifeeType = data.ifeeType
				}
				$("#dialog-wrapper5").find("#getCurrCity").text(cityName+""+countryName);
				$('#getCurrCity').text(cityName+""+countryName);
				_this.showFeeTypeList(data, function(){
					if(ifeeType){
						var supported = false;
						$("#iFeeTypeList").find("[data-ifeeType]").each(function () {
							if($(this).is(":visible") && $(this).attr('data-ifeeType') == ifeeType){
								supported = true
								$(this).trigger('tap');
							}
						})
						if(!supported){
							mui.alert('该地区暂不支持缴费')
						}
					}
					$("#dialog-wrapper5").find("#header-diag").html($("#feeHeader").html());
					$("#dialog-wrapper5").find("#text-diag").html($("#showFee").html());
					$("#dialog-wrapper5").find(".imgDiv").css({"height":"1.5rem","width":"1.5rem"});
					$("#dialog-wrapper5").find(".gridDiv").css({"marginTop":"0.2rem"});
					$("#dialog-wrapper5").find("#getCurrCity").css({"text-align":"left"});
					$("#dialog-wrapper5").find(".card-txt").eq(0).css({"marginLeft":"0rem","color":"#000"});
					$("#dialog-wrapper5").find(".card-body").css({"marginLeft":"4rem"});
					$("#dialog-wrapper5").find("li").css({"padding":"0"});
					/*$("#close").css({"position":"fixed","top":"75%"});*/
					$("#dialog-wrapper5 #iFeeTypeList").find("[data-ifeeType]").on("tap",function(event){
						event.preventDefault();
						var memberInfoId = plus.storage.getItem('memberInfoId');
					   	if (!memberInfoId) {
							mui.toast("您尚未登录");
							ut.setExtras("../login/login.html", "login", {});
							return false;
						}
					   	var type = ($(this).attr('data-type') && $(this).attr('data-type') == 'x') ? $(this).attr('data-type') : false;
						var feeTypeId = $(this).attr("data-ifeetype");
						plus.storage.setItem("groupId",groupId);
						plus.storage.setItem("groupText",groupText);
						vn.showModal(false,"dialog-wrapper5");
					   	vn.choiceiFeeType(feeTypeId,type,"","","","","","","");
					});
				});
				isFixed = true;
			},
			choiceiFeeType:function(feeTypeId,type,feeno,a,b,c,d,msg,flag){
				if(type){
					switch (feeTypeId){
						case '902':
							mui.openWindow({
								url:"../payment/waterCharge.html",
								id:"waterCharge",
								extras:{
									feeTypeId: feeTypeId,
									feeno:feeno,
									countryCode: countryCode,
									cityCode: cityCode
								}
							});
							break;
						case '904':
							mui.openWindow({
								url:"../payment/electricCharge.html",
								id:"electricCharge",
								extras:{
									feeTypeId: feeTypeId,
									feeno:feeno,
									countryCode: countryCode,
									cityCode: cityCode
								}
							});
							break;
						case '903':
							mui.openWindow({
								url:"../payment/gasCharge.html",
								id:"gasCharge",
								extras:{
									feeTypeId: feeTypeId,
									feeno:feeno,
									countryCode: countryCode,
									cityCode: cityCode
								}
							});
							break;
						case '901':
							mui.openWindow({
								url:"../payment/tvCharge.html",
								id:"tvCharge",
								extras:{
									feeTypeId: feeTypeId,
									feeno:feeno,
									countryCode: countryCode,
									cityCode: cityCode
								}
							});
							break;
						case '905':
							mui.openWindow({
								url:"../payment/heatingCharge.html",
								id:"heatingCharge",
								extras:{
									feeTypeId: feeTypeId,
									feeno:feeno,
									countryCode: countryCode,
									cityCode: cityCode
								}
							});
							break;
						case 'x1':
							mui.openWindow({
								url:"../payment/insuranceCharge.html",
								id:"insuranceCharge",
								extras:{
									feeTypeId: feeTypeId,
									feeno:feeno,
									countryCode: countryCode,
									cityCode: cityCode
								}
							});
							break;
						case 'x2':
							mui.openWindow({
								url:"../payment/phoneCharge.html",
								id:"phoneCharge",
								extras:{
									feeTypeId: feeTypeId,
									feeno:feeno,
									countryCode: countryCode,
									cityCode: cityCode
								}
							});
							break;
						case 'x3':
							mui.openWindow({
								url:"../payment/teleCharge.html",
								id:"teleCharge",
								extras:{
									feeTypeId: feeTypeId,
									feeno:feeno,
									countryCode: countryCode,
									cityCode: cityCode
								}
							});
							break;
						default:
							mui.openWindow({
								url:"../payment/broadCharge.html",
								id:"broadCharge",
								extras:{
									feeTypeId: feeTypeId,
									feeno:feeno,
									countryCode: countryCode,
									cityCode: cityCode
								}
							});
					}
				} else {
					if(/^(NXY)+[0-9]{4}$/.test(feeTypeId)) {
						ut.setExtras(
							"payment.html", 
							"payment", {
								"dealType":feeTypeId,
								"city":cityName,
								"country":countryName,
							}
						);
					}else{
						if(msg=="into"){
						      if(flag == '1'){
								var params = {
									companyCode: c,
									companyId: c,
									feeNumber:feeno
								}
								ut.ajax(ut.netPayUrl + "jfyH5Fee.do", params, "json", "post", function(res) {
									if(res.ec=='0'){
										var data = "key="+res.key+"&data="+res.data;
										plus.storage.setItem("companyCode",params.companyCode);
										plus.storage.setItem("companyName",d);
										plus.storage.setItem("feeTypeId",feeTypeId);
										mui.openWindow({
											url:"../main/payFeeYi.html",
											id:"payFeeYi",
											extras:{
												"doUrl": res.H5JIAOHU_URL,
												"data":data
											}
										});
									}else{
										mui.alert(res.em,"温馨提示");
									}
								})
							}else{
								mui.openWindow({
									url:"../payment/pay.html",
									id:"pay",
									extras:{
										targetUrl: "../payment/waterCharge.html",
										targetID: "waterCharge",
										countryCode: a,
										feeTypeId: feeTypeId,
										cityCode: b,
										companyCode:c,
										companyName:d,
										feeno:feeno
									}
								});
							}
						}else{
							mui.openWindow({
								url:"../payment/choiceCompany.html",
								id:"choiceCompany",
								extras:{
									targetUrl: "../payment/waterCharge.html",
									targetID: "waterCharge",
									countryCode: countryCode,
									countryName: countryName,
									feeTypeId: feeTypeId,
									cityCode: cityCode
								}
							});
						}
					}
				}
			},
			showModal:function(show,id){
				var animationClass = show ? "slipUp" : "slipBottom";
				var animation = function() {
					var ele = document.getElementById("dialog-face");
					ele.className = "dialog-face " + animationClass;
					ele = document.getElementById("dialog");
					ele.className = "dialog-root " + animationClass;
					ele = document.getElementById(id);
					ele.className = "dialog-wrapper " + animationClass;
					ele = document.getElementById("close");
					ele.className = "dialog-close " + animationClass;
				};
				setTimeout(animation, 100);
				return true;
			},
			unique1:function(array){
				var n = []; //一个新的临时数组
   
			    for(var i = 0; i < array.length; i++){
			       if (n.indexOf(array[i]) == -1) n.push(array[i]);
			    }
			    return n;
			},
			addSort:function(typ){
				if($(".mui-control-item").length==10){
					mui.alert("分组已达到上限","温馨提示");
					return false;
				}
				this.isWrapper1 = true;
				this.isWrapper2 = false;
				this.isWrapper3 = false;
				this.isWrapper4 = false;
				this.isWrapper5 = false;
				this.flag = true;
				if(typ == "A"){
					groupType = "A"
				}else{
					groupType = "";
				}
				console.log("22222"+JSON.stringify(vn.sorted));
				
				var arr = [];
				var arr1 = [];
				var arrs = [0,1,2,3,4];
				var sign = false;
				var $this;
				$("#dialog_ul1 li").each(function(){
					var i = $(this).index();
					$this = $(this);
					
					if(vn.sorted.length>0){
						$.each(vn.sorted, function(k,v) {
							$.each(v,function(o,p){
			                    if($this.find("button").html() == p.name){
			                    	/*$this.find("button").removeClass("removeBtn");*/
			                        $this.find("button").removeClass("selectBtn");
									$this.find("button").addClass("removeBtn");
									arr.push($this.index());
			                    }
			                })
						});
					}
				});
				arr.length > 0 && $.each(arr, function(x,p) {
					if(arr1.indexOf(p) == -1){
						arr1.push(p);
					}
				});
				console.log("arr1---"+arr1);
				arr1.length > 0 && $.each(arr1, function(a,n) {
					var m = $.inArray(n,arrs);
		        	arrs.splice(m,1);
				});
				console.log("arrs"+arrs);
				arrs.length > 0 && $.each(arrs, function(h,g) {
					$("#dialog_ul1 li").eq(g).find('button').removeClass('removeBtn');
					$("#dialog_ul1 li").eq(g).find('button').removeClass('selectBtn');
				});
				
	        	$("#dialog_ul1 li").eq(arrs[0]).find('button').addClass('selectBtn');
				if(this.flag == true){
					this.showModal(true,"dialog-wrapper1");
				}
			},
			operate:function(){
				this.isWrapper3 = true;
				this.isWrapper1 = false;
				this.isWrapper2 = false;
				this.isWrapper4 = false;
				this.isWrapper5 = false;
				this.showModal(true,"dialog-wrapper3");
				$("#dialog-wrapper3").find(".dialog-header").children("span").html($(".mui-active span").html());
			},
			groupBy:function(array, f){
			  	var groups = {};
			  	array.forEach(function (o) {
				    var group = JSON.stringify(f(o));
				    groups[group] = groups[group] || [];
				    groups[group].push(o);
			 	 });
			    return Object.keys(groups).map(function (group) {
				    return groups[group];
				});
			},
			getUnique:function(arr){
				var arr2 = [];
				for (var i=0; i<arr.length; i++) {
					
					var obj = {};
					var arr1 = [];
					
					for (var j=0; j<arr[i].length; j++) {
						
						for (var k in arr[i][j]) {
							if(k == 'feeno'){
								if(arr[i][j][k] == null){
									arr1.push(arr[i][j]);
								}else{
									if(!obj[arr[i][j][k]]){
										obj[arr[i][j][k]] = 1;
										arr1.push(arr[i][j]);
									}
								}
							}
						}
					}
					
					arr2.push(arr1)
				}
			
				return arr2;
			},
			getItem: function(code){
				var res = {};
				$.each(this.iFeeTypeList,function(k,v){
					if(v.code.trim() == code){
						res = v;
					}
				})
				return res;
			},
			getSrc: function(sortTxt){
				var texts = {};
				$.each(this.srcList, function(c,f) {
					if(f.text.trim() == sortTxt){
						texts = f;
					}
				});
				return texts;
			},
			queryGroup:function(typTD){
				var _this = this;
				_this.sorteds = [];
				var memberInfoId = plus.storage.getItem('memberInfoId');
			   	if (!memberInfoId) {
					mui.toast("您尚未登录");
					$(".mui-content-sort").css({"display":"none"});
					$(".feeList").css({"marginTop":"15%"});
					return false;
				}
			  	ut.ajax(ut.netPayUrl + "queryGroup.do", {}, "json", "post", function(data) {
					if(data.ec=='0'){
						_this.sorteds = data.feePayGroupList;
						if(_this.sorteds.length==0){
							$(".card").css({"display":"block"});
							$(".mui-content-sort").css({"display":"none"});
						}else{
							$(".card").eq(0).css({"display":"none"});
							$(".mui-content-sort").css({"display":"block"});
						}
						console.log(JSON.stringify(_this.sorteds));
						_this.sorted = _this.groupBy(_this.sorteds, function (item) {
				   	 		return [item.groupId];
			    		});
			    		_this.sorted = _this.getUnique(_this.sorted);
			    		console.log(JSON.stringify(_this.sorted));
			    		var hei = _this.sorted.length;
			    		if(hei>4 || hei==4){
			    			$(".mui-a-control").css({"width":hei*100+"px"});
			    		}
						_this.$nextTick(function(){
							$(".mui-control-item").each(function(){
								var len = $(this).find("span").html().length;
								if(len>2){
				    				$(this).css({"width":len*27+"px"});
				    				$(this).find("a").css({"width":len*27+"px"});
				    				$(this).find("span").css({"left":0.4*len+"rem"});
				    				if(len>3){
				    					$(this).css({"width":len*25+"px"});
				    					$(this).find("a").css({"width":len*25+"px"});
				    					$(this).find("span").css({"left":0.3*len+"rem"});
				    				}
				    			}
				    		})
							if($(".mui-a-control .mui-active").length==0){
								$(".mui-control-item").eq(0).addClass("mui-active");
							}
			    			var activeHtml = $(".mui-a-control .mui-active").find("span").html();
			    			$.each(_this.sorted, function(m,n) {
			    				if(n[0].name == activeHtml.trim()){
			    					_this.mText = m;
			    					console.log(_this.mText);
			    					console.log(JSON.stringify(n));
			    					_this.sorted_bak = n;
			    					console.log(JSON.stringify(_this.sorted_bak));
			    				}
			    			});
			            })
					}
				})
				/*console.log(JSON.stringify(_this.sorteds));
				_this.sorted = _this.groupBy(_this.sorteds, function (item) {
		   	 		return [item.groupId];
	    		});
	    		_this.sorted = _this.getUnique(_this.sorted);
				_this.$nextTick(function(){
	    			var activeHtml = $(".mui-a-control .mui-active").find("span")..html();
	    			$.each(_this.sorted, function(m,n) {
	    				if(n[0].name == activeHtml){
	    					_this.mText = m;
	    					console.log(_this.mText);
	    					console.log(JSON.stringify(n));
	    					_this.sorted_bak = n;
	    				}
	    			});
	    			console.log(JSON.stringify(_this.sorted_bak));
	            })*/
			},
			reStart:function(){
				this.sorted_bak = [];
				this.queryGroup();
			},
			delOperate:function(){
				var _this = this;
				var groupId = $(".mui-inner-content li").attr("title");
				var btnArray=['取消', '删除'];
				mui.confirm('确认要删除此分组吗？', '温馨提示', btnArray,function(e){
					if (e.index == 1) {
						vn.showModal(false,"dialog-wrapper3");
						_this.deleteGroup(groupId);
					}
				})
			},
			deleteGroup:function(groId){
				var index=[];
				ut.ajax1(ut.netPayUrl + "deleteGroup.do", {"groupId":groId}, "json", "post", function(data) {
					if(data.ec=='0'){
						vn.queryGroup();
					}else{
						mui.alert(data.em,"温馨提示");
					}
				})
			},
			changeOperate:function(){
				this.isWrapper3=false;
				this.isWrapper4=true;
				this.showModal(true,"dialog-wrapper4");
				$("#dialog-wrapper4").find(".dialog-text").children("input").val("");
			},
			changeGroup:function(){
				var changeFlag = false;
				var groupId = $(".mui-inner-content li").attr("title");
				if($("#dialog-wrapper4").find(".dialog-text").children("input").val()==''){
					mui.alert("请输入新的名称","温馨提示");
					return false;
				}
				if($("#dialog-wrapper4").find(".dialog-text").children("input").val()==$(".mui-active").html()){
					mui.alert("新名称不能与原名称相同","温馨提示");
					return false;
				}
				if($("#dialog-wrapper4").find(".dialog-text").children("input").val().length>5){
					mui.alert("新名称不能超过五个字","温馨提示");
					return false;
				}
				$(".mui-control-item").each(function(){
					if($(this).html()==$("#dialog-wrapper4").find(".dialog-text").children("input").val()){
						changeFlag = true;
					}
				})
				if(changeFlag == true){
					vn.isWrapper3=false;
					vn.isWrapper4=false;
					vn.showModal(false,"dialog-wrapper4");
					mui.alert("与已有分组名称重复","温馨提示");
					return false;
				}
				this.updateGroup(groupId,$("#dialog-wrapper4").find(".dialog-text").children("input").val());
			},
			updateGroup:function(groId,nameGroup){
				var arr = [];
				var param = {
					"groupId":groId,
					"name":nameGroup
				}
				ut.ajax1(ut.netPayUrl + "updateGroup.do", param, "json", "post", function(data) {
					if(data.ec=='0'){
						mui.alert("修改成功","温馨提示",function(){
							vn.isWrapper4 = false;
							vn.showModal(false,"dialog-wrapper4");
							vn.queryGroup();
						});
					}else{
						mui.alert(data.em,"温馨提示");
					}
				})
			},
			addOperate:function(){
				this.showFee();
			},
			showFee:function(){
				this.isWrapper1 = false;
				this.isWrapper2 = false;
				this.isWrapper3 = false;
				this.isWrapper4 = false;
				this.isWrapper5 = true;
				var showFlag = false;
				$("#dialog-wrapper5").find("#header-diag").html($("#feeHeader").html());
				$("#dialog-wrapper5").find("#text-diag").html($("#showFee").html());
				$("#dialog-wrapper5").find("#text-diag").find("#iFeeTypeList li").each(function(){
					var feeTypeId = $(this).attr("data-ifeeType");
					if(/^(NXY)+[0-9]{4}$/.test(feeTypeId)) {
						$(this).css({"display":"none"});
					}
					if($(this).css('display') == "inline-block"){
						showFlag = true;
					}
				});
				
				if(showFlag == false){
					mui.alert("无可添加缴费项","温馨提示");
					this.isWrapper5 = false;
					this.showModal(false,"dialog-wrapper5");
				}else{
					this.showModal(true,"dialog-wrapper5");
				}
				$("#dialog-wrapper5").find(".imgDiv").css({"height":"1.5rem","width":"1.5rem"});
				$("#dialog-wrapper5").find(".gridDiv").css({"marginTop":"0.2rem"});
				/*$("#dialog-wrapper5").find("#getCurrCity").css({"text-align":"left"});
				$("#dialog-wrapper5").find(".card-txt").eq(0).css({"marginLeft":"0rem","color":"#000"});
				$("#dialog-wrapper5").find(".card-body").css({"marginLeft":"4rem"});*/
				$("#dialog-wrapper5").find("li").css({"padding":"0"});
				$("#dialog-wrapper5 #iFeeTypeList").find("[data-ifeeType]").on("tap",function(event){
					event.preventDefault();
					var memberInfoId = plus.storage.getItem('memberInfoId');
				   	if (!memberInfoId) {
						mui.toast("您尚未登录");
						ut.setExtras("../login/login.html", "login", {});
						return false;
					}
				   	var type = ($(this).attr('data-type') && $(this).attr('data-type') == 'x') ? $(this).attr('data-type') : false;
					var feeTypeId = $(this).attr("data-ifeetype");
					plus.storage.setItem("groupId",groupId);
					plus.storage.setItem("groupText",groupText);
					vn.showModal(false,"dialog-wrapper5");
				   	vn.choiceiFeeType(feeTypeId,type,"","","","","","","");
				});
			},
			next:function(){
				var _this = this;
				var memberInfoId = plus.storage.getItem('memberInfoId');
			   	if (!memberInfoId) {
					mui.toast("您尚未登录");
					ut.setExtras("../login/login.html", "login", {});
					return false;
				}
			   	var selectTxt = $(".selectBtn").html();
			   	if(selectTxt==''||selectTxt==undefined||selectTxt==null){
		   			_this.showModal(false,"dialog-wrapper1");
		   			mui.alert("无可添加分组","温馨提示");
			   		return;
			   	}
				_this.showModal(false,"dialog-wrapper1");
				
				ut.ajax1(ut.netPayUrl + "addFeePayGroup.do", {"name":$(".selectBtn").html()}, "json", "post", function(data) {
					if(data.ec=='0'){
						mui.alert("添加分组"+$(".selectBtn").html()+"成功","温馨提示");
						_this.queryGroup();
					}else{
						mui.alert(data.em,"温馨提示");
					}
				})
			},
			goFront:function(){
				this.isWrapper4=false;
				this.isWrapper3=true;
				this.showModal(true,"dialog-wrapper3");
			}
		}
	})
	function Ready(){
		vn.queryGroup();
		$("#getCurrCity").on("tap",function(){
			m.openWindow({
				url:"../payment/choiceCity.html",
				id:"choiceCity",
				extras:{
					'isFixed': true
				}
			});
		});
		$("#dialog_ul1").on('tap','li',function(){
			$(this).find("button").addClass("selectBtn");
			if($(this).find("button").hasClass("removeBtn")){
				$(this).find("button").removeClass("selectBtn");
			}
			$(this).siblings().find("button").removeClass("selectBtn");
		});
        $(document).on('tap', '.mui-inner-content .into',function(){
			var feeTypeId = vn.getItem($(this).attr("typNo"));
			var feeno = $(this).children(".card-num3").html().trim();
			var groupId = $(this).attr("title");
			var coCode = $(this).attr("data_a");
			var ciCode = $(this).attr("data_b");
			var comCode = $(this).attr("data_c");
			var comName = $(this).attr("data_d");
			var toFlag = $(this).attr("data_f");
			var groupText = $(".mui-active").find("span").html().trim();
			plus.storage.setItem("groupId",groupId);
			plus.storage.setItem("groupText",groupText);
			
			var type;
			var ifeeTypeId = '';
			
			if(feeTypeId.code == '01'){
				ifeeTypeId = 'x2';
				type = true;
			}else if(feeTypeId.code == '02'){
				ifeeTypeId = '901';
				type = true;
			}else if(feeTypeId.code == '03'){
				ifeeTypeId = '903';
				type = true;
			}else if(feeTypeId.code == '04' || feeTypeId.code == '05'){
				ifeeTypeId = '902';
				type = true;
			}else if(feeTypeId.code == '06'){
				ifeeTypeId = '905';
				type = true;
			}else if(feeTypeId.code == '07'){
				ifeeTypeId = '904';
				type = true;
			}else if(feeTypeId.code == '08'){
				ifeeTypeId = 'x1';
				type = true;
			}else{
				ifeeTypeId = feeTypeId.code;
				type = false;
			}
			vn.choiceiFeeType(ifeeTypeId,type,feeno,coCode,ciCode,comCode,comName,"into",toFlag);
		});
		$("#close").on('tap',function(){
			vn.showModal(false,"dialog-wrapper1");
			vn.showModal(false,"dialog-wrapper2");
		});
		$(".mui-content").on("tap",".mui-control-item",function(){
			$(this).addClass("mui-active");
			$(this).siblings().removeClass("mui-active");
			vn.reStart();
		});
		
		$("#reset").on('tap',function(){
			vn.queryGroup();
		});
		
		$("#dialog-face").on('touchstart',function(e){
		    e.preventDefault();
	    });
		
		var data = $.bs.postionSystem().getSelectedData();
		
		if(data.city){
			var $data = {
				countryCode: data.countryCode,
				cityCode: data.cityCode, 
				countryName: data.district,
				cityName: data.city
			}
			
			vn.fixPos($data);
		}
		
		$("#iFeeTypeList").find("[data-ifeeType]").on("tap",function(event){
			event.preventDefault();
			var memberInfoId = plus.storage.getItem('memberInfoId');
		   	if (!memberInfoId) {
				mui.toast("您尚未登录");
				ut.setExtras("../login/login.html", "login", {});
				return false;
			}
		  	var feeTypeId = $(this).attr("data-ifeetype");
			if(/^(NXY)+[0-9]{4}$/.test(feeTypeId)) {
				vn.choiceiFeeType(feeTypeId,type,"","","","","","","");
			}else{
				vn.isWrapper2 = true;
				vn.isWrapper1 = false;
				vn.isWrapper3 = false; 
				vn.isWrapper4 = false;
				vn.isWrapper5 = false;
				var groupName = $(".span_group").first().html();
				if($('.span-first').length==0 && $(".span_group").length>0){
					$("#dialog_ul3").prepend("<li class='dialog-li'  data-on='sortType' title='"+$(".span_group").first().parent(".card-sort").siblings(".card-class").attr("title")+"'  style='border:none;text-align: left;padding-left: 0.5rem;height: 1.65rem;height: 1.65rem;position: relative;'>"+groupName+"<span id='cardaaa' class='span-first'></span><a class='mui-icon mui-icon-arrowright' id=''></a></li>");
				}
			
				vn.showModal(true,"dialog-wrapper2");
				var type = ($(this).attr('data-type') && $(this).attr('data-type') == 'x') ? $(this).attr('data-type') : false;
				
				
				groupIfeeTypeId = feeTypeId;
				$("#dialog-wrapper2").css({"overflow":"scroll"});
				$("#dialog-wrapper2").find(".dialog-content").css({"overflow":"scroll","maxHeight":"12rem"});
				vn.showModal(true,"dialog-wrapper2");
				
				groupFeeType  = type;
				$(".dialog-li[data-on='sortType']").off('tap').on('tap',function(){
					var groupId = $(this).attr("title");
					var groupText = $(this).text();
					plus.storage.setItem("groupId",groupId);
					plus.storage.setItem("groupText",groupText);
					vn.choiceiFeeType(feeTypeId,type,"","","","","","","");
				});
			}
		});
		win.addEventListener('getPos',function(event){
			if(event.detail.countryCode){
				var data = event.detail;
				vn.fixPos(data);
			}
		});
		window.addEventListener('refresh', function(e) { 
			window.location.reload();//页面更新 
		});
		win.addEventListener('setFixed',function(){
			
			var pos = $.bs.postionSystem().compareData();
			if(pos){
				str = "您上次定位缴费城市为"+ pos.selectedAddr.city + pos.selectedAddr.district +"，是否要切换到当前定位城市"+ pos.addr.city + pos.addr.district +"。";
			
				var btnArray = ['切换','取消'];
			
				mui.confirm(str,'提示',btnArray,function(e){
					if(e.index == '0'){
						m.openWindow({
							url: "../payment/choiceCity.html",
							id: "choiceCity",
							extras: {
								'isFixed': false,
								'isChoosable': false
							}
						});
					}
				})
				
			}
			
			
			if (isFixed !== true){
				m.openWindow({
					url: "../payment/choiceCity.html",
					id: "choiceCity",
					extras: {
						'isFixed': false
					}
				});
			}
		});
	}
	
	if(isWebApp){
		mui.plusReady(Ready)
	}else{
		mui.ready(Ready)
	}
})(jQuery,mui,document,window)


 