(function($,m,doc,win){
	var isWebApp;
	if(m.os.plus){
		isWebApp=true
	}else{
		isWebApp=false
	}
	
	mui.init({
		swipeBack: true //启用右滑关闭功能
	});
	
	var accPicker;
	var a,b,c;
	var yearArray = [];
	var vn = new Vue({
		el: "#pay",
		data: {
			feeTypeId: "",
			cityCode: "",
			countryCode: "",
			companyCode: "",
			companyName: "",
			payCompany: "缴费公司",
			payNo1: "缴费号码",
			userID: "",
			tranLimit: "",
			optional: false,
			step: "1",
			tips: {
				'swt1': '此交易支持本地区。',
				'swt2': '缴费业务不收取手续费，也可以他人代缴。',
				'swt3': '本缴费功能不提供发票。',
				'swt4': '因号码输错导致的损失由您个人承担，缴费款项无法退回。',
				'swt5': '如您已申请银行代扣业务，请勿在此页面进行缴费操作，以免造成重复缴费。'
			},
			tips1: {
				'swt1': '决定书编号请不要输入“-”和最后一位数字（例如：140999-1234567890，输入140999123456789）',
				'swt2': '缴费受理时间01：00—22：00。',
				'swt3': '缴费后，可在缴费查询界面查看缴费情况。',
				'swt4': '成功缴费后，请于隔日查询相应罚单是否撤销，避免重复缴费造成损失。如有疑问，请您及时拨打客服热线（0351）96518进行咨询。'
			},
			tips2: {
				
			},
			iFeeTypeList:[
				{
					"text": "水费",
					"code": "902",
					"src": "../../images/pic03.png",
					"enText": "water"
				},
				{
					"text":"电费",
					"code":"904",
					"src":"../../images/pic04.png",
					"enText": "power"
				},
				{
					"text":"燃气费",
					"code":"903",
					"src":"../../images/gas.png",
					"enText": "gas"
				},
				{
					"text":"有线电视",
					"code":"901",
					"src":"../../images/tv.png",
					"enText": "tv"
				},
				{
					"text":"供热缴费",
					"code":"905",
					"src":"../../images/pic08.png",
					"enText": "hot"
				},
				{
					"text":"学费",
					"code":"909",
					"src":"../../images/cp.png",
					"enText": "study"
				},
				{
					"text":"物业费",
					"code":"910",
					"src":"../../images/property.png",
					"enText": "property"
				},
				{
					"text":"新农保",
					"code":"90A",
					"src":"../../images/insurance.png",
					"enText": "peasant"
				},{
					"text":"交通罚款",
					"code":"90G",
					"src":"../../images/jiaojing.png",
					"enText": "trafficfee"
				},{
					"text":"医保",
					"code":"90F",
					"src":"../../images/medical.png",
					"enText": "meadicalFee",
					"otherTxt":"医保"
				},{
					"text":"维修资金",
					"code":"90C",
					"src":"../../images/icon_maintain.png",
					"enText": "maintain",
					"otherTxt":"维修资金"
				},{
					"text":"售房款",
					"code":"90B",
					"src":"../../images/icon_house.png",
					"enText": "house",
					"otherTxt":"售房款"
				},{
					"text":"餐费",
					"code":"90I",
					"src":"../../images/canfei.png",
					"enText": "eatting",
					"otherTxt":"餐费"
				},{
					"text":"党费",
					"code":"90D",
					"src":"../../images/dangfei.png",
					"enText": "dangFee",
					"otherTxt":"党费"
				}
			],
			curFeeType:{
				"text": "",
				"code": "",
				"src": "",
				"enText": ""
			},
			isReady: false,
			isToPay: false,
			userInfo:{
				userName: "",
				infoDesc: "",
				infoValue: "",
				IDType: "",
				IDValue: ""
			},
			preTotalPay: "",
			payAmount: "",
			transAmt: 0,
			preAgentserialno: "",
			fee: "",
			cardNo: "",
			curAcc: "",
			passWord: "",
			timer: null,
			remarkList: [],
			datePicker: '',
			feeId:"",
			userId:""
		},
		methods:{
			init:function(){
				var _this = this;
						
				if(localStorage.userIdList){
					this.userIdList = JSON.parse(localStorage.userIdList);
				}else{
					this.userIdList = {};					
				}
				
				if(
					this.userIdList[this.curFeeType.enText] &&
					this.userIdList[this.curFeeType.enText].length > 0
				){
					this.optional = true;
				}
				
				$.each(_this.iFeeTypeList,function(k,v){
					if(v.code == _this.feeTypeId){
						_this.curFeeType.text = v.text;
						_this.curFeeType.code = v.code;
						_this.curFeeType.src = v.src;
						_this.curFeeType.enText = v.enText;
					}
				})
				
				accPicker = new mui.PopPicker();
				
				var data = {
					"secAccFlag":"01"
				};
				
				if(isWebApp){
					data.customerId = plus.storage.getItem("memberInfoId");
					data.memberUUID = plus.storage.getItem("memberUUID");
				}
				
				$.bs.ajax({
					url: ut.netPayUrl + 'selectBoundCard4Mb.do',
					data: data,
					processResponse: function(res){
						var data = [];
						
						if (res.ec == 0) {
							if(res.iBoundCardList.length > 0){
								$.each(res.iBoundCardList,function(k,v){
									if(v.bankCardType != '1'){
										var obj = {
											text: v.boundCardBankName+'('+v.boundCardNo.substr(-4, 4)+')',
											value: v.boundCardNo,
										};
										data.push(obj);
										_this.curAcc = res.iBoundCardList[0].boundCardBankName+'('+res.iBoundCardList[0].boundCardNo.substr(-4, 4)+')';
										_this.cardNo = res.iBoundCardList[0].boundCardNo;
									}
								})
								
							}else{
								mui.alert("请先绑定您的银行卡", "温馨提示", function() {
									ut.setExtras('../login/addCard.html', 'addCard', {});
								});
							}
							
						}
						
						if(data.length == 0){
							mui.alert("请先绑定您的银行卡(储蓄卡)", "温馨提示", function() {
								ut.setExtras('../login/addCard.html', 'addCard', {});
							});
						}
						
						accPicker.setData(data);
					}
				});
				
				vn.queryField();
				
				vn.getTips();
				
				$('#sendSMSBtn').countdown({
					'onSubmited': function(){
						_this.sendSMS();
					}
				});
				
				//初始化密码控件
				
				/*$.bs.getSrandNumber('', function(ranKey){
					var srandNumber = ranKey;
					$('.pwKeyboard').pwKeyboard({srandNumber: srandNumber});
				});*/
			},
			getTips: function(){
				var _this = this ;
				
				$.bs.ajax({
					url: ut.netPayUrl + 'sweetTips.do',
					data: {
						companyCode: vn.companyCode,
						customerId: plus.storage.getItem("memberInfoId"),
						memberUUID: plus.storage.getItem("memberUUID")
					},
					processResponse: function(res){
						var obj1 = {};
						var arr1 = [];
						
						var patt = new RegExp('^swt');
						
						$.each(res, function(key, val){
							var obj = {};
							if(patt.test(key) && val!= '' && val!= null){
								obj1[key] = val;
								arr1.push(key);
							}
						});
						
						if(arr1.length > 0){
							var arr1 = arr1.sort(function(a, b){
								return Number(a.substring(3)) - Number(b.substring(3));
							});
						}
						
						var tips = {};
						var tips1 = {};
						
						if(arr1.length > 0){
							$.each(arr1, function(key, val){
								tips[val] = obj1[val];
							});
						}
						
						if(_this.feeTypeId == '90G'){
							tips1 = _this.tips1;
						}else{
							tips1 = _this.tips;
						}
						
						if (arr1.length > 0){
							_this.tips2 = tips;
						} else {
							_this.tips2 = tips1;
						}
					}
				});
			},
			queryField:function(){
				var _this = this ;
				
				$.bs.ajax({
					url: ut.netPayUrl + 'queryFeeFieldMb.do',
					data: {
						"memberUUID" : plus.storage.getItem("memberUUID"),
						"companyCode":vn.companyCode 
					},
					processResponse: function(res){
						if(res.ec=='0'){
							if(res.iFeeFields.length>0){
								_this.remarkList = [];
								
								$.each(res.iFeeFields,function(k, v){
									var obj = {
										fieldType: v.fieldType,
										fieldName: v.fieldName,
										fieldIdx: v.fieldIdx,
										fieldLabel: v.fieldLabel
									}
									
									_this.remarkList.push(obj) ;
								})
							}
						}else{
							mui.alert(data.em,"温馨提示");
						}
					}
				});
			},
			choiceDate: function(id){
				$('#payNo').blur();
				
				var _this = this;
				
				if(!this.datePicker){
					var data = [];
					var beginYear = 2000;
					var nowYear = new Date().getFullYear();
					var endYear = new Date().getFullYear() + 5;
					
					for (var i = endYear; i >= beginYear; i--) {
						data.push({
							"value":i.toString(), 
							"text":i +"年"
						});
					}
					
					this.datePicker = new mui.PopPicker();
					this.datePicker.setData(data);
					this.datePicker.pickers[0].setSelectedValue(nowYear, nowYear +'年');
				}
				
				setTimeout(function(){
					_this.datePicker.show(function(items) {
						$('#' + id).text(items[0].text);
						$('#' + id).data('val',items[0].value);
					});
				}, 300)
			},
			bindEvent: function(){
				var _this = this;
				
				$('#pay').on('input','#payAmount',function(){
					var val = $(this).val();
					
					_this.payAmount = val;
				});
				
				$('#pay').on('focus','#payAmount',function(){
					var val = $(this).val();
					
					if(val&&$.bs.format.formatMoney(val.replace(/,/g,""))){
						$(this).val(parseFloat(val.replace(/,/g,"")));
					}else{
						$(this).val("");
						_this.payAmount = "";
					}
				});
			},
			sendSMS: function(){
				var _this = this;
				
				$('#sendSMSBtn').countdown('start');
				$.bs.ajax({
					url: ut.netPayUrl + 'sendSMSCodeCommon.do',
					data: {
						"memberUUID": plus.storage.getItem("memberUUID"),
						"APP_UUID": plus.device.uuid,
						"customerId": plus.storage.getItem("memberInfoId"),
	   					"tranCode": "NP101006",
						"messageType": "payCheckSMS"
					},
					processResponse: function(res){
						
					},
					selfdefineFailed: function(res){
						$('#sendSMSBtn').countdown('end');
					}
				});
				
			},
			storageUserID: function(){
				var _this = this;
				if(this.userIdList[this.curFeeType.enText]){
					var isRepeat = false;
					
					$.each(this.userIdList[this.curFeeType.enText],function(key,val){
						if(val == _this.userID){
							isRepeat = true;
						}
					})
					
					if(!isRepeat){
						this.userIdList[this.curFeeType.enText].push(this.userID);
					}
					
					if(this.userIdList[this.curFeeType.enText].length > 10){
						var arr = this.userIdList[this.curFeeType.enText].slice(1);
						this.userIdList[this.curFeeType.enText] = arr;
					}
				}else{
					this.userIdList[this.curFeeType.enText] = [];
					this.userIdList[this.curFeeType.enText].push(this.userID)
				}
				
				localStorage.userIdList = JSON.stringify(this.userIdList);
				this.optional = true;
			},
			confirm:function(){
				var _this = this;
				
				$('#payNo').trigger('blur');
				
				var val = $('#payNo').val();
				
				if(!val){
					mui.alert("缴费号码不能为空") ;
					return ;
				}else{
					this.userID = val ;
				}
				
				var data1 = {} ;
				var isEmpty = false ;
				
				$('#showList').find('.remark').each(function(){
					var key = $(this).attr('id');
					var type = $(this).data('type');
					var name = $(this).data('name')
					
					if(type == '01'){
						data1[key] = $(this).val() || '';
					}else {
						data1[key] = $(this).data('val') || '';
					}
					
					if(!data1[key]){
						mui.alert(name + '不能为空');
						isEmpty = true ;
						return false;
					}
				});
				
				if(isEmpty){
					return ;
				}
				
				var data = {
					busitype: this.curFeeType.code,
					cityCode: this.cityCode,
					countryCode: this.countryCode,
					companyCode: this.companyCode,
					userID: this.userID,
					memberUUID: plus.storage.getItem("memberUUID"),
					APP_UUID: plus.device.uuid,
					customerId: plus.storage.getItem("memberInfoId")
				};
				
				data= $.extend(data, data1);
				
				$.bs.ajax({  
					url:ut.netPayUrl+"preTotalPay.do",
					//url:"../../json/preTotalPay.json",
					data:data,
					processResponse:function(res){
						/*if(res.userName){*/
							_this.isReady = true;
							_this.preTotalPay = res.preTotalPay;
							_this.preAgentserialno = res.preAgentserialno;
							_this.fee = res.fee;
							_this.userInfo.userName = res.userName||"";
							_this.userInfo.infoDesc = res.infoDesc;
							_this.userInfo.infoValue = res.infoValue;
							_this.userInfo.IDType = res.IDType == '1' ? "身份证" : "其他";
							_this.userInfo.IDValue = res.IDValue||"";
							
							if(
								_this.tranLimit == '1' ||
								_this.tranLimit == '4'
							){
								_this.payAmount = Number(_this.preTotalPay);
								
								if(
									_this.preTotalPay == '0' ||
									_this.preTotalPay == '0.00'
								){
									mui.alert('应缴金额为零，请勿发起交易。')
								}
							}else if(
								_this.tranLimit == '2' ||
								_this.tranLimit == '0'
							){
								_this.payAmount = Number(_this.preTotalPay);
								$('#payAmount').val($.bs.format.formatMoney(_this.payAmount))
							}
							
							
							if(_this.curFeeType.code == '90A'){
								$('#payAmount').val('');
							}
							
							
							_this.step = 2;
							
						/*}*/
					},
					wait:true
				})
			},
			checkMoney: function(val){
				if(val===""){
					mui.alert('金额不能为空。');
					return false;
				}else if(!$.bs.format.isMoney(val)){
					mui.alert('金额格式不正确。');
					return false;
				}else if(Number(val) <= 0){
					mui.alert('缴费金额应大于零元。');
					return false;
				}else if(
					this.tranLimit == '0' &&
					Number(val) > Number(this.preTotalPay)
				){
					mui.alert('缴费金额应小于或等于应缴金额。');
					return false;
				}else if(
					this.tranLimit == '1' &&
					Number(val) != Number(this.preTotalPay)
				){
					mui.alert('缴费金额应等于应缴金额。');
					return false;
				}else if(
					this.tranLimit == '2' &&
					Number(val) < Number(this.preTotalPay)
				){
					mui.alert('缴费金额应大于或等于应缴金额。');
					return false;
				}else if(
					this.tranLimit == '3' &&
					Number(val) <= Number(this.preTotalPay)
				){
					mui.alert('缴费金额应大于应缴金额。');
					return false;
				}else if(
					this.tranLimit == '4' &&
					Number(val) != Number(this.preTotalPay)
				){
					mui.alert('缴费金额应等于欠费金额。');
					return false;
				}else{
					return true;
				}
			},
			onSubmit:function(){
				if(
					this.tranLimit == '1' ||
					this.tranLimit == '4'
				){
					if(
						this.preTotalPay == '0' ||
						this.preTotalPay == '0.00'
					){
						mui.alert('应缴金额为零，请勿发起交易。')
						return false;
					}
				}else{
					$('#payAmount').trigger('blur');
				}
				
				if(!this.checkMoney(this.payAmount)){
					return false;
				}
				
				if(
					this.tranLimit == "0" ||
					this.tranLimit =="2" ||
					this.tranLimit =="3"
				){
					$('#payAmount').val($.bs.format.formatMoney(this.payAmount));
				}
				
				this.transAmt = Number(this.payAmount) + Number(this.fee);
				this.step = 3;
				
				//初始化密码控件
				
				$.bs.getSrandNumber('', function(ranKey){
					var srandNumber = ranKey;
					$('.pwKeyboard').pwKeyboard({srandNumber: srandNumber});
				});
				
			},
			choiceAcc:function(){
				var _this = this;
				accPicker.show(function(items) {
					_this.cardNo = items[0]['value'];
					_this.curAcc = items[0]['text'];
				});
			},
			choiceUserId: function(){
				var _this = this;
				
				if(this.userIDPicker){
					this.userIDPicker.show(function(items) {
						_this.userID = items[0]['value'];
					});
				}else{
					this.userIDPicker = new mui.PopPicker();
					
					var data = [];
					
					if(
						_this.userIdList && _this.userIdList[_this.curFeeType.enText] &&
						_this.userIdList[_this.curFeeType.enText].length > 0
					){
						$.each(_this.userIdList[_this.curFeeType.enText],function(key,val){
							data.push({
								text:val,
								value:val
							});
						})
					}
					
					this.userIDPicker.setData(data);
					
					this.userIDPicker.show(function(items) {
						_this.userID = items[0]['value'];
					});
				}
			},
			pay:function(){
				var _this = this;
				
				$('#SMSCode').trigger('blur');
				
				if(!this.cardNo){
					mui.alert('请选择卡号');
					return false;
				}
				
				if(!this.checkMoney(this.payAmount)){
					return false;
				}
				
				if(!$('#SMSCode').val()){
					mui.alert('短信验证码不能为空');
					return ;
				}
				
				if($("#pw").val() == ""){
					mui.alert('密码不能为空');
					return false;
				}
				
				this.passWord = $("#pw").attr('pass');
				
				var data = {
					customerId: plus.storage.getItem("memberInfoId"),
					chargeType: this.feeTypeId,
					userID: this.userID,
					preTotalPay: parseFloat(this.payAmount).toFixed(2),
					companyCode: this.companyCode,
					preAgentserialno: this.preAgentserialno,
					payPassword: this.passWord,
					cardNo: this.cardNo,
					fee: this.fee,
					cityCode: this.cityCode,
					countryCode: this.countryCode,
					payAmount: (Number(this.payAmount) + Number(this.fee)).toFixed(2),
					sms: $('#SMSCode').val(),
					memberUUID: plus.storage.getItem("memberUUID"),
					APP_UUID: plus.device.uuid
				};
				
				$.bs.ajax({
					url: ut.netPayUrl+"payFee2.do",
					data: data,
					processResponse: function(res){
						var data = {};
						
						if(
							res.ec=='000000' ||
							res.ec=='0'
						){
							data.succeedFlag = true;
							data.preTotalPay = parseFloat(_this.payAmount).toFixed(2);
							data.feeType = _this.curFeeType.text;
							data.feeId = _this.curFeeType.code;
							_this.storageUserID();
							data.userId= _this.userID;
							data.companyCode = vn.companyCode;
							data.companyName = vn.companyName;
							//alert(JSON.stringify(_this.userIdList)+"----"+data.feeId);
						}else if(
							res.ec == '01' || 
							res.ec == '02' || 
							res.ec == '03' || 
							res.ec == '04' || 
							res.ec == '05' 
						){
							mui.alert(res.em);
							return;
						}else{
							data.succeedFlag = false;
							data.errorMsg = res.em;
						}
						
						setTimeout(function(){
							m.openWindow({
								url: "payResult.html",
								id: "payResult",
								extras: data
							});
						},800)
					},
					selfdefineFailed:function(){
						
					},
					wait:true
				})
			}
		}
	});
	
	function Ready(){
		var self = {};
		
		if(mui.os.plus){
			self = plus.webview.currentWebview();
		}
		
		vn.feeTypeId = self.feeTypeId || self.dealType || 901;
		vn.cityCode = self.cityCode || self.city;
		vn.countryCode = self.countryCode || self.country;
		vn.companyCode = self.companyCode || "QS00000001";
		vn.companyName = self.companyName || "山西省交通罚款";
		vn.tranLimit = self.tranLimit || "1";
		vn.userID = plus.storage.getItem("feeno")||self.feeno||"";
		
		if(vn.feeTypeId == '90G'){
			$('.mui-title').text('生活缴费');
			
			vn.cityCode = "QS";
			vn.countryCode = "QS";
			vn.payCompany = "缴费项目";
			vn.payNo1 = "决定书编号";
		}
		
		vn.init();
		vn.bindEvent();
		
		m.back = function(){
			var i = vn.step;
			if(i == 3){
				$('#SMSCode').val("");
				$("#pw").val("");
			}
			
			i--;
			
			if(i < 1){
				plus.webview.close(plus.webview.currentWebview(),"none");
			}
			if(i == 1){
				vn.userID = "";
			}
			vn.step = i;
		};
	};
	
	if(isWebApp){
		mui.plusReady(Ready);
	}else{
		mui.ready(Ready);
	}
})(jQuery,mui,document,window);
