(function($,m){
	var isWebApp;
	
	if(m.os.plus){
		isWebApp=true
	}else{
		isWebApp=false
	}
	
	mui.init({
		swipeBack: true //启用右滑关闭功能
	});
	
	var beginDatePicker;
	var endDatePicker;
	var pullToRefresh
	
	var vn = new Vue({
		el:"#vn",
		data:{
			iFeeTypeList:[
				{"text":"水费","code":"902","src":"../../images/pic03.png"},
				{"text":"电费","code":"904","src":"../../images/pic04.png"},
				{"text":"燃气费","code":"903","src":"../../images/gas.png"},
				{"text":"有线电视","code":"901","src":"../../images/tv.png"},
				{"text":"供热缴费","code":"905","src":"../../images/pic08.png"},
				{"text":"学费","code":"909","src":"../../images/cp.png"},
				{"text":"物业费","code":"910","src":"../../images/property.png"},
				{"text":"新农保","code":"90A","src":"../../images/insurance.png"},
				{"text":"电话费","code":"01","src":"../../images/tele.png"},
				{"text":"有线电视费","code":"02","src":"../../images/tv.png"},
				{"text":"燃气费","code":"03","src":"../../images/gas.png"},
				{"text":"水费","code":"04","src":"../../images/pic03.png"},
				{"text":"污水费","code":"05","src":"../../images/pic03.png"},
				{"text":"供热费","code":"06","src":"../../images/pic08.png"},
				{"text":"电费","code":"07","src":"../../images/pic04.png"},
				{"text":"城乡居保费","code":"08","src":"../../images/insurance.png"},
				{"text":"流量充值","code":"NXY0001","src":"../../images/liuliang.png"},
				{"text":"话费充值","code":"NXY0002","src":"../../images/pic01.png"},
				{"text":"游戏充值","code":"NXY0004","src":"../../images/youxi.png"},
				{"text":"固话充值","code":"NXY0003","src":"../../images/tele.png"},
				{"text":"加油卡充值","code":"NXY0005","src":"../../images/jiayouka.png"},
				{"text":"生活缴费","code":"NXY0006","src":"../../images/property.png"},
				{"text":"电影票","code":"NXY0008","src":"../../images/dianying.png"},
				{"text":"水费","code":"NXY1007","src":"../../images/pic03.png"},
				{"text":"电费","code":"NXY1008","src":"../../images/pic04.png"},
				{"text":"燃气费","code":"NXY1009","src":"../../images/gas.png"},
				{"text":"宽带费","code":"NXY1012","src":"../../images/broadband.png"},
				{"text":"有线电视费","code":"NXY1013","src":"../../images/tv.png"},
				{"text":"交通罚款","code":"90G","src":"../../images/jiaojing.png"},
				{"text":"医疗保险","code":"10212","src":"../../images/icon_medical.png"},
				{"text":"养老保险","code":"10210","src":"../../images/icon_older.png"},
				{"text":"售房款","code":"90B","src":"../../images/icon_house.png"},
				{"text":"维修资金","code":"90C","src":"../../images/icon_maintain.png"},
				{"text":"餐费","code":"90I","src":"../../images/canfei.png"},
				{"text":"党费","code":"90D","src":"../../images/dangfei.png"}
			],
			chargeType: "",
			userId: "",
			state: "",
			endTime: "",
			endTimeText: function(){
				return $.bs.format.formatDate(new Date(), "");
			}(),
			beginTime: function(){
				return $.bs.format.formatDate(new Date(new Date().getTime()-7*24*60*60*1000), "");
			}(),
			turnPageBeginPos: "",
			turnPageShowNum: "",
			chargeTypeText: "",
			stateText: "",
			list:[],
			list_bk:[],
			isOnSubmit : false,
			endPos: 0,
			len: "isBegin"
		},
		methods:{
			init:function(){
				var _this =this;
			},
			choiceType: function(){
				var _this = this
				
				if(this.typePicker){
					
				}else{
					this.typePicker = new mui.PopPicker();
					this.typePicker.setData([{
						text:"全部",
						value:""
					},{
						text:"流量充值",
						value:"NXY0001"
					},{
						text:"话费充值",
						value:"NXY0002"
					},{
						text:"游戏充值",
						value:"NXY0004"
					},{
						text:"固话充值",
						value:"NXY0003"
					},{
						text:"加油卡充值",
						value:"NXY0005"
					},{
						text:"生活缴费",
						value:"NXY0006"
					},{
						text:"电影票",
						value:"NXY0008"
					},{
						text:"水费",
						value:"902"
					},{
						text:"电费",
						value:"904"
					},{
						text:"燃气费",
						value:"903"
					},{
						text:"有线电视",
						value:"901"
					},{
						text:"供热缴费",
						value:"905"
					},{
						text:"学费",
						value:"909"
					},{
						text:"物业费",
						value:"910"
					},{
						text:"新农保",
						value:"90A"
					},{
						text:"交通罚款",
						value:"90G"
					},{
						text:"医疗保险",
						value:"10212"
					},{
						text:"养老保险",
						value:"10210"
					},{
						text:"维修资金",
						value:"90C"
					},{
						text:"售房款",
						value:"90B"
					},{
						text:"餐费",
						value:"90I"
					},{
						text:"党费",
						value:"90D"
					}]);
				}
				
				this.typePicker.show(function(items) {
					_this.chargeType = items[0]['value'];
					_this.chargeTypeText = items[0]['text'];
				});
			},
			choiceState: function(){
				var _this = this;
				
				if(this.statePicker){
					this.statePicker.show(function(items) {
						_this.state = items[0]['value'];
						_this.stateText = items[0]['text'];
					});
				}else{
					this.statePicker = new mui.PopPicker();
					this.statePicker.setData([{
							text:"全部",
							value:""
						},{
							text:"成功",
							value:"02"
						},{
							text:"失败",
							value:"03"
						},{
							text:"可疑",
							value:"04"
					}]);
					
					this.statePicker.show(function(items) {
						_this.state = items[0]['value'];
						_this.stateText = items[0]['text'];
					});
				}
			},
			choiceBeginDate: function(){
				var _this = this;
				
				if(this.beginDatePicker){
					this.beginDatePicker.show(function(rs) {
						_this.beginTime = rs.value;
						_this.beginDatePicker.dispose();
						_this.beginDatePicker = null;
					});
				}else{
					this.beginDatePicker = new mui.DtPicker({
						"type": "date",
						"beginDate":new Date(2016, 00, 01),
						"endDate":new Date(),
						"lables": ["Year", "Mon", "Day"]
					});
					this.beginDatePicker.show(function(rs) {
						_this.beginTime = rs.value;
						_this.beginDatePicker.dispose();
						_this.beginDatePicker = null;
					});
				}
			},
			choiceEndDate: function(){
				var _this = this;
				
				if(this.endDatePicker){
					this.endDatePicker.show(function(rs) {
						_this.endTime = rs.value;
						_this.endDatePicker.dispose();
						_this.endDatePicker = null;
					});
				}else{
					this.endDatePicker = new mui.DtPicker({
						"type": "date",
						"beginDate":new Date(2016, 00, 01),
						"endDate": new Date(),
						"lables": ["Year", "Mon", "Day"]
					});
					this.endDatePicker.show(function(rs) {
						_this.endTime = rs.value;
						_this.endDatePicker.dispose();
						_this.endDatePicker = null;
					});
				}
			},
			createPage: function(beginPos,len,callback){
				var _this = this;
				var _data = {
					"chargeType": _this.chargeType || "",
					"userId": _this.userId || "",
					"state": _this.state || "",
					"beginTime": _this.beginTime || "",
					"endTime": _this.endTime || "",
					"turnPageBeginPos":beginPos || "",
					"turnPageShowNum":len,
					"customerId": plus.storage.getItem("memberInfoId"),
					"memberUUID": plus.storage.getItem("memberUUID"),
					"APP_UUID": plus.device.uuid
				};
				
				$.bs.ajax({
					url:ut.netPayUrl + 'payFeeRecordQuery.do',
					//url:'../../json/payFeeRecordQuery.json',
					data: _data,
					processResponse:function(res){
						$.each(res.payFeeRecordList,function(k,v){
							_this.list.push(v)
						})
						
						$.each(res.payFeeRecordList,function(k,v){
							_this.list_bk.push(v)
						})
							
						if(callback){
							callback();
						}
						vn.len = parseInt(res.turnPageTotalNum)
						if(vn.len =='0'){
							$('.mui-pull-loading').text('无缴费记录');
						}
					},
					wait: true
				})
			},
			onSubmit: function(){
				var _this = this;
				
				if(this.beginTime&&this.endTime){
					if(parseInt(this.beginTime.replace('-',''))>parseInt(this.endTime.replace('-',''))){
						mui.alert('开始日期不能大于结束日期');
						return false;
					}
				}
				
				pullToRefresh.pullUpLoading();
			},
			getItem: function(code){
				var res = {};
				
				$.each(this.iFeeTypeList,function(k,v){
					if(v.code.trim() == code){
						res = v;
					}
				})
				
				return res;
			},
			dropdown: function(){
				
			},
			closeMod: function(){
				this.isOnSubmit = false;
				this.list = [];
				this.list_bk = [];
				this.len = "isBegin";
				this.endPos = 0;
			}
		}
	})
	
	function Ready(){
		//$('.dropdown').dropdown({})
		vn.init()
		
		var deceleration = mui.os.ios?0.003:0.0009;
		
		mui('.mui-scroll-wrapper').scroll({
			bounce:false,
			indicators:false, //是否显示滚动条
			deceleration:deceleration
		});
		
		var options={
			up: {
				callback: function() {
					var self = this;
					var isMore = false
					
					if(vn.len!="isBegin"&&vn.len==vn.list_bk.length){
						isMore = true
					}
					setTimeout(function() {
						if(isMore){
							self.endPullUpToRefresh();
							$('.mui-pull-loading').text('无缴费记录');
						}else{
							if(vn.endPos==0){
								vn.endPos=vn.endPos+1;
							}else{
								vn.endPos=vn.endPos+10;
							}
							vn.createPage(vn.endPos,10,function(){
								vn.isOnSubmit = true;
								self.endPullUpToRefresh();
							})
						}
					},1000);
				}
			}
		}
	
		pullToRefresh=mui('#pullrefresh').pullToRefresh(options)
		
		$('#recordsList').on('tap','.btn-toggle',function(){
			$(this).dropdown({})
		})
	}
	
	if(isWebApp){
		mui.plusReady(function(){
			Ready()
		})
	}else{
		mui.ready(function(){
			Ready()
		})
	}
})(jQuery,mui)
