(function(m, $, doc, win){
	m.init({
		swipeBack: true //启用右滑关闭功能
	});
	
	function createHtml(list) {
		var html = '';
		
		$.each(list, function(k, v){
			html += '<div class="navbar-item">'
			html +=		'<a href="javascript:void(0)" >'
			html +=			v.reportForm_name
			html +=		'</a>'
			html +=	'</div>'
		});
		
		$('#list').html(html);
	}
	
	function _ready(){
		var ws = plus.webview.currentWebview();
		
		list = ws.list;
		
		$('.mui-title').html(ws.title);
		
		createHtml(list)
		
		
		$('#list').on('tap', '.navbar-item', function(){
			var i = $(this).index();
			
			var obj = {
				name: list[i].reportForm_name,
				targetUrl: list[i].action_name
			}
			
			$.bs.openWindowByLoad(
				"report.html",
				"report",
				"pop-in", 
				obj
			);
		})
	}
	
	if(m.os.plus){
		m.plusReady(_ready);
	}else{
		m.ready(_ready);
	}
})(mui, jQuery ,document, window)
