(function($,m){
	var isWebApp;
	
	if(mui.os.plus){
		isWebApp = true;
	}else{
		isWebApp = false;
	}
	
	mui.init({
		swipeBack: true //启用右滑关闭功能
	});
	
	var AccSign = function (){
		this.init.apply(this, arguments)
	};
	AccSign.prototype = {
		init: function (el, options){
			this.el = el;
			this.options = {};
			
			for (var i in options) {
				this.options[i] = options[i];
			}
			
			$('#mobileNo').validator();
			$('#AuthMsg').validator();
		},
		unPaySignSMS: function(){
			var _this = this;
			
			$('#sendSMSBtn').countdown('start');
			
			var data = {
				customerId: plus.storage.getItem("memberInfoId"),
				memberUUID: plus.storage.getItem("memberUUID"),
				APP_UUID: plus.device.uuid
			};
			
			if(this.options.accType != '3'){
				data.cardNo = this.options.cardNo ;
			}else{
				data.mobileNo = this.options.mobileNo ;
			}
			
			var appUrl = '';
			
			if(this.options.accType != '3'){
				appUrl = ut.netPayUrl + 'unPaySignSMS.do';
			}else{
				appUrl =ut.netPayUrl + 'thUnPaySignSMSMb.do' ;
			}
			
			$.bs.ajax({
				url: appUrl,
				data: data,
				processResponse: function(res){
					_this.SmsKey = res.SmsKey;
					_this.SgnNo = res.SgnNo;
					
					$('#SmsKey').text(_this.SmsKey);
					
					$('#sendSMSBtn').countdown('start');
				},
				selfdefineFailed: function(res){
					$('#sendSMSBtn').countdown('end');
				}
			});
		},
		checkData: function(){
			if(!$('#mobileNo').data('bs.validator').check().passed){
				return false;
			}
				
			if(!$('#AuthMsg').data('bs.validator').check().passed){
				return false;
			}
			
			if(!$('#agreeDeal').is(':checked')){
				mui.alert('请阅读协议')
				return false;
			}
			
			return true;
		},
		unPaySign: function(authMsg){
			var isChecked = this.checkData();
			
			if(!isChecked){
				return ;
			}
			
			var _this = this;
			
			var data = {
				AuthMsg: authMsg,
				SmsKey: this.SmsKey,
				SgnNo: this.SgnNo,
				customerId: plus.storage.getItem("memberInfoId"),
				memberUUID: plus.storage.getItem("memberUUID"),
				APP_UUID: plus.device.uuid
			};
			
			if(this.options.accType != '3'){
				data.RcverAcctId = this.options.cardNo; 
			}
			
			var appUrl = '';
			
			if(this.options.accType != '3'){
				appUrl = ut.netPayUrl + 'unPaySign.do';
			}else{
				appUrl =ut.netPayUrl + 'thUnPaySignMb.do' ;
			}
			
			$.bs.ajax({
				url: appUrl	,
				data: data,
				processResponse: function(res){
					m.alert(res.em, '', function(){
						$.bs.closeviews(['checkUserState', 'inputPW', 'checkUserMsg', 'checkAccMsg', 'inputUserMsg', 'createAccResult']);
						
						setTimeout(function(){
							plus.webview.close(plus.webview.currentWebview(), "none");
						},500);
					});
				},
				wait: true
			});
		}
	};
	
	function ready() {
		var self = {};
		
		if(isWebApp){
			self = plus.webview.currentWebview();
		}
		
		var options = {
			cardNo: self.cardNo,
			accType: self.accType
		};
		var _element = $('#accSign');
		var accSign = new AccSign(_element, options);
		
		$(document).on('tap', '#sendSMSBtn',function(){
			if(!$('#mobileNo').data('bs.validator').check().passed){
				return false;
			}
			
			accSign.options.mobileNo = $('#mobileNo').val();
			
			accSign.unPaySignSMS();
		});
		
		$('#_submit').on('click', function(){
			accSign.unPaySign($('#AuthMsg').val());
		});
		
		$('#deal-info').on('click', function(){
			$.bs.openWindowByLoad("../agreement/agr_transferAcc.html", "agr_transferAcc", "pop-in",{});
		});
	}
	
	if (isWebApp){
		m.plusReady(ready);
	} else {
		m.ready(ready);
	}
})(jQuery,mui);
