(function($,m){
	var isWebApp;
	
	if(mui.os.plus){
		isWebApp = true;
	}else{
		isWebApp = false;
	}
	
	mui.init({
		swipeBack: true //启用右滑关闭功能
	});
	
	var vn = new Vue({
		el: '#vn',
		data: {
			cardNo: "",
		},
		methods: {
			init: function(){
				$('#cardNo').validator();
			},
			checker: function(){
				if(!$('#cardNo').data('bs.validator').check().passed){
					return false;
				}else{
					return true;
				}
			},
			onSubmit: function(){
				var _this = this;
				
				if(!this.checker()){
					return false;
				}
				
				var data = {
					cardNo: this.cardNo
				};
				
				$.bs.ajax({
					url: ut.netPayUrl + 'checkAcctLevelCardBin.do',
					data: data,
					processResponse: function(res){
						_this.bankCardType = res.bankCardType
						if(_this.bankCardType == '0'){
							mui.openWindow({
								url:"checkAccMsg.html",
								id:"checkAccMsg",
								extras: {
									bankCardType: res.bankCardType,
									cardNo: _this.cardNo
								}
							});
						}else{
							mui.openWindow({
								url:"checkAccMsg.html",
								id:"checkAccMsg",
								extras: {
									bankCardType: res.bankCardType,
									cardNo: _this.cardNo
								}
							});
													
						}
					}
				});
			}
		}
	})
	
	function _ready(){
		
		vn.init();
	};
	
	if(isWebApp){
		m.plusReady(function(){
			_ready()
		});
	}else{
		m.ready(function(){
			_ready()
		});
	}
})(jQuery,mui);