(function($, m, win){
	var isWebApp;
	
	if(mui.os.plus){
		isWebApp = true;
	}else{
		isWebApp = false;
	}
	
	mui.init({
		swipeBack: true //启用右滑关闭功能
	});
	
	var vn = new Vue({
		el: '#vn',
		data: {
			list:[]
		},
		methods: {
			init: function(){
				var _this = this;
				var data = {
					customerId: plus.storage.getItem("memberInfoId"),
					memberUUID: plus.storage.getItem("memberUUID"),
					APP_UUID: plus.device.uuid
				};
				
				$.bs.ajax({
					//url: '../../json/checkIsFirstBoundCard.json',
					url: ut.netPayUrl + 'checkIsFirstBoundCard.do',
					data: data,
					processResponse: function(res){
						if(res.ec == '0'){
							_this.list = [];
							$.each(res.iAcctLevelCardList, function(key, val){
								val.formatCardNo = $.bs.format.dealAccountHideFour(val.CardNo);
								_this.list.push(val);
							});
						}
					},
					wait: true
				});
			},
			delCard: function(data){
				m.openWindow({
					url: "unbindCard.html",
					id: "unbindCard",
					extras: data
				});
			},
			addCard: function(){
				m.openWindow({
					url: "bindCard1.html",
					id: "bindCard1",
					extras:{
						
					}
				});
			}
		}
	})
	
	function _ready(){
		vn.init();
		
		win.addEventListener('refresh1',function(event){
			vn.init();
		});
	};
	
	if(isWebApp){
		m.plusReady(function(){
			_ready()
		});
	}else{
		m.ready(function(){
			_ready()
		});
	}
})(jQuery, mui, window);