(function($, m){
	m.init({
		swipeBack: true //启用右滑关闭功能
	});
	
	var facePlus = {};
	
	(function(q){
		var userData = {};
		
		q.openScan = function(el, type, _method, successCallback) {
			var _this = this; 
			var that = el;
			var type = type !== undefined ? type : '0';
			var _method = _method !== undefined ? _method : true;
			
			plus.pluginOpenIdcardScan.openIdcardScan(type, _method, function(result) {
				if (result.status) {
					var message = result.message;
					var payload = result.payload;
					
					successCallback(that, result)
				} else {
					mui.alert(result.message);
				}
			}, function(result) {
				mui.alert(result);
			});
		};
		
		q.getPicData = function(res) {
			var targetUrl = res.payload.picOne !== undefined ? res.payload.picOne : res.payload.picTwo;
			var str = '<img class="img-responsive" src="' + 'data:image/png;base64,'+ targetUrl +'" />';
			
			var data = {
				el: str,
				src: targetUrl
			};
			
			return data;
		};
		
		q.uploadimg = function(appUrl, imgJson, options ,successcallback, errorcallback) {
			var _this = this;
			var imgJson = imgJson;
			
	    	var data = {
	    		imgStr: imgJson, 
				memberUUID: plus.storage.getItem("memberUUID"),
				APP_UUID: plus.device.uuid
	    	}
	    	
	    	data =  $.extend(data, options)
	    	
	    	$.bs.getSrandNum(function(res1){
	    		var encryptData = encodeURIComponent(ch.encryptData(data, res1.srandNum)); //数据加密
			
				var data2 = {
					memberUUID: plus.storage.getItem("memberUUID") || '',
					APP_UUID: plus.device.uuid || '',
					encryptData: encryptData,
					srandNumToken: res1.srandToken
				}
				
				$.bs.ajax({
					url: appUrl,
					data: data2,
					processResponse: function(res){
						if (res.ec == '0') {
							successcallback(res);
						} else {
							mui.alert(res.em);
							
							errorcallback(res);
						}
					},
					selfdefineFailed: function(){
						
					},
					wait: true,
					isMui: false
				});
	    	})
	    	
	    	
		};
		
		q.createData = function(res){
			if (res.side == 'back') {
				userData.VisDat = res.valid_date.split('-')[0].replace('.','');
				userData.DueDate = res.valid_date.split('-')[1].replace('.','');
				userData.IssuAuth = res.issued_by;
				
				$('#validDate').text('有效日期：' + res.valid_date );
			} else if (res.side == 'front') {
				userData.CertTyp = res.type;
				userData.CertNb =  res.id_card_number;
				userData.Name142 = res.name;
				userData.Country = '中国';
				userData.AreaCode ='1770';
				userData.Nation = res.race;
				userData.CusSex = res.gender === "女" ? '0' : '1';
				userData.BrnDat =  res.birthday;
				userData.CertAddr = res.address;
				
				$('#CertNb').text('身份证号：' + $.bs.format.hideIDNumberMid(res.id_card_number));
				$('#idCardFaceBtn').find('.card-body').css({"display":"none"});
				$('#idCardBack').find('.card-body').css({"display":"none"});
			} else {
				return false;
			}
			
			userData.appSecAcctFlowNo = res.appSecAcctFlowNo;
			
			return userData;
		};
	}(facePlus));
	
	
	var liveness = {};
	
	(function(l){
		var data = {};
		
		l.open = function(successCallback){
			var _this = this;
			
			plus.pluginOpenLiveness.openLiveness( 
				1,
				function(res){
					if (res.status) {
						var message = res.message;
						var payload = res.payload;
						
						successCallback.call(_this, res);
					} else {
						mui.alert(res.message);
					}
				}, function(){
				
				}
			)
			
			
		}
		
		l.uploadimg = function(appUrl, imgJson, options, successcallback) {
			var _this = this;
			var imgJson = imgJson;
			
	    	var data = {
	    		base64File: imgJson, 
				memberUUID: plus.storage.getItem("memberUUID"),
				APP_UUID: plus.device.uuid
	    	}
	    	
	    	data = $.extend(data, options);
	    	
	    	$.bs.getSrandNum(function(res1){
	    		var encryptData = encodeURIComponent(ch.encryptData(data, res1.srandNum)); //数据加密
			
				var data2 = {
					memberUUID: plus.storage.getItem("memberUUID") || '',
					APP_UUID: plus.device.uuid || '',
					encryptData: encryptData,
					srandNumToken: res1.srandToken
				}
				
				$.bs.ajax({
					url: appUrl,
					data: data2,
					processResponse: function(res){
						successcallback.call(_this, res);
					},
					wait: true,
					isMui: false
				});
	    	})
		};
	}(liveness))
	
	function CheckUserMsg() {
		this.init.apply(this, arguments);
	}
	
	CheckUserMsg.prototype = {
		init: function (el, options) {
			this.update(options);
		},
		update: function(options) {
			this.options = $.extend(this.options, options);
		},
		userMsgUpdate: function (res) {
			var data = {
				CertTyp: this.options.CertTyp,
				CertNb: this.options.CertNb,
				userName: this.options.Name142,
				AreaCode: this.options.AreaCode,
				Country: this.options.Country,
				Nation: this.options.Nation,
				CusSex: this.options.CusSex,
				VisDat: this.options.VisDat,
				DueDate: this.options.DueDate,
				BrnDat: this.options.BrnDat,
				IssuAuth: this.options.IssuAuth,
				CertAddr: this.options.CertAddr,
				iOccupCode: res.iOccupCode,
				iAddrCode: res.iAddrCode,
				openNode: res.openNode,
				isExistMsg: res.isExistMsg,
				mobileNo: this.options.mobileNo,
				appSecAcctFlowNo: res.appSecAcctFlowNo
			}
			
			$.bs.openWindowByLoad("inputUserMsg.html", "inputUserMsg", "pop-in", data);
		},
		checkData: function() {
			if(!this.options.CertNb){
				mui.alert('请拍摄身份证人面像');
				return false;
			}
			
			if(!this.options.VisDat){
				mui.alert('拍摄身份证国徽面');
				return false;
			}
			
			if(this.options.userName != this.options.Name142){
				mui.alert('输入户名与身份证户名不符');
				return false;
			}
			
			return true;
		},
		sendData: function () {
			var isChecked = this.checkData();
			
			if(!isChecked){
				return
			}
			
			var _this = this;
			
			liveness.open(function(res){
				this.uploadimg(
					ut.netPayUrl + 'checkAcctLevelBiopsyMb.do',
					res.payload,
					{
						appSecAcctFlowNo: _this.options.appSecAcctFlowNo,
						delta: res.delta || ''
					},
					function(res1){
						var appUrl = ut.netPayUrl + 'otherBankCardMsgCheck.do';
						var data = {
							certType: _this.options.CertTyp,
							cert_id: _this.options.CertNb,
							Name142: _this.options.userName||'',
							Tel: _this.options.mobileNo||'',
							appSecAcctFlowNo: _this.options.appSecAcctFlowNo,
							memberUUID: plus.storage.getItem("memberUUID"),
							APP_UUID: plus.device.uuid
						};
						
						$.bs.getSrandNum(function(res1){
							var encryptData = encodeURIComponent(ch.encryptData(data, res1.srandNum)); //数据加密
			
							var data2 = {
								memberUUID: plus.storage.getItem("memberUUID") || '',
								APP_UUID: plus.device.uuid || '',
								encryptData: encryptData,
								srandNumToken: res1.srandToken
							}
							
							$.bs.ajax({
								url: appUrl,
								data: data2,
								processResponse: function(res){
									_this.userMsgUpdate(res);
								},
								wait: true
							});
						});
					}
				)
			})
		}
	};
	
	
	function _ready(){
		var ws = {};
		
		if(m.os.plus){
			ws = plus.webview.currentWebview();
		}
		
		var data = {
			'mobileNo': ws.mobileNo,
			'userName': ws.userName,
			'appSecAcctFlowNo': ws.appSecAcctFlowNo
		};
		
		var checker = new CheckUserMsg("",data);
		
		function scanCallback(el, res) {
			var imgData = facePlus.getPicData(res);
			
			if(el.find('img').length > 0){
				el.empty();
			}
			
			el.append(imgData.el);
			el.find('.img-responsive').autoScaling({});
			
			facePlus.uploadimg(
				ut.netPayUrl + "indentityCardMsgCheck.do",
				imgData.src,
				{
					appSecAcctFlowNo: data.appSecAcctFlowNo
				},
				function(res){
					var options = facePlus.createData(res);
					checker.update(options);
				},
				function(){
					if(el.find('img').length > 0){
						el.empty();
					}
				}
			);
		}
		
		
		
		$('.shootBtn').on('tap', function(e){
			e.preventDefault();
			
			var self = $(this);
			var selfType = self.data('type');
			var type = selfType === 'CardFace' ? '0' : '1' ;
			var _method = false;
			var $target = self.siblings('.panel-item-view');
			
			facePlus.openScan($target, type, _method, scanCallback);
		});
		
		$('#submit').on('click', function(){
			checker.sendData();
		});
		
		$('#openLivenessBtn').on('click', function(){
			liveness.open(function(res){
				this.uploadimg(
					ut.netPayUrl + 'checkAcctLevelBiopsyMb.do',
					res.payload,
					{
						appSecAcctFlowNo: data.appSecAcctFlowNo,
						delta: res.delta
					},
					function(res1){
						alert(res1)
					}
				)
			})
		});
	}
	
	if(m.os.plus){
		m.plusReady(_ready);
	}else{
		m.ready(_ready);
	}
})(jQuery, mui);