(function($, m){
	var isWebApp;
	
	if(mui.os.plus){
		isWebApp = true;
	}else{
		isWebApp = false;
	}
	
	mui.init({
		swipeBack: true //启用右滑关闭功能
	});
	
	var vn = new Vue({
		el: '#vn',
		data: {
			CardNo: "",
			TelNo: "",
			Account: "",
			AcctName: "",
			sysDate: "",
			OrgName: "",
			bankName: "",
			bankCardType: "",
			appFlowNo: "",
			loanSecUrl: "",
			loansType: ""
		},
		methods: {
			init: function(){
				//this.unPaySgnMsgCheck();
			},
			unPaySgnMsgCheck: function(){
				var _this = this;
				
				if(this.bankCardType === '0'){
					mui.alert('本行卡不需要签约')
					
					return ;
				}
				
				var data = {
					ACCT: this.CardNo,
					Account: this.Account,
					bankName: this.bankName
				};
								
				$.bs.ajax({
					url: ut.netPayUrl + 'unPaySgnMsgCheck.do',
					data: data,
					processResponse: function(res){
						if(res.flag === '0'){
							var _extras = {
								cardNo: _this.CardNo
							};
							
							m.openWindow({
								url: "accSign.html",
								id: "accSign",
								extras: _extras
							});	
						}
					},
					wait: true
				});
			},
			goback: function(){
				if (this.appFlowNo){
					var data = {
						targetUrl: this.loanSecUrl,
						type: this.loansType
					};
					
					$.bs.openWindowByLoad(
						"../mine/loans.html",
						"loans",
						"pop-in", 
						data
					);
				} else {
					m.fire(plus.webview.getWebviewById('wallet1'),"refresh1");
					
					if(this.bankCardType === '0'){
						$.bs.closeviews([
							'checkUserState',
							'inputPW',
							'checkUserMsg',
							'checkAccMsg',
							'inputUserMsg'
						]);
						
						setTimeout(function(){
							plus.webview.close(plus.webview.currentWebview(), "none");
						},500);
					} else {
						this.unPaySgnMsgCheck();
					}
				}
				
			}
			
		},
		computed: {
			formatAccNo: function(){
				return $.bs.format.toFomatBankNumber(this.Account);
			},
			formatCardNo: function(){
				return $.bs.format.toFomatBankNumber(this.CardNo);
			},
			formatTelNo: function(){
				return $.bs.format.toFomatMobile(this.TelNo);
			}
		}
	})
	
	function _ready(){
		var ws = {};
		
		if(mui.os.plus){
			ws = plus.webview.currentWebview();
		}
		
		vn.CardNo = ws.CardNo || "";
		vn.TelNo = ws.TelNo || "";
		vn.Account =  ws.Account || "";
		vn.AcctName = ws.AcctName || "";
		vn.sysDate =  ws.sysDate || "";
		vn.OrgName = ws.OrgName || "";
		vn.bankName = ws.bankName || "";
		vn.bankCardType = ws.bankCardType || "";
		vn.appFlowNo =  ws.appFlowNo || "";
		vn.loanSecUrl = ws.loanSecUrl || "";
		vn.loansType = ws.loansType || "";
		vn.init();
		
		$('#paySgn').on('click', function(e){
			e.preventDefault();
			
			vn.unPaySgnMsgCheck();
		});
		
		$('#finish').on('click', function(e){
			e.preventDefault();
			
			vn.goback();
		})
	};
	
	if(isWebApp){
		m.plusReady(_ready);
	}else{
		m.ready(_ready);
	}
})(jQuery, mui);