(function($,m){
	var isWebApp;
	
	if(mui.os.plus){
		isWebApp = true;
	}else{
		isWebApp = false;
	}
	
	mui.init({
		swipeBack: true //启用右滑关闭功能
	});
	
	var vn = new Vue({
		el: '#vn',
		data: {
			CardNo: '',
			Pwd: '',
		},
		methods: {
			init: function(){
				
			},
			onSubmit: function(){
				var data = {
					CardNo: this.CardNo,
					Pwd: $('#pwd').attr('pass'),
					customerId: plus.storage.getItem("memberInfoId"),
					memberUUID: plus.storage.getItem("memberUUID"),
					APP_UUID: plus.device.uuid
				};
				
				$.bs.ajax({
					url: ut.netPayUrl + 'removeAcctLevelCard.do',
					data: data,
					processResponse: function(res){
						if(res.ec == '0'){
							mui.alert(res.em)
							mui.fire(plus.webview.getWebviewById('bindCardList'), "refresh1");
							setTimeout(function(){
								plus.webview.close(plus.webview.currentWebview(), "none");
							},500);
						}
					},
					wait: true
				});
			}
		}
	})
	
	function _ready(){
		vn.init();
		var self;
		
		if(mui.os.plus){
			self = plus.webview.currentWebview();
			vn.CardNo = self.CardNo;
		}
		
		var srandNumber;
	
		$.bs.getSrandNumber('', function(ranKey){
			srandNumber = ranKey;
			
		});
		
		$('#pwd').on('click', function(){
			var idPwd = $(this).attr('id');
			var pwdEl = document.getElementById(idPwd);
			
			$.bs.openKeyboard(pwdEl, 'unbindCardPassWord', srandNumber);
			
			return false
		});
		
		$(document).on('touchstart' ,function(){
			plus.pluginPGKeyboard.hideKeyboard('unbindCardPassWord');//隐藏键盘	
		});
	}
	
	if(isWebApp){
		m.plusReady(function(){
			_ready()
		});
	}else{
		m.ready(function(){
			_ready()
		});
	}
})(jQuery,mui);