(function(m, $){
	m.init({
		swipeBack: true //启用右滑关闭功能
	});
	
	
	function Res(){
		this.init.apply(this, arguments);
	}
	
	Res.prototype = {
		init: function(el, option){
			this.el = $(el);
			this.option = {};
			
			this.update(option);
			this.createHtm();
		},
		update: function(option){
			this.option = $.extend(this.option, option)
		},
		createHtm: function(){
			$('#Nm').text(this.option.Nm);
			$('#IdentNo').text(this.option.IdentNo);
			$('#PymtAcctNo').text($.bs.format.dealAccountHideFour(this.option.PymtAcctNo));
		}
	}
	
	function closedWindow(){
		setTimeout(function(){
			if($.bs.isOpenView('selfCancelSign')){
				plus.webview.close('selfCancelSign', 'none');
			}
				
			plus.webview.close(plus.webview.currentWebview(), 'none');
		}, 500);
	}
	
	function _ready(){
		var ws = plus.webview.currentWebview();
		
		var Nm = ws.Nm;
		var IdentNo = ws.IdentNo;
		var PymtAcctNo = ws.PymtAcctNo;
		
		var res = new Res('#res' , {
			Nm: Nm,
			IdentNo: IdentNo,
			PymtAcctNo: PymtAcctNo
		});
		
		$('#goBack').on('tap', function(){
			closedWindow();
		});
	}
	
	if(m.os.plus){
		m.plusReady(_ready);
	}else{
		m.ready(_ready);
	}
}(mui, jQuery))
