(function(m, $){
	m.init({
		swipeBack: true //启用右滑关闭功能
	});
	
	function Records(){
		this.init.apply(this, arguments);
	}
	
	Records.prototype = {
		init: function(option){
			this.options = $.extend(option, {});
			
			this.list = [];
		},
		createList: function(beginPos, callbackSuccess){
			var _this = this;
			
			var data = {
				customerId: plus.storage.getItem("memberInfoId"),
				memberUUID: plus.storage.getItem("memberUUID"),
				APP_UUID: plus.device.uuid,
				startDate: this.options.startDate != "" ? this.options.startDate.replace(/\-/g, '') : "",	
				endDate: this.options.endDate != "" ? this.options.endDate.replace(/\-/g, '') : "",				
				chargeType: this.options.chargeType,			
				turnPageBeginPos: beginPos,			
				turnPageShowNum: this.options.pageNum
			}
			
			$.bs.ajax({
				url: ut.netPayUrl + 'queryLocalTSMb.do',
				data: data,
				processResponse: function(res){
					callbackSuccess(res);
				}
			})
		},
		render: function(res){
			var _this = this;
			var html = '';
			
			$.each(res.iTSCharge, function(k, v){
				html += 	'<div class="list-item">';
				html +=			'<div class="panel panel-p">';
				html +=				'<div class="panel-group">';
				html +=					'<div class="panel-item">';
				html +=						'<div class="mui-row">';
				html +=							'<div class="panel-item-header mui-col-xs-8">';
				html +=								 v.chargeType;
				html +=							'</div>'
											if(v.status == '成功'){
				html +=							'<div class="panel-item-body mui-col-xs-4 mui-text-right text-primary">';
											}else{
				html +=							'<div class="panel-item-body mui-col-xs-4 mui-text-right text-danger">';								
											}
				html +=								v.status;
				html +=							'</div>';
				html +=						'</div>';
				html +=					'</div>';
				
				html +=					'<div class="panel-item">';
				html +=						'<div class="mui-row">';
				html +=							'<div class="panel-item-header mui-col-xs-4">';
				html +=								'姓名';
				html +=							'</div>';
				html +=							'<div class="panel-item-body mui-col-xs-8 mui-text-right">';
				html +=								v.remark.split('|')[0];
				html +=							'</div>';
				html +=						'</div>';
				html +=					'</div>';
				
				html +=					'<div class="panel-item">';
				html +=						'<div class="mui-row">';
				html +=							'<div class="panel-item-header mui-col-xs-4">';
				html +=								v.remark.split('|')[1];
				html +=							'</div>';
				html +=							'<div class="panel-item-body mui-col-xs-8 mui-text-right">';
				html +=								$.bs.format.hideIDNumberMid(v.remark.split('|')[2]);
				html +=							'</div>';
				html +=						'</div>';
				html +=					'</div>';
				
				html +=					'<div class="panel-item">';
				html +=						'<div class="mui-row">';
				html +=							'<div class="panel-item-header mui-col-xs-4">';
				html +=								'交易金额';
				html +=							'</div>';
				html +=							'<div class="panel-item-body mui-col-xs-8 mui-text-right text-gold">';
				html +=								v.tranAmt;
				html +=							'</div>';
				html +=						'</div>';
				html +=					'</div>';
				
				html +=					'<div class="panel-item">';
				html +=						'<div class="mui-row">';
				html +=							'<div class="panel-item-header mui-col-xs-4">';
				html +=								'付款帐号';
				html +=							'</div>';
				html +=							'<div class="panel-item-body mui-col-xs-8 mui-text-right">';
				html +=								v.payAccount;
				html +=							'</div>';
				html +=						'</div>';
				html +=					'</div>';
				
				html +=					'<div class="panel-item">';
				html +=						'<div class="mui-row">';
				html +=							'<div class="panel-item-header mui-col-xs-4">';
				html +=								'交易日期';
				html +=							'</div>';
				html +=							'<div class="panel-item-body mui-col-xs-8 mui-text-right">';
				html +=								$.bs.format.dataToDate(v.transDate.substr(0, 8));
				html +=							'</div>';
				html +=						'</div>';
				html +=					'</div>';
				
				html +=					'<div class="panel-item">';
				html +=						'<div class="mui-row">';
				html +=							'<div class="panel-item-header mui-col-xs-4">';
				html +=								'交易流水号';
				html +=							'</div>';
				html +=							'<div class="panel-item-body mui-col-xs-8 mui-text-right">';
				html +=								v.flowNo;
				html +=							'</div>';
				html +=						'</div>';
				html +=					'</div>';
				
				html +=					'<div class="panel-item">';
				html +=						'<div class="mui-row">';
				html +=							'<div class="panel-item-header mui-col-xs-4">';
				html +=								'协办员手机号';
				html +=							'</div>';
				html +=							'<div class="panel-item-body mui-col-xs-8 mui-text-right">';
				html +=								(v.TelNo != null) ? v.TelNo : '';
				html +=							'</div>';
				html +=						'</div>';
				html +=					'</div>';
				
									if(v.status == '成功'){
				html +=					'<div class="panel-item">';
				html +=						'<div class="mui-clearfix">';
				html +=							'<button class="btn btn-primary mui-pull-right cancel" id="" data-flowno="'+ v.flowNo +'">';
				html +=								'撤销';
				html +=							'</button>';
				html +=						'</div>';
				html +=					'</div>';
									}
				
				html +=				'</div>';
				html +=			'</div>';
				html +=		'</div>';
				
				_this.list.push(v);
			});
			
			$('#payRecordsList').append(html);
		},
		_reset: function(){
			$('#payRecordsList').empty();
			
			this.options.beginPos = 0;
			this.options.totalNum = 1;
			
			this.list = [];
		},
		choiceBeginDate: function(){
			var _this = this;
				
			if(this.beginDatePicker){
				
			}else{
				this.beginDatePicker = new mui.DtPicker({
					"type": "date",
					"beginDate":"",
					"endDate":new Date(),
					"lables": ["Year", "Mon", "Day"]
				});
			}
			
			this.beginDatePicker.show(function(rs) {
				_this.options.startDate = rs.value;
				_this.beginDatePicker.dispose();
				_this.beginDatePicker = null;
				
				$('#beginDate').text(rs.text);
			});
		},
		choiceEndDate: function(){
			var _this = this;
				
			if(this.endDatePicker){
				
			}else{
				this.endDatePicker = new mui.DtPicker({
					"type": "date",
					"beginDate":"",
					"endDate": new Date(),
					"lables": ["Year", "Mon", "Day"]
				});
			}
			
			this.endDatePicker.show(function(rs) {
				_this.options.endDate= rs.value;
				_this.endDatePicker.dispose();
				_this.endDatePicker = null;
				
				$('#endDate').text(rs.text);
			});
		},
		choiceChargeType: function(){
			var _this = this;
			
			if(this.chargeTypePicker){
				
			}else{
				this.chargeTypePicker = new mui.PopPicker();
				
				var data =[{
					'text':'医疗保险',
					'value':'10212'
				}, {
					'text':'医疗保险（补缴）',
					'value':'1021201',
				}, {
					'text':'养老保险',
					'value':'10210',
				}, {
					'text':'养老保险（补缴）',
					'value':'1021001',
				}];
				
				this.chargeTypePicker.setData(data);
			}
			
			this.chargeTypePicker.show(function(items) {
				_this.options.chargeType = items[0]['value'];
				_this.chargeTypeText = items[0]['text'];
				
				$('#chargeType').text(_this.chargeTypeText);
			});
		},
		choiceDateZone: function(type){
			switch (type) {
				case 'threeMon': 
					choiceDateZone.getThreeMonZone() ;
					var zone = choiceDateZone.getDate() ;
					
					this.options.startDate = zone.threeMon.beginDate;
					this.options.endDate = zone.threeMon.endDate;
				break;
				case 'halfYear': 
					choiceDateZone.getHalfYearZone() ;
					var zone = choiceDateZone.getDate() ;
					
					this.options.startDate = zone.halfYear.beginDate;
					this.options.endDate = zone.halfYear.endDate;
				break;
				case 'oneYear': 
					choiceDateZone.getOneYearZone() ;
					var zone = choiceDateZone.getDate() ;
					
					this.options.startDate = zone.oneYear.beginDate;
					this.options.endDate = zone.oneYear.endDate;
				break;
				case 'allTime': 
					
					this.options.startDate = "";
					this.options.endDate = "";
				break;
			}
			
			var beginDate = this.options.startDate == '' ? '请选择开始日期': this.options.startDate;
			var endDate = this.options.endDate == '' ? '请选择结束日期': this.options.endDate;
			
			$('#beginDate').text(beginDate);
			$('#endDate').text(endDate);
		},
		cancel: function(option, callback){
			var _this = this;
			
			var data = {
				"flowNo": option.flowNo.toString()
			};
			
			$.each(this.list, function(k, v){
				if(v.flowNo == data.flowNo){
					data.payAccount = v.payAccount;
					data.chargeType = v.chargeType;
					data.tranAmt = v.tranAmt;
					data.remark = v.remark;
				}
			});
			
			//this._reset();
			
			$.bs.openWindowByLoad(
				"revocation.html",
				"revocation",
				"pop-in",
				data
			);
			
			/*
			var data = {
				customerId: plus.storage.getItem("memberInfoId"),
				memberUUID: plus.storage.getItem("memberUUID"),
				APP_UUID: plus.device.uuid,
				TxnSeqNo: option.flowNo
			}
			
			$.bs.ajax({
				url: ut.netPayUrl + 'tsPaymentCancelMb.do',
				data: data,
				processResponse: function(res){
					mui.alert('撤销成功');
					
					
					
					_this._reset();
					
					callback();
				}
			})*/
		},
		toggle: function(){
			if($('#payRecordsModal').hasClass('mui-hidden')){
				$('#payRecordsModal').removeClass('mui-hidden');
			}else{
				$('#payRecordsModal').addClass('mui-hidden');
			}
		}
	};
	
	function _ready(){
		var records = new Records({
			pageNum: '10',
			startDate: "",
			endDate: "",
			chargeType: "",
			beginPos: '0',
			totalNum: '1'
		});
		
		var pullToRefresh;
		
		var deceleration = mui.os.ios?0.003:0.0009;
		
		mui('.mui-scroll-wrapper').scroll({
			bounce:false,
			indicators:false, //是否显示滚动条
			deceleration:deceleration
		});
		
		var options={
			up: {
				callback: function() {
					var _this = this;
					
					setTimeout(function() {
						var beginPos = records.options.beginPos;
						
						if(records.options.beginPos >= records.options.totalNum){
							_this.endPullUpToRefresh();
							$('.mui-pull-loading').text('没有更多数据了');
						}else{
							records.createList(beginPos, function(res){
								records.options.beginPos = Number(records.options.beginPos) + Number(records.options.pageNum);
								records.options.totalNum = res.turnPageTotalNum;
								
								records.render(res);
								
								if(res.iTSCharge.length == 0 && res.turnPageTotalNum == '0'){
									m.alert('暂无交易明细');
								}
								_this.endPullUpToRefresh();
							});
						}
					},1000);
				}
			}
		}
	
		pullToRefresh=mui('#pullrefresh').pullToRefresh(options)
		
		$('#query').on('tap', function(){
			records.toggle();
			
			pullToRefresh.pullUpLoading();
		});
		
		$('#closeModBtn').on('tap', function(){
			records._reset();
			
			pullToRefresh.endPullUpToRefresh();
			
			records.toggle();
		});
		
		$('#beginDateBtn').on('tap', function(){
			records.choiceBeginDate();
		});
		
		$('#endDateBtn').on('tap', function(){
			records.choiceEndDate();
		});
		
		$('#chargeTypeBtn').on('tap', function(){
			records.choiceChargeType();
		});
		
		$('#payRecordsModal').on('tap', '.cancel', function(){
			var flowNo = $(this).data('flowno');
			
			var data = {
				"flowNo": flowNo
			};
			
			records.cancel(data, function(){
				pullToRefresh.endPullUpToRefresh();
				
				pullToRefresh.pullUpLoading();
			});
		});
		
		$('#dateZone').find('.btn').on('tap', function(e){
			e.preventDefault();
			var options = $(this).data('options');
			
			$(this).addClass('act').closest('.list-item').siblings('.list-item').find('.btn').removeClass('act');
			
			records.choiceDateZone(options.type);
		});
		
		$('#dateZone').find('.btn').eq(0).trigger('tap');
	}
	
	if(m.os.plus){
		m.plusReady(_ready);
	}else{
		m.ready(_ready);
	}
}(mui, jQuery))
