(function (m, $){
	m.init({
		swipeBack: true //启用右滑关闭功能
	});
	
	function CtrlCenter(){
		this.init.apply(this, arguments)
	}
		
	CtrlCenter.prototype = {
		init: function(option){
			this.getUserInfo();
		},
		getUserInfo: function(){
			var _this = this;

			this.custName = plus.storage.getItem('truename');
			this.certNo =plus.storage.getItem('certNo');
		},
		openWin: function(options,ws){
			var data = {
				custName: this.custName,
				certNo: this.certNo,
				medicalYear: ws.medicalYear,
				olderYear: ws.olderYear,
				medicalAmt: ws.medicalAmt,
			};

			if(options.type != undefined){
				data.type = options.type;
			}
			
			
			
			if(options.isAddition != undefined){
				data.isAddition = options.isAddition
			}
			
			mui.openWindow({
				id: options.id,
				url: options.url,
				extras: data
			});
		}
	}
	
	function _ready(){
		var ctrl = new CtrlCenter({});
		var ws = plus.webview.currentWebview();

		$('.navbar .navbar-item a').on('tap', function(e){
			e.preventDefault();
			var options = $(this).data('options') ;
			
			ctrl.openWin(options,ws);
		})
	}
	
	if(m.os.plus){
		m.plusReady(_ready);
	}else{
		m.ready(_ready);
	}
}(mui, jQuery))