(function(m, $, doc, win){
	m.init({
		swipeBack: true //启用右滑关闭功能
	});
	
	var vn = new Vue({
		el: "#vn",
		data: {
			custName: "",
			certNo: "",
			olderAmt: "",	
			list:[],
			medicalYear: '',//医疗缴费年限
            olderYear: '', //养老缴费年限
            medicalAmt: ''  //医疗缴费金额
		},
		methods: {
			init: function () {
				
			},
			render: function(){
				var _this = this;
				
				var data = {
					IdentNo: this.certNo,
					Nm: this.custName,
					customerId: plus.storage.getItem("memberInfoId"),
					memberUUID: plus.storage.getItem("memberUUID"),
					APP_UUID: plus.device.uuid
				};
				
				$.bs.ajax({
					url: ut.netPayUrl + 'tsInsuranceQueryMb.do',
					data: data,
					processResponse: function(res){
						if(res.iCbdjxxlist){
							_this.list = res.iCbdjxxlist;
							_this.olderAmt = res.olderAmt;
							
							$.each(_this.list, function(k, v){
								$.each(v.Jfxzxxlist, function(k1, v1){
									v1['BegYrMoFormat'] = $.bs.format.dataToDate(v1.BegYrMo);
									v1['StopDtFormat'] = $.bs.format.dataToDate(v1.StopDt);
								});
							});
						}
					},
					wait: true
				})
			},
			pay: function(type, MbrNo, PayFeeTyp, BegYrMo, SctrCd){
				var data = {
					'custName': this.custName,
					'certNo': this.certNo,
					'type': type,
					'MbrNo': MbrNo,
					'PayFeeTyp': PayFeeTyp,
					'BegYrMo': BegYrMo,
					'olderAmt': this.olderAmt,
					'SctrCd': SctrCd,
					'medicalYear': this.medicalYear,//医疗缴费年限
                    'olderYear': this.olderYear, //养老缴费年限
                    'medicalAmt': this.medicalAmt  //医疗缴费金额
				};
				
				$.bs.openWindowByLoad(
					"../payment/socialSecurityCharge.html",
					"socialSecurityCharge",
					"pop-in",
					data
				);
			}
		},
		computed: {
			certNoHide: function(){
				return $.bs.format.hideIDNumberMid(this.certNo);
			},
			nameHide: function(){
				return $.bs.format.dealUserNameNoHide(this.custName);
			}
		}
	})
	
	function _ready(){
		var ws = plus.webview.currentWebview();
		
		vn.custName = plus.storage.getItem('truename');
		vn.certNo = plus.storage.getItem('certNo');
		vn.medicalYear = ws.medicalYear || ''; //医疗缴费年限
        vn.olderYear = ws.olderYear || '';  //养老缴费年限
        vn.medicalAmt = ws.medicalAmt || ''; //医疗缴费金额
		vn.render();
	}
	
	if(m.os.plus){
		m.plusReady(_ready);
	}else{
		m.ready(_ready);
	}
})(mui, jQuery, document, window)
