(function($, m){
	var isWebApp;
	
	if(mui.os.plus){
		isWebApp = true;
	}else{
		isWebApp = false;
	}
	
	mui.init({
		swipeBack: true //启用右滑关闭功能
	});
	
	var tpl = function(s, o) {
    	var SUBREGEX = /\{\s*([^|}]+?)\s*(?:\|([^}]*))?\s*\}/g;
    	
    	return s.replace ? s.replace(SUBREGEX, function (match, key) {
       		return typeof o[key] === 'undefined' ? match : o[key];
    	}) : s;
	};
	
	var CreateAccResult = function(){
		this.init.apply(this, arguments);
	};
	
	CreateAccResult.prototype = {
		init: function(el, options){
			this.el = el ;
			this.options = $.extend({}, options);
		},
		update: function(){
			
		},
		tester: function(data){
			var _this = this ;
			var data;
			
			if(data != undefined){
				data = data
			}else {
				data = {};
			}
			
			$('[bs-show]').each(function(){
				var v = $(this).attr('bs-show') ;
				var $this = $(this);
				
				$.each(data, function(key, val){
					var patt1 = new RegExp(key);
					var result = patt1.test(v);
					
					if(result){
						v = v.replace(key, val);
					}
				});
				
				if (eval(v)){
											
				} else {
					if (!$(this).hasClass('mui-hidden')) {
						$(this).addClass('mui-hidden');
					}
				}
			});
		},
		render: function(){
			var html = this.el.html();
			
			var data = {
				flowNo: this.options.flowNo,
				custName: this.options.custName,
				openDate: this.options.openDate,
				cardNo: this.options.cardNo,
				mobileNo: this.options.mobileNo,
				thAcct: this.options.thAcct,
				OrgNo: this.options.OrgNo,
				OrgName: this.options.OrgName,
				OrgStn: this.options.OrgStn,
				boundCardStt: this.options.boundCardStt
			};
			
			data.mobileHideMid = $.bs.format.hideMobileMid(data.mobileNo);
			data.cardNoHideFour = $.bs.format.dealAccountHideFour(data.cardNo);
			data.custNameHide =  $.bs.format.dealUserNameNoHide(data.custName);
			data.accToFomat = $.bs.format.toFomatBankNumber(data.thAcct);
			
			if(data.boundCardStt == '0'){
				data.cardNo = '未绑卡';
			}
			
			var str = tpl(html, data);
			
			this.el.empty().html(str);
			
			this.tester(data);
		},
		goback: function(){
			m.fire(plus.webview.getWebviewById('wallet1'),"refresh1");
			
			$.bs.closeviews([
				'checkUserState',
				'inputPW',
				'checkUserMsg',
				'checkAccMsg',
				'inputUserMsg'
			]);
					
			setTimeout(function(){
				plus.webview.close(plus.webview.currentWebview(), "none");
			},500);
		}
	}
	
	function _ready() {
		var ws = {};
		
		if(mui.os.plus){
			ws = plus.webview.currentWebview();
		}
		
		var data = {
			flowNo: ws.flowNo || '0',
			custName: ws.custName || '孙浩宇',
			openDate: ws.openDate || '',
			cardNo: ws.cardNo || '621280601010005',
			mobileNo: ws.mobileNo || '15810980213',
			thAcct: ws.thAcct || '6230516013800001676',
			OrgNo: ws.OrgNo || '',
			OrgName: ws.OrgName || '',
			OrgStn: ws.OrgStn || '',
			boundCardStt: ws.boundCardStt || ''
		}
		
		var createAccResult = new CreateAccResult($('#vn'), data);
		
		createAccResult.render();
		
		$('#vn').on('click','#go_back_btn' ,function(){
			createAccResult.goback();
		});
		
		m.back = function () {
			createAccResult.goback();
		};
	}
	
	if(isWebApp){
		m.plusReady(_ready);
	}else{
		m.ready(_ready);
	}
})(jQuery, mui);