(function($) {
	var ConfirmOrder = {};
	var codeList = Boolean;
	mui.init();
	mui.plusReady(function() {
		var getArry = ut.getExtrasForJson(['protocol']);
		var productNo = getArry.protocol.PRODUCTNO;
		var day = getArry.protocol.TIME_LIMIT - 0;
		var productNm = getArry.protocol.PRODUCTNM;
		var preAnnualRate=getArry.protocol.PREANNUALRATE;
		//格式化利率
		function formatRate(s){
			return (s*100).toFixed(2);
		}
		if(getArry.protocol.INCOME_ROLE=="00"){
			preAnnualRate = formatRate(getArry.protocol.AMT_INTERVAL_INCOME);
		}
		if(getArry.protocol.INCOME_ROLE=="10"){
			var interval_income = getArry.protocol.AMT_INTERVAL_INCOME.split(", ");
			interval_income.sort(function(a,b){
				return a-b;
			});
			preAnnualRate = formatRate(interval_income[0]) +"%~"+formatRate(interval_income[interval_income.length-1])+"%";
		}
		//20没有返回值数据，未测试
		if(getArry.protocol.INCOME_ROLE=="20"){
			var interval_income = getArry.protocol.TIME_INTERVAL_INCOME.split(", ");
			interval_income.sort(function(a,b){
				return a-b;
			});
			preAnnualRate = formatRate(interval_income[0]) +"%~"+formatRate(interval_income[interval_income.length-1])+"%";
		}
		var end_time = ut.date_time(getArry.protocol.SUBS_END_DATE);
		if(getArry.protocol.INCOME_CHARACTERISTIC==1){			 
			 ut.getId("baoben").innerText='非保本';						
		}else{
			 ut.getId("baoben").innerText='保本';	
		}
		var increaseAmt = getArry.protocol.INCREASEAMT;
		var startAmt = getArry.protocol.STARTAMT;
		var productAnalysisLevel = getArry.protocol.PRODUCTANALYSISLEVEL;
		var protocolObj = getArry.protocol;
		var protocolUrl = "";
		var begin_amt2=protocolObj.BEGIN_AMT2-0;
		var begin_income2=protocolObj.BEGIN_INCOME2;
		var begin_income1=protocolObj.BEGIN_INCOME1;
		ut.getId('day').innerText = day;
		ut.getId('year_lilv').innerText = preAnnualRate;
		ut.getId("pronm").innerHTML = productNm + '&nbsp;&nbsp;&nbsp;' + productNo;
		ut.getId('end_time').innerText = end_time;
		//ut.getId('baoben').innerText = baoben;
		ut.getId('pay_money').placeholder = startAmt / 10000 + '万起，' + increaseAmt / 10000 + '万递增，无上限';
		//var memberInfoId='100000063'; 
		var memberInfoId = plus.storage.getItem("memberInfoId");
        var day_year=day/getArry.protocol.INTRBASE;
		//查询历史订单的最后一笔的理财经理编号
		function last_pay() {
			var url = ut.emallUrl + 'front/FrontFinancialServiceAction_queryTellerId';
			var parmArry = {
				memberInfoId: memberInfoId
			};
			ut.ajax(url, parmArry, 'json', 'post', function(data) {
				if (data.errorCode == '000000') {
					if (data.tellerId !== '') {
						ut.getId('tellerId').value = data.tellerId;
					}
				}
			})
		}
		//5万起，一万递增
		function moneny_num() {
			var pay_money = ut.getId('pay_money').value;
			if (pay_money - startAmt < 0) {
				return false;
			} else {
				if ((pay_money - startAmt) % increaseAmt == 0) {
					return true;
				} else {
					return false;
				}
			}
		}
		last_pay();
		//查询理财经理是否存在
		function financeManagerExist() {
			var tellerId = ut.getId('tellerId').value;
			if (tellerId == '') {
				return true;
			} else {
				var url = ut.emallUrl + 'front/FrontFinancialServiceAction_financeManagerExist';
				var paraArry = {
					tellerId: tellerId,
					branchId : "601000"
				};
				ut.ajax(url, paraArry, 'json', 'post', function(data) {
					if (data.errorCode == '000001') {
						return codeList = false;
					}
					if (data.errorCode == '000000') {
						return codeList = true;
					}
				})
			}
		}
		//数字转大写汉字
		if(getArry.protocol.INCOME_ROLE=="00"){
			var interval_income = getArry.protocol.AMT_INTERVAL_INCOME;
		}
		if(getArry.protocol.INCOME_ROLE=="10"){
			var interval = getArry.protocol.AMT_INTERVAL.split(" ")[0].split(",");
			var interval_income = getArry.protocol.AMT_INTERVAL_INCOME.split(", ");
			interval_income.sort(function(a,b){
				return a-b;
			});
			sortInterval(interval);		
		}
		if(getArry.protocol.INCOME_ROLE=="20"){
			var interval = getArry.protocol.TIME_INTERVAL.split(" ")[0].split(",");
			var interval_income = getArry.protocol.TIME_INTERVAL_INCOME.split(", ");
			interval_income.sort(function(a,b){
				return a-b;
			});
			sortInterval(interval);		
		}
		//预计收益 
		mui(document).on('input', '#pay_money', function() {	
				var pay_money = ut.getId('pay_money').value.split('.')[0];				
				if(pay_money>0){
					ut.getId('big_num').value = toChineseCashNoFloat(pay_money);				
					/*if(pay_money<begin_amt2||!begin_amt2||begin_amt2==0){
						ut.getId('yuji').value=(day_year*pay_money*begin_income1/100).toFixed(2);
					}else{
						ut.getId('yuji').value=(day_year*pay_money*begin_income2/100).toFixed(2);
					}*/
					if(getArry.protocol.INCOME_ROLE=="00"){
						ut.getId('yuji').value=((pay_money*interval_income*day)/getArry.protocol.INTRBASE).toFixed(2);
					}
					if(getArry.protocol.INCOME_ROLE=="10"){
						for(var i=0;i<interval.length;i++){
							
							if(i==interval.length-1){
								if(pay_money-0<=interval[i].split("-")[1]&&pay_money-0>=interval[i].split("-")[0]){
								   var x = i; break;
							   };
							}else{
								if(pay_money-0<interval[i].split("-")[1]&&pay_money-0>=interval[i].split("-")[0]){
									var x = i; break;
								};
							}
						}
						ut.getId('yuji').value=((pay_money*interval_income[x]*day)/getArry.protocol.INTRBASE).toFixed(2);
					}
					if(getArry.protocol.INCOME_ROLE=="20"){
						ut.getId('yuji').value=((pay_money*interval_income[0]*day)/getArry.protocol.INTRBASE).toFixed(2);
					}
				}else{
					ut.getId('pay_money').value='';
				}				
			})
			//购买            	            	             
		mui(document).on('tap', '#purchase', function() {
				if(risk_card_num=='000000'){
					 if(risk_leave_num<productAnalysisLevel||!productAnalysisLevel){					 	
					 	var btnArray = ['取消', '确定'];
						mui.confirm('您购买的理财风险等级高于您风险承受能力测评的结果，是否继续？', '温馨提示', btnArray, function(e) {
							if (e.index == 1) {
								pay();
							}
						});
					 }else{
					 	pay();
					 }
				}
				if(risk_card_num=='000001'){
					mui.alert('您尚未做过风险评估，为了保证您的权益，根据监管政策要求，您必须到我行柜台进行风险评估','温馨提示')
				}
				if(risk_card_num=='000002'){
					mui.toast('未绑定银行卡 ');
						var btnArray = ['否', '是'];
						mui.confirm('未绑定银行卡，前往绑卡页面？', '未绑定银行卡', btnArray, function(e) {
							if (e.index == 1) {
								ut.setExtras("../login/addCard.html", "addCard.html");
							}
						});
				}
				if(risk_card_num=='000003'){
					ut.toast('距上次风险等级评估已超过一年，请在线重新进行风险等级评估',5000);
				}
			})		
		//风险查询 绑卡
		var risk_card_num='';
		var risk_leave_num='';
		function risk_card(){
			var url_1 = ut.emallUrl + 'front/FrontFinancialServiceAction_financeCheck';
				var parmArry_1 = {
					"memberInfoId": memberInfoId
				};
				ut.ajax(url_1, parmArry_1, 'json', 'post', function(data) {
					risk_card_num=data.errorCode;
					risk_leave_num=data.riskLevel;					
				})
		}
		risk_card();
		//客户风险等级			
			//购买方法,判断太多分开写
		function pay() {
			var url = ut.emallUrl + 'front/FrontFinancialServiceAction_addFinanceOrder';
			var pay_money = ut.getId('pay_money').value;
			var checkbox_agree = ut.getId('checkbox_agree');
			var tellerId = ut.getId('tellerId').value;
			if(pay_money== ''){
				ut.toast('请输入金额',3000);
				return;
			}
			if (ut.getId('fengx').value=='本人已经阅读风险提示，愿意承担投资风险。') {
					financeManagerExist();
				if (moneny_num()) {
					if (codeList) {
						var parmArry = {
							memberInfoId: memberInfoId,
							productNo: productNo,
							productNm: productNm,
							subscribeAmt: pay_money,
							tellerId: tellerId,
							startDate:getArry.protocol.SUBS_END_DATE
						}
						/*ut.ajax(url, parmArry, 'json', 'post', function(data) {
							
							if (data.errorCode == '000000') {
								var flowNo = data.flowNo;
								ut.setExtras('../login/quickPass.html?licai=1', 'quickPass', {
									flowNo: flowNo,
									transferAmt: pay_money,
									exArry:parmArry
								});
							}
						})*/
						ut.setExtras('../login/quickPass.html?licai=1', 'quickPass', {
									transferAmt: pay_money,
									exArry:parmArry,
									beginDate: getArry.protocol.STARTDATE,
									endDate: getArry.protocol.ENDDATE
								});
					} else {
						ut.toast('理财经理不存在',3500);
					}
				} else {
					ut.toast(startAmt / 10000 + '万起，' + increaseAmt / 10000 + '万递增，无上限',3500)
				}
			} else {
				ut.toast('请输入风险提示声明',3500);
			}
		}
        document.getElementById('fuzhi').addEventListener('click',function(){
        	ut.getId('fengx').value='本人已经阅读风险提示，愿意承担投资风险。';
        })
		//根据返回值排序金额段或天数
		function sortInterval(s){
			for(var i=0;i<s.length;i++){
				var min = s[i].split("-")[0];
				var max = s[i].split("-")[1];
				if(min-0>max){
					s[i] = max+"-"+min;
				}
			}
			s.sort(function(a,b){
				if(a.split("-")[1]!=b.split("-")[1]){
					return a.split("-")[1]-b.split("-")[1];
				}else{
					return a.split("-")[0]-b.split("-")[0];
				}
				
			})
		}
		//产品说明书
		var reurl='';
		ut.ajax(ut.emallUrl + "front/FrontFinanceListAction_instructionDownload", 
		{productNo:productNo}, "json", "post", function(data) {
					reurl=data;
					if(reurl.instruction1){
						var insurl=ut.emallUrl+'pdf/pdf.html?'+ut.emallUrl+reurl.instruction1;
						var crea=ut.getId('one');
						crea.setAttribute('url',insurl);
						crea.setAttribute('instruction','instruction1');
						
					}
					if(reurl.instruction2){
						var insurl=ut.emallUrl+'pdf/pdf.html?'+ut.emallUrl+reurl.instruction2;
						var crea=ut.getId('two');;
						crea.setAttribute('url',insurl);
						crea.setAttribute('instruction','instruction2');
						
					}
					if(reurl.instruction3){
						var insurl=ut.emallUrl+'pdf/pdf.html?'+ut.emallUrl+reurl.instruction3;
						var crea=ut.getId('three');
						crea.setAttribute('url',insurl);
						crea.setAttribute('instruction','instruction3');
						console.log(insurl)
					}
					if(reurl.instruction4){
						var insurl=ut.emallUrl+'pdf/pdf.html?'+ut.emallUrl+reurl.instruction4;
						var crea=ut.getId('four');;
						crea.setAttribute('url',insurl);
						crea.setAttribute('instruction','instruction4');
						console.log(insurl)
					}
					if(reurl.instruction5){
						var insurl=ut.emallUrl+'pdf/pdf.html?'+ut.emallUrl+reurl.instruction5;
						var crea=ut.getId('five');;
						crea.setAttribute('url',insurl);
						crea.setAttribute('instruction','instruction5');
						console.log(insurl)
					}					
				});
		mui('#intro').on('tap','a',function(){
			var url=this.getAttribute('url');
			var id=this.getAttribute('instruction');
			if(url){
				plus.webview.open(url,id,{'scalable':'true'});
			}						
		})		
	});
})(mui)
