(function(m, $, doc, win){
	var isWebApp;
	
	if(m.os.plus){
		isWebApp = true;
	}else{
		isWebApp = false;
	}
	
	m.init({
		swipeBack: true //启用右滑关闭功能
	});
	
	function getMax(str) {
		var arr1 = [];
		var arr;
		arr = str.split(',');
			
		for (var i=0; i<arr.length; i++) {
			arr1.push(arr[i].split('-')[0]);
		}
			
		arr2 = arr1.sort(function(a,b){
			return b-a;
		})
		
		return arr2[0];
	}
		
	function getMax2(str){
		var arr = [];
			
		arr = str.split(',');
		arr = arr.sort(function(a,b){
			return b-a;
		})
		
		return arr[0];
	}
		
	function getMin(str){
		var arr = [];
			
		arr = str.split(',');
		arr = arr.sort(function(a,b){
			return a-b;
		})
		
		return arr[0];
	}
	
	function sortInterval(s){
		for(var i=0;i<s.length;i++){
			var min = s[i].split("-")[0];
			var max = s[i].split("-")[1];
			if(Number(min) > Number(max)){
				s[i] = max+"-"+min;
			}
		}
		s.sort(function(a,b){
			if(a.split("-")[1]!=b.split("-")[1]){
				return a.split("-")[1]-b.split("-")[1];
			}else{
				return a.split("-")[0]-b.split("-")[0];
			}
		})
		
	}
	
	var vn = new Vue({
		el: '#finaDetail',
		data: {
			item: {},
			levelList: [
				{text: '一级（低风险）',val: '1'},
				{text: '二级',val: '2'},
				{text: '三级',val: '3'},
				{text: '四级',val: '4'},
				{text: '五级（高风险）',val: '5'}
			],
			curLevel:"",
			preAnnualRate: "",
			subs_end_date: "",
			hot: "",
			subsBeginDate: "",
			subsEndDate: "",
			startDate: "",
			endDate: "",
			startAmt: "",
			increaseAmt: "",
			channelCanUseQuota: "",
			payAmtTips: "",
			payAmt: "",
			isOpen: false,
			statement: "本人已经阅读风险提示，愿意承担投资风险",
			stateModel: "",
			income: "0.00",
			endDateCh: "",
			interval_income: "",
			preAnnualRate1: "",
			tellerId: "",
			risk_card_num: "",
			risk_leave_num: "",
			realTellerId: false,
			productAnalysisLevel: ""
		},
		methods: {
			init: function(){
				this.hot = this.item.CHANNEL_QUOTA<1?0:((this.item.CHANNEL_QUOTA - this.item.CHANNEL_CAN_USE_QUOTA) / this.item.CHANNEL_QUOTA * 100).toFixed(2);
				
				this.curLevel = this.getText(this.levelList);
				
				this.subsEndDate = $.bs.format.dataToDate(this.item.SUBS_END_DATE);
				this.subsBeginDate = $.bs.format.dataToDate(this.item.SUBS_BEGIN_DATE);
				this.startDate = $.bs.format.dataToDate(this.item.STARTDATE);
				this.endDate = $.bs.format.dataToDate(this.item.ENDDATE);
				
				this.startAmt = $.bs.format.formatMoney(this.item.STARTAMT);
				this.increaseAmt = $.bs.format.formatMoney(this.item.INCREASEAMT);
				this.channelCanUseQuota = $.bs.format.formatMoney(this.item.CHANNEL_CAN_USE_QUOTA);
				
				this.payAmtTips = this.item.STARTAMT / 10000 + '万起，' + this.item.INCREASEAMT / 10000 + '万递增，无上限';
				
				this.endDateCh = $.bs.format.dataToChinese(this.item.ENDDATE);
				
				if(this.item.INCOME_ROLE=="00"){
					this.interval_income = this.item.AMT_INTERVAL_INCOME;
					this.preAnnualRate1 = parseFloat(this.item.AMT_INTERVAL_INCOME*100).toFixed(2)+"%"
				}else if(this.item.INCOME_ROLE=="10"){
					this.interval = this.item.AMT_INTERVAL.split("")[0].split(", ");
					sortInterval(this.interval);
					this.interval_income = this.item.AMT_INTERVAL_INCOME.split(", ");
					this.interval_income.sort(function(a,b){
						return a-b;
					});
					this.preAnnualRate1 = parseFloat(getMin(this.item.AMT_INTERVAL_INCOME)*100).toFixed(2)+'%~'+parseFloat(getMax2(this.item.AMT_INTERVAL_INCOME)*100).toFixed(2)+'%';
				}else if(this.item.INCOME_ROLE=="20"){
					this.interval = this.item.TIME_INTERVAL.split("")[0].split(", ");
					this.interval_income =this.item.TIME_INTERVAL_INCOME.split(", ");
					this.preAnnualRate1 = parseFloat(getMin(this.item.TIME_INTERVAL_INCOME)*100).toFixed(2)+'%~'+parseFloat(getMax2(this.item.TIME_INTERVAL_INCOME)*100).toFixed(2)+'%';
				}
				
				if(isWebApp){
					if(plus.storage.getItem("memberInfoId")){
						this.queryTellerId();
					}
				}
				
			},
			bindEvents: function(){
				var _this = this;
				
				$('#payAmt').on('input',function(){
					var val = $(this).val();
					if(val){
						if(_this.item.INCOME_ROLE == "00"){
							_this.income = ((val*_this.interval_income * _this.item.TIME_LIMIT) / _this.item.INTRBASE).toFixed(2);
						}else if(_this.item.INCOME_ROLE == "10"){
							for(var i = 0; i < _this.interval.length; i++){
								var max = interval[i].split("-")[1];
								var min = interval[i].split("-")[0];
								if(i == interval.length-1){
									if(val-0<=max&&val-0>=min){
									   var x = i; 
									   break;
								   };
								}else{
									if(val-0<max&&val-0>=min){
										var x = i; 
										break;
									};
								}
							}
							
							_this.income = ((val*_this.interval_income[x] * _this.item.TIME_LIMIT) / _this.item.INTRBASE).toFixed(2);
						}else if(_this.item.INCOME_ROLE == "20"){
							_this.income = ((val * _this.interval_income[0] * _this.item.TIME_LIMIT) / _this.item.INTRBASE).toFixed(2);
						}
					}
				});
				
				$('#viewPDF').find('a').on('tap', function(event){
					event.preventDefault();
					
					plus.webview.open(
						$(this).attr('src'),
						$(this).attr('instruction'),
						{'scalable':'true'}
					);
				});
			},
			getText:function(data){
				var _this = this;
				var text = "";
				$.each(data, function(k,v){
					if(v.val == _this.item.PRODUCTANALYSISLEVEL){
						text = v.text;
					}
				})
				
				return text;
			},
			copyState: function(){
				this.stateModel = this.statement;
			},
			queryTellerId: function(){
				$.bs.ajax({
					url: ut.emallUrl + 'front/FrontFinancialServiceAction_queryTellerId',
					data: {
						memberUUID: plus.storage.getItem("memberUUID"),
						APP_UUID: plus.device.uuid,
						memberInfoId: plus.storage.getItem("memberInfoId")
					},
					processResponse: function(data){
						if (data.errorCode == '000000') {
							if (!data.tellerId) {
								_this.tellerId = data.tellerId;
							}
						}
					}
				})
			},
			risk_card: function(callback){ //校验卡的等级
				var _this = this;
				
				$.bs.ajax({
					url: ut.emallUrl + 'front/FrontFinancialServiceAction_financeCheck',
					data: {
						"memberInfoId": plus.storage.getItem("memberInfoId"),
						"memberUUID": plus.storage.getItem("memberUUID"),
						"APP_UUID": plus.device.uuid,
					},
					processResponse: function(res){
						_this.risk_card_num = res.errorCode;
						_this.risk_leave_num = res.riskLevel;
						
						if(_this.risk_card_num == '000000'){
							if(_this.risk_leave_num < _this.productAnalysisLevel){					 	
						 		var btnArray = ['取消', '确定'];
								mui.confirm('您购买的理财风险等级高于您风险承受能力测评的结果，是否继续？', '温馨提示', btnArray, function(e) {
									if (e.index == 1) {
										callback();
									}
								});
							 }else{
							 	callback();
							 }
						}else if(_this.risk_card_num == '000001'){
							mui.alert('您尚未做过风险评估，为了保证您的权益，根据监管政策要求，您必须到我行柜台进行风险评估','温馨提示');
						}else if(_this.risk_card_num == '000002'){
							var btnArray = ['否', '是'];
							
							mui.confirm('未绑定银行卡，前往绑卡页面？', '未绑定银行卡', btnArray, function(e) {
								if (e.index == 1) {
									ut.setExtras("../login/addCard.html", "addCard.html");
								}
							});
						}else if(_this.risk_card_num == '000003'){
							ut.toast('距上次风险等级评估已超过一年，请在线重新进行风险等级评估',5000);
						}
					}
				});
			},
			financeManagerExist: function(callback){
				var _this = this;
				
				if(_this.tellerId){
					$.bs.ajax({
						url: ut.emallUrl + 'front/FrontFinancialServiceAction_financeManagerExist',
						data: {
							tellerId: _this.tellerId,
							branchId: "601000"
						},
						processResponse: function(res){
							if (data.errorCode == '000001') {
								_this.realTellerId = false;
							}else if(data.errorCode == '000000') {
								_this.realTellerId = true;
							}
							
							callback();
						}
					});
				}else{
					callback();
				}
			},
			viewPDF: function(){
				var _this = this;
				
				$.bs.ajax({
					url: ut.emallUrl + "front/FrontFinanceListAction_instructionDownload",
					data: {
						productNo: _this.item.PRODUCTNO,
						memberUUID: plus.storage.getItem("memberUUID"),
						APP_UUID: plus.device.uuid
					},
					processResponse: function(res){
						if(res.instruction1){
							var _url=ut.emallUrl+'pdf/pdf.html?'+ut.emallUrl+res.instruction1;
							$('#viewPDF').find('a').eq(0).attr({
								"url": _url,
								"instruction": 'instruction1'
							})
						}
						
						if(res.instruction2){
							var _url=ut.emallUrl+'pdf/pdf.html?'+ut.emallUrl+res.instruction2;
							$('#viewPDF').find('a').eq(1).attr({
								"url": _url,
								"instruction": 'instruction2'
							})
						}
						
						if(res.instruction3){
							var _url=ut.emallUrl+'pdf/pdf.html?'+ut.emallUrl+res.instruction3;
							$('#viewPDF').find('a').eq(2).attr({
								"url": _url,
								"instruction": 'instruction3'
							})
						}
						
						if(res.instruction4){
							var _url=ut.emallUrl+'pdf/pdf.html?'+ut.emallUrl+res.instruction4;
							$('#viewPDF').find('a').eq(3).attr({
								"url": _url,
								"instruction": 'instruction4'
							})
						}
						
						if(res.instruction5){
							var _url=ut.emallUrl+'pdf/pdf.html?'+ut.emallUrl+res.instruction5;
							$('#viewPDF').find('a').eq(4).attr({
								"url": _url,
								"instruction": 'instruction5'
							})
						}					
					}
				});
			},
			checkMoney: function(val){
				if(val==""){
					mui.alert('金额不能为空。');
					return false;
				}else if(!$.bs.format.isMoney(val)){
					mui.alert('金额格式不正确。');
					return false;
				}else if(Number(val) <= 0){
					mui.alert('金额应大于零元。');
					return false;
				}else if(Number(val) - this.item.STARTAMT < 0 ){
					mui.alert('金额应大于起购金额。');
					return false;
				}else if((Number(val) - this.item.STARTAMT) % this.item.INCREASEAMT != 0){
					mui.alert(this.item.STARTAMT / 10000 + '万起，' + this.item.INCREASEAMT / 10000 + '万递增，无上限');
					return false;
				}else{
					return true;
				}
			},
			pay: function(){
				var data = {
					memberInfoId: plus.storage.getItem("memberInfoId"),
					productNo: this.item.PRODUCTNO,
					productNm: this.item.PRODUCTNM,
					subscribeAmt: this.payAmt,
					tellerId: this.tellerId,
					startDate: this.item.SUBS_END_DATE
				};
				
				ut.setExtras('../login/quickPass.html?licai=1', 'quickPass', {
					transferAmt: this.payAmt,
					exArry:data
				});
			},
			onSubmit: function(){
				var _this = this;
				
				alert(this.payAmt);
				if(!this.checkMoney(this.payAmt)){
					return false;	
				}
				
				if(this.stateModel != this.statement){
					mui.alert('请输入:本人已经阅读风险提示，愿意承担投资风险。');
					return false;
				}
				
				this.risk_card(function(){
					_this.financeManagerExist(function(){
						if(_this.tellerId && !_this.realTellerId){
							mui.alert('理财经理不存在');
							return false; 
						}else{
							_this.pay()
						}
					});
				});
			}
		}
	})
	
	function _ready(){
		var self = {};
		
		if(isWebApp){
			self = plus.webview.currentWebview();
			self.setStyle({'popGesture':'none'});
		}else{
			$.bs.ajax({
				url:"../../json/finaDetail.json",
				dataType: "json", //接收类型
				type: "get",
				processResponse: function(res){
					vn.item = res;
					vn.init();
					vn.viewPDF();
					vn.bindEvents();
				}
			})
		}
		
		if(isWebApp){
			vn.item = self.list_arry;
			vn.init();
			vn.viewPDF();
			vn.bindEvents();
			
		}
	};
	
	if(isWebApp){
		m.plusReady(function(){
			_ready();
		});
	}else{
		m.ready(function(){
			_ready();
		});
	}
})(mui, jQuery, document, window);
