(function(m, $, doc, win){
	m.init({
		swipeBack: true //启用右滑关闭功能
	});
	
	function ChangePhoneNumRes () {
		this.init.apply(this, arguments);
	}
	
	ChangePhoneNumRes.prototype = {
		init: function (el, options){
			this.el = $(el);
			
			this.options = {};
			this.options = $.extend(this.options, options);
			this.render();
		},
		render: function(){
			//this.el.find('#resMsg').text('您已成功更改手机号新手机号为，'+ this.options.mobileNo +');
			this.el.find('#newPhoneNum').text(this.options.mobileNo);
			
			if (this.options.status == '01') {
				$('#btn_status2').removeClass('mui-hidden');
			} else if (this.options.status == '02') {
				$('#btn_status1').removeClass('mui-hidden');
			} else {
				return ;
			}
		},
		goback: function(){
			if($.bs.isOpenView('safe_setting')){
				plus.webview.close('safe_setting', 'none');
			}
					
			if($.bs.isOpenView('changePhoneNum')){
				plus.webview.close('changePhoneNum', 'none');
			}
			
			setTimeout(function(){
				$.bs.openWindowByLoad(
					"../login/login.html",
					"login",
					"pop-in", {
				});
			},500);
		},
		bindCard: function(){
			$.bs.openWindowByLoad(
				"../login/addCard.html",
				"addCard",
				"pop-in",
				{}
			);
			
			this.goback();
		}
	};
	
	function _ready(){
		var ws = plus.webview.currentWebview();
		
		var data = {
			status: ws.status,
			mobileNo: ws.mobileNo
		}
		
		var changePhoneNumRes = new ChangePhoneNumRes('#changePhoneNumRes', data);
		
		$('#goback').on('tap', function(){
			changePhoneNumRes.goback();
		});
		
		$('#goback1').on('tap', function(){
			changePhoneNumRes.goback();
		});
		
		$('#bindCard').on('tap', function(){
			changePhoneNumRes.bindCard();
		});
	}
	
	if(m.os.plus){
		m.plusReady(_ready);
	}else{
		m.ready(_ready);
	}
})(mui, jQuery, document, window)