(function($,m,doc,win){
	var isWebApp;
	if(m.os.plus){
		isWebApp=true
	}else{
		isWebApp=false
	}
	mui.init({
		swipeBack: true //启用右滑关闭功能
	});
	var shares = {};
	var sharesPicUrl = '';
	
	var vn = new Vue({
		el: '#vn',
		data: {
			appId:"",
			beginDate:"",
			endDate:"",
			shopName:"",
			money:"",
			preference:"",
			appUse:"",
			phone:"",
			appMgXq:"",
			appOne:"",
			appTwo:"",
			appThree:"",
			appFour:"",
			appFive:"",
			appSix:"",
			appSeven:"",
			appEight:"",
			appNine:"",
			appTen:"",
			appUrl:"",
			cardShareTitle:"",
			cardShareContent:""
		},
		methods:{
			initDetails:function(){
				var _this = this;
				console.log(_this.appId);
				ut.ajax(ut.netPayUrl + "appCouponFilterSelectDe.do", {"appId":_this.appId}, "json", "post", function(res) {
					if(res.ec=='0'){
						console.log(JSON.stringify(res));
						_this.beginDate = ut.date_time(res.beginDate);
						_this.endDate = ut.date_time(res.endDate);
						_this.shopName = res.shopName;
						_this.money = res.money;
						_this.preference = res.preference;
						_this.appUse = res.appUse;
						_this.phone = res.phone;
						_this.appMgXq = res.appMgXq;
						_this.appOne = res.appOne==null?res.appOne:"1、"+res.appOne;
						_this.appTwo = res.appTwo==null?res.appTwo:"2、"+res.appTwo;
						_this.appThree = res.appThree==null?res.appThree:"3、"+res.appThree;
						_this.appFour = res.appFour==null?res.appFour:"4、"+res.appFour;
						_this.appFive = res.appFive==null?res.appFour:"5、"+res.appFive;
						_this.appSix = res.appSix==null?res.appSix:"6、"+res.appSix;
						_this.appSeven = res.appSeven==null?res.appSeven:"7、"+res.appSeven;
						_this.appEight = res.appEight==null?res.appEight:"8、"+res.appEight;
						_this.appNine = res.appNine==null?res.appNine:"9、"+res.appNine;
						_this.appTen = res.appTen==null?res.appTen:"10、"+res.appTen;
						_this.appUrl = res.appUrl;
						_this.cardShareTitle = res.cardShareTitle;
						_this.cardShareContent = res.cardShareContent;
						shares.href = _this.appUrl;
						shares.title = _this.cardShareTitle;
						shares.content = _this.cardShareContent;
						if(!_this.appUse){
							$(".useDesc").css({"display":"none"});
						}
						if(!_this.phone){
							$(".servicePhone").css({"display":"none"});
						}
						if(!_this.appOne && !_this.appTwo && !_this.appThree && !_this.appFour && !_this.appFive 
								&& !_this.appSix && !_this.appSeven && !_this.appEight && !_this.appNine && !_this.appTen){
							$(".activityRules").css({"display":"none"});		
						}
					}else{
						mui.alert(res.em,"温馨提示");
					}
				})
			},
			updateSerivces:function (){
				plus.share.getServices(function(s){
					for(var i in s){
						var t=s[i];
						shares[t.id]=t;
					}
				}, function(e){
					
				});
			},
			shareEvents:function(res) {
				var data = {};
				var ss = shares[res.type];
					
				if(res.type == 'weixin'){
					data={
						title: '微信好友',
						s: ss,
						x: res.subType
					};
				}else if(res.type == 'qq'){
					data={
						title: 'qq',
						s: ss
					};
				}
					
				vn.shareAction(data, true);
			},
			shareAction:function (sb,bh) {
				if(!sb||!sb.s){
					return;
				}
				var msg = {};
					msg={content:"",extra:{scene:sb.x}};
				
				if(bh){
					msg.href = shares.href;
					msg.title = shares.title;
					msg.content = shares.content;
					msg.thumbs=['_www/logo.png'];
					msg.pictures = ['_www/logo.png'];
				}
				// 发送分享
				if(sb.s.authenticated){
					vn.shareMessage(msg, sb.s);
				}else{
					sb.s.authorize(function(){
						vn.shareMessage(msg,sb.s);
					}, function(e){
						ut.toast('认证授权失败：'+JSON.stringify(e));
					});
				}
			},
			//分享的方法 
			shareMessage:function(msg, s){
				s.send(msg, function(){
					
				}, function(e){
					
				});
			}
			
		}
	})
	function Ready(){
		var ws = {};
		if(isWebApp){
			ws = plus.webview.currentWebview();
		}
		vn.updateSerivces();
		$(".modal-e").modal({});
		vn.appId = ws.appId || '';
		vn.initDetails();
		$('#shareBtn').on('tap', function(){
			$('.modal-e').modal('show');
		});
		
		$('#shareMsgBtn').on('tap', function(){	
			$('.modal-e').modal('show');
		});
		$('#shareShortcut').on('tap', '.shareType', function () {
			var res = JSON.parse($(this).attr('data-val'));
			vn.shareEvents(res);
			$('.modal-e').modal('hide');
		});
	}
	if(isWebApp){
		mui.plusReady(Ready)
	}else{
		mui.ready(Ready)
	}
})(jQuery,mui,document,window)	