var ydnsh = (function(){
	function Ydnsh(){
		this.type = '';
	}
	
	Ydnsh.prototype.pay = function(res){
		var _this = this;
		if(typeof res == 'string'){
			var res = JSON.parse(res);
		}
		
		var data = {
			key: res.key,
			data: res.data, 
			sign: res.sign
		};
		
		this.getData(data);
	};
	
	Ydnsh.prototype.getData = function(res){
		var _this = this;
		
		var data = {
			data: res.data,
			key: res.key,
			sign: res.sign,
			customerId: plus.storage.getItem("memberInfoId"),
			memberUUID: plus.storage.getItem("memberUUID"),
			APP_UUID: plus.device.uuid
		};
		
		
		$.bs.ajax({
			url: ut.netPayUrl + 'ysxCreateOrderMb.do',
			data: data,
			processResponse: function(res){
				_this.toPayFor(res);
			}
		});
	};
	
	Ydnsh.prototype.toPayFor = function(res){
		var data = {
			merCode: res.merCode,
			orderNo: res.orderNo,
			orderAmt: res.orderAmt,
			merName: res.merName,
			goodsName: res.goodsName
		};
		
		$.bs.openWindowByLoad(
			"sub_eSchool.html",
			"sub_eSchool",
			"pop-in", 
			data
		);
	}
	
	return new Ydnsh()
}());


(function(m, $, doc, win){
	function isIphoneX(){
    	return /iphone/gi.test(navigator.userAgent) && (screen.height == 812 && screen.width == 375)
	}
	
	m.init({
		swipeBack: true
	});
	
	
	function setParam(obj){
		var arr = [] ;

		$.each(obj, function(k, v){
			arr.push(k);
		});

		arr = arr.sort();
		
		var o = {};

		$.each(arr, function(k, v){
			o[v] = obj[v]
		});

		var str = '';

		$.each(o, function(k, v){
			str += k + '=' + v + '&'
		});

		return str.substr(0, str.length-1);
	}
	
	function createEmbed(ws, _url, title) {
		var sub = '' ;
		
		if(sub){
			plus.webview.hide(sub);
			plus.webview.close(sub);
		}
		
		if(title){
			$('#headerTitle').text(title);
		}
		
		var data = {
			top: '44px',
			bottom: '0px'
		}
			
		if(isIphoneX()){
			data.top = '85px'
		}
		
		var obj = {
			cooperator: 'nsbank',
			username: plus.storage.getItem('phone'),
			timeStamp: new Date().getTime().toString()
		}
		
		obj.sign = hex_md5(setParam(obj) + '&key=' + 'nsbank123456').toUpperCase();
		
		var $param = $.param(obj);
		
		//var _url = _url + '?' + $param;
		
		sub = plus.webview.create(
			_url,
			'eSchoolSub',
			//'test1.html',
			//'test1',
			data
		);
		
		ws.append(sub);
	}
	
	function getUrl(callback){
		var data = {
			customerId: plus.storage.getItem("memberInfoId"),
			memberUUID: plus.storage.getItem("memberUUID"),
			APP_UUID: plus.device.uuid,
			mobileNo: plus.storage.getItem('phone')
		};
		
		$.bs.ajax({
			url: ut.netPayUrl + 'loginYSXParentMb.do',
			data: data,
			processResponse: function(res){
				callback(res);
			},
			selfdefineFailed: function(){}
		});
	}
	
	function getSignState(callback){
		var data = {
			mobileNo: plus.storage.getItem('phone'),
			customerId: plus.storage.getItem("memberInfoId"),
			memberUUID: plus.storage.getItem("memberUUID"),
			APP_UUID: plus.device.uuid
		};
		
		$.bs.ajax({
			url: ut.netPayUrl + 'isSign.do',
			data: data,
			processResponse: function(res){
				callback(res);
			},
			selfdefineFailed: function(){}
		});
	}
	
	function signIn(callback) {
		var app_imei;
			
		if('iOS' == plus.os.name){
			var ver = (navigator.appVersion).match(/OS (\d+)_(\d+)_?(\d+)?/);
		            
		    if(ver>9){
		    	app_imei = plus ? plus.device.imei : '';
		   	}else{
		        app_imei=''
		    }
		} else {
		    app_imei = plus.device.imei;
		}
		
		var data = {
			customerId: plus.storage.getItem("memberInfoId"),
			memberUUID: plus.storage.getItem("memberUUID"),
			APP_UUID: plus.device.uuid,
			URL: '',
			ipAddress: returnCitySN.cip,
			channel: '01',
			IMEI: app_imei
		};
		
		var appUrl = ut.netPayUrl + 'updateSign.do';
		
		$.bs.ajax({
			url: appUrl,
			data: data,
			processResponse: function(res){
				callback(res);
			}
		});
	}
	
	function goBack(){
		setTimeout(function(){
			plus.webview.close(plus.webview.currentWebview(), 'none');
		}, 500);
	}
	
	
	function _ready(){
		var ws = '';
		
		if(m.os.plus){
			ws=plus.webview.currentWebview();
		}else{
			
		}
		
		var targetUrl = ws.targetUrl || '';
		var title = ws.title || '';
		
		if(targetUrl){
			createEmbed(ws, targetUrl, title);
		}else{
			getUrl(function(res){
				if (res.ec == '0') {
					getSignState(function(res1){
						if (res1.ec == '0') {
							if (res1.flag == '1'){
								$('#protocol').removeClass('mui-hidden');
							} else if(res1.flag == '0'){
								createEmbed(ws, res.frontURL);
							}
						} else {
							m.alert(res1.em);
							
							setTimeout(function(){
								plus.webview.close(plus.webview.currentWebview(), 'none');
							}, 2000) ;
						}
					});
					
				} else {
					m.alert(res.em);
					
					setTimeout(function(){
						plus.webview.close(plus.webview.currentWebview(), 'none');
					}, 500) ;
				}
			});
			
			
		}
		
		$('#cancleBtn').on('tap', function(){
			goBack();
		});
		
		$('#agreeBtn').on('tap', function(){
			if(!$('#read_protocol').is(':checked')){
				mui.alert('请阅读协议')
				return false;
			}
			
			signIn(function(){
				$('#protocol').addClass('mui-hidden');
				getSignState(function(res1){
					if (res1.ec == '0') {
						if (res1.flag == '1'){
							$('#protocol').removeClass('mui-hidden');
						} else if(res1.flag == '0'){
							getUrl(function(res){
								if (res.ec == '0') {
									createEmbed(ws, res.frontURL);
								} else {
									setTimeout(function(){
										plus.webview.close(plus.webview.currentWebview(), 'none');
									}, 500) ;
								}
							});
						}
					} else {
						setTimeout(function(){
							plus.webview.close(plus.webview.currentWebview(), 'none');
						}, 500) ;
					}
				})
			});
		});
	}
	
	if(m.os.plus){
		m.plusReady(_ready);
	}else{
		m.ready(_ready);
	}
})(mui, jQuery, document, window)