(function(m, $, doc, win){
	var isWebApp;
	
	if(m.os.plus){
		isWebApp = true;
	}else{
		isWebApp = false;
	}
	
	m.init({
		swipeBack: true //启用右滑关闭功能
	});
	
	
	
	function _ready(){
		
		var isRepeat = false;
		
		m('.mui-content .mui-switch').each(function(){
			if(plus.storage.getItem('switch2') == '01'){
				this.classList.add('mui-active');
			}else{
				this.classList.remove('mui-active');
			}
			
			this.addEventListener('toggle', function(event) {
				var _this = this;
				
				if (isRepeat) {
					isRepeat = false;
					return ;
				}
				
				if (event.detail.isActive) {
					var btnArray = ['否', '是'];
					
					m.confirm('开启指纹登录功能，将能使用本机认证指纹进行登录，是否确定开启？', '开启指纹登录功能', btnArray, function(e) {
						if (e.index == 1) {
							$.bs.checkFPAvailable(function () {
								plus.storage.setItem("switch2",'01');
								m.fire(plus.webview.getWebviewById("safe_setting"), "refresh");
							}, function () {
								setTimeout(function () {
									isRepeat = true;
									m(_this).switch().toggle();
								}, 800);
							});
						} else {
							setTimeout(function () {
								isRepeat = true;
								m(_this).switch().toggle();
							}, 800);
						}
					})
				} else {
					var btnArray = ['否', '是'];
					
					m.confirm('关闭指纹登录功能，将不能使用本机认证指纹进行登录，是否确定关闭？', '开启指纹登录功能', btnArray, function(e) {
						if (e.index == 1) {
							plus.storage.removeItem("switch2",'04');
							m.fire(plus.webview.getWebviewById("safe_setting"), "refresh");
						} else {
							setTimeout(function () {
								isRepeat = true;
								m(_this).switch().toggle();
							}, 800);
						}
					})
				}
			}, false);
		});
	}
	
	if(isWebApp){
		m.plusReady(_ready);
	}else{
		m.ready(_ready);
	}
})(mui, jQuery, document, window)
