var loans = (function(){
	function Loans(){
		this.type = '';
	}
	
	Loans.prototype.createTypeSecAcc = function(res){
		var _this = this;
		
		
		var data = {
			'isLoans': '1',
			'data': res.data,
			'key': res.key,
			'sign': res.sign
		};
		
		
		$.bs.ajax({
			url: ut.netPayUrl + 'loanDecryptDataMb.do',
			data: data,
			processResponse: function(res){				
				var data = {};
				
				if(res.ec == 'OPENED'){
					data.custName = res.custName ;
					data.certNo = res.certNo ;
					data.mobileNo = res.mobileNo ;
					data.cardNo = res.cardNo ;
					data.appFlowNo = res.appFlowNo ; 
					data.loanSecUrl = res.loanSecUrl ; 
					data.secAcct = res.secAcct ;
					data.isLoans = '1' ;
					data.loansType = _this.type ;
					
					$.bs.openWindowByLoad(
						"sub_loans.html",
						"sub_loans",
						"pop-in", 
						data
					);
				}else if(res.ec == '0'){
					data.custName = res.custName ;
					data.certNo = res.certNo ;
					data.mobileNo = res.mobileNo ;
					data.cardNo = res.cardNo ;
					data.appFlowNo = res.appFlowNo ;
					data.iAddrCode = res.iAddrCode ;
					data.iOccupCode = res.iOccupCode ;
					data.loansType = _this.type ;
					data.isLoans = '1' ;
					$.bs.openWindowByLoad(
						"../secondTypeAcc/inputUserMsg.html",
						"inputUserMsg",
						"pop-in", 
						data
					);
					
				}else {
					mui.alert(res.em) ;
					return ;
				}
			},
			selfdefineFailed: function(){
				
			},
			wait: true
		});
	}
	
	Loans.prototype.setType = function(type){
		this.type = type;
	}
	
	Loans.prototype.getType = function(){
		return this.type;
	}
	
	return new Loans()
}());

(function(m, $, doc, win){
	function isIphoneX(){
    	return /iphone/gi.test(navigator.userAgent) && (screen.height == 812 && screen.width == 375)
	}
	
	m.init({
		swipeBack: true //启用右滑关闭功能
	});
	
	function createEmbed(ws, _url) {
		var sub = '' ;
		
		if(sub){
			plus.webview.hide(sub);
			plus.webview.close(sub);
		}
			
		var data = {
			top: '50px',
			bottom: '0px'
		}
			
		if(isIphoneX()){
			data.top = '85px'
		}
		
		sub = plus.webview.create(
			_url,
			//'test.html',
			//'test',
			'loansSub',
			data
		);
		
		sub.appendJsFile('_www/plugins/openIdcardScan/plugin-openIdcardScan.js');
		sub.appendJsFile('_www/plugins/bankcardplugin/plugin-bankcard.js');
		sub.appendJsFile('_www/plugins/openLiveness/plugin-openLiveness.js');
		
		ws.append(sub);
	}
	
	function getURL(type, callback) {
		var data = {
			customerId: plus.storage.getItem("memberInfoId"),
			memberUUID: plus.storage.getItem("memberUUID"),
			APP_UUID: plus.device.uuid,
			type: type
		};
		
		$.bs.ajax({
			url: ut.netPayUrl + "loanAccessPageMb.do",
			data: data,
			processResponse: function(res){
				if(res.ec == '0'){
					callback(res);
				}
			}
		});
	}
	
	function _render(type) {
		var title = type == 'CA' ? '我要申请信用卡' : '' ;
		$('#headerTitle').text(title);
	}
	
	function _ready(){
		var ws = '';
		
		ws=plus.webview.currentWebview();
		
		var targetUrl = ws.targetUrl || "";
		var type = ws.type || ""; //NA：贷款   CA: 信用卡
		
		_render(type);
		
		loans.setType(type);
		
		
		if(targetUrl){
			createEmbed(ws, targetUrl);
		}else{
			getURL(type,function(res){
				createEmbed(ws, res.frontURL + '&time=' + new Date().getTime());
			});
		}
	}
	
	if(m.os.plus){
		m.plusReady(_ready);
	}else{
		m.ready(_ready);
	}
})(mui, jQuery, document, window)