(function(m, $) {
	mui.init();
	mui.plusReady(function() {
	    //登录状态
	    function islogin(){
	    	
	    	var spy_wdl = spyWDL();
	    	var spy_ysx = spyYSX();
	    	
	    	
	    	if (plus.storage.getItem("memberInfoId")){
				ut.getId('username').innerText = '用户名 : ' + plus.storage.getItem("username");//用户名/昵称
				var phoneNo = plus.storage.getItem('phone');
				ut.getId('userPhone').innerText = phoneNo.substring(0,3)+'****'+phoneNo.substring(7,11);//用户手机号
				ut.getId('notlogin').style.display='none';
				ut.getId('login').style.display= 'block';
				ut.getId("deleteBtn").style.display='block';
				ut.getId('qa').style.display='block';
				var memberInfoId=plus.storage.getItem('memberInfoId');
		  		var pram={customerId: memberInfoId};
		  		
		  		var myInviteCode = plus.storage.getItem("myInviteCode");
		  		
		  		if(myInviteCode.length == 6){
		  			$('#inviteReportBtn').removeClass('mui-hidden');
		  		}
		  		
		  		spy_wdl._enter();
		  		spy_ysx._enter();
		  		
		  		checkBindTypeTwoAcc.checkTypeTwoAccBySet();
		  		checkBindTypeThAcc.checkTypeThAcc();
		  		
		  		mui.fire(plus.webview.getWebviewById('views/main/main.html'), 'saveDeviceId');
		  		
			}else{
				ut.getId("deleteBtn").style.display='none';
				ut.getId('qa').style.display='none';
			    ut.getId('login').style.display = 'none';
				ut.getId('notlogin').style.display='block';	
				
				$('#inviteReportBtn').addClass('mui-hidden');
				
				spy_wdl._out();
				spy_ysx._out();
				
				checkBindTypeTwoAcc.clear();
				checkBindTypeThAcc.clear();
			}
	    }
	    
	    
	    //判断是否登录
		
		function isLogin(){
		  	var memberInfoId=plus.storage.getItem('memberInfoId');					
			if (!memberInfoId) {
				mui.toast("您尚未登录");
				
				$.bs.checkLogin('typeThree');
				
				return false;
			}else{
				return true;
			}
		}	
		
		
		//隐藏遮罩
		
		function hide_popover(){
			if(ut.getId('popover') && ut.getId('popover').style.display=='block'){
				ut.getId('popover').style.display='none';
				ut.getId('popover').classList.remove('mui-active');
				
				var backdrop=document.getElementsByClassName('mui-backdrop')[0];
				
				document.body.removeChild(backdrop);
			}
		}
	    
	    islogin();
		
		
		//退出登录
		
		ut.getId("deleteBtn").addEventListener("tap", function() {
			mui.confirm('若安全退出，您下次登录需再次手动输入登录密码。是否安全退出？','提示',['是','否'],function(e){
				if(e.index == '0'){
					if (document.getElementById("userPhone")){
						localStorage.time='';
						plus.storage.removeItem("memberInfoId");
						plus.storage.removeItem("certNo");
						plus.storage.removeItem("memberUUID");
						//plus.storage.removeItem("switch1");
						//plus.storage.removeItem("switch2");
						plus.storage.removeItem("userId");
						plus.storage.removeItem("truename");
						plus.storage.removeItem("myInviteCode");
						mui.fire(plus.webview.getWebviewById('views/main/main.html'),'resetFinList');
						mui.fire(plus.webview.getWebviewById('views/main/cart.html'),'loaderFinaList');
						islogin();
					}
				}else{
					
				}
			})
		});
		
		//退出
		window.addEventListener('userExit',function(){
			if (document.getElementById("userPhone")){
				localStorage.time='';
				plus.storage.removeItem("memberInfoId");
				plus.storage.removeItem("certNo");
				plus.storage.removeItem("memberUUID");
				//plus.storage.removeItem("switch1");
				//plus.storage.removeItem("switch2");
				plus.storage.removeItem("userId");
				plus.storage.removeItem("truename");
				plus.storage.removeItem("myInviteCode");
				mui.fire(plus.webview.getWebviewById('views/main/main.html'), 'resetFinList');
				mui.fire(plus.webview.getWebviewById('views/main/cart.html'), 'loaderFinaList');
				mui.fire(plus.webview.getWebviewById('financialInfo'), 'refresh');
				islogin();
			}
		});
		
	    //刷新
		window.addEventListener('reflash',function(event){			
			if (document.getElementById("userPhone")){
				islogin();
			}
		});
		
		window.addEventListener("userName",function(event){
			mui("#username")[0].innerText = event.detail.userName;
		});
		
		//我的钱包
		mui(document).on('tap', '#mine_wallet', function() {					
			if(isLogin()){
				var data = checkBindTypeTwoAcc.getData();
				var data1 = checkBindTypeThAcc.getData();
				
				var arr = [
					'isBindingTypeTwoAcc',
					'isBindingTypeThAcc'
				];
					
				if (data1.isBindingTypeThAcc == '1' && data1.isBindingTypeTwoAcc == '0'){
					arr = arr.reverse();
				}
					
				data.sortArr = arr;
				
				ut.setExtras('../wallet/wallet1.html', 'wallet1', data);
				
			}
		});	
		
		
		
		//昵称
		
		mui(document).on('tap', '#nick_arrow', function() {
			if(isLogin()){
				ut.setExtras('../mine/shezhi.html', 'shezhi', {});
			}
		});	
		
		
		//我的缴费
		
		mui(document).on('tap', '#mine_pay', function() {
			if(isLogin()){
				ut.setExtras('../payment/paymentRecords.html','paymentRecords',{});
			}
		});	
		
		//我的理财
		
		mui(document).on('tap', '#my_manger', function() {
			if(isLogin()){
				ut.setExtras('../mine/mycart.html', 'mycart', {});
			}
		});	
		
		//我的商城
		
		mui(document).on('tap', '#mymall', function() {
			if(isLogin()){
				ut.setExtras('../mall/mymall.html', 'mymall', {});
			}
		});
		
		//登录
		mui(document).on('tap', '#notlogin', function() {
			if (ut.getId("toLogin")) {	
				ut.setExtras("../login/login.html", "login", {});
			}
		});
		
		//红包
		
		mui(document).on('tap', '#redPac', function() {
			if(isLogin()){
				ut.setExtras('../wallet/redPacket.html', 'redPacket', {});
			}					
		})
		
		//反馈意见
		mui(document).on('tap', '#feedBack', function() {
			if(isLogin()){
				ut.setExtras('../mine/feedback.html', 'feedback', {});
			}
		});
		
		//关于我们
		
		mui(document).on('tap', '#aboutUs', function() {
			ut.setExtras('../mine/aboutUs.html', 'aboutUs', {});
		});

		
		//扫一扫
		mui(document).on('tap', '#popover ul li:first-child', function() {
			hide_popover();
			if(isLogin()){
				ut.setExtras('../wallet/barcode_scan.html', 'barcode_scan', {});
			}
		});
		
		
		//收/付款
		
		mui(document).on('tap', '#popover ul li:nth-child(2)', function() {
			hide_popover();
			if(isLogin()){
				ut.setExtras('../wallet/pay_received.html', 'pay_received', {});
			}
		});
		
		
		//绑定银行卡
		
		mui(document).on('tap', '#popover ul li:nth-child(3)', function() {
			hide_popover();
			if(isLogin()){
				ut.setExtras('../login/addCard.html', 'addCard', {});
			}
		});
		
		
		//帮助中心
		
		mui(document).on('tap', '#helpCenter', function() {
			hide_popover();
		
			ut.setExtras('../helpCenter/helpCenter.html', 'helpCenter', {});
						
		});
		
		//我的分享
		mui(document).on('tap', '#mine_share',function(){
			if(isLogin()){
				ut.setExtras('../mine/share.html', 'share', {});
			}
			
		});
		
		mui(document).on('tap', '#inviteReportBtn',function(){
			if(isLogin()){
				ut.setExtras('../report/navbar.html', 'inviteReport', {});
			}
			
		});	
		//推荐人维护
		mui(document).on('tap', '#myInvite',function(){
			if(isLogin()){
				ut.setExtras('../mine/myInvite.html', 'myInvite', {});
			}
		});
		
		mui(document).on('tap', '#meituanDetail',function(){
			if(isLogin()){
				ut.setExtras('../main/meituanRecord.html', 'meituanRecord', {});
			}
		});
		
		mui(document).on('tap', '#customerService',function(){
			ut.setExtras('customerSer.html', 'customerSer', {turnflag:'W'});
		});
		
		//点击底部隐藏遮罩
		
		window.addEventListener('reflash1',function(event){
			hide_popover();
		});
		
		//安全设置
		$('#safeSeting').on('tap', function(){
			if(isLogin()){
				m.openWindow({
					url: '../mine/safe_setting.html',
					id: 'safe_setting',
					extras: {},
					waiting: {
						autoShow: false
					}
				});
			}
		})
	});
})(mui, jQuery)