(function(m, $, doc, win){
	var isWebApp;
	
	if(m.os.plus){
		isWebApp = true;
	}else{
		isWebApp = false;
	}
	
	m.init({
		swipeBack: true //启用右滑关闭功能
	});
	
 	var vn = new Vue({
		el: '#referrerMaintain',
		data: {
			inviteCode: ""
		},
		methods: {
			init: function(){
				if(plus.storage.getItem("myInviteCode")){
					this.inviteCode = plus.storage.getItem("myInviteCode");
				}
				$('#inviteCode').validator();
			},
			checker: function(){
				if(!$('#inviteCode').data('bs.validator').check().passed){
					return false;
				}
				
				return true;
			},
			_submit: function(){
				var _this = this;
				
				if(!this.checker()){
					return false;
				}
				
				var data = {
					inviteCode: this.inviteCode,
					memberUUID: plus.storage.getItem("memberUUID"),
					APP_UUID: plus.device.uuid
				};
				
				$.bs.ajax({
					url: ut.netPayUrl + 'appSetMyInviteCode.do',
					data: data,
					processResponse: function(res){
						if(res.ec == '0'){
							plus.storage.setItem("myInviteCode", _this.inviteCode);
							mui.alert(res.em, "", function(){
								setTimeout(function(){
									plus.webview.close(plus.webview.currentWebview(), "none");
								},500);
							});
						}
					},
					wait: true
				})
			}
		}
 	})
 	
 	
	function _ready(){
		vn.init();
	}
	
	if(isWebApp){
		m.plusReady(_ready);
	}else{
		m.ready(_ready);
	}
})(mui, jQuery ,document, window)
