(function(m, $, doc, win){
	var isWebApp;
	
	if(m.os.plus){
		isWebApp = true;
	}else{
		isWebApp = false;
	}
	
	m.init({
		swipeBack: true //启用右滑关闭功能
	});
	
	var inviteCode = '';	
	
	function updateSerivces(){
		plus.share.getServices(function(s){
			shares={};
			for(var i in s){
				var t=s[i];
				shares[t.id]=t;
			}
		}, function(e){
			
		});
	}
	
	function shareMessage(msg, s){
		s.send(msg, function(){
		
		}, function(e){
		
		});
	}
	
	function shareAction(sb,bh) {
		if(!sb||!sb.s){
			return;
		}
		var msg={content:"",extra:{scene:sb.x}};
		if(bh){
			msg.href = ut.netPayUrl + 'appShareReigsterCode.do?responseFormat=JSP&userId=' + plus.storage.getItem("userId") + '&tap=code';
			msg.title = "晋享生活——让生活更美好！";
			msg.content = "生活服务、高收益理财，你要的美好生活都在这里。晋享生活——让生活更美好！";
			msg.thumbs = ['_www/logo.png'];
			msg.pictures = ['_www/logo.png'];
		}
		// 发送分享
		if(sb.s.authenticated){
			shareMessage(msg, sb.s);
		}else{
			sb.s.authorize(function(){
				shareMessage(msg,sb.s);
			}, function(e){
				
			});
		}
	}
	
	
	
	var ProxyImage = function (code) {
		var codevalue=code+"&tap=code";
		
		$("#shareCodeImg").qrcode({
			render: "canvas",
			width: "200",
			height: "200",
			text: codevalue
		});
	};
	
	function getInviteCode(){
		$.bs.ajax({
			url:ut.netPayUrl+"appShareReigsterCode.do",
			data: {},
			processResponse: function(res){
				if(res.ec == '0'){
					inviteCode = res.inviteCode;
				}
			}
		})
	}
	
	function shareEvents (res) {
		var data = {};
		var ss = shares[res.type];
			
		if(res.type == 'weixin'){
			data={
				title:'微信好友',
				s:ss,
				x:res.subType
			};
				
		}else if(res.type == 'qq'){
			data={
				title:'qq',
				s:ss
			};
		}
			
		shareAction(data, true);
	}
	
	var fillHtml = function () {
		var username = plus.storage.getItem('username') ? plus.storage.getItem('username') : 'xxx';
		var phone = plus.storage.getItem('phone') ? plus.storage.getItem('phone') : '******';
		
		if(username == phone){
			phone = '';
		}
		
		var str = '您的好友'+ username  + '，' + phone + '邀请您加入晋享生活，一起创造美好生活！';
		
		$('#leader').text(str);
	}
	
	function _ready(){
		updateSerivces();
		ProxyImage(ut.netPayUrl + 'appShareReigsterCode.do?responseFormat=JSP&userId=' + plus.storage.getItem("userId"));
		
		$('#shareShortcut').on('tap','.shareType',function(){
			var res = JSON.parse($(this).attr('data-val'));
			shareEvents(res);
		});
		
		fillHtml();
	}
	
	if(isWebApp){
		m.plusReady(_ready);
	}else{
		m.ready(_ready);
	}
})(mui, jQuery, document, window)
