(function(m, $, doc, win){
	function Loans() {
		this.init.apply(this, arguments) ;
	}
	
	Loans.prototype = {
		init: function(el, option){
			this.el = $(el);
			
			this.options = {};
			this.options = $.extend({}, option);
			this.render();
		},
		render: function(){
			this.el.find('#userNm').text(this.options.custName);
			this.el.find('#certNo').text(this.options.certNo);
			this.el.find('#mobileNo').text(this.options.mobileNo);
			this.el.find('#secAcct').text(this.options.secAcct);
			this.el.find('#cardNo').text(this.options.cardNo);
		},
		sendDate: function(){
			var data = {
				targetUrl: this.options.loanSecUrl,
				type: this.options.loansType
			};
			
			$.bs.openWindowByLoad(
				"loans.html",
				"loans",
				"pop-in", 
				data
			);
		}
	};
	
	function _ready(){
		var ws = {};
		ws = plus.webview.currentWebview();
		
		var data = {
			custName: ws.custName,
			certNo: ws.certNo,
    		mobileNo: ws.mobileNo,
    		cardNo: ws.cardNo,
    		loanSecUrl: ws.loanSecUrl,
    		secAcct: ws.secAcct,
    		loansType: ws.loansType
		}
		
		var loans = new Loans('#loans', data);
		
		$('#sendBtn').on('tap', function(){
			loans.sendDate();
		});
		
	}
	
	if(m.os.plus){
		m.plusReady(_ready);
	}else{
		m.ready(_ready);
	}
})(mui, jQuery, document, window)