//检查版本号是否需要更新
mui.plusReady(function() {
	localStorage.version = '';
	localStorage.updateUrl = '';
	plus.runtime.getProperty(plus.runtime.appid, function(inf) {
		var wgtVer = inf.version;
		console.log("当前应用版本：" + wgtVer);
		// alert("当前版本为："+wgtVer);
		//checkUpdate(wgtVer);
		//定时器检查
		let isUpdateFL
		let timer=setInterval(function(){
		    isUpdateFL= localStorage.getItem('isUpdateF');
			if (Boolean(isUpdateFL) == true) {
				checkUpdate(wgtVer);
				clearInterval(timer);
			}
		},1000);


	});

	function checkUpdate(v) {
		//plus.nativeUI.showWaiting("检测更新...");
		console.log("检测更新...");
		if(/(iPhone|iPad|iPod|iOS)/i.test(navigator.userAgent)) {
			//versionUpdate(0,v);
			$.bs.checkLogin();
		} else if(/(Android)/i.test(navigator.userAgent)) {
			//alert("1");
			versionUpdate(1, v);
		} else {
			//TODO
			console.log("获取设备客户端信息失败 ！");
		}
	};
	/*
	 * transName:交易码
	 * v：版本号
	 */
	function versionUpdate(transName, v) {
		//var url = mbank.getApiURL()+'getMobankVersion.do';
		//alert("versionUpdate");
		//alert("transName="+transName);
		var reqData = {
			"transName": transName
		};
		var ajax_url = ut.netPayUrl + 'getMobankVersion.do';
		ut.ajax1(ajax_url, reqData, 'json', 'post', getVersionInfoBack)
		//apiSend('post','getMobankVersion.do',reqData,getVersionInfoBack,null,true);
		//取版本号回调函数
		function getVersionInfoBack(data) {
			//alert("data="+JSON.stringify(data));						
			var version = data.version; //版本号 
			//版本号存在，则执行版本检查，否则不检查    
			if("" != version && null != version) {
				var significance = data.significance; //更新标识
				var updateUrl = data.updateUrl;

				if(Number(version.replace(/[.]/g, '')) > Number(v.replace(/[.]/g, ''))) {

					localStorage.version = data.version;
					localStorage.updateUrl = data.updateUrl;
					document.getElementsByClassName('new')[0].style.display = 'inline-block';
					mui.fire(plus.webview.getWebviewById('index'), 'update');
					if(significance == "0") { //强制升级
						//alert("准备下载");
						console.log("准备下载");
						if(/(iPhone|iPad|iPod|iOS)/i.test(navigator.userAgent)) {
							mui.openWindow({
								url: data.updateUrl,
								id: "update"
							});
						} else {
							downWgt(updateUrl); // 下载升级包
						}
					} else if(significance == "1") { //客户选择是否升级
						plus.nativeUI.confirm("发现新版本是否更新？", function(e) {
							if(e.index == 0) {
								if(/(iPhone|iPad|iPod|iOS)/i.test(navigator.userAgent)) {
									mui.openWindow({
										url: data.updateUrl,
										id: "update"
									});
								} else {
									downWgt(updateUrl); // 下载升级包
								}
							} else {
								plus.nativeUI.closeWaiting();

								$.bs.checkLogin();
							}
						}, "提示", ["立即更新", "稍后更新"]);
					} else {

						$.bs.checkLogin();
						console.log("版本不升级");
					}
				} else {
					$.bs.checkLogin();
				}
			}
		}
	}
	//下载资源包
	function downWgt(url) {
		plus.nativeUI.showWaiting("下载更新...");
		plus.downloader.createDownload(url, {}, function(d, status) {
			if(status == 200) {
				console.log("下载wgt成功：" + d.filename);
				installWgt(d.filename); // 安装wgt包
			} else {
				console.log("下载wgt失败！");
				plus.nativeUI.alert("下载wgt失败！");
			}

		}).start();
	};
	// 更新应用资源
	function installWgt(path) {
		plus.nativeUI.showWaiting("安装新版本...");
		plus.runtime.install(path, {}, function() {
			plus.nativeUI.closeWaiting();
			console.log("安装新版本成功！");
			//安装成功清除记录
            localStorage.removeItem('isUpdateF');
			plus.nativeUI.alert("应用资源更新完成！", function() {
				plus.runtime.restart();
			});
		}, function(e) {
			plus.nativeUI.closeWaiting();
			console.log("安装新版本失败[" + e.code + "]：" + e.message);
			plus.nativeUI.alert("安装新版本失败[" + e.code + "]：" + e.message);
		});
	}

})