
/**
 * openMD5GestureLock
 *	isShowLine 是否显示轨迹
 *	successCallback 成功回调
 *	errorCallback 失败回调
 * 
 */
 /**
 * openAESGestureLock
 *	isShowLine 是否显示轨迹
 *  aesKey AES加密key
 *	successCallback 成功回调
 *	errorCallback 失败回调
 * 
 */
 /**
 * openRSAGestureLock
 *	isShowLine 是否显示轨迹
 *  rsaN RSA加密摸
 *  rsaE RSA加密指数
 *	successCallback 成功回调
 *	errorCallback 失败回调
 * 
 */

 /**
 *  refresh --刷新
 */
 
 /**
 *  dismiss --销毁
 */

document.addEventListener("plusready", function() {
	var _BARCODE = 'pluginGestureLock', B = window.plus.bridge;
	var pluginGestureLock = {

		openMD5GestureLock : function(isShowLine,successCallback, errorCallback) {
			var success = typeof successCallback !== 'function' ? null
					: function(args) {
						successCallback(args);
					}, fail = typeof errorCallback !== 'function' ? null
					: function(code) {
						errorCallback(code);
					};
			callbackID = B.callbackId(success, fail);
			return B.exec(_BARCODE, "openMD5GestureLock", [ callbackID,isShowLine ]);
		},
		openAESGestureLock : function(isShowLine,aesKey,successCallback, errorCallback) {
			var success = typeof successCallback !== 'function' ? null
					: function(args) {
						successCallback(args);
					}, fail = typeof errorCallback !== 'function' ? null
					: function(code) {
						errorCallback(code);
					};
			callbackID = B.callbackId(success, fail);
			return B.exec(_BARCODE, "openAESGestureLock", [ callbackID,isShowLine,aesKey]);
		},
		openRSAGestureLock : function(isShowLine,rsaN,rsaE,successCallback, errorCallback) {
			var success = typeof successCallback !== 'function' ? null
					: function(args) {
						successCallback(args);
					}, fail = typeof errorCallback !== 'function' ? null
					: function(code) {
						errorCallback(code);
					};
			callbackID = B.callbackId(success, fail);
			return B.exec(_BARCODE, "openRSAGestureLock", [ callbackID,isShowLine,rsaN,rsaE]);
		},
		dismiss : function() {
			return B.execSync(_BARCODE, "dismiss", []);
		},
		refresh : function(notice,isError) {
			return B.execSync(_BARCODE, "refresh", [notice,isError]);
		}

	};
	window.plus.pluginGestureLock = pluginGestureLock;
}, true);
