/**
 * side 正面反面 0是正面 1是反面 
 *                0时  payload.picOne 为正面整个图  payload.picTwo 是头像的截图
 *                1时  payload.picOne 为反面整个图
 * isVertical 是否竖屏   true 是竖屏  false 是横屏
 *                  
 */
document.addEventListener("plusready", function() {
	var u = navigator.userAgent;
	var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Adr') > -1; //android终端
	var isIOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
	
	var _BARCODE = 'pluginOpenIdcardScan',
	 B = window.plus.bridge;
	var pluginOpenIdcardScan = {
		openIdcardScan : function(side, isVertical, successCallback, errorCallback) {
       		if(isIOS){
       			var success = typeof successCallback !== 'function' ? null : function(args) {
	            	successCallback(args);
	            },
	                    
	            fail = typeof errorCallback !== 'function' ? null : function(code) {
	               errorCallback(code);
	            };
	                        
	            callbackID = B.callbackId(success, fail);
	                   	
	            return B.exec(_BARCODE, "openIdcardScan", [ callbackID,side,isVertical]);
       		}else{
       			plus.android.requestPermissions(['android.permission.CAMERA'], function(e){
	           		if(e.granted.length>0){	//权限被允许
	            		var success = typeof successCallback !== 'function' ? null : function(args) {
	            			successCallback(args);
	                	},
	                    
	                	fail = typeof errorCallback !== 'function' ? null : function(code) {
	                		errorCallback(code);
	                	};
	                        
	                	callbackID = B.callbackId(success, fail);
	                   	
	                	return B.exec(_BARCODE, "openIdcardScan", [ callbackID,side,isVertical]);
	           		}else{
	            		alert('未获取到相机权限，请打开晋享生活相机服务。', '温馨提示');
	            	}
	          	}, function(e){
	           		alert('未获取到相机权限，请打开晋享生活相机服务。', '温馨提示');
	       		})
       		}
       		
		}
	};
	window.plus.pluginOpenIdcardScan = pluginOpenIdcardScan;
}, true);