/*!
 * ======================================================
 * FeedBack Template For MUI (http://dev.dcloud.net.cn/mui)
 * =======================================================
 * @version:1.0.0
 * @author:cuihongbao@dcloud.io
 */
(function() {
	var f1 = new Array();
	var feedback = {
		question: document.getElementById('question'), 
		submitBtn: document.getElementById('submit'),
		mobileNo: document.getElementById("mobileNo"),
		mustImages:document.getElementById("mustImages")
	};
	var files = [];
	var picIndex = 1;
	var img1="";
	var img2="";
	var img3="";
	var img4="";
	mui.plusReady(function() {
		jQuery('#mustImages').on('tap','.col',function(event){
			console.log(event.target.title);
			var divObj = document.getElementById(event.target.title);
			var btnArray = [
				{title: '拍照'},
				{title: '相册'}
			];
			plus.nativeUI.actionSheet({
					cancel: '取消',
					buttons: btnArray
				}, function(e) {
					var index = e.index;
					var text = '你刚点击了\"';
					switch (index) {
						case 0:
							text += '取消';
							break;
						case 1:
							feedback.cameraimages(divObj);
							document.getElementsByTagName('img').hidden;
							break;
						case 2:
							feedback.galleryImgs(divObj);
							break;
					}
				});
		});
		/**
		 * 拍摄照片
		 */
		feedback.cameraimages = function(divObj) {
			//每次拍摄或选择图片前清空数组对象
			f1.splice(0, f1.length);
			var cmr = plus.camera.getCamera();
			cmr.captureImage(function(p) {
				appendFile(p);
				plus.io.resolveLocalFileSystemURL(p, function(entry) {
					var localurl = entry.toLocalURL(); //把拍照的目录路径，变成本地url路径，例如file:///........之类的。
					feedback.showImg(localurl, divObj);
					console.log(p + 'aaaaaaaaaaaaaaaaaaaa');
					appendFile(p);
				});
			}, function(e) {
				mui.toast('很抱歉，获取失败 ' + e);
			});
		};
	
		/**
		 * 相册选择照片
		 */
		feedback.galleryImgs=function(divObj){
			//每次拍摄或选择图片前清空数组对象
			f1.splice(0, f1.length);
			// 从相册中选择图片
			plus.gallery.pick(function(e) {
				feedback.showImg(e, divObj);
			}, function(e) {
				mui.toast('取消选择图片');
			}, {
				filter: 'image',
				multiple: false
			});
		}
	
		/**
		 * 将图片压缩生成base64编码
		 */
		feedback.showImg = function(url, divObj) {
			// 兼容以“file:”开头的情况
			if (0 != url.toString().indexOf('file://')) {
				url = 'file://' + url;
			}
			var pathdiv = document.createElement('div');
			pathdiv.innerHTML = url;
			var _div_ = document.getElementsByClassName('col')[0];
			if (divObj) {
				_div_ = divObj;
			}
			var _img_ = new Image();
			_img_.src = url; // 传过来的图片路径在这里用。
			/*_img_.onclick = function() {
				plus.runtime.openFile(url);
			};*/
			_img_.onload = function() {
				var tmph = _img_.height;
				var tmpw = _img_.width;
				var isHengTu = tmpw > tmph;
				var max = Math.max(tmpw, tmph);
				var min = Math.min(tmpw, tmph);
				var bili = min / max;
				if (max > 1200) {
					max = 1200;
					min = Math.floor(bili * max);
				}
				tmph = isHengTu ? min : max;
				tmpw = isHengTu ? max : min;
				_img_.style.border = '1px solid rgb(200,199,204)';
				_img_.style.width = '2.98rem';
				_img_.style.display='block'
				_img_.style.height = '2.98rem';
				_img_.style.marginTop='6%';
				_img_.onload = null;
				console.log(url);
				plus.nativeUI.showWaiting('上传中..');
				plus.io.resolveLocalFileSystemURL(url, function(entry) {
					entry.file(function(file) {
						console.log(file + file.size + '--' + file.name);
						canvasResize(file, {
							//生成base64编码
							width: tmpw,
							height: tmph,
							crop: false,
							quality: 90, //压缩质量
							rotate: 0,
							callback: function(data, width, height) {
								f1.push(data);
								jQuery('#'+_div_.id).children("img").remove();
								jQuery('#'+_div_.id).append(_img_);
								jQuery('#'+_div_.id).find('img').attr('src',data);
								feedback.uploadImage(data);
							}
						});
					});
				},
				function(e) {
					plus.nativeUI.closeWaiting();
					console.log(e.message);
				});
			};
		};
	
		function appendFile(p) {
			var fe = document.getElementById('files');
			var li = document.createElement('li');
			var n = p.substr(p.lastIndexOf('/') + 1);
			files.push({
				name: 'uploadkey' + picIndex,
				path: p
			});
			picIndex++;
		}
		feedback.submitBtn.addEventListener('tap', function(event) {
			this.disabled=true;
			if (feedback.question.value=="") {
				this.disabled=false;
				return mui.toast('意见填写不能为空');
			}
			if (feedback.question.value.length < 2) {
				this.disabled=false;
				return mui.toast('意见不能少于两个字,请重新填写');
			}
			if (feedback.question.value.length > 300) {
				this.disabled=false;
				return mui.toast('意见超长,请重新填写');
			}
			if(feedback.mobileNo.value!=""){
				if(!(/^(1[1-9])[0-9]{9}$/.test(feedback.mobileNo.value))){
					this.disabled=false;
				 	return mui.toast('手机号码格式有误');
			   	};
			}
			//alert(feedback.question.value.length);
			feedback.submitAjax(); 
		}, false)
		feedback.uploadImage=function(fileUrl){
			var param={
				"imgStr":fileUrl,
			}
			ut.ajax1(ut.netPayUrl + "AddSuggestionImage.do", param, "json", "post", function(data){
				plus.nativeUI.closeWaiting();
				console.log(JSON.stringify(data));
				if(data.ec=='0'){
					ut.toast("上传成功");
					if(img1==""){
						img1 = data.imageFileStream;
						return;
					}
					if(img2==""){
						img2 = data.imageFileStream;
						return;
					}
					if(img3==""){
						img3 = data.imageFileStream;
						return;
					}
					if(img4==""){
						img4  = data.imageFileStream;
						return;
					}
				}else{
					mui.alert(data.em);
				}
			},function(data){
				plus.nativeUI.closeWaiting();
			})
		}
		feedback.submitAjax = function(){
			var param={
				"dealType":jQuery('input:radio[name="radio1"]:checked').val(),
				"messageContent":feedback.question.value,
				"image1":img1,
				"image2":img2,
				"image3":img3,
				"image4":img4,
				"phone":feedback.mobileNo.value==""? plus.storage.getItem("phone") : feedback.mobileNo.value,
			};
			ut.ajax(ut.netPayUrl + "AddSuggestion.do", param, "json", "post", function(data){
				feedback.submitBtn.disabled = false;
				if(data.ec=='0'){
					ut.toast('反馈成功~');
					plus.webview.currentWebview().close();
				}else{
					mui.alert(data.em);
				}
			},function(data){
				feedback.submitBtn.disabled = false;
			})
		}
	})
})();