(function(doc,win){
	var docEl = doc.documentElement,
		resizeEvt = "orientationchange" in win ? "orientationchange" : "resize",
		recalc = function(){
			var clientwidth =  docEl.clientWidth;
			if( !clientwidth ){ return false; }
			docEl.style.fontSize = 20 * ( clientwidth / 320 )+"px";
		};
		if(!doc.addEventListener){ return false; }
		win.addEventListener(resizeEvt,recalc,false);
		doc.addEventListener("DOMContentLoaded",recalc,false);
})(document,window)