(function(m, $, doc, win){
	mui.init({
		swipeBack: true //启用右滑关闭功能
	});
	
	function HelpDoc() {
		this.init.apply(this, arguments);
	}
	
	HelpDoc.prototype = {
		init: function(el, option){
			this.el = $(el);
			this.options = {};
			this.list = [];
			
			this.update(option)
		},
		update: function(option){
			this.options = $.extend(this.options, option);
		},
		createPage: function(){
			var _this = this;
			
			var data = {
				customerId: plus.storage.getItem("memberInfoId"),
				memberUUID: plus.storage.getItem("memberUUID"),
				APP_UUID: plus.device.uuid,
				hcctId: this.options.code
			};
			
			$.bs.ajax({
				url: ut.netPayUrl + 'helpCenterSelectFourth.do',
				data: data,
				processResponse: function(res){
					if(res.hcctListFourth.length > 0){
						$.each(res.hcctListFourth, function(k, v){
							_this.list.push(v);
						});
						
						_this.createHtm(_this.list);
					}
				}
			});
		},
		createHtm: function(res){
			var _this = this;
			var htm = '';
			
			$.each(res, function(k, v){
				htm += '<div class="doc-header">' ;
				htm +=  _this.options.name;
				htm += '</div>' ;
				htm += '<div class="doc-body">';
				htm += 	'<p>';
				htm +=		v.hcctName;
				htm +=	'</p>';
				htm += '</div>';
			});
			
			$('#doc').empty();
			$('#doc').append(htm);
		}
	}
	
	function _ready(){
		var ws = '';
		
		if(m.os.plus){
			ws = plus.webview.currentWebview();
		}else{
			ws = {};
		}
		
		var data = {
			code: ws.code,
			name: ws.name
		}
		var helper = new HelpDoc('#doc', data);
		
		helper.createPage();
	}
	
	if(m.os.plus){
		m.plusReady(_ready);
	}else{
		m.ready(_ready);
	}
})(mui, jQuery, document, window)