(function(m, $, doc, win){
	mui.init({
		swipeBack: true //启用右滑关闭功能
	});
	
	function HelpItem(){
		this.init.apply(this, arguments);
	}
	
	HelpItem.prototype = {
		init: function(el, option){
			this.el = $(el);
			this.list = [];
			this.options = {};
			
			this.update(option);
		},
		update: function(option){
			this.options = $.extend(this.options, option);
		},
		createPage: function(){
			var _this = this;
			
			var data = {
				customerId: plus.storage.getItem("memberInfoId"),
				memberUUID: plus.storage.getItem("memberUUID"),
				APP_UUID: plus.device.uuid,
				hcctId: this.options.code
			};
			
			$.bs.ajax({
				url: ut.netPayUrl + 'helpCenterSelectThird.do',
				data: data,
				processResponse: function(res){
					if(res.hcctListThird.length > 0){
						$.each(res.hcctListThird, function(k, v){
							_this.list.push(v);
						})
					}
					 
					_this.createHtm(_this.list);
				}
			});
		},
		createHtm: function(res){
			$('#list').find('.navbar-header-right').text(this.options.tit);
			
			var htm = '' ;
			
			$.each(res, function(k, v){
				htm += '<div class="navbar-item"><a href="javascript:void(0)" class="nav-btn-link" data-code=\"'+ v.hcctId +'\">' + v.hcctName + '</a></div>';
			});
			
			$('#list').find('.navbar-group').empty();
			
			$('#list').find('.navbar-group').append(htm);
		},
		openWin: function(data){
			$.bs.openWindowByLoad(
				"helpDoc.html",
				"helpDoc",
				"pop-in",
				data
			);
		}
	};
	
	function _ready(){
		var ws = '';
		
		if(m.os.plus){
			ws = plus.webview.currentWebview();
		}else{
			ws = {};
		}
		
		var data = {
			code: ws.code,
			tit: ws.tit
		}
		
		var helper = new HelpItem('#list', data);
		
		helper.createPage();
		
		$('#list').on('tap', '.nav-btn-link', function(){
			
			var data = {
				code: $(this).data('code'),
				name: $(this).text()
			}
			
			helper.openWin(data);
		})
	}
	
	if(m.os.plus){
		m.plusReady(_ready);
	}else{
		m.ready(_ready);
	}
})(mui, jQuery, document, window)