(function($,m,doc,win){
	var isWebApp;
	if(m.os.plus){
		isWebApp=true
	}else{
		isWebApp=false
	}
	mui.init({
		swipeBack: true //启用右滑关闭功能
	});
	var cardType;
	var custName;
	var certNo;
	var payNo;
	var res = [];
	var self;
	var turnFlag;
	var cards = document.getElementById("cards");
	var userPicker = new mui.PopPicker();
	var bankName;
	var vn = new Vue({
		el: '#vn',
		data: {
			mobileNo:"",
			cardNo:"",
			cardNum:"",
			payPwd:"",
			codeNo:"",
			curAcc:""
		},
		methods:{
			init:function(){
				var _this = this;
				ut.ajax1(ut.netPayUrl + "getUserAuthInfo4Mb.do",'',"json","post",function(data) {
					if(data.ec == '0') {
						console.log(JSON.stringify(data));
						custName = data.customerNameCN;
						certNo = data.certNo;
						_this.getCard();
					} else {
						mui.alert("未进行实名认证，请先进行实名认证", "温馨提示");
					}
				}); 
			},
			getCard:function() {
				var _this = this;
				ut.ajax1(ut.netPayUrl + "selectBoundCard4Mb.do", '', "json", "post", function(data) {
					if(data.ec == '0') {
						var len = data.iBoundCardList;
						if(data.iBoundCardList.length > 0) {
							$.each(data.iBoundCardList, function(k, v) {
								if(v.bankCardType == '0') {
									var obj = {
										text: v.boundCardBankName+'('+v.boundCardNo.substr(-4, 4)+')',
										value: v.boundCardNo,
									};
									res.push(obj);
									userPicker.setData(res);
									_this.cardNo = res[0].text;
									_this.curAcc = res[0].value;
								}
							})
						} else {
							mui.alert("请先绑定您的银行卡", "温馨提示", function() {
								ut.setExtras('../login/addCard.html', 'addCard', {});
							});
						}
					} else {
						mui.alert(data.em, "温馨提示");
					}
				});
			},
			bindCard:function(){
				var _this = this;
				if(ut.getId('checkbox_agree').checked){
					if(!_this.mobileNo){
						ut.toast('手机号不能为空',3500);
						return false;
					}
					if(!_this.cardNo){
  						ut.toast('银行卡号不能为空',3500);
  						return false;
  					}
					if(!_this.codeNo){
						ut.toast('请输入手机验证码',3500);
					 	return false;
					} 
					if(document.getElementById("pwdpay").value.length!=6){
	            		ut.toast('交易密码为6位数字',3500);
	            		return false;
	               	};
					if(_this.codeNo.length!=6){
						ut.toast('短信验证码为6位数字',3500);
					 	return false;
					} 
					if(payNo == "0nMT5vJP1x"){  //银联云闪付
						var param = {
							SMSCode:_this.codeNo,
							mobileNo:_this.mobileNo,
							CardNo:_this.curAcc,
							PymtStmBnkNo:payNo,
							payPassword:document.getElementById("pwdpay").getAttribute('pass')
						}
						ut.ajax(ut.netPayUrl+'YLone_KeybindingCard.do',param,'json','post',function(data){
							if(data.ec == '0'){
								var serialNo = data.serialNo;
								var jumpUrl = data.Addr+serialNo;
								if(plus.os.name == "Android"){
                                    if(plus.runtime.isApplicationExist({pname:'com.unionpay',action:'upwallet://'})){
                                        plus.runtime.openURL("upwallet://quickbindcard?sn="+serialNo, function(){
                                           mui.alert("云闪付APP页面打开失败");
                                        },"com.unionpay");
                                    }else{
                                        plus.runtime.openWeb(jumpUrl);
                                    }
								}else if (plus.os.name == "iOS" ){
                                    if(plus.runtime.isApplicationExist({action:'upwallet://'})){
                                        plus.runtime.openURL("upwallet://quickbindcard?sn="+serialNo);
                                    }else{
                                          _this.sub = plus.webview.create(jumpUrl,jumpUrl, {
                                                      top: '45px',
                                                      bottom: '0px'
                                          });
                                          self.append(_this.sub);
                                    }
								}
							}else{
								ut.toast(data.em,4500);
							}		  							
	  					})
					}else{
						ut.ajax(ut.netPayUrl+'checkPayPassword.do',{"payPassword":document.getElementById("pwdpay").getAttribute('pass')},'json','post',function(data){
							if(data.ec == '0'){
								_this.oneKeyBind();
							}else{
								ut.toast(data.em,4500);
							}		  							
	  					})
					}
				}else{
		  			ut.toast('请阅读协议',3000);
		  		}
			},
			oneKeyBind:function(){
				var _this = this;
				var data = {
					accType:"PT05",
					payAccount:_this.curAcc,
					PyrAcctNm:custName,
					certNo:certNo,
					PyrCtcTel:_this.mobileNo,
					Addr:"sxrcbjxsh://",
					SMSVrfyCd:_this.codeNo,
					PymtStmBnkNo:payNo
				}
				ut.ajax(ut.netPayUrl+'one_KeybindingCard.do',data,'json','post',function(data){	
		  			if(data.RetCd=='000000'){
		  				console.log(JSON.stringify(data));
		  				var doUrl = data.Addr;
		  				if(turnFlag){
		  					if(turnFlag == '0'){
		  						doUrl = decodeURIComponent(doUrl);
		  					}
		  				}
		  				//var doUrl = "https://render.alipay.com/p/s/i/?scheme=alipays%3A%2F%2Fplatformapi%2Fstartapp%3FappId%3D20000067%26url%3Dhttps%253A%252F%252Ffinsignweb.alipay.com%252Fmobile%252Fsign%252Fexpress%252Fentrance%253FinstId%253DSXRCU%2526token%253D20190613000000000014440198002334%2526cardType%253DDC%2526signProduct%253DAD_EXPRESS_SIGN_AUTH_001%2526bankUrl%253Dhttp%25253A%25252F%25252F172.30.144.112%25253A8087%25252Fnetpay%25252F;"	
		  				_this.sub = plus.webview.create(doUrl,doUrl, {
	  	  					top: '45px',
	  	  					bottom: '0px'
	  	  				});
	  	  				self.append(_this.sub);
		  			}else{
		  				mui.alert(data.RetMsg,"温馨提示");
		  			}
		  			
		  		})
			},
			getCode:function(){
				var _this = this;
				var regExp = /^(1[1-9])[0-9]{9}$/;//验证手机号码格式
		    	var mobileNo = _this.mobileNo.replace(/^\s*|\s*$/g, '');
			    if (!mobileNo||!regExp.test(mobileNo)) {
					ut.toast('手机号格式不正确',3500);
					_this.mobileNo = "";
					return false;
				}	  			 	  				  			 
		    	_this.countDown();
			},
			countDown:function(){
				var _this = this;
			    var time_code = 60; //倒计时
			    var timer = null; //计时器
			   	$(this).attr("disabled","disabled");
			   	var data = {
					mobileNo: _this.mobileNo,
					tranCode: "NP101041",
					messageType: 'oneKeyboundNsBankCard'
				};
				console.log(JSON.stringify(data));
				
		   		ut.ajax(ut.netPayUrl + 'sendSMSCodeCommon.do',data,"json","post",function(data){
					if (data.ec == 0) {
						ut.toast('验证码已发送',2000);
						timer = setInterval(function() {
							time_code--;
							$("#check_code").html(time_code + "s");
							if (!time_code) {
								clearInterval(timer);
								$("#check_code").removeAttr("disabled");
								$("#check_code").html("获取验证码");
							} else {
								$("#check_code").attr("disabled","disabled");
							}
						}, 1000);
					}else{
						$("#check_code").removeAttr("disabled");
						mui.alert(data.em);
						return;
					}
				},function(data){
					$("#check_code").removeAttr("disabled");
				});
			},
			scan_Agreement:function(){
				mui.openWindow({
					url: "../agreement/agr_pay.html",
					id: "agr_pay",
					extras: {
						"bankName":bankName
					}
				});
			}
		}
	})
	function Ready(){
		self = plus.webview.currentWebview();
		payNo = self.bankNo;
		turnFlag = self.flag;
		bankName = self.bankName;
		document.getElementById("chooseBank").addEventListener('tap', function(event) {
			userPicker.show(function(items) {
				vn.curAcc = items[0]['value'];
				vn.cardNo = items[0]['text'];
			});						
		}, false);
		vn.init();
	}
	if(isWebApp){
		mui.plusReady(Ready)
	}else{
		mui.ready(Ready)
	}
})(jQuery,mui,document,window)	
