(function(m,$,doc,win){
	var isWebApp;
	
	if(m.os.plus){
		isWebApp=true;
	}else{
		isWebApp=false;
	}
	
	var listArr = [];
	
	//孙浩宇前端超时处理
	var TimeoutDispose = function(){
		this.init.apply(this,arguments);
	};
		
	TimeoutDispose.prototype = {
		init: function(option){
			this.options = {};
			
			for(var i in option){
				this.options[i] = option[i];
			}
			if(localStorage.time){
				this._time = localStorage.time;
				this.newTime = new Date().getTime();
				this.compare();
			}
		},
		compare: function(){
			var t = Number(this.newTime) - Number(this._time)
			if(t > 1800000){
				this.clear();
			}
		},
		clear: function(){
			if(plus.storage.getItem('memberInfoId')){
				plus.storage.removeItem('memberInfoId');
				vm.setview();
			}
		}
	};
	
	function Ready(){
		var self;
	
		if(m.os.plus){
			self = plus.webview.currentWebview();
			self.setStyle({'popGesture':'none'});
		}
		
		function getMax(str) {
			var arr1 = [];
			var arr;
			arr = str.split(',');
			
			for (var i=0; i<arr.length; i++) {
				arr1.push(arr[i].split('-')[0]);
			}
			
			arr2 = arr1.sort(function(a,b){
				return b-a;
			})
		
			return arr2[0];
		}
		
		function getMax2(str){
			var arr = [];
			
			arr = str.split(',');
			arr = arr.sort(function(a,b){
				return b-a;
			})
		
			return arr[0];
		}
		
		function getMin(str){
			var arr = [];
			
			arr = str.split(',');
			arr = arr.sort(function(a,b){
				return a-b;
			})
		
			return arr[0];
		}
		
		function loadFinList(){
			var ip = ut.emallUrl;
			var data = {};
				
			if(plus.storage.getItem("memberInfoId")){
				data.memberInfoId = plus.storage.getItem("memberInfoId");
			}
			
			$.bs.ajax({
				url: ip + 'front/FrontFinanceListAction_financeQueryToIndex',
				//url:"../../json/financeListQuery.json",
				dataType: "json", //接收类型
				type: "get",
				data:data,
				crossDomain: true,
				timeout: 10000, //超时时间
				async: true,
				processResponse: function(data) {
					var arr = []
					if(data.errorCode == '000000'){
						
						var html = '';
						$('#fineList').empty();
						
						listArr = data.idateList;
						$.each(data.idateList,function(key,val){
							html+='<div class="panel panel-b">';
							html+='	<div class="panel-header mui-ellipsis">';
							html+='		'+val.ISSUEINSTNAME+'<span class="dot"></span>'+val.PRODUCTNM+'';
							html+='	</div>';
							html+='	<div class="panel-body">';
							html+='		<div class="table table-a mui-row">';
							html+='			<div class="table-group table-group-left">';
							html+='				<div class="table-label">';
							html+='					参考收益率';
							html+='				</div> ';
							html+='				<div class="table-control-static">';
							
							if(val.INCOME_ROLE == "00"){
								html += parseFloat(val.AMT_INTERVAL_INCOME*100).toFixed(2)+'%';
							}else if(val.INCOME_ROLE == "10"){
								html += parseFloat(getMin(val.AMT_INTERVAL_INCOME)*100).toFixed(2)+'%~'+parseFloat(getMax2(val.AMT_INTERVAL_INCOME)*100).toFixed(2)+'%';
							}else if(val.INCOME_ROLE == "20"){
								html += parseFloat(getMin(val.TIME_INTERVAL_INCOME)*100).toFixed(2)+'%~'+parseFloat(getMax2(val.TIME_INTERVAL_INCOME)*100).toFixed(2)+'%';
							}
							
							html+='				</div>';
							html+='			</div>';
							html+='			<div class="table-group table-group-right">';
							
							var hot = val.CHANNEL_QUOTA<1?0:((val.CHANNEL_QUOTA - val.CHANNEL_CAN_USE_QUOTA) / val.CHANNEL_QUOTA * 100).toFixed(2);
							
							html+='				<div class="circleProgress_wrapper rotate" data-scale='+hot+' >';
							html+='					<div class="wrapper right">';
							html+='						<div class="circleProgress rightcircle" ></div>';
							html+='					</div>';
							html+='					<div class="wrapper left">';
							html+='						<div class="circleProgress leftcircle" ></div>';
							html+='					</div>';
							html+='					<div class="circleProgress-label">';
							html+='						<div class="circleProgress-label-top">'+Math.round(parseFloat(hot))+'%</div>';
							html+='						<div class="circleProgress-label-bottom">';
															if(val.QUERYTYPE == "2"){
							html+=								'待售';
															}else{
							html+=								'热销';
															}
							html+='						</div>';
							html+='					</div>';
							html+='				</div>';
							html+='			</div>'; 
							html+='			<div class="table-group table-group-mid">';
							
							html+='				<div class="table-group-container">';
							
							html+='				<div class="table-badges">';
							if(val.INCOME_CHARACTERISTIC == '1'){
								html+='				<div class="table-badge table-badge-gold">';
								html+=					'非保本';
								html+= '            </div>';
							}else{
								html+='				<div class="table-badge table-badge-primary">';
								html+=					'保本型';
								html+= '			</div>';
							}
							html+='				</div>';
							html+='				<div class="table-item">';
							html+='					'+parseInt(val.TIME_LIMIT)+'天';
							html+='				</div>';
							html+='				<div class="table-item">';
							html+='					'+parseFloat(val.STARTAMT)/10000+'万起购';
							html+='				</div> ';
							
							html+='				</div>';
							
							html+='			</div>';  
							html+='		</div>';
							html+='	</div>';
						
							
							if(new RegExp('全省').test(val.BUYAREA)){
								html+='<div class="panel-footer">'+val.BUYAREA+'</div>';
							}else{
								html+='<div class="panel-footer">仅限理财产品发行机构持卡客户认购 </div>';
							}
							html+='</div>';							
						})
						$('#fineList').append(html);
						
						$('.rotate').rotate('rotate');
						
					}
				}
			});
		}
		
		
		$('#fineList').on('click','.panel',function(event){
			event.preventDefault();
			var i = $(this).index();
			var data = listArr[i];
			
			ut.setExtras('../financial/financialInfo.html', 'financialInfo', {			
				list_arry:data
			});
		});
		
		$('#fineMore').on('click',function(event){
			event.preventDefault();
			
			mui.fire(plus.webview.getWebviewById('index'),'gofina');
		})
		document.getElementById('hideLoadListBtn').addEventListener('myhandle',function(){
			   loadFinList();
        });

        //loadFinList();
		
		$('#credit1').on('tap', function(){
			var memberInfoId=plus.storage.getItem('memberInfoId');
		    
			if (!memberInfoId) {
				mui.toast("您尚未登录");
				ut.setExtras("../login/login.html", "login", {});
				return false;
			}
 			
			ut.setExtras('../creditCard/creditCardCenter.html','creditCardCenter',{});
		});
             
		$('#fina').on('tap', function(){
 			mui.fire(plus.webview.getWebviewById('index'),'gofina');
		});
		
		$('.flying_btn').on('tap', function(){
			var flyingUrl = $(this).data('flyingurl');
			
			mui.openWindow({
				url: "../mine/flyingMallMain.html",
				id: "flyingMallMain",
				extras: {
					ftUrl: flyingUrl,
				}
			});
		});
		
		$('.mall').on('tap', function(){
 			mui.fire(plus.webview.getWebviewById('index'),'golife');
		});
		
		$('.final').on('tap', function(){
 			mui.fire(plus.webview.getWebviewById('index'),'gofina');
		});
		
		
		$('#messageCenter').on('tap', function(){
			mui.openWindow({
				url: "../messageCenter/inform.html",
				id: "inform",
				extras: {
				
				}
			});
		});
		
		win.addEventListener('resetFinList',function(){
			loadFinList();
		});
		
		win.addEventListener('checkLoginTypeTwo', function(){
			$.bs.checkLogin('typeTwo');
		});
		
		win.addEventListener('resetPwGl', function(){
			$.bs.resetGL(function(){
				mui.alert('手势密码登录已关闭','温馨提示');
				plus.storage.setItem("switch1",'04');
				mui.fire(plus.webview.getWebviewById("safe_setting"), "refresh");
			});
		});
		
		new TimeoutDispose({});
	};
	
	if(isWebApp){
		m.plusReady(Ready);
	}else{
		m.ready(Ready);
	}
})(mui,jQuery,document,window)
