(function($,m){
	var isWebApp;
	var clim1 = "";
	
	if(m.os.plus){
		isWebApp=true;
	}else{
		isWebApp=false;
	}
	
	var isFixed = false;
	var isChoosable = true;
	var ifeeType = null;
	var card = null;
	var list;
	
	m.init({
		swipeBack: true //启用右滑关闭功能
	});
	
	var cityList = [];
	
	function createAreaList(data){
		var obj = {};
		
		$.each(data,function(k,v){
			if(v.areaType1=='3'){
				if(obj[v.cityCode]){
					obj[v.cityCode].push(v);
				}else{
					obj[v.cityCode] = [];
					obj[v.cityCode].push(v);
				}
			}
		});
		
		return obj;
	};
	
	$('#choiceCity').listGroup();
		
	var areaList;
	
	//获取省内区县
	var appUrl = ut.netPayUrl;
	
	function fillCurCity(areaName){
		var str;
		var supportPay = false; 
		var areaName = areaName;
		$.each(list,function(k,v){
			if(v.areaType1=='2'){
				if(v.countryName == areaName){
					supportPay = true;
					var _html = '';
						_html+='<div class="list-item mui-col-xs-4">';
						_html+='	<a href="javascript:void(0)" class="btn" data-val='+JSON.stringify(v)+'>'+v.countryName+'</a>';
						_html+='</div>';
					$('#currCity').empty().append(_html);
					$('#currCity').parents('.list').removeClass('hide');
					areaName = v.countryName;
				}
			}
		})
				
		if(isFixed){
			return ;
		}
				
		if(supportPay){
			str = "您当前所在的位置是："+ areaName +"，是否要定位该城市。";
			var btnArray = ['切换','取消'];
			if(isChoosable){
				mui.confirm(str,'提示',btnArray,function(e){
					if(e.index == '0'){
						$('#currCity').find('.btn').trigger('click');
					}
				})
			} else {
				$('#currCity').find('.btn').trigger('click');
			}
		}else{
			str = "您当前所在的位置是："+ areaName +"，目前没有该城市的缴费业务，请切换到其它城市。";
			
			mui.alert(str,'提示');
			
			$('#currCity').find('.btn').addClass('nothing');
			$('#currCity').parents('.list').removeClass('hide');
		}
	}
	
	function fixedPos(list){
		var areaNname;
		var data = $.bs.postionSystem().getData();
		
		if(data.city){
			areaNname = data.city;
			fillCurCity(areaNname);
		}else {
			$('#currCity').parents('.list').css({
				display:'none'
			})
		}
	};
		
	function queryCity(){
		$.bs.ajax({
			url:appUrl+"showCity.do",
			//url: '../../json/showCity.json',
			data:{},
			processResponse:function(res){
				if(res.cityList){
					var html = '';
					
					$('#countyList').find('.list-body').empty();
					
					list = res.cityList.concat(cityList)
					
					$.each(list,function(key,value){
						if(value.areaType1=='2'){
							html+='<div class="list-item mui-col-xs-4">';
							html+='	<a href="javascript:void(0)" class="btn" data-val='+JSON.stringify(value)+'>'+value.countryName+'</a>';
							html+='</div>';
						}
					})
					
					$('#countyList').find('.list-body').append(html);
					areaList = createAreaList(list);
					
					setTimeout(function(){
						fixedPos(list);
					},500)
				}
			},
			wait: true
		})
	};
	
	function selectedCity(data){
		var html = "";
			
		$('.modal-b').find('.modal-title').text(data.countryName);
		$('.modal-b').find('.navbar-group').empty();
			
		$.each(areaList[data.countryCode],function(k,v){
			html += "<div class=\"navbar-item\">";
				html +=	"<a href=\"javascript:void(0)\" data-submit=\"modal\" data-val="+JSON.stringify(v)+">"+v.countryName+"</a>";
			html += "</div>";
		})
			
		$('.modal-b').find('.navbar-group').append(html);
			
		$('.modal-b').modal({
			onSubmit:function(){
				var $data = JSON.parse(this.attr('data-val'));
				
				//clim1._reset()
				
				if(ifeeType){
					$data = $.extend($data, {'ifeeType': ifeeType});
				}
				
				var data = {
					province: "山西省",
					city: $data.cityName,
					cityCode:$data.cityCode,
					district: $data.countryName,
					countryCode: $data.countryCode
				};
				
				$.bs.postionSystem().selectedData(data);
				
				mui.fire(plus.webview.getWebviewById("views/main/sort.html"),"getPos",$data);
				mui.fire(plus.webview.getWebviewById("card_coupon"),"getPos",$data);
				
				///
				
				//mui.fire(plus.webview.getWebviewById('index'),'golife');
				
				setTimeout(function(){
					plus.webview.close(plus.webview.currentWebview(),"none");
				},500);
			}
		});
		$('.modal-b').modal('show');
	};
	
	function filterCity(str){
		var arr = [];
		
		$.each(list,function(k,v){
			if(v.areaType1 == '3'){
				if(v.countryName.indexOf(str) >= 0){
					arr.push(v)
				}
			}
		})
		
		var html = '';
		
		$('.indexed-result').find('.list-body').empty();
		
		$.each(arr,function(k,v){
			html += "<div class=\"list-item btn\" data-val="+JSON.stringify(v)+">";
				html +=""+v.countryName+"";
			html += "</div>";
		});
		
		$('.indexed-result').find('.list-body').append(html)
	};
	
	function Ready(){
		
		//clim1 = clim.changeClim();//切高亮step2
		//clim1.getValue();
		//clim1.setMax();
		
		var self = {};
		
		if(m.os.plus){
			self = plus.webview.currentWebview();
			self.setStyle({'popGesture':'none'});
		}
		
		if(self.ifeeType !== undefined ){
			ifeeType = self.ifeeType ;
		}
		
		if ( self.isFixed !== undefined ) {
			isFixed = self.isFixed ;
		}
		
		if ( self.isChoosable !== undefined ) {
			isChoosable = self.isChoosable ;
		} 
		
		if(self.card !== undefined){
			card = self.card;
		}
		m.back = function(){
			if(card != '1'){
				m.fire(plus.webview.getWebviewById('index'),'golife');			
			}
			setTimeout(function(){
				plus.webview.close(plus.webview.currentWebview(),"none");
				//$.bs.closeAllView();
			},500);
		}
		
		
		
		queryCity()
		
		$('#currCity').on('click','.btn',function(event){
			event.preventDefault();
			
			if($(this).hasClass('.nothing')){
				mui.alert('不支持该地区的缴费');
				return ;
			}
			
			var data = JSON.parse($(this).attr('data-val'));
			
			selectedCity(data)
		});
		
		$('#countyList').on('click','.btn',function(event){
			event.preventDefault();
			
			var data = JSON.parse($(this).attr('data-val'));
			
			selectedCity(data)
		});
		
		$('.indexed-search').find('input').on('input',function(){
			var str = $(this).val();
			filterCity(str);
		});
		
		$('.indexed-result').on('click','.btn',function(){
			var $data = JSON.parse($(this).attr('data-val'));
				
			mui.fire(plus.webview.getWebviewById("views/main/sort.html"),"getPos",$data);
			mui.fire(plus.webview.getWebviewById("card_coupon"),"getPos",$data);
			setTimeout(function(){
				plus.webview.close(plus.webview.currentWebview(),"none");
			},500);
		})
	};
	
	if(isWebApp){
		mui.plusReady(Ready);
		
	}else{
		mui.ready(Ready);
	}
})(jQuery,mui);
//