(function(m, $){
	m.init({
		swipeBack: true //启用右滑关闭功能
	});
	
	var facePlus = {};
	
	(function(q){
		q.openIdcardScan = function(option){
			var options = option != undefined? option: {};

			var side = options.side !== undefined ? options.side : '0';
			var isVertical = options.isVertical !== undefined ? options.isVertical : true;
			
			plus.pluginOpenIdcardScan.openIdcardScan(side, isVertical, function(result) {
				if (result.status) {
					var message = result.message;
					var payload = result.payload;
					
					options.func(result);
				} else {
					alert(result.message);
				}
			}, function(result) {
				alert(result);
			});
		};
		q.uploadimg = function(imgJson, successcallback){
			var data = {
	    		imgStr: imgJson, 
	    		customerId: plus.storage.getItem("memberInfoId"),
				memberUUID: plus.storage.getItem("memberUUID"),
				APP_UUID: plus.device.uuid
	    	}
	    		
	    	$.bs.ajax({
				url: ut.netPayUrl + "scanIDCardInfoMb.do",
				data: data,
				processResponse: function(res){
					successcallback(res);
				},
				wait: true,
				isMui: false
			});
		}
	}(facePlus));
	
	var vn = new Vue({
		el: '#vn',
		data: {
			step: -1,
			custName: '',
			isHost: '',
			certNo: '',
			type: '',
			PayFeeYr: '',
			amt: '',
			isAddition: '',
			additionIndex: '',
			additionList: [],
			list: [],
			list1: [],
			PayFeeTyp: '',
			curPayType: {
				'ch': '',
				'id': '',
				'type': ''
			},
			curPayFeeTyp:{
				'ch': '',
				'id': ''
			},
			payTypeList: [
				{
					'ch':'医疗',
					'id':'10212',
					'src':'../../images/icon_medical.png'
				}, {
					'ch':'养老',
					'id':'10210',
					'src':'../../images/icon_older.png'
				}
			],
			PayFeeTypList: [
				{'ch':'城乡居民','id':'0'},
				{'ch':'灵活就业','id':'1'}
			],
			accPicker: '',
			amtPicker: '',
			curDateText: '',
			curDateValue: '',
			curAcc: '',
			cardNo: '',
			TaxTxnSrlNo: '',
			CutDay:'',
			iJfmxlist: [],
			olderAmt: '',
			selectedAmt: '',
			TelNo: '',
			SctrCd: '',
			medicalYear: '',//医疗缴费年限
			olderYear: '', //养老缴费年限
			medicalAmt: ''  //医疗缴费金额
		},
		methods:{
			init: function(){
				var _this = this;
				
				$.each(this.payTypeList, function(key, val){
					if(val.id == _this.type){
						_this.curPayType.ch = val.ch;
						_this.curPayType.id = val.id;
						_this.curPayType.src = val.src;
					}
				});
				
//				if (this.payFeeType == 'MI') {
//					this.curDateText = (new Date().getFullYear() + 1).toString() + '年';
//				} else {
//					this.curDateText = (new Date().getFullYear()).toString() + '年';
//				}
                if (this.payFeeType == 'MI') {
					this.curDateText = this.medicalYear + '年';
				} else {
					this.curDateText = this.olderYear + '年';
				}

				if(	
					this.MbrNo &&
					(
						this.payFeeType == 'EI' ||
						this.payFeeType == 'MI'
					)
				){
					this.isHost = true;
					
					this.selfCheck();
				}else{
					this.step = 0;
				};
			},
			createHtml: function(){
				var _this = this;
				
				$.each(this.PayFeeTypList, function(key, val){
					if(val.id == _this.PayFeeTyp){
						_this.curPayFeeTyp.ch = val.ch;
						_this.curPayFeeTyp.id = val.id;
					}
				});
				
				/*养老保险 养老保险补缴 */
				if(
					!this.amtPicker &&(this.payFeeType == 'EI' || this.payFeeType == 'EIA')
				){
					var data = [];
					var arr = this.olderAmt.split('|');
									
					$.each(arr, function(k, v){
						var obj = {
							value: v,
							text: v
						};
		
						data.push(obj);
					});
					
					this.selectedAmt = data[0].value;
					
					this.amtPicker = new m.PopPicker();
					this.amtPicker.setData(data);
				}
				
				if (this.curPayType.id == "10212") {//医保缴费
					this.step = 1 ;
				}else if(this.curPayType.id == "10210" && this.isAddition == '1'){
					this.step = 2 ;
				} else {
					this.step = 1 ;
				}
			},
			selfCheck: function(){ // click query button
				var _this = this;
				
				if(this.isHost){
					this.createHtml();
					
					return;
				}
				
				$('#userName').validator();	
				$('#userID').validator();
				
				if(!$('#userName').data('bs.validator').check().passed){
					return ;
				}
				
				if(!$('#userID').data('bs.validator').check().passed){
					return ;
				}
				
				this.queryState();
			},
			queryState: function(){
				var _this = this;
				
				this.certNo = $('#userID').val();
				this.custName = $('#userName').val();
				
				if (
					 (
					 	this.payFeeType == 'MI' ||
					 	this.payFeeType == 'MIA'
					 ) && 
					 this.isHost != true
				) {
					mui('.chioceBtn').each(function(){ 
						if(this.checked == true){
							this.checked = false;
						}
            		}); 
				} else {
					
				}
				
				var data = {
					IdentNo: this.certNo,
					Nm: this.custName,
					customerId: plus.storage.getItem("memberInfoId"),
					memberUUID: plus.storage.getItem("memberUUID"),
					APP_UUID: plus.device.uuid
				};
				
				$.bs.ajax({
					url: ut.netPayUrl + 'tsInsuranceQueryMb.do',
					data: data,
					processResponse: function(res){
						var isExistDeal = false;
						
						_this.list1 = [];
						_this.list = res.iCbdjxxlist;
						
						$.each(_this.list, function(k, v){
							var isContain = false ; 
							
							$.each(v.Jfxzxxlist, function(k1, v1){
								if(v1.PrjCd == _this.type){
									_this.PayFeeYr = v1.BegYrMo;
									
									_this.MbrNo = v.MbrNo;
									_this.PayFeeTyp = v.PayFeeTyp;
									_this.SctrCd = v.SctrCd;
									
									isExistDeal = true;
									
									isContain = true;
								}
							});
							
							if(isContain == true){
								_this.list1.push(v);
							}
						});
						
						if (isExistDeal){
							_this.olderAmt = res.olderAmt;
						} else{
							m.alert('不支持缴费');
							return ;
						}
						
						if (_this.isAddition == '1' && _this.curPayType.id == "10210"){
							_this.residentsQuery();
						} else{
							_this.createHtml();
						}
						
					},
					wait: true
				});
			},
			queryAcc: function(){
				var _this = this;
				
				this.accPicker = new mui.PopPicker();
				
				$.bs.getBankCards({},'selectBoundCard4Mb.do',function(res){
					_this.curAcc = res[0].text;
					_this.cardNo = res[0].value;
					
					_this.accPicker.setData(res);
				})
			},
			choiceDate: function(){
				var _this = this;
				
				if(!this.datePicker){
					var data = [];
					var beginYear = 2000;
					var nowYear = new Date().getFullYear();
					var endYear = new Date().getFullYear() + 5;
					
					for (var i = endYear; i >= beginYear; i--) {
						data.push({
							"value":i.toString(), 
							"text":i +"年"
						});
					}
					
					this.datePicker = new mui.PopPicker();
					this.datePicker.setData(data);
					this.datePicker.pickers[0].setSelectedValue(nowYear, nowYear +'年');
				}
				
				setTimeout(function(){
					_this.datePicker.show(function(items) {
						_this.curDateText = items[0].text;
						_this.curDateValue = items[0].value;
					});
				}, 300)
			},
			choiceCard: function(){
				var _this = this;
				
				this.accPicker.show(function(items) {
					_this.curAcc = items[0]['text'];
					_this.cardNo = items[0]['value'];
				});
			},
			choiceAmt: function(){
				var _this = this;
				
				if(this.curPayType.id != '10210'){
					return;
				}
				
				this.amtPicker.show(function(res) {
					_this.selectedAmt = res[0].value;
				});
			},
			residentsQuery: function(){
				var _this = this;
				
				var isSelected = false;
				
				if (
						( 
							this.payFeeType == 'MI' ||
							this.payFeeType == 'MIA'
						) 
						&&
						this.isHost != true
				) {
					$('#residentList').find('.shelf-group').each(function(){
						if($(this).find('.chioceBtn').is(':checked')){
							var i = $(this).index();
							_this.MbrNo = _this.list1[i]['MbrNo'];
							_this.SctrCd = _this.list1[i]['SctrCd'];
							isSelected = true;
						}
					})
				} else {
					
				}
				
				if(
					( this.payFeeType == 'MI' ||
					  this.payFeeType == 'MIA'
					) 
						&& this.isHost != true
				){
					if(isSelected == false){
						mui.alert('请您选择其中一项再进行缴费');						
						return ;
					} else {
						
					}
				}
				
				var data = {
					'IdentNo': this.certNo,
					'Nm': this.custName,	
					'RskVrtyTp': this.curPayType.id,
					'MbrNo': this.MbrNo,
					'BranchId1': this.SctrCd,
					'customerId': plus.storage.getItem("memberInfoId"),
					'memberUUID': plus.storage.getItem("memberUUID"),
					'APP_UUID': plus.device.uuid
				};
				
				
	
				if (this.isAddition == '1'){
					data.isAddition = '1';
				} else {
					
				}
				
				if(this.curPayType.id == '10210'){
					data.PayFeeAmt = this.selectedAmt || 200;
				} if(this.curPayType.id == '10212'){
					data.PayFeeAmt = this.medicalAmt;
				}else{
					
				}
				
				_this.iJfmxlist = [];
				
				$.bs.ajax({
					url: ut.netPayUrl + 'tsResidentsQueryMb.do',
					data: data,
					processResponse: function(res){
						if(res.ec != '0'){
							if(
								_this.payFeeType == 'MI' &&
								_this.isHost == true
							){
								setTimeout(function(){
									plus.webview.close(plus.webview.currentWebview(), 'none');
								}, 1000);
								
								return ;
							}
							
							if (res.ed !== '' && res.ed !== undefined) {
								var btnArray = ['确定', '详情'];
									
								mui.confirm(
									res.em,
									'温馨提示',
									btnArray,
									function(e) {
										if(e.index == 1) {
											mui.alert(res.ed, '温馨提示', function(){
												
											});
										} else {
											
										}
									}
								);
									
							} else {
								mui.alert(res.em, '温馨提示', function(){
									
								});
							}
						} else {
							if(res.iJfmxlist.length > 0){
								_this.TaxTxnSrlNo = res.TaxTxnSrlNo;
								_this.CutDay = res.CutDay;
									
								$.each(res.iJfmxlist, function(k, v){
									_this.$set(_this.iJfmxlist, k, v)
								})
									
								var count = 0;
										
								$.each(_this.iJfmxlist, function(k, v){
									count = count + Number(v.PayFeeAmt);
								});
										
								_this.amt = count;
									
								_this.step = 2;
							}else{
								m.alert('无缴费信息');
								
							}
						}
					},
					selfdefineFailed: function(){},
					wait: true
				});
			},
			choiceFree: function(i){
				this.additionIndex = i;
				
				this.amt = this.iJfmxlist[this.additionIndex].PayFeeAmt;
				
				this.confirm();
			},
			sendSMS: function(){
				if($('#sendSMSBtn').hasClass('disabled')){
					return 
				}
				
				$('#sendSMSBtn').countdown('start');
								
				var mobileNo = plus.storage.getItem('phone');
				
				$.bs.ajax({
					url: ut.netPayUrl + 'sendSMSCodeCommon.do',
					data: {
						"memberUUID": plus.storage.getItem("memberUUID"),
						"APP_UUID": plus.device.uuid,
						"customerId": plus.storage.getItem("memberInfoId"),
			   			"tranCode": "NP101006",
						"messageType": "payCheckSMS",
						"mobileNo": mobileNo
					},
					processResponse: function(res){
						if(res.ec != '0'){
							$('#sendSMSBtn').countdown('end');
							
							if (res.ed !== '' && res.ed !== undefined) {
								var btnArray = ['确定', '详情'];
								
								mui.confirm(res.em, '温馨提示', btnArray, function(e) {
									if(e.index == 1) {
										mui.alert(res.ed);
									}
								});
								
							} else {
								mui.alert(res.em);
							}
						}
					},
					selfdefineFailed: function(res){
					}
				});
			},
			query: function(){
				this.residentsQuery();
			},
			confirm: function(){
				var _this = this;
				
				if(this.isAddition == '1'){
					this.additionList = [];
					
					
					$('#payList').find('.shelf-item').each(function(){
						if($(this).find('.chioceBtn').is(':checked')){
							var i = $(this).index();
								
							var obj = {
								'i': i,
								'strtDt': _this.iJfmxlist[i].StrtDt,
								'stopDt': _this.iJfmxlist[i].StopDt
							}
								
							_this.additionList.push(obj);
						}
					});
					
					
					if (this.iJfmxlist.length != 1) {
						if(this.additionList.length <= 0){
							mui.alert('请至少选取一条缴费记录');
							return ;
						}
					} else {
						
					}
					
					var count = 0;
					
					$.each(this.additionList, function(k, v){
						count = count + Number(_this.iJfmxlist[v['i']].PayFeeAmt);
					});
					
					this.amt = count;
				}else{
					$('#mobileNo').validator();
				
					if(!$('#mobileNo').data('bs.validator').check().passed){
						return ;
					}
				}
				
				$.bs.getSrandNumber('', function(ranKey){
					var srandNumber = ranKey;
					
					$('.pwKeyboard').pwKeyboard({srandNumber: srandNumber});
				});
				
				
				plus.nativeUI.showWaiting();
				
				setTimeout(function(){
					_this.step = 3;
					
					_this.queryAcc();
					
					plus.nativeUI.closeWaiting();
				},1000)
			},
			pay: function (option){
				var _this = this;
				
				$('#SMSCode').validator();
				
				if(!$('#SMSCode').data('bs.validator').check().passed){
					return ;
				}
				
				if(!$('#Pwd').val()){
					mui.alert('密码不能为空');
					return ;
				}
				
				this.sendDate();
			},
			sendDate: function(){
				var _this = this;
				
				var data = {
					"IdentNo": this.certNo,  //证件号码
    				"Nm": this.custName,     //姓名
    				"PayFeeTyp": this.PayFeeTyp,
					'RskVrtyTp': this.curPayType.id,
					'MbrNo': this.MbrNo,
					'TelNo': this.TelNo,
					'countryCode': '',
					'CutDay': this.CutDay,
					'TaxTxnSrlNo': this.TaxTxnSrlNo,
					'TotAmt': this.amt,
					'DbAcctNo': this.cardNo,
					'TxnAmt': this.amt,
					'iJfmxlist.BranchId1': [],
					'iJfmxlist.SeqNo': [],
					'iJfmxlist.TxnSeqNo': [],
					'iJfmxlist.PayFeeAmt': [],
					'BranchId1':this.SctrCd,
					'SMSCode': $('#SMSCode').val(),
					'payPassword': $('#Pwd').attr('pass'),
					'customerId': plus.storage.getItem("memberInfoId"),
					'memberUUID': plus.storage.getItem("memberUUID"),
					'APP_UUID': plus.device.uuid
				};
				
				if(this.isAddition == '1'){
					data.isAddition = this.isAddition ;
				}
				
				if(this.additionList.length > 0){
					$.each(this.additionList, function(k, v){
						data['iJfmxlist.BranchId1'].push(_this.iJfmxlist[v['i']].BranchId1);
						data['iJfmxlist.SeqNo'].push(_this.iJfmxlist[v['i']].SeqNo);
						data['iJfmxlist.TxnSeqNo'].push(_this.iJfmxlist[v['i']].TxnSeqNo);
						data['iJfmxlist.PayFeeAmt'].push(_this.iJfmxlist[v['i']].PayFeeAmt);
					});
				}else{
					$.each(this.iJfmxlist, function(k, v){
						data['iJfmxlist.BranchId1'].push(v.BranchId1);
						data['iJfmxlist.SeqNo'].push(v.SeqNo);
						data['iJfmxlist.TxnSeqNo'].push(v.TxnSeqNo);
						data['iJfmxlist.PayFeeAmt'].push(v.PayFeeAmt);
					});	
				}
				
				$.bs.ajax({
					url: ut.netPayUrl + 'tsPaymentMb.do',
					data: data,
					traditional: true,
					processResponse: function(res){
						if(res.ec != '0'){
							//_this.clear();
							
							if (res.ed !== '' && res.ed !== undefined) {
								var btnArray = ['确定', '详情'];
								
								mui.confirm(res.em, '温馨提示', btnArray, function(e) {
									if(e.index == 1) {
										mui.alert(res.ed);
									} else {
										m.back();
									}
								});
								
							} else {
								m.alert(res.em, '温馨提示', function() {
									m.back();
								});
							}
							
							return ;
						}else{
							var data = {
								'succeedFlag': true,
								'IdentNo': _this.certNo,
								'Nm': _this.custName,
								'RskVrtyTp': _this.curPayType.ch + '保险',
								'MbrNo': _this.MbrNo,
								'tranAmt': _this.amt,
								'isAddition': _this.isAddition || ''
							};
							
							$.bs.openWindowByLoad(
								"payResult1.html",
								"payResult1",
								"pop-in",
								data
							);
						}
					},
					selfdefineFailed:function(){
					
					},
					wait: true
				});
			},
			scanIDCard: function(){
				var _this = this;				
				
				facePlus.openIdcardScan({
					func: function(result){
						facePlus.uploadimg(
							result.payload.picOne,
							function(res){
								_this.certNo = res.id_card_number;
								_this.custName = res.name;
							}
						);
					}
				});
			},
			_clear: function(){
				$('#SMSCode').val('');
				$('#Pwd').attr('pass', '');
				$('#Pwd').val('');
			}
		},
		computed: {
			certNoHide: function(){
				return $.bs.format.hideIDNumberMid(this.certNo);
			},
			nameHide: function(){
				return $.bs.format.dealUserNameNoHide(this.custName);
			},
			noChoice: function(){
				var ret = '';
				
				if (this.iJfmxlist != '' && this.iJfmxlist.length == 1) {
					ret = true;
				} else {
					ret = false;
				}
				
				return ret;
			},
			amtToMoney: function(){
				return $.bs.format.toCashWithComma(this.amt);
			},
			payFeeType: function(){
				var ret;
				
				if(
					this.curPayType.id == "10212" &&
					this.isAddition != '1'
				){
					ret = 'MI' ;
				} else if (
					this.curPayType.id == "10210" &&
					this.isAddition != '1'
				) {
					ret = 'EI' ;
				} else if (
					this.curPayType.id == "10212" &&
					this.isAddition == '1')
				{
					ret = 'MIA' ;
				} else if (
					this.curPayType.id == "10210" &&
					this.isAddition == '1'
				) {
					ret = 'EIA' ;
				} else {
					
				}
				
				return ret ;
				
			}
		}
	})
	
	function _ready(){
		var ws = {};
		
		$('#vn').removeClass('mui-hidden');
		
		if(m.os.plus){
			ws = plus.webview.currentWebview();
		}
		
		vn.custName =  ws.custName ;
		vn.certNo = ws.certNo ;
		vn.type = ws.type;
		vn.MbrNo = ws.MbrNo || '';
		vn.isAddition = ws.isAddition || '';
		vn.PayFeeTyp = ws.PayFeeTyp || '';
		vn.PayFeeYr = ws.BegYrMo;
		vn.olderAmt = ws.olderAmt || '';
		vn.SctrCd = ws.SctrCd || '';
		vn.medicalYear = ws.medicalYear || ''; //医疗缴费年限
		vn.olderYear = ws.olderYear || '';  //养老缴费年限
        vn.medicalAmt = ws.medicalAmt || ''; //医疗缴费金额
		vn.init();
		
		var old_back = m.back;
		
		m.back = function(){
			var i = vn.step;
			var end = (vn.isHost == true) ? 1 : 0 ;
			
			if(i == 3){
				i = end ;
				vn.step = i ;
				if(end == 0){
					vn.MbrNo = '';
				}
				
				vn._clear() ;
				
				mui('.chioceBtn').each(function(){ 
					if(this.checked == true){
						this.checked = false;
					}
            	}); 
				
				return ;
			}	
			
			i = i - 1 ;
			
			if(i < end){
				vn.step = -1;
				old_back();
				
				return
			} else if(i == 1 && ( vn.isAddition == '1') ){
				i = 0 ;
				vn.MbrNo = '';
			} else if(i == 0){
				vn.MbrNo = '';
			}else{
				
			}
			
			vn.step = i;
		};
	}
	
	if(m.os.plus){
		m.plusReady(_ready);
	}else{
		m.ready(_ready);
	}
}(mui, jQuery))
