(function(m, $, doc, win){
	m.init({
		swipeBack: true //启用右滑关闭功能
	});
	
	var checker = (function(){
		
		function getDate(type, callBack){
			var $data = {
				TlrNo: plus.storage.getItem("myInviteCode"),
				belong: type == 'pay' ? 'E' : 'S',
				customerId: plus.storage.getItem("memberInfoId"),
				memberUUID: plus.storage.getItem("memberUUID"),
				APP_UUID: plus.device.uuid
			};
			
			$.bs.ajax({
				url: ut.netPayUrl + 'queryRight.do',
				data: $data,
				processResponse: function(res){
					if(res.reportForm_List.length == 0){
						mui.alert("当前用户无可用报表！");
						return;
					}
					var arr = setData(res, type);
					callBack(arr);
				},
				wait: true
			});
		}
		
		function setData(res, type){
			arr = []
			
			$.each(res.reportForm_List, function(k, v){
				var obj = {};
				
				$.each(v, function(k1, v1){
					obj[k1] = v1
				})
				
				arr.push(obj);
			})
			
			return arr;
		}
		
		return {
			getDate: getDate
		}
	})()
	
	function _ready(){
		$('#lifeBtn').on('tap', function(){
			checker.getDate('life' ,function(arr){
				
				$.bs.openWindowByLoad(
					"subNavbar.html",
					"subNavbar",
					"pop-in", 
					{
						list: arr,
						title: $('#lifeBtn div.list-body').html()
					}
				);
				
			});
		});
		
		$('#paymentBtn').on('tap', function(){
			checker.getDate('pay', function(arr){
				$.bs.openWindowByLoad(
					"subNavbar.html",
					"subNavbar",
					"pop-in", 
					{
						list: arr,
						title: $('#paymentBtn div.list-body').html()
					}
				);
				 
			})
		});
		
	}
	
	if(m.os.plus){
		m.plusReady(_ready);
	}else{
		m.ready(_ready);
	}
})(mui, jQuery ,document, window)
