(function(m, $, doc, win){
	m.init({
		swipeBack: true //启用右滑关闭功能
	});
	



	function setParam(obj){
		var url = '';
		
		$.each(obj, function(k, v){
			url += k + '=' + v + '&'
		});
		
		return url.substr(0, url.length-1);
	}
	
	function Rep(){
		this.init.apply(this, arguments);
	}
	
	Rep.prototype = {
		init: function(el, option){
			this.el = $(el);
			
			this.ws = '' ;
			this.sub = '' ;
			
			this.option = {};
			
			this.update(option);
			
			this.ws = this.option.ws;
			
			this.fillTitle();
			this.createPage();
		},
		update: function(option){
			this.option = $.extend(this.option, option);
		},
		fillTitle: function(){
			this.el.find('.mui-title').text(this.option.name);
		},
		createPage: function(){
			var _this = this;
			
			var url = '';

			var data = {
				'truename': plus.storage.getItem("truename"),
				'TlrNo': plus.storage.getItem("myInviteCode"),
				'memberUUID': plus.storage.getItem("memberUUID"),
				'APP_UUID': plus.device.uuid,
				'customerId': plus.storage.getItem("memberInfoId")
			}
			
			var subUrl = setParam(data);
			
			var url = encodeURI(encodeURI(ut.netPayUrl + this.option.targetUrl +'.do?responseFormat=JSP&'+subUrl));

			this.sub = plus.webview.getWebviewById('reportSub');

			if(this.sub){
				plus.webview.hide(this.sub);
				plus.webview.close(this.sub);
			}

			this.sub = plus.webview.create(
				url,
				'reportSub', 
				{
					top: ($('#rep').outerHeight()*1 +6) + "px",
					bottom:'0px'
				}
			);
			
			this.ws.append(this.sub);
			//this.sub.show();
		}
	}
	
	function _ready(){
		var ws = plus.webview.currentWebview();
		
		targetUrl = ws.targetUrl;
		name = ws.name;
		
		var rep = new Rep('#rep', {
			targetUrl: targetUrl,
			name: name,
			ws: ws
		});
	}
	
	if(m.os.plus){
		m.plusReady(_ready);
	}else{
		m.ready(_ready);
	}
})(mui, jQuery ,document, window)
