(function($,m){
	var isWebApp;
	
	if(mui.os.plus){
		isWebApp = true;
	}else{
		isWebApp = false;
	}
	
	mui.init({
		swipeBack: true //启用右滑关闭功能
	});
	
	var vn = new Vue({
		el: '#vn',
		data: {
			balanceAvailableRe: '',
			Account: '',
			CardNo: '',
			OrgStn: '',
			mobileNo: '',
			Count: '',
			formatAccNo: '',
			formatCardNo: '',
			formatMobileNo: '',
			formatBalanceAvailableRe:'',
			accType: ''
		},
		methods: {
			init: function(){
				var _this = this;
				
				this.queryAcctInfo();
			},
			queryAcctInfo: function(){
				var _this = this;
				
				if (this.accType == '3') {
					$.bs.ajax({
						url: ut.netPayUrl + 'queryThAcctInfoMb.do',
						data: {
							customerId: plus.storage.getItem("memberInfoId"),
							memberUUID: plus.storage.getItem("memberUUID"),
							APP_UUID: plus.device.uuid
						},
						processResponse: function(res){
							_this.Account = res.thAcct;
							_this.OrgStn = res.OrgStn;
							_this.mobileNo = res.mobileNo;
							_this.CardNo = res.cardNo;
							_this.balanceAvailableRe = res.thBalance;
							
							_this.setData()
						},
						wait: true
					});
				} else {
					this.setData()
				}
			},
			setData: function(){
				this.formatAccNo = $.bs.format.toFomatBankNumber(this.Account);
				this.formatCardNo = $.bs.format.toFomatBankNumber(this.CardNo);
				this.formatMobileNo = $.bs.format.toFomatMobile(this.mobileNo);
				this.formatBalanceAvailableRe = $.bs.format.formatMoney(this.balanceAvailableRe);
			},
			viewCards: function(){
				var data = {};
				
				m.openWindow({
					url: "bindCardList.html",
					id: "bindCardList",
					extras: data
				});
			},
			updateMainCard: function(){
				var data = {
					'accType': this.accType
				};
				
				m.openWindow({
					url: "updateMainCard.html",
					id: "updateMainCard",
					extras: data
				});	
			}
		}
	})
	
	function _ready(){
		var self;
		
		if(isWebApp){
			self = plus.webview.currentWebview();
		}else{
		}
		
		vn.balanceAvailableRe = self.balanceAvailableRe || "";
		vn.Account = self.Account || "";
		vn.CardNo = self.CardNo || "";
		vn.OrgStn = self.OrgStn || "";
		vn.mobileNo = self.mobileNo || "";
		vn.Count = self.Count || "";
		vn.accType = self.accType || "";
		
		vn.init();
	};
	
	if(isWebApp){
		m.plusReady(_ready);
	}else{
		m.ready(_ready);
	}
})(jQuery,mui);