(function($,m){
	
	mui.init({
		swipeBack: true //启用右滑关闭功能
	});
	
	var vn = new Vue({
		el: '#vn',
		data: {
			AccountName: '',
			cardNo: '',
			certNo: '',
			mobileNo: '',
			openNode: '',
			bankCardType: '',
			flowNo: '',
			appSecAcctFlowNo: ''
		},
		methods: {
			init: function(){
				var _this = this;
				
				$('#cardNo').validator();
			},
			checker: function(){
				if(!$('#cardNo').data('bs.validator').check().passed){
					return false;
				}
				
				return true;
			},
			checkCardType: function (){
				var _this = this;
				
				
				var data = {
					cardNo: $('#cardNo').val(),
					openNode: this.openNode,
					appSecAcctFlowNo: this.appSecAcctFlowNo,
					memberUUID: plus.storage.getItem("memberUUID"),
					APP_UUID: plus.device.uuid
				};
				
				$.bs.getSrandNum(function(res1){
					var encryptData = encodeURIComponent(ch.encryptData(data, res1.srandNum)); //数据加密
					
					var data2 = {
						memberUUID: plus.storage.getItem("memberUUID") || '',
						APP_UUID: plus.device.uuid || '',
						encryptData: encryptData,
						srandNumToken: res1.srandToken
					}
					
					$.bs.ajax({
						url: ut.netPayUrl + 'AcctLevelMsgCheck.do',
						data: data2,
						processResponse: function(res){
							_this.isSetPwd = res.isSetPwd;
							_this.bankCardType = res.bankCardType;
							_this.flowNo = res.flowNo;
							_this.appSecAcctFlowNo = res.appSecAcctFlowNo;
							
							if (_this.bankCardType == '0') {
								_this.setPW();
							} else {
								_this.setPW();
								//_this.bindOtherBankCard();
							}
						}
					});
				});
			},
			setPW: function(){
				//var appUrl = "inputPW.html";
				//var Id = "inputPW";
				//var showStyle= "pop-in";
				var data = {
					flowNo: this.flowNo,
					cardNo: $('#cardNo').val(),
					isSetPwd: this.isSetPwd,
					openNode: this.openNode,
					inviteCode: this.inviteCode,
					mobileNo: this.mobileNo,
					appSecAcctFlowNo: this.appSecAcctFlowNo
				};
				
				//$.bs.openWindowByLoad(appUrl, Id, showStyle, data);
				
				m.fire(plus.webview.getWebviewById('inputUserMsg'), 'inputUserMsg', data);
				
				setTimeout(function(){
					plus.webview.close(plus.webview.currentWebview(), "none");
				},500);
			},
			bindOtherBankCard: function (){
				var _this = this;
				var data = {
					flowNo: this.flowNo,
					CardNo: this.cardNo,
					memberUUID: plus.storage.getItem("memberUUID"),
					APP_UUID: plus.device.uuid,
					customerId: plus.storage.getItem("memberInfoId")
				}
				
				$.bs.ajax({
					url: ut.netPayUrl + 'otherBankCardRecAccountCheck.do',
					data: data,
					processResponse: function(res){
						_this.isSetPwd = res.isSetPwd;
						_this.flowNo = res.flowNo;
						
						_this.setPW();
					}
				});
			},
			onSubmit: function(){
				var _this = this;
			
				if(!this.checker()){
					return;
				}
				
				this.checkCardType();
			}
		}
	})
	
	function _ready(){
		var ws;
		
		ws = plus.webview.currentWebview();
		vn.certNo = ws.certNo;
		vn.AccountName = ws.AccountName;
		vn.openNode = ws.openNode;
		vn.mobileNo = ws.mobileNo;
		vn.inviteCode = ws.inviteCode||"";
		vn.appSecAcctFlowNo = ws.appSecAcctFlowNo;
		
		vn.init();
	};
	
	if(mui.os.plus){
		m.plusReady(_ready);
	}else{
		m.ready(_ready);
	}
})(jQuery,mui);