(function($,m){
	var isChecked;
	
	mui.init({
		swipeBack: true //启用右滑关闭功能
	});
	
	function sendSMS() {
		
		if(!$('#mobileNo').data('bs.validator').check().passed){
			return 
		}
		
		var mobileNo = $('#mobileNo').val();
		
		if(!$('#sendSMSBtn').countdown('start')){
			return 
		};
		
		$.bs.ajax({
			url: ut.netPayUrl + 'sendSMSCodeCommon.do',
			data: {
				"memberUUID": plus.storage.getItem("memberUUID"),
				"APP_UUID": plus.device.uuid,
				"customerId": plus.storage.getItem("memberInfoId"),
	   			"tranCode": "NP101038",
				"messageType": "payCheckSMS",
				"mobileNo": mobileNo
			},
			processResponse: function(res){
				
			},
			selfdefineFailed: function(res){
				$('#sendSMSBtn').countdown('end');
			}
		});
	}
	
	function checkFormData() {
		if(!$('#userName').data('bs.validator').check().passed){
			return false;
		}
		
		if(!$('#mobileNo').data('bs.validator').check().passed){
			return false;
		}
		
		if(!$('#SMSCode').data('bs.validator').check().passed){
			return false;
		}
		
		if(!isChecked){
			mui.alert('请确认声明');
			return false;
		}
		
		return true;
	}
	
	function checkSMS() {
		var isCheckOut = checkFormData();
		
		if(!isCheckOut){
			return;
		}
		
		var  SMSCode = $('#SMSCode').val();
		var  mobileNo = $('#mobileNo').val();
		var  userName = $('#userName').val();
		
		
		var data = {
			"memberUUID": plus.storage.getItem("memberUUID") || '',
			"APP_UUID": plus.device.uuid || '',
			"mobileNo": mobileNo || '',
			"SMSCode": SMSCode || '',
			"custName": userName || ''
		}
		
		$.bs.getSrandNum(function(res1){
			var encryptData = encodeURIComponent(ch.encryptData(data, res1.srandNum)); //数据加密
			
			var data2 = {
				memberUUID: plus.storage.getItem("memberUUID") || '',
				APP_UUID: plus.device.uuid || '',
				encryptData: encryptData,
				srandNumToken: res1.srandToken
			}
			
			$.bs.ajax({
				url: ut.netPayUrl + 'acctLevelVerifySMSCode.do',
				data: data2,
				processResponse: function(res){
					var data1 = {
						'mobileNo': mobileNo,
						'userName': userName,
						'appSecAcctFlowNo': res.appSecAcctFlowNo
					};
					
					$.bs.openWindowByLoad("checkUserMsg.html", "checkUserMsg", "pop-in", data1);
				}
			});
	
		});
	}
	
	function _ready() {
		$('#userName').validator();
		$('#mobileNo').validator();
		$('#SMSCode').validator();
		
		
		mui('#check-info').on('change', 'input', function(){
			isChecked = this.checked? true : false;
		});
		
		$('#sendSMSBtn').countdown({
			'onSubmited': sendSMS
		});
		
		$('#send').on('tap', function(){
			checkSMS();
		});
		
		$('#modal-info').modal({});
		
		$('#btn-info').on('click', function(event){
			$('#modal-info').modal('show');
		});
	}
	
	if (mui.os.plus){
		m.plusReady(_ready);
	} else {
		m.ready(_ready);
	}
})(jQuery,mui);
