(function($,m){
	var isWebApp;
	
	if(mui.os.plus){
		isWebApp = true;
	}else{
		isWebApp = false;
	}
	
	mui.init({
		swipeBack: true //启用右滑关闭功能
	});
	
	var UpdateMainCard = function () {
		this.init.apply(this, arguments);
	};
	
	UpdateMainCard.prototype = {
		init: function (el, options) {
			this.el = el;
			this.options = {};
			this._update(options);
		},
		_update: function (option){
			for (var i in option) {
				this.options[i] = option[i];
			}
		},
		sendSMS: function(res){
			var _this = this;
			
			$('#sendSMSBtn').countdown('start');
			
			var data = {
				"memberUUID": plus.storage.getItem("memberUUID"),
				"APP_UUID": plus.device.uuid,
				"customerId": plus.storage.getItem("memberInfoId"),
				"tranCode": "NP101006",
				"messageType": "payCheckSMS",
				"mobileNo": res
			};
      
			$.bs.ajax({
				url: ut.netPayUrl + 'sendSMSCodeCommon.do',
				data: data,
				processResponse: function(res){
					
				},
				selfdefineFailed: function(res){
					$('#sendSMSBtn').countdown('end');
				}
			});
		},
		_submit: function () {
			var _this = this;
			var data = {
				mobileNo: this.options.mobileNo,
				SMSCode: this.options.SMSCode,
				customerId: plus.storage.getItem("memberInfoId"),
				memberUUID: plus.storage.getItem("memberUUID"),
				APP_UUID: plus.device.uuid
			};
			
			if(this.options.accType != '3'){
				data.Pwd = this.options.Pwd;
				data.CardNo = this.options.CardNo;
				
			}else{
				data.payPassword = this.options.Pwd;
				data.cardNo = this.options.CardNo;
			}
			
			var appUrl = '' ;
			
			if(this.options.accType != '3'){
				appUrl = ut.netPayUrl + 'updateAcctLevelBankCard.do' ;
			}else{
				appUrl = ut.netPayUrl + 'updateThAcctBoundCardMb.do' ;
			}
			
			$.bs.ajax({
				url: appUrl,
				data: data,
				processResponse: function(res){
					mui.alert('变更主绑定卡成功', '', function(){
						m.fire(plus.webview.getWebviewById('wallet1'), "refresh1");
						setTimeout(function(){
							plus.webview.close(plus.webview.getWebviewById('accDetails'), "none");
							plus.webview.close(plus.webview.currentWebview(), "none");
						},500);
					});
				},
				wait: true
			});
		}
	}
	
	function checkForm() {
		if(!$('#cardNo').data('bs.validator').check().passed){
			return false;
		}
				
		if(!$('#mobileNo').data('bs.validator').check().passed){
			return false;
		}
				
		if(!$('#SMSCode').data('bs.validator').check().passed){
			return false;
		}
				
		return true;
	}
	
	function _ready() {
		if(isWebApp){
			self = plus.webview.currentWebview();
		}else{
			
		}
		
		var updateMainCard = new UpdateMainCard($('#updateMainCard'), {
			'accType': self.accType
		});
		
		$.bs.getSrandNumber('', function(ranKey){
			var srandNumber = ranKey;
			$('#Pwd').pwKeyboard({srandNumber: srandNumber});
		});
		
		$('#sendSMSBtn').countdown({
			'onSubmited': function(res){
				updateMainCard.sendSMS(res);
			}
		});
		
		//校验初始化
		$('#cardNo').validator();
		$('#mobileNo').validator();
		$('#SMSCode').validator();
		
		$('#_submit').on('tap', function(){
			var isChecked = checkForm();
			
			if(!isChecked){
				return ;
			}
			
			var data = {
				Pwd: $('#Pwd').attr('pass'),
				CardNo: $('#cardNo').val(),
				mobileNo: $('#mobileNo').val(),
				SMSCode: $('#SMSCode').val()
			}
			
			updateMainCard._update(data);
			updateMainCard._submit();		
		});
	}
	
	if (isWebApp){
		m.plusReady(_ready);
	} else {
		m.ready(_ready);
	}
})(jQuery,mui);
