(function(m, $){
	m.init({
		swipeBack: true //启用右滑关闭功能
	});
	
	function createList(list, type){
		var html = '';
		
		html += '<div class="form-header">'
		html += 	'<div class="form-header-inner">'
		
		if (type == '10210') {
			html +=	'<span class="form-header-left">'
			html +=		'<img src="../../images/icon_older.png" alt="" />'
			html +=	'</span>'
			html +=	'<div class="form-header-right">'
			html +=		'养老保险'
			html +=	'</div>'
		} else {
			html +=	'<span class="form-header-left">'
			html +=		'<img src="../../images/icon_medical.png" alt="" />'
			html +=	'</span>'
			html +=	'<div class="form-header-right">'
			html +=		'医疗保险'
			html +=	'</div>'
		}
		
		html +=		'</div>'
		html +=	'</div>'
		
		if(list.length == 0){
			
			html +=	'<div class="form-item-nothing">'
				
			if (type == '10210') {
				html +=	'未查询到您有养老保险参保信息'
			} else {
				html +=	'未查询到您有医疗保险参保信息'
			}
			
			html +=	'</div>'
			
			
		}else{
			$.each(list, function(k, v){
				html +=	'<div class="form-item">'
				html +=		'<span class="form-item-header">'
				html +=			'人员编号'
				html +=		'</span>'
				html +=		'<div class="form-item-body fillRright">'
				html +=			'<div class="form-control-static mui-text-right">'
				html +=				v.CtcPrsnNo
				html +=			'</div>'
				html +=		'</div>'
				html +=	'</div>'
				html +=	'<div class="form-item">'
				html +=		'<span class="form-item-header fillRright">'
				html +=			'征税机关代码'
				html +=		'</span>'
				html +=		'<div class="form-item-body fillRright">'
				html +=			'<div class="form-control-static mui-text-right">'
				html +=				v.SctrCd
				html +=			'</div>'
				html +=		'</div>'
				html +=	'</div>'
				html +=	'<div class="form-item">'
				html +=		'<span class="form-item-header">'
				html +=			'征税机关名称'
				html +=		'</span>'
				html +=		'<div class="form-item-body fillRright">'
				html +=			'<div class="form-control-static mui-text-right">'
				html +=				v.InstNm
				html +=			'</div>'
				html +=		'</div>'
				html +=	'</div>'
				html +='<div class="form-item">'
				html +=		'<span class="form-item-header">'
				html +=			'缴费档次'
				html +=		'</span>'
				html +=		'<div class="form-item-body fillRright">'
				
				if (type == '10210') {
				
				html +=			'<div class="form-control-static mui-text-right">'
				html +=				v.PylAmt
				html +=			'</div>'
				
				} else {
				
				html +=			'<div class="form-control-static mui-text-right text-gold">'
				html +=				'按当年缴费档次执行'
				html +=			'</div>'
				
				}
				
				html +=		'</div>'
				html +='</div>'
				html +='<div class="form-item form-item-noline">'
				html +=		'<span class="form-item-header">'
				html +=			'状态'
				html +=		'</span>'
				html +=		'<div class="form-item-body fillRright">'
				html +=			'<div class="form-control-static mui-text-right">'
				html +=				v.FalRsnDsc
				html +=			'</div>'
				html +=		'</div>'
				html +='</div>'
			});
		
		}
		
		$('#list').append(html);
	}
	
	function closedWindow(){
		setTimeout(function(){
			if($.bs.isOpenView('selfServicePayManage1')){
				plus.webview.close('selfServicePayManage1', 'none');
			}
				
			plus.webview.close(plus.webview.currentWebview(), 'none');
		}, 500);
	}
	
	function _ready() {
		var ws = '';
		
		ws = plus.webview.currentWebview();		
		
		var list_10212 = JSON.parse(ws.list_10212);
		var list_10210 = JSON.parse(ws.list_10210);
		
		
		createList(list_10212, '10212');

		createList(list_10210, '10210');
		
		
		$('#goBack').on('tap', function(){
			closedWindow();
		});
	}
	
	if(m.os.plus){
		m.plusReady(_ready);
	}else{
		m.ready(_ready);
	}
}(mui, jQuery))
