(function($, m){
	var isWebApp;
	
	if(m.os.plus){
		isWebApp = true;
	}else{
		isWebApp = false;
	}
	
	m.init({
		swipeBack: true //启用右滑关闭功能
	});
	
	var facePlus = {};
	
	(function(q){
		var userData = {};
		
		q.openScan = function(el, type, _method, successCallback) {
			var _this = this; 
			var that = el;
			var type = type !== undefined ? type : '0';
			var _method = _method !== undefined ? _method : true;
			
			plus.pluginOpenIdcardScan.openIdcardScan(type, _method, function(result) {
				if (result.status) {
					var message = result.message;
					var payload = result.payload;
					
					successCallback(that, result)
				} else {
					mui.alert(result.message);
				}
			}, function(result) {
				mui.alert(result);
			});
		};
		
		q.getPicData = function(res) {
			var targetUrl = res.payload.picOne !== undefined ? res.payload.picOne : res.payload.picTwo;
			var str = '<img class="img-responsive idView" src="' + 'data:image/png;base64,'+ targetUrl +'" />';
			
			var data = {
				el: str,
				src: targetUrl
			};
			
			return data;
		};
		
		q.uploadimg = function(appUrl, imgJson, successcallback) {
			var _this = this;
			var imgJson = imgJson;
	    	var data = {
	    		imgStr: imgJson,
	    		flowNo : this.flowNo,
	    		customerId: plus.storage.getItem("memberInfoId"),
				memberUUID: plus.storage.getItem("memberUUID"),
				APP_UUID: plus.device.uuid
	    	} ;
	    	
	    	$.bs.ajax({
				url: appUrl,
				data: data,
				processResponse: function(res){
					successcallback(res);
				},
				wait: true
			});
		};
		
		q.createData = function(res){
			userData.flowNo = res.flowNo ;
			
			return userData ;
		};
		
		q.test = function(){
			
		};
	}(facePlus));
	
	function CheckUserID(){
		this.init.apply(this, arguments);		
	}
	
	CheckUserID.prototype = {
		init: function(el, options){
			this.el = el;
			this.update(options);
		},
		update: function(options){
			this.options = $.extend(this.options, options);
		},
		setPW: function(){
			var data = {
				flowNo: this.flowNo ,
				isSetFlag: this.isSetFlag
			};
			
			$.bs.openWindowByLoad(
				"inputPW.html",
				"inputPW",
				"pop-in", 
				data
			);
		},
		checker: function(){
			if($('#idCardFace').find('.idView').length == 0 ){
				mui.alert('请扫描身份证人面像') ;
				
				return false ;
			}
			
			if($('#idCardBack').find('.idView').length == 0 ){
				mui.alert('请扫描身份证国徽面') ;
				
				return false ;
			}
			
			return true ;
		},
		sendData: function(){
			if(!this.checker()){
				return false ;
			}
			
			var _this = this;
			var appUrl = ut.netPayUrl + 'idCardRegisterInfo.do';
			var data = {
				customerId: plus.storage.getItem("memberInfoId"),
				memberUUID: plus.storage.getItem("memberUUID"),
				APP_UUID: plus.device.uuid,
				flowNo: this.options.flowNo
			};
			
			$.bs.ajax({
				url: appUrl,
				data: data,
				processResponse: function(res){
					_this.flowNo = res.flowNo ;
					_this.isSetFlag = res.isSetPwd ;
					_this.certFlag = '0' ;
					_this.setPW();
				},
				wait: true
			});
		}
	};
	
	function _ready(){
		var ws = {};
		
		if(isWebApp){
			ws = plus.webview.currentWebview();
		}
		
		facePlus.flowNo = ws.flowNo || "";
		
		var checkUserID = new CheckUserID($('#vn'), {})
		
		function scanCallback(el, res) {
			var imgData = facePlus.getPicData(res);
			
			if(el.find('img').length > 0){
				el.empty();
			}
			
			el.append(imgData.el);
			el.find('.img-responsive').autoScaling({});
			
			facePlus.uploadimg(ut.netPayUrl + "scanIDCard.do", imgData.src, function(res){
				var options = facePlus.createData(res);
				
				checkUserID.update(options);
			});
		}
		
		$('.shootBtn').on('tap', function(e){
			e.preventDefault();
			
			var self = $(this);
			var selfType = self.data('type');
			var type = selfType === 'CardFace' ? '0' : '1' ;
			var _method = false;
			var $target = self.siblings('.panel-item-view');
			
			facePlus.openScan($target, type, _method, scanCallback);
		});
		
		$('#sendBtn').on('tap', function(){
			checkUserID.sendData();
		});
	}
	
	if(isWebApp){
		m.plusReady(_ready);
	}else{
		m.ready(_ready);
	}
})(jQuery, mui);