(function(m, $, doc, win){
	m.init({
		swipeBack: true //启用右滑关闭功能
	});
	
	var shares = {};
	var sharesPicUrl = '';
	var shareLeaders = [
		'足不出户，晋享生活买理财真方便',
		'精挑细选，总有一款适合您的理财',
		'精打细算，还是晋享生活理财收益最划算',
		'买理财，就来晋享生活，山西人身边的理财平台',
		'放心理财就选晋享生活'
	];
	
	function updateSerivces(){
		plus.share.getServices(function(s){
			for(var i in s){
				var t=s[i];
				shares[t.id]=t;
			}
		}, function(e){
			
		});
	}
	
	function shareMessage(msg, s){
		s.send(msg, function(){
		
		}, function(e){
		
		});
	}
	
	function shareAction(sb,bh) {
		if(!sb||!sb.s){
			return;
		}
		
		var msg = {};
			msg={content:"",extra:{scene:sb.x}};
		
		if(bh){
			if(sb.x === "WXSceneSession"){
				msg.href = shares.href;
				msg.title = shares.title;
				msg.content = shares.content;
				msg.thumbs = ['_www/logo.png'];
			}else {
				msg.pictures=[sharesPicUrl];
			}
		}
		// 发送分享
		if(sb.s.authenticated){
			shareMessage(msg, sb.s);
		}else{
			sb.s.authorize(function(){
				shareMessage(msg,sb.s);
			}, function(e){
				
			});
		}
	}
	
	function shareEvents(res) {
		var data = {};
		var ss = shares[res.type];
			
		if(res.type == 'weixin'){
			data={
				title: '微信好友',
				s: ss,
				x: res.subType
			};
		}else if(res.type == 'qq'){
			data={
				title: 'qq',
				s: ss
			};
		}
			
		shareAction(data, true);
	}
	
	var baseImgFile = function(uid, base64, quality, callback) { 
        var quality = quality || 10; 
        var callback = callback || m.noop; 
        var bitmap = plus.nativeObj.Bitmap.getBitmapById(uid);
        
        if(bitmap){
        	bitmap.clear();
        	bitmap.recycle();
        
        	bitmap = null;
        }
        
        bitmap = new plus.nativeObj.Bitmap(uid);
        
        // 从本地加载Bitmap图片 
        bitmap.loadBase64Data(base64, function() {
            bitmap.save("_doc/" + uid + ".jpg", { 
                overwrite: true, 
                quality: quality 
            }, function(i) { 
                callback(i); 
            }, function(e) {
            	alert('保存失败');
            }); 
        }, function(e) {
        	alert('转换失败');
        }); 
    } 
	
	var proxyImage = (function(){
		return function(url) {
			var codevalue=url+"&tap=code";
			
			if($('#shareCode').find('canvas').length > 0){
				$('#shareCode').find('canvas').remove();
			}
			
			$('#shareCode').qrcode({
				render: "canvas",
				width: "75",
				height: "75",
				typeNumber: -1,      //计算模式      
				correctLevel: 0,//纠错等级      
				text: codevalue
			});
		}
	})();
	
	function splitText(str) {
		var len = str.length;
		var n = str.length % 2;
		var b = Math.ceil(str.length / 2);
		var end = len-1;
		var temp;
		if( n > 0 ) {
			temp = str.substr(0, b) + "</br>" + str.substr(b, end);
		} else {
			temp = str.substr(0, b) + "</br>" + str.substr(b, end);
		};
		
		return temp;
	}
	
	function createShareContent() {
		shares.title = shareLeaders[$.bs.randomNumBoth(0, (shareLeaders.length-1))];
		shares.content = '预期年化收益率' + $('#card').find('.card-mid-body').text() + $('#card').find('.card-item').eq(0).text() + $('#card').find('.card-item').eq(1).text();
		
		$('#card').find('.card-mid-body').text($('#year_lilv').text());
		$('#card').find('.card-item').eq(0).text('期限'+ $('#productLimit').text());
		$('#card').find('.card-item').eq(1).text($('#startAmt').text() + "起投");
		$('#card').find('.leaderboard').html(splitText(shares.title));
		
		//添加二维码
		shares.href = ut.netPayUrl + 'appShareReigsterCode.do?responseFormat=JSP&userId=' + plus.storage.getItem("userId") || "";
		proxyImage(shares.href);
	}
	
	function sharePic(data) {
		var shareContent = document.querySelector("#card");
		var width = shareContent.offsetWidth;
		var height = shareContent.offsetHeight;
    	var canvas = document.createElement("canvas");
    	var scale = 2;
    		
    	canvas.width = width * scale;
    	canvas.height = height * scale;
    	canvas.getContext("2d").scale(scale, scale);
			
		var opts = {
        	scale: scale,
        	canvas: canvas,
        	width: width, 
        	height: height,
        	useCORS: true // 【重要】开启跨域配置
	  	};
			
		html2canvas(shareContent, opts).then(canvas => {
			var context = canvas.getContext('2d');
		    
			context.mozImageSmoothingEnabled = false;
			context.webkitImageSmoothingEnabled = false;
			context.msImageSmoothingEnabled = false;
			context.imageSmoothingEnabled = false;
			
			var img = Canvas2Image.convertToJPEG(canvas, canvas.width, canvas.height);
			var _url = img.src;
			
			baseImgFile('sharepic', _url, 100, function(i){
            	sharesPicUrl = i.target;
                    
            	$('#card-storage').empty();
       			shareEvents(data);
                	
        		$('.modal-e').modal('hide');
           });
		});
	}
	
	function refresh() {
		if(plus.storage.getItem('memberInfoId')){
			$('#shareBtn').removeClass('mui-hidden');
		} else {
			$('#shareBtn').addClass('mui-hidden');
		}
	}
	
	function render(channel_can_use_quota){
		if (channel_can_use_quota == '0') {
			$('#sendBtn').attr('disabled', 'disabled');
			$('#sendBtn').text('已售完');
		}
	}
	
	function _ready() {
		var ws = {};
		
		if(m.os.plus){
			ws = plus.webview.currentWebview();
		}
		
		var channel_can_use_quota = ws.list_arry.CHANNEL_CAN_USE_QUOTA;
		
		render(channel_can_use_quota);
		
		refresh();
		updateSerivces();
		
		$('.modal-e').modal({});
		
		$('#shareBtn').on('tap', function(){
			createShareContent();
			$('.modal-e').modal('show');
		});
		
		$('#shareShortcut').on('tap', '.shareType', function () {
			var res = JSON.parse($(this).attr('data-val'));
			
			sharePic(res);
		});
		
		win.addEventListener('refresh', refresh);
	}
	
	if(m.os.plus){
		m.plusReady(_ready);
	}else{
		m.ready(_ready);
	}
})(mui, jQuery, document, window)