(function($,m,doc,win){
	var isWebApp;
	var num=6;
	if(m.os.plus){
		isWebApp=true
	}else{
		isWebApp=false
	}
	
	var pullToRefresh;
	
	mui.init({
		swipeBack: true //启用右滑关闭功能
	});
	
	var deceleration = mui.os.ios?0.003:0.0009;
	$('.mui-scroll-wrapper').scroll({
		bounce: false,
		indicators: true, //是否显示滚动条
		deceleration:deceleration
	});
	var cityCode;
	var countryCode;
	var countryName;
	var cityName;
	var vn = new Vue({
		el: '#vn',
		data: {
			typeLists:[],
			preferentialLists:[],
			couponLists:[],
			couponLists_bk:[],
			len:"isBegin",
			dataLen:"",
			endPos: 0,
		},
		methods: {
			initType:function(){
				var _this = this;
				var memberInfoId = plus.storage.getItem('memberInfoId');
			   	if (!memberInfoId) {
					mui.toast("您尚未登录");
					return false;
				}
				ut.ajax1(ut.netPayUrl + "appCouponType.do", {}, "json", "post", function(data) {
					if(data.ec=='0'){
						console.log(JSON.stringify(data));
						_this.typeLists = data.appCouponType;	
						_this.next();
					}else{
						mui.alert(data.em,"温馨提示");
					}
				})
			},
			next:function(){
				var _this = this;
				//$nextTick   在数据变化后要执行的某个操作，而这个操作需要使用随数据改变而改变的DOM结构的时候，这个操作都应该放进Vue.nextTick()的回调函数中。
				_this.$nextTick(function(){
	                $("#sliderSegmentedControl .mui-scroll").find(".mui-control-item").eq(0).addClass("mui-active");
	                _this.init();
	            })
			},
			initDiscount:function(){
				var _this = this;
				ut.ajax1(ut.netPayUrl + "appFilterType.do", {}, "json", "post", function(data) {
					if(data.ec=='0'){
						console.log(JSON.stringify(data));
						_this.preferentialLists = data.appFilterType;	
					}else{
						mui.alert(data.em,"温馨提示");
					}
				})
			},
			init:function(){
				var _this = this;
				var options={
					up: {
						callback: function() {
							var self = this;
							var isMore = false
							
							if(vn.len!="isBegin"&&vn.len==vn.couponLists_bk.length){
								isMore = true
							}
							setTimeout(function() {
								if(isMore){
									self.endPullUpToRefresh();
									$('.mui-pull-loading').text('没有更多数据了');
								}else{
									if(vn.endPos==0){
										vn.endPos=vn.endPos+1;
									}else{
										vn.endPos=vn.endPos + num;
									}
									vn.initList(vn.endPos,function(){
										
										self.endPullUpToRefresh();
									})
								}
							},1000);
						}
					}
				}
	
				pullToRefresh=mui('#pullrefresh').pullToRefresh(options);
				
				pullToRefresh.pullUpLoading();
						
			},
			initList:function(endPos,callback){
				var _this = this;
				var data = {
					appCouponValue:$("#sliderSegmentedControl").find(".mui-scroll").children(".mui-active").attr("title") || "",
					appFilterValue:$("#periodselect li").find("button.choose").attr("data-val") || "",
					turnPageBeginPos:endPos,
					turnPageShowNum:num,
					cityCode:cityCode,
					areaCode:countryCode,
					shopName:$("#querytxt").val() || ""
				}
				console.log(JSON.stringify(data));
				ut.ajax1(ut.netPayUrl + "appCouponFilterSelect.do", data, "json", "post", function(res){
					if(res.ec=='0'){
						console.log(JSON.stringify(res));
						$.each(res.appCouponList,function(k,v){
							_this.couponLists.push(v)
						})
						
						$.each(res.appCouponList,function(k,v){
							_this.couponLists_bk.push(v)
						})
						console.log(JSON.stringify(_this.couponLists_bk));
						_this.len = parseInt(res.turnPageTotalNum);
						callback.call(_this);
					}else{
						mui.alert(res.em,"温馨提示");
					}
				})
			},
			reStart:function(){
				this.couponLists = [];
				this.couponLists_bk = [];
				this.len = "isBegin";
				this.endPos = 0;
				this.init();
			},
			chooseTypes:function(){
				var _this = this;
				$("#selectDiv").toggle();
				if($("#selectDiv").length>0){
					_this.initDiscount();
				}
			},
			startSearch:function(){
				$(".input_div").slideUp("300");
				this.reStart();
			},
			search:function(){
				$("#querytxt").val("");
				$(".input_div").toggle();
			},
			closeSearch:function(){
				$(".input_div").slideUp("300");
			},
			chooseCity:function(){
				$(".input_div").slideUp("300");
				m.openWindow({
					url:"../payment/choiceCity.html",
					id:"choiceCity",
					extras:{
						"card":"1"
					}
				});
			},
			fixPos:function(data){
				var _this = this;
				countryCode = data.countryCode;
				cityCode = data.cityCode;
				countryName = data.countryName;
				cityName = data.cityName;
				$('#getCurrCity').text(cityName+""+countryName);
				_this.initType();
			},
			fixPos1:function(data){
				var _this = this;
				countryCode = data.countryCode;
				cityCode = data.cityCode;
				countryName = data.countryName;
				cityName = data.cityName;
				$('#getCurrCity').text(cityName+""+countryName);
				_this.reStart();
			}
		}
	})
	function Ready(){
		var data = $.bs.postionSystem().getData();
		
		if(data.city){
			var $data = {
				countryCode: data.countryCode,
				cityCode: data.cityCode, 
				countryName: data.district,
				cityName: data.city
			}
			vn.fixPos($data);
		}
		
		$("#periodselect").on("tap","li",function(){
			var $this = $(this);
			$this.find("button").addClass("choose");
			$this.siblings().find("button").removeClass("choose");
			$("#selectDiv").slideUp("500",function(){
				$(".mui-content .mui-control-item").removeClass("mui-active");
				$(".choose_btn").html($this.find("button").text());
				$(".choose_btn").addClass("colors");
				vn.reStart();
			});
		});
		
		$(".mui-content").on("tap",".mui-table-view-cell",function(){
			var appId  =  $(this).attr("title");
			m.openWindow({
				url: "commodityDetails.html",
				id: "commodityDetails",
				extras: {
					'appId': appId,
				}
			});
		});
		
		$(".mui-content").on("tap",".mui-control-item",function(){
			$(this).addClass("mui-active");
			$(this).siblings().removeClass("mui-active");
			$("#periodselect li").find("button").removeClass("choose");
			$(".choose_btn").removeClass("colors");
			$(".choose_btn").html("筛选");
			vn.reStart();
		});
		
		
		win.addEventListener('getPos',function(event){
			if(event.detail.countryCode){
				var data = event.detail;
				vn.fixPos1(data);
			}
		});
	}
	
	if(isWebApp){
		mui.plusReady(Ready)
	}else{
		mui.ready(Ready)
	}
})(jQuery,mui,document,window)	