var flying = {};

(function(q){
	q.pay = function(res){
		$.bs.openWindowByLoad(
			"flyingMallSub.html",
			"flyingMallSub",
			"pop-in", {
				merCode: res.merCode,
				merchantName: res.merchantName,
				orderAmt: res.orderAmt,
				orderNum: res.orderNum,
				sign: res.sign,
				token: res.token,
				callbackUrl: res.callbackUrl
		});
	};
}(flying));

function checkLoginStatus(res){
	$.bs.openWindowByLoad(
		"../login/login.html",
		"login",
		"pop-in", {
			goLoginTyep:'flyingMall',
			flyingUrl: res
	});
}


	
(function(m, $, doc, win){
	
	function isIphoneX(){
    	return /iphone/gi.test(navigator.userAgent) && (screen.height == 812 && screen.width == 375)
	}
	
	var isWebApp;
	
	if(m.os.plus){
		isWebApp = true;
	}else{
		isWebApp = false;
	}
	
	m.init({
		swipeBack: true //启用右滑关闭功能
	});
	
	function urlEndcodeToLowcase(url) {
		if(url == null){
			return null
		}	

		var _url = url;
		var ret = new String();
		
		for (var i=0; i<_url.length; i++) {
			var tmp = _url.charAt(i);
			var encode = encodeURIComponent(tmp);

			if(tmp == encode){ //相等说明是符号
				ret += encode;	
			}else{
				ret += encode.toLowerCase();
			}
		}

		return ret;
	}
	
	function setParam(obj){
		var arr = [] ;

		$.each(obj, function(k, v){
			arr.push(k);
		});

		arr = arr.sort();
		
		var o = {};

		$.each(arr, function(k, v){
			o[v] = obj[v]
		});

		var str = '';

		$.each(o, function(k, v){
			str += k + '=' + v + '&'
		});

		return str.substr(0, str.length-1);
	}
	
	function parseURL(url){
		var a = document.createElement('a');
		
		a.href = url;
		
		return {
			source: url,  
			protocol: a.protocol.replace(':',''),  
			host: a.hostname,  
			port: a.port,  
			query: a.search,
			params: (function(){  
		    	var ret = {},  
		        seg = a.search.replace(/^\?/,'').split('&'),  
		        len = seg.length, i = 0, s;  
		    	
		    	for (;i<len;i++) {
			        if (!seg[i]) { continue; }  
			        s = seg[i].split('=');  
			        ret[s[0]] = s[1];  
		    	}  
		    	
		    	return ret;
			})(),
			file: (a.pathname.match(/\/([^\/?#]+)$/i) || [,''])[1],
			hash: a.hash.replace('#',''),  
			path: a.pathname.replace(/^([^\/])/,'/$1'),  
			relative: (a.href.match(/tps?:\/\/[^\/]+(.+)/) || [,''])[1],  
			segments: a.pathname.replace(/^\//,'').split('/')  
		}
	}
	
	function FlyingMall(){
		this.init.apply(this, arguments);
	}
	
	FlyingMall.prototype = {
		init: function(el, options){
			var _this = this;
			
			this.ws = '' ;
			this.sub = '' ;
			this.options = {};
			
			this.update(options);
			
			this.ws = this.options.ws ;
			this._url = this.options.dataUrl ;
			
			this.getLoginUrl(function(url){
				_this.createPage(url)
			}, {});
			
		},
		update: function(option) {
			this.options = $.extend(this.options, option);
		},
		createPage: function(url){
			var _this = this;
			
			this.sub = plus.webview.getWebviewById('flyingMallSub');
		
			if(this.sub){
				plus.webview.hide(this.sub);
				plus.webview.close(this.sub);
			}
			
			this.sub = plus.webview.create(
				/*'test.html',*/
				url,
				/*'flyingMallSub.html',*/
				'flyingMallSub', 
				{
					top: '50px',
					bottom:'0px'
				}
			);
			
			//this.sub.appendJsFile('_www/plugins/openIdcardScan/plugin-openIdcardScan.js');
			//this.sub.appendJsFile('_www/plugins/bankcardplugin/plugin-bankcard.js');
			//this.sub.appendJsFile('_www/plugins/openLiveness/plugin-openLiveness.js');
			
			this.ws.append(this.sub);
			
			this.sub.addEventListener('loaded', function(e){
				
				var isEpayHost = (parseURL(_this.sub.getURL()).host == 'payment.nongxinyin.com') ? true : false;
				var style = _this.sub.getStyle();
				var path = parseURL(_this.sub.getURL()).path;
				var data = {};
				
				if(
					path == '/emall-wx/order/buyNow' ||
					isEpayHost == true
				){
					data.top = '0px' ;
				} else {
					if(isIphoneX()){
						data.top = '78px' ;
					}else{
						data.top = '50px' ;
					}
				}
				
				if(!$.isEmptyObject(data)){
					_this.sub.setStyle(data);
				}
			}, false);
			
			
			this.sub.addEventListener('titleUpdate', function(e){
				var pageTitle = _this.sub.getTitle();
				
				$('.mui-title').text(pageTitle);
			}, false);
			
			var old_back = m.back;
			
			m.back = function(){
				_this.sub.canBack(function(e) {
					var canBack = e.canBack;
					var webUrl = _this.sub.getURL();
					var res = webUrl.split('/').pop().replace(/\.html/,'')
					
					if(canBack && res != 'indexPage') {
						_this.sub.back();
					} else {
						old_back();
					}
				});
			};
		},
		getLoginUrl: function(callback, extras){
			var _this = this;
			
			$.bs.ajax({
				url: ut.netPayUrl + 'queryFTInfo.do',
				data: {
					appid:"YD",
					customerId: plus.storage.getItem("memberInfoId"),
					memberUUID: plus.storage.getItem("memberUUID"),
					APP_UUID: plus.device.uuid
				},
				processResponse: function(res){
					var arId = res.OrgNo;
					var time = res.time;
					var path = res.path;
					var key = res.key;
					
					var tokenDate = {
						arId:arId,
						time:time
					};
					
					tokenDate.sign = hex_md5(setParam(tokenDate) + "&key=" + key).toUpperCase();
					
					//获取token;
					
					$.bs.ajax({
						url: path+"app/token",
						data: tokenDate,
						processResponse: function(res1){
							var token = res1.result;
							var loginData = {
								arId:arId,
								time:time,
								token:token
							};
							
							if(_this._url){
								loginData.targetUrl = urlEndcodeToLowcase(_this._url);
							}
							
							var memberInfoId=plus.storage.getItem('memberInfoId');
										  						
							if(memberInfoId){
								var userId = plus.storage.getItem('userId')
								
								loginData.uid = userId.replace(/\+/g,'YD');
								loginData.mobile = plus.storage.getItem('phone');
							}
							
							if(typeof extras == 'object' && $.isEmptyObject(extras) == false){
								loginData = $.extend(loginData, extras);
								loginData.targetUrl = urlEndcodeToLowcase(loginData.targetUrl);
							}
							
							loginData.sign = hex_md5(setParam(loginData) + "&key=" + key).toUpperCase();
							
							var fturl = path +"app/login?" + setParam(loginData);
							
							if(callback){
								callback(fturl);
							}
						}
					})
				},
				wait: true
			})
		},
		refresh: function(option){
			var _this = this;
			var options = $.extend({}, typeof option == 'object' && option);
			
			this.getLoginUrl(function(url){
				_this.createPage(url);
			}, options);
		}
	}
		
	function _ready(){
		var ws = '';
		
		if(m.os.plus){
			ws = plus.webview.currentWebview() ;
		}
		
		var dataUrl = ws.ftUrl;
		
		var fly = new FlyingMall('',{
			ws: ws,
			dataUrl: dataUrl
		});
		
		win.addEventListener('openFlyingMall', function(e){
			fly.refresh();
		});
		
		win.addEventListener('openFlyingMall2', function(e){
			var sign = e.detail.sign ;
			var token = e.detail.token ;
			var	targetUrl = e.detail.targetUrl ;
			
			var data = {
				token: token,
				targetUrl: targetUrl
			} ;
			
			fly.refresh(data);
		});
	}
	
	if(m.os.plus){
		m.plusReady(_ready);
	}else{
		m.ready(_ready);
	}
})(mui, jQuery, document, window)


