(function(m, $, doc, win){
	var isWebApp;
	
	if(m.os.plus){
		isWebApp = true;
	}else{
		isWebApp = false;
	}
	
	m.init({
		swipeBack: true //启用右滑关闭功能
	});
	
	function getFGState() {
		var typeOneState = (plus.storage.getItem('switch2') === '01') ? true : false;
		var typeTwoState = (plus.storage.getItem('switch1') === '01') ? true : false;
		
		var open = "已开启";
		var notOpen = '未开启';
		
		if(typeTwoState === true){
			$('#setGesturelock').find('.list-body-tips').text(open);
		}else{
			$('#setGesturelock').find('.list-body-tips').text(notOpen);
		}; 
		
		if(typeOneState === true){
			$('#setFingerLock').find('.list-body-tips').text(open);
		}else{
			$('#setFingerLock').find('.list-body-tips').text(notOpen);
		};
		
		$.bs.checkFP(function(){
			if($('#setFingerLock').hasClass('mui-hidden')){
				$('#setFingerLock').removeClass('mui-hidden')
			}
			
			if($('#setFingerLock').closest('.list').hasClass('mui-hidden')){
				$('#setFingerLock').closest('.list').removeClass('mui-hidden');
			}
		}, function(){
			
			if(m.os.ios){
				if($('#setFingerLock').hasClass('mui-hidden')){
					$('#setFingerLock').removeClass('mui-hidden')
				}
			} else {
				if(!$('#setFingerLock').hasClass('mui-hidden')){
					$('#setFingerLock').addClass('mui-hidden')
				}
			}
			
			if($('#setFingerLock').closest('.list').hasClass('mui-hidden')){
				$('#setFingerLock').closest('.list').removeClass('mui-hidden');
			}
			
		});
	};
	
	function _ready(){
		setTimeout(function(){
			getFGState();
		}, 600)
		
		$('#changeLogPwd').on('tap', function(){
			m.openWindow({
				url: '../login/regeditLoginPwd.html',
				id: 'regeditLoginPwd',
				extras: {},
				waiting: {
					autoShow: false
				}
			});
		});
		
		$('#changePhoneNum').on('tap', function(){
			
			$.bs.openWindowByLoad(
				"changePhoneNum.html",
				"changePhoneNum",
				"pop-in",
				{}
			);
		});
		
		$('#setGesturelock').on('tap', function(){
			m.openWindow({
				url: 'gesturelock.html',
				id: 'gesturelock',
				extras: {},
				waiting: {
					autoShow: false
				}
			});
		});
		
		$('#setFingerLock').on('tap', function(){
			m.openWindow({
				url: 'fingerLock.html',
				id: 'fingerLock',
				extras: {},
				waiting: {
					autoShow: false
				}
			});
		});
		
		win.addEventListener('refresh', function(){
			getFGState();
		});
	}
	
	if(isWebApp){
		m.plusReady(_ready);
	}else{
		m.ready(_ready);
	}
})(mui, jQuery, document, window)