(function(m, $, doc, win){
	var isWebApp;
	
	if(m.os.plus){
		isWebApp = true;
	}else{
		isWebApp = false;
	}
	
	function isIphoneX(){
    	return /iphone/gi.test(navigator.userAgent) && (screen.height == 812 && screen.width == 375)
	}
	
	m.init({
		swipeBack: true //启用右滑关闭功能
	});
	
	var Tank = function (options) {
		this.options = $.extend(options, {});
		this.urls = [];
		this.refresh(this.options.url);
	};
	
	Tank.prototype = {
		addItem: function () {
			var url = this.sub.getURL();
			if(url !="" && url != this.urls[this.urls.length-1]){
				this.urls.push(url);
			}
			return this.urls;
		},
		removeItem: function () {
			this.urls.pop();
			this.refresh (this.urls[this.urls.length - 1]);
		},
		refresh: function (url) {
			if(this.sub){
				plus.webview.hide(this.sub);
				plus.webview.close(this.sub);
			}
			
			this.self = plus.webview.currentWebview();
			
			var data = {
				top: '50px',
				bottom:'0px'
			}
			
			if(isIphoneX()){
				data.top = '85px'
			}
			
			this.sub = plus.webview.create(
				url,
				'template',
				data
			);
			this.self.append(this.sub);
		},
		getItemLength: function () {
			return this.urls.length;
		}
	};
	
	function createEmbed(targetUrl) {
		var tank = new Tank({
			'url': targetUrl
		});
		var timer = null;
		
		timer = setInterval(function(){
			tank.addItem();
		}, 500);
		
		//mui back
		
		var old_back = mui.back;
		
		m.back = function () {
			clearInterval(timer);
			
			var len = tank.getItemLength();
			
			if (len > 1) {
				tank.removeItem();
				timer = setInterval(function () {
					tank.addItem();
				}, 800)
			} else {
				old_back();
			}
		};
	}
	
	function setPos(option) {
		if (option === undefined || option === null || option === '') {
			var option = {};
		}
		
		var data = $.extend({
			addrprovince: "山西省",
			addrcity: "太原市",
			addrcountry: "小店区",
			memberUUID: plus.storage.getItem("memberUUID"),
			flag:plus.webview.currentWebview().flag,
			mobileNo:plus.storage.getItem("phone"),
			SMSCode:plus.webview.currentWebview().codetxt==""?"":plus.webview.currentWebview().codetxt
		}, option);
		
		$.bs.ajax({
			url: ut.netPayUrl + "makeOppoDoctor.do",
			data: data,
			processResponse: function(res){
				if(res.ec == '0'){
					createEmbed(res.returnUrl);
				}else {
					mui.alert(res.em);
					
					setTimeout(function(){
						plus.webview.currentWebview().close();
					}, 500);
				}
			},
			selfdefineFailed: function(){
				
			}
		})
	}
	
	function _ready(){
		ws=plus.webview.currentWebview();
		
		var data = $.bs.postionSystem().getData();
		var data1 = null;
		
		if(data){
			data1 = {
				addrprovince: data.province,
				addrcity: data.city,
				addrcountry: data.district
			};
		}
		
		setPos(data1)
	}
	
	if(isWebApp){
		m.plusReady(_ready);
	}else{
		m.ready(_ready);
	}
})(mui, jQuery, document, window)
