
/**
 *
 * @type {Object}
 */
(function(w) {

	// 根据当前时间获取字符串
	w.get_time = function () {
		return new Date().getTime().toString();
	}
	var pu = {};

	// 键盘对象
	var commonKb = new keyBoard({
		"chaosMode" : 0,// 混乱模式,0:无混乱;1:打开时乱一次;2:每输入一个字符乱一次,默认值0
		"pressStatus" : 1,// 按键状态,0:按下、抬起按键无变化;1:按下、抬起按键的颜色变化,默认值0
		"kbType" : 0// 键盘类型,0:全键盘;1:纯数字键盘,默认值0
	});
	pu.commonKb = commonKb;
	/**
	 * 获取密码控件
	 * url(设置映射请求地址): emall:商城；pay:支付 默认商城
	 * arg2(密码类型：0：登录；1:支付 默认登录
	 */ 
	var getPassGuard = function (url,type) {
		
		var mappurl = url;
		var maxLength = 20;
		var regExp1 = "[\\S]";
		var regExp2 = "^(?![0-9]+$)(?![a-zA-Z]+$)(?![^A-Za-z0-9]+$)[\\S]{6,20}";
		var rsaPublicKey = "3081890281810092d9d8d04fb5f8ef9b8374f21690fd46fdbf49b40eeccdf416b4e2ac2044b0cfe3bd67eb4416b26fd18c9d3833770a526fd1ab66a83ed969af74238d6c900403fc498154ec74eaf420e7338675cad7f19332b4a56be4ff946b662a3c2d217efbe4dc646fb742b8c62bfe8e25fd5dc59e7540695fa8b9cd5bfd9f92dfad009d230203010001";
		if (type==1) {
			maxLength = 6;
			regExp1 = "[0-9]";
			regExp2 = "[0-9]{6}";
		}
		
		var passGuardTemp = new passGuard({
			"mappurl" : mappurl,//申请映射表的地址
			"maxLength" : maxLength,// 最大输入长度
			"regExp1" : regExp1,// 输入过程限制的正则
			"regExp2" : regExp2,
			"callBack": cb1,
			"errorCallBack":cb2,
			"displayMode" : 0,// 显示形式,0:星号;1:明文,默认值0
			"rsaPublicKey" : rsaPublicKey// rsa公钥
		});
		return passGuardTemp;
	}
	pu.getPassGuard = getPassGuard;
	// 键盘初始化
	pu.start = function (url,type) {
		Le = $(".default").length;
		var _type = type ? type : 0;
		for(var i=1;i<=Le;i++){
			window['passGuard'+i] = getPassGuard(url,_type);
			window['passGuard'+i].generate("kb"+i,commonKb,_type);
			arrPlace.push($("#kb"+i).attr("placeholder"));
		}
		commonKb.generate();
	}
	
	w.pu = pu;
})(window);
var Le,
reciveId = "",
pm,cs = 0,ago,winHeight,
add = 1;
var arrPlace = new Array();
function cb1(){
}

function cb2(){
}
