
/**
 * getSettingLockView
 * 
 */

document.addEventListener("plusready", function() {
	var _BARCODE = 'pluginGestureLock', B = window.plus.bridge;
	var pluginGestureLock = {

		openMD5GestureLock : function(isShowLine,isShowForgetPwd,successCallback, errorCallback) {
			var success = typeof successCallback !== 'function' ? null
					: function(args) {
						successCallback(args);
					}, fail = typeof errorCallback !== 'function' ? null
					: function(code) {
						errorCallback(code);
					};
			callbackID = B.callbackId(success, fail);
			return B.exec(_BARCODE, "openMD5GestureLock", [ callbackID,isShowLine,isShowForgetPwd ]);
		},
		openAESGestureLock : function(isShowLine,aesKey,isShowForgetPwd,successCallback, errorCallback) {
			var success = typeof successCallback !== 'function' ? null
					: function(args) {
						successCallback(args);
					}, fail = typeof errorCallback !== 'function' ? null
					: function(code) {
						errorCallback(code);
					};
			callbackID = B.callbackId(success, fail);
			return B.exec(_BARCODE, "openAESGestureLock", [ callbackID,isShowLine,aesKey,isShowForgetPwd]);
		},
		openRSAGestureLock : function(isShowLine,rsaN,rsaE,isShowForgetPwd,successCallback, errorCallback) {
			var success = typeof successCallback !== 'function' ? null
					: function(args) {
						successCallback(args);
					}, fail = typeof errorCallback !== 'function' ? null
					: function(code) {
						errorCallback(code);
					};
			callbackID = B.callbackId(success, fail);
			return B.exec(_BARCODE, "openRSAGestureLock", [ callbackID,isShowLine,rsaN,rsaE,isShowForgetPwd]);
		},
		dismiss : function() {
			return B.execSync(_BARCODE, "dismiss", []);
		},
		refresh : function(notice,isError) {
			return B.execSync(_BARCODE, "refresh", [notice,isError]);
		}

	};
	window.plus.pluginGestureLock = pluginGestureLock;
}, true);
