/**
 * count 活体检测的种类数量  
 */
document.addEventListener("plusready", function() {
	var u = navigator.userAgent;
	var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Adr') > -1; //android终端
	var isIOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
	
	var _BARCODE = 'pluginOpenLiveness',
		B = window.plus.bridge;
		
		if(isIOS){
			var pluginOpenLiveness = {
				openLiveness: function(count, successCallback, errorCallback) {
			 		var success = typeof successCallback !== 'function' ? null :
			 			function(args) {
			 				successCallback(args);
			 			},
			 			fail = typeof errorCallback !== 'function' ? null :
			 			function(code) {
			 				errorCallback(code);
			 			};
			 		callbackID = B.callbackId(success, fail);
			 		return B.exec(_BARCODE, "openLiveness", [callbackID, count]);
			 	}
			 };
			 window.plus.pluginOpenLiveness = pluginOpenLiveness;
		}else{
			plus.android.requestPermissions(['android.permission.CAMERA'], function(e){
				if(e.granted.length>0){
					var pluginOpenLiveness = {
						openLiveness: function(count, successCallback, errorCallback) {
					 		var success = typeof successCallback !== 'function' ? null :
					 			function(args) {
					 				successCallback(args);
					 			},
					 			fail = typeof errorCallback !== 'function' ? null :
					 			function(code) {
					 				errorCallback(code);
					 			};
					 		callbackID = B.callbackId(success, fail);
					 		return B.exec(_BARCODE, "openLiveness", [callbackID, count]);
					 	}
					 };
					 window.plus.pluginOpenLiveness = pluginOpenLiveness;
				 }else{
					 alert('未获取到相机权限，请打开晋享生活相机服务。', '温馨提示');
				 }
			 },function(){
				 alert('未获取到相机权限，请打开晋享生活相机服务。', '温馨提示');
			 })
		}
}, true);