(function(m) {
	var u = navigator.userAgent;
	var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Adr') > -1; //android终端
	var isIOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
	
	function getPushData(successCallback, errorCallback) {
		
		//plus.os.name + "PLUS"
		//mui.os + "MUI"
		
		if(isIOS) {
			var listen = yu.EventListener.create({
				event: yu.Event.PUSHMESSAGE,
				callback: function(event) {
					if(event.getMessageType() == "receive") { // 监听在线消息事件
						var msg = event.getMessage() ;
						if(msg.aps) {
							var payload = msg.payload ;
							successCallback(payload) ;
						} else {
							var payload = msg.payload ;
							successCallback(payload) ;
						}

					} else if(event.getMessageType() == "click") { // 监听点击消息事件
						var msg = event.getMessage() ;
						var payload = msg.payload ;
						successCallback(payload) ;
					}
				}
			});

			yu.EventManager.addListener(listen, -1);
		} else {
			plus.pluginPush.notificate(
				function(result) { //监听通知
					successCallback(result);
				}, function(result) {
					errorCallback(result);
				}
			);
		}
		
		
	}
	
	function getDeviceId(callback){
		if (isIOS) {
			var  res= plus.pluginAliPush.getDeviceId();
			callback(res);
		} else {
			plus.pluginPush.getDeviceId(
				function(res) { //获取设备id
					callback(res)
				}, 
				function(result) {
					alert('result=' + result);
				}
			);
		}
	}
	
	function _ready() {
		setTimeout(function(){
			getPushData(function(res){
				var str = '';
				
				if(typeof res == 'string'){
					str = res;
				} else {
					str = JSON.stringify(res);
				}
				
				if (isIOS) {
					if (new RegExp('receive').test(str)) {
					
					} else if (new RegExp('click').test(str)){
						
					} else {
						m.openWindow({
							url: "../messageCenter/inform.html",
							id: "inform",
							extras: {
							
							}
						});
					}
				} else {
					if(new RegExp('appid').test(str)){
						m.openWindow({
							url: "../messageCenter/inform.html",
							id: "inform",
							extras: {
									
							}
						});
					} else {
						
					}
				}
				
				
			}, function(){
				
			})
			
		}, 500);
		
		window.addEventListener('saveDeviceId',function(event){
			setTimeout(function(){
				getDeviceId(function(res){
					var data = {
						deviceid: res,
						deviceType: (isIOS == true) ? '02' : '01'
					}
					
					saveDeviceId.setData(data);
					saveDeviceId.save();
				})
			}, 1000)
		});
		
	}

	if(m.os.plus) {
		m.plusReady(_ready);
	} else {
		m.ready(_ready);
	}
}(mui))
